var g_printTools={
	"UNKNOWN":"——",	
	"getHealthStatusName": function(status){  //获取健康值状态对应的名称
		var arr=status.split(",");
		var res=0;
		for(var i=0;i<arr.length;i++){
			if(arr[i]==1){ 
				res=1;
			}else if(arr[i]==2){  
				res=2;  
				break;
			}
		}
		return res;
	},
	"printHealthTypeName": function(type){
		res="";
		if(type==0){  //脉搏
			res='脉搏';
		}else if(type==1){  //血氧
			res='血氧';
		}else if(type==2){  //血糖
			res='血糖';
		}else if(type==5){  //体重
			res='体重';
		}else if(type==6){  //体温
			res='体温';
		}else if(type==7){  //血压
			res='血压';
		}
		return res;
	},
	"printHealthData": function(type,value){
		var arr=value.split(",");
		res="";
		if(type==0){  //脉搏
			res=arr+"次/分钟";
		}else if(type==1){  //血氧
			res=arr+"%";
		}else if(type==2){  //血糖
			res=arr+"mmol/L";
		}else if(type==5){  //体重
			res="体重："+arr[0]+"kg； BMI:"+arr[1]+"； 脂肪率："+arr[2]+"%";
		}else if(type==6){  //体温
			res=arr+"℃";
		}else if(type==7){  //血压
			res="高压："+arr[0]+"mmHg； 低压:"+arr[1];
		}
		return res;
	},
	"printTimeBySec": function(sec,index){ 
		sec=parseInt(sec);
		if(index==null||index==undefined) index=2; 
		var showStr="";
		var day=parseInt(sec/86400);
		var restSec=sec%86400;
		var hour=parseInt(restSec/3600);
		restSec=restSec%3600;
		var minute=parseInt(restSec/60);
		var second=restSec%60;
		
		var flag=0;    
		if(day!=0){
			showStr=showStr+day+"天";
			flag++;
			if(flag==index) return showStr;
		}
		if(hour!=0){
			showStr=showStr+hour+"小时";
			flag++;
			if(flag==index) return showStr;
		}
		if(minute!=0){
			showStr=showStr+minute+"分钟";
			flag++;
			if(flag==index) return showStr;
		}
		if(second!=0){
			showStr=showStr+second+"秒";
			flag++;
			if(flag==index) return showStr;
		}
		
		if(flag==0) showStr="0秒";
		return showStr;
	},
	"printProcess": function(process){
		if(process==null||process==undefined) return PrintUNKNOWN;
		
		var res=process+"%";
		return res;
	},
	"printStep": function(step){
		if(step==null||step==undefined) return PrintUNKNOWN;
		var res=step+"步";
		return res;
	},
	"printCi": function(ci){
		if(ci==null||ci==undefined) return PrintUNKNOWN;
		var res=ci+"次";
		return res;
	},
	"printDistance": function(distance){
		if(distance==null||distance==undefined) return PrintUNKNOWN;
		var res="";
		if(distance<1000){
			res=Math.round(distance)+"米";
		}else{
			var dDistance=(distance/1000).toFixed(1);
			if(dDistance%1==0){
				res=Math.floor(dDistance)+"公里";
			}else{
				res=dDistance+"公里";
			}
		}
		return res;
	},
	"printEnergy": function(energy){
		if(energy==null||energy==undefined) return PrintUNKNOWN;
		var res=Math.floor(energy)+"卡路里";
		return res;
	},
	"printDateStr": function(timeMillis,format){
		var ret = "";
        var today=todayTimeMillis(); //alert(timeMillis+" "+today+" "+tomorrowTimeMillis());
        if(timeMillis>=today&&timeMillis<tomorrowTimeMillis()){
            ret = "今天";
        }else{
            ret= getFormatDateByLong(timeMillis,format);
        }
        return ret;
	},
	"printDateStrByTimeMillis": function(timeMillis){
		var format;
	    if(isThisYear(timeMillis)){  //今年
	        format="M月d日";
	    }else{  //非今年
	        format="yyyy年M月d日";
	    }
	    return g_printTools.printDateStr(timeMillis, format);
	},
	"printDateAndTimeStrByTimeMillis": function(timeMillis){
		var format;
	    if(isThisYear(timeMillis)){  //今年
	        format="M月d日";
	    }else{  //非今年
	        format="yyyy年M月d日";
	    }
	    return g_printTools.printDateStr(timeMillis, format) + " " + getFormatDateByLong(timeMillis, "HH:mm");
	},
	'printPwPhone':function(phone){
		var newNum='';
		if(phone.length>=11){
			var num=phone;
			newNum=num.substring(0,3)+'****'+num.substring(num.length-4,num.length);	
		}
		
		return newNum;
	}
};

