var SP_TOTAL_STEP=0;
var SP_TOTAL_DISTANCE=1;

var sportProperty = sportProperty || {
	nosport: {
		name: '无事件',
		color: '#EEEEEE',
		img: '../../global/img/sport2/nosport_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_nosport_circular.png'
	},
	walk: {
		name: '步行',
		color: '#FEBEC1',
		img: '../../global/img/sport2/walk_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_walk_circular.png',
        showSub: ['时长','消耗','步数'],
        unit: '步',
        countType: SP_TOTAL_STEP
	},
	run: {
		name: '跑步',
		color: '#FEBEF6',
		img: '../../global/img/sport2/run_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_run_circular.png',
        showSub: ['时长','消耗','里程'],
        unit: '公里',
        countType: SP_TOTAL_DISTANCE
	},
	ride: {
		name: '骑车',
		color: '#C6BFFD',
		img: '../../global/img/sport2/ride_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_ride_circular.png',
        showSub: ['时长','消耗'],
        unit: '公里'
	},
	badminton: {
		name: '羽毛球',
		color: '#BEECFE',
		img: '../../global/img/sport2/badminton_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_badminton_circular.png',
        showSub: ['时长','消耗']
	},
	tableTennis: {
		name: '乒乓球',
		color: '#BEFDF6',
		img: '../../global/img/sport2/table_tennis_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_table_tennis_circular.png',
        showSub: ['时长','消耗']
	},
	tennis: {
		name: '网球',
		color: '#BFFDCF',
		img: '../../global/img/sport2/tennis_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_tennis_circular.png',
        showSub: ['时长','消耗']
	},
	basketball: {
		name: '篮球',
		color: '#E0FDBE',
		img: '../../global/img/sport2/basketball_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_basketball_circular.png',
        showSub: ['时长','消耗']
	},
	football: {
		name: '足球',
		color: '#FEFABD',
		img: '../../global/img/sport2/football_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_football_circular.png',
        showSub: ['时长','消耗']
	},
	taiji: {
		name: '太极',
		color: '#FDDBBE',
		img: '../../global/img/sport2/taiji_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_taiji_circular.png',
        showSub: ['时长','消耗']
	},
	swim: {
		name: '游泳',
		color: '#E2E0D9',
		img: '../../global/img/sport2/swim_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_swim_circular.png',
        showSub: ['时长','消耗']
	},
	sleep: {
		name: '睡眠',
		color: '#DAE8D4',
		img: '../../global/img/sport2/sleep_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_sleep_circular.png',
        showSub: ['时长']
	},
	climb: {
		name: '爬楼梯',
		color: '#CFECE6',
		img: '../../global/img/sport2/climb_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_climb_circular.png',
        showSub: ['时长','消耗']
	},
	stay: {
		name: '坐',
		color: '#D1CAF2',
		img: '../../global/img/sport2/sit_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_stay_circular.png',
        showSub: ['时长','消耗']
	},
	lay: {
		name: '躺',
		color: '#E4D0EC',
		img: '../../global/img/sport2/lay_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_lay_circular.png',
        showSub: ['时长','消耗']
	},
	skip: {
		name: '跳绳',
		color: '#E7D5DD',
		img: '../../global/img/sport2/skip_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_skip_circular.png',
        showSub: ['时长','消耗','次数'],
        unit: '次',
        countType: SP_TOTAL_STEP
	},
	dance: {
		name: '跳舞',
		color: '#E9F3C9',
		img: '../../global/img/sport2/dance_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_square_dance_circular.png',
        showSub: ['时长','消耗']
	},
	unwear: {
//        name: '未佩戴',
//        color: '#F3C8D9',
//        img: '../../global/img/sport2/unwear_icon.png',
//        circleImg :'../../global/img/sport2/2x/custody_event_put.png',
//        showSub: ['时长']
        name: '静止',
        color: '#FEBEC1',
        img: '../../global/img/sport2/static_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_static_circular.png',
        showSub: ['时长','消耗']
	},
	stand:{
		name: '站',
		color: '#F3C8D9',
		img: '../../global/img/sport2/stand_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_stand_circular.png',
        showSub: ['时长','消耗']
	},
    mobile:{
        name: '手机计步',
        color: '#FEBEC1',
        img: '../../global/img/sport2/phone_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_phone_circular.png',
        showSub: ['时长','消耗','步数'],
        unit: '步',
        countType: SP_TOTAL_STEP
    },
    smallSport:{
        name: '轻微活动',
        color: '#FEBEC1',
        img: '../../global/img/sport2/light_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_light_circular.png',
        showSub: ['时长','消耗','步数'],
        unit: '步',
        countType: SP_TOTAL_STEP
    },
    static:{
        name: '静止',
        color: '#FEBEC1',
        img: '../../global/img/sport2/static_icon.png',
        circleImg :'../../global/img/sport2/2x/custody_event_static_circular.png',
        showSub: ['时长','消耗']
    },
	getAllProPerty: function(kind) {
		var all = null;
		switch(kind) {
			case -1:
				all = sportProperty.nosport;
                break;
			case 3:
				all = sportProperty.walk;
				break;
			case 4:
				all = sportProperty.run;
				break;
			case 5:
				all = sportProperty.ride;
				break;
			case 6:
				all = sportProperty.badminton;
				break;
			case 7:
				all = sportProperty.tableTennis;
				break;
			case 8:
				all = sportProperty.tennis;
				break;
			case 9:
				all = sportProperty.basketball;
				break;
			case 10:
				all = sportProperty.football;
				break;
			case 11:
				all = sportProperty.taiji;
				break;
			case 12:
				all = sportProperty.swim;
				break;
			case 13:
				all = sportProperty.sleep;
				break;
			case 14:
				all = sportProperty.climb;
				break;
			case 15:
				all = sportProperty.stay;
				break;
			case 16:
				all = sportProperty.lay;
				break;
			case 21:
				all = sportProperty.skip;
				break;
			case 22:
				all = sportProperty.dance;
				break;
			case 23:
				all = sportProperty.unwear;
				break;
			case 24:
				all = sportProperty.stand;
				break;
            case 25:
                all = sportProperty.mobile;
                break;
			default:
				break;
		}
		return all;
	},
	getSportName: function(kind) {
		if (g_utils.isEmpty(kind)){
			return null
		}
		return sportProperty.getAllProPerty(kind).name;
	},
	getSportIcon:function(kind) {
		if (g_utils.isEmpty(kind)){
			return null
		}
		return sportProperty.getAllProPerty(kind).img;
	},
    getSportCircleIcon:function(kind) {
        if (g_utils.isEmpty(kind)){
            return '../../global/img/sport2/2x/custody_event_nosport_circular.png';
        }
        return sportProperty.getAllProPerty(kind).circleImg;
    },
    getSportInfo:function(kind) {
    	if (g_utils.isEmpty(kind)){
			return null
		}
        return sportProperty.getAllProPerty(kind);
    },
    getSportNameTemp: function(kind,endTime,startTime,totalStep) {
        if (g_utils.isEmpty(kind)){
            return null
        }
        else if (kind == 23 && !g_utils.isEmpty(endTime) && !g_utils.isEmpty(startTime) && !g_utils.isEmpty(totalStep)){
            if ((endTime-startTime)>60*60*1000){
                return sportProperty.getAllProPerty(kind).name;   //依旧显示为未佩戴
            }else if (totalStep <10){
                if ((endTime-startTime) >= 20*60*1000){
                    return sportProperty.getAllProPerty(kind).name;  //依旧显示为未佩戴
                }else{
                    return sportProperty.static.name;  //显示为静止事件
                }
            }else{
                return sportProperty.smallSport.name;  //显示为轻微活动事件
            }
        }
        return sportProperty.getAllProPerty(kind).name;
    },
    getSportCircleIconTemp: function(kind,endTime,startTime,totalStep) {
        if (g_utils.isEmpty(kind)){
            return '../../global/img/sport2/2x/custody_event_nosport_circular.png';
        }
        else if (kind == 23 && !g_utils.isEmpty(endTime) && !g_utils.isEmpty(startTime) && !g_utils.isEmpty(totalStep)){
            if ((endTime-startTime)>60*60*1000){
                return sportProperty.getAllProPerty(kind).circleImg;   //依旧显示为未佩戴
            }else if (totalStep <10){
                if ((endTime-startTime) >= 20*60*1000){
                    return sportProperty.getAllProPerty(kind).circleImg;  //依旧显示为未佩戴
                }else{
                    return sportProperty.static.circleImg;  //显示为静止事件
                }
            }else{
                return sportProperty.smallSport.circleImg;  //显示为轻微活动事件
            }
        }
        return sportProperty.getAllProPerty(kind).circleImg;
    },
    getSportInfoTemp:function(kind,endTime,startTime,totalStep) {
        if (g_utils.isEmpty(kind)){
            return null
        }
        else if (kind == 23 && !g_utils.isEmpty(endTime) && !g_utils.isEmpty(startTime) && !g_utils.isEmpty(totalStep)){
            if ((endTime-startTime) > 60*60*1000){
                return sportProperty.getAllProPerty(kind);   //依旧显示为未佩戴
            }else if (totalStep <10){
                if ((endTime-startTime) >= 20*60*1000){
                    return sportProperty.getAllProPerty(kind);  //依旧显示为未佩戴
                }else{
                    return sportProperty.static;  //显示为静止事件
                }
            }else{
                return sportProperty.smallSport;  //显示为轻微活动事件
            }
        }
        return sportProperty.getAllProPerty(kind);
    }
}
