var _btnListStr = [];
var _self;
var _path;
var _dietType;
var _localUrl;
var _str;
//mui初始化
mui.init();
mui.plusReady(function() {
    _self = plus.webview.currentWebview();
    if(!g_utils.isEmpty(_self.path)) {
        _path = _self.path;
    }
    if(!g_utils.isEmpty(_self.dietType)) {
        _dietType = _self.dietType;
    }
    if(!g_utils.isEmpty(_self.localUrl)) {
         _localUrl = _self.localUrl;
    }
    if(!g_utils.isEmpty(_self.str)) {
        _str = _self.str;
        _btnListStr = _str.split(',');
        _btnListStr.push('其他');
    }
       
    initImg();
    initScrollView();
    addBtn();
              
    initSaveBtn();
    backBtn();
});


function initImg(){
	var imgDom = document.getElementById('img');
//	imgDom.src = 'http://59.110.104.147:9999/static/user_head_img/admin_head.png';
    imgDom.src = _localUrl;
}

function initScrollView(){
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	
	var scrollDom = document.querySelector('div.mui-scroll-wrapper');
	var btnTitleDom = document.querySelector('div.btn-title-line');
	scrollDom.style.top = (btnTitleDom.offsetTop + btnTitleDom.offsetHeight) + 'px';
}

function addBtn(){
	var btnListDom = document.getElementById('btnList');
	for (var i=0 ; i<_btnListStr.length; i++){
		var item = document.createElement('div');
		item.className = 'btn-item btn-unselect';
		item.innerHTML = _btnListStr[i];
		item.setAttribute('hasClick','false');
		item.addEventListener('tap', function(e) {
			if (this.getAttribute('hasClick') == 'false'){
				this.className = 'btn-item btn-select';
				this.setAttribute('hasClick','true');
			}else if (this.getAttribute('hasClick') == 'true'){
				this.className = 'btn-item btn-unselect';
				this.setAttribute('hasClick','false');
			}
		});
		
		btnListDom.appendChild(item);
	}
}

function initSaveBtn(){
    var saveBtnDom = document.getElementById('saveBtn');
    saveBtnDom.addEventListener('tap', function(e) {
        var nList = plus.webview.currentWebview().opener();
        
        var strList = '';
        mui(".btn-select").each(function () {
            strList += this.innerText + ',';
        });
        strList = strList.substring(0, strList.length - 1);
                               
        if (g_utils.isEmpty(strList)){
             g_mui.toast('请选择对应餐品');
        }else{
            mui.fire(nList, 'saveDietImg', {
                macthContent:strList,
                dietType:_dietType,
                path:_path
            });
            mui.back(true);
        }

    });
}

function backBtn(){
    var backBtnDom = document.getElementById('backBtn');
    backBtnDom.addEventListener('tap', function(e) {
        mui.back(true);
    });
}
