var title = document.getElementById('title')
var saveBtn = document.getElementById('saveBtn');
var chooseItemlay = document.getElementById('chooseItemlay');
var type;

//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	type = self.typeName;
	var sendValue=self.selectedValue;
	chooseItemlay.innerHTML="";
	initChooseItem(sendValue);
	otherEventsListener ();
	saveBtn.addEventListener('tap', function(event) {
		var chooseValue=getChooseItemValue();
		if(g_utils.isEmpty(chooseValue)){
			g_mui.alert("请选择或填写一个类型，不能为空！");
		}else{
			refreshRecordsData(chooseValue);
		}
	}, false);	
});

function initChooseItem(sendValue){
	var itemData=[];
	if(type == "minority") {
		title.innerHTML=minorityData.title;
		itemData=minorityData.data;
	} else if(type == "degree") {
		title.innerHTML=degreeData.title;
		itemData=degreeData.data;
	} else if(type == "maritaStatus") {
		title.innerHTML=maritaStatusData.title;
		itemData=maritaStatusData.data;
	}else if(type == "bloodTypeAbo") {
		title.innerHTML=bloodTypeAboData.title;
		itemData=bloodTypeAboData.data;
	}else if(type == "bloodTypeRh") {
		title.innerHTML=bloodTypeRhData.title;
		itemData=bloodTypeRhData.data;
	}else if(type == "payWay"){
		title.innerHTML=payWayData.title;
		itemData=payWayData.data;
	}else if(type == "career") {
		title.innerHTML=careerData.title;
		itemData=careerData.data;
	}
	
	if(type!="payWay"&&type != "career"){
		chooseItemlay.innerHTML=getNoOtherItemHtml(itemData,sendValue);
	}else{
		chooseItemlay.innerHTML=getOtherItemHtml(itemData,sendValue);
	}
}

function getChooseItemValue(){
	var returnValue="";
	mui("input[name='oneChoose']").each(function() {
		if(this.checked) {
			if(this.value=="其他"){
				var otherDom=document.getElementById("other");
				returnValue=otherDom.value;
			}else{
				returnValue=this.value;
			}
		}
	});
	return returnValue;
}

function otherEventsListener (){
	mui("#chooseItemlay").on("change", "input", function() {
		if(this.value=="其他"&&this.checked){
			var otherLabel=document.getElementById("otherLabel");
			var placeHolderText = '请输入支付方式';
			if (type == "career"){
				placeHolderText = '请输入职业';
			}
			otherLabel.innerHTML='其他<input id="other" type="text" maxlength="50" placeholder="'+placeHolderText+'" value=""/>';
		}else if(this.value!="其他"&&this.checked){
			var otherLabel=document.getElementById("otherLabel");
			if(!g_utils.isEmpty(otherLabel)){
				otherLabel.innerHTML="其他";
			}
		}
	}, false);
}

function refreshRecordsData(chooseValue){
	var list = plus.webview.currentWebview().opener();
	if(type == "minority") {
		mui.fire(list, 'setMinority', {
			value: chooseValue
		});		
	} else if(type == "degree") {
		mui.fire(list, 'setDegree', {
			value: chooseValue
		});	
	} else if(type == "maritaStatus") {
		mui.fire(list, 'setMaritaStatus', {
			value: chooseValue
		});	
	}else if(type == "bloodTypeAbo") {
		mui.fire(list, 'setAbo', {
			value: chooseValue
		});	
	}else if(type == "bloodTypeRh") {
		mui.fire(list, 'setRh', {
			value: chooseValue
		});	
	}else if(type == "payWay"){
		mui.fire(list, 'setPayWay', {
			value: chooseValue
		});	
	}else if(type == "career") {
		mui.fire(list, 'setCareer', {
			value: chooseValue
		});	
	}
	mui.back();
}



function getNoOtherItemHtml(itemData,sendValue){
	var noOtherItemHtml="";
	for(var i = 0, len = itemData.length; i < len; i++){
		var labelValue=itemData[i].name;
		noOtherItemHtml+='<li class="mui-table-view-cell mui-collapse-content choose-item">'+
						'<div class="mui-radio mui-left">'+
							'<label>'+labelValue+'</label>';
		if(sendValue==labelValue){
			noOtherItemHtml+='<input name="oneChoose" value="'+labelValue+'" type="radio" checked>'+
						'</div>'+
					'</li>';
		}else{
			noOtherItemHtml+='<input name="oneChoose" value="'+labelValue+'" type="radio">'+
						'</div>'+
					'</li>';
		}
	}
	return noOtherItemHtml;
}

function getOtherItemHtml(itemData,sendValue){
	var otherItemHtml=getNoOtherItemHtml(itemData,sendValue);
	var otherHtml=""
	if(isExistInItem(sendValue,itemData)){
		otherHtml='<li class="mui-table-view-cell mui-collapse-content choose-item">'+
						'<div class="mui-radio mui-left">'+
							'<label id="otherLabel">其他</label>'+
							'<input name="oneChoose" value="其他" type="radio">'+
						'</div>'+
					'</li>';
	}else{
		
		if(g_utils.isEmpty(sendValue)){
			otherHtml='<li class="mui-table-view-cell mui-collapse-content choose-item">'+
						'<div class="mui-radio mui-left">'+
							'<label id="otherLabel">其他</label>'+
							'<input name="oneChoose" value="其他" type="radio">'+
						'</div>'+
					'</li>';
		}else{
			var placeHolderText = '请输入支付方式';
			if (type == "career"){
				placeHolderText = '请输入职业';
			}
			otherHtml='<li class="mui-table-view-cell mui-collapse-content choose-item">'+
						'<div class="mui-radio mui-left">'+
							'<label id="otherLabel">其他<input id="other" type="text" maxlength="50" placeholder="'+placeHolderText+'" value="'+sendValue+'"/></label>'+
							'<input name="oneChoose" value="其他" type="radio"  checked>'+
						'</div>'+
					'</li>';
		}
	}
	
	otherItemHtml+=otherHtml;
	return otherItemHtml;
}

function isExistInItem(sendValue,itemData){
	var flag=false;
	if(g_utils.isEmpty(sendValue)){
		flag= false;
	}
	for(var i = 0, len = itemData.length; i < len; i++){
		var itemValue=itemData[i].name;
		if(sendValue==itemValue){
			flag=true;
		}
	}
	return flag;
}
