//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/default_portrait_msg.png';

var MAX_UPLOAD_IMG_NUM = 4; //每种类型膳食最多上传4张图片

var chooseDate = document.getElementById("chooseDate");
var breakfastLay = document.getElementById("breakfastLay");
var lunchLay = document.getElementById("lunchLay");
var dinnerLay = document.getElementById("dinnerLay");
var nightLay = document.getElementById("nightLay");
var calendar = document.getElementById('calendar')

var dietList = [],
	breakfastList = [],
	lunchList = [],
	dinnerList = [],
	nightList = [];
var _delImgIds = [];
var BREAKFAST_TYPE = 0; //早餐
var LUNCH_TYPE = 1; //午餐
var DINNER_TYPE = 2; //晚餐
var NIGHT_TYPE = 3; //加餐

var _startTime, _endTime;

var _calendarPage; //日历页面
var chooseTime;

var missionIdArr = '';
var isUpLoad = false;

var _getMissionFlag;
var _entryStr0 = '';
var _entryStr1 = '';
var _entryStr2 = '';
var _entryStr3 = '';
//mui初始化
mui.init();
mui.plusReady(function() {
              
    getCurrentMission();//获取个人当前任务
              
	previewImageInit();
	var now = new Date().getTime(); //获取当前时间毫秒值
	chooseTime = now;
	_startTime = getStartTimeByMills(now),
		_endTime = getEndTimeByMills(now);
	chooseDate.innerHTML = g_utils.dateFormat(now, "yyyy年MM月dd日");

	getDietListByUserId(_startTime, _endTime);
	initPremission();
	initCalendarPlugIn();

	var self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(self.missionIdArr)) {
		missionIdArr = self.missionIdArr;
	}
              
    //接收返回的上传图片
    document.addEventListener('saveDietImg', function(event) {
        //alert(JSON.stringify(event.detail.allContacts));
        var macthContent = event.detail.macthContent;
        var path = event.detail.path;
        var dietType = event.detail.dietType;
        uploadImg(path, dietType,macthContent);
        
    });
});

function previewImageInit() {
	mui.initPhotoSwiper({delImg: true},function(img, gourpNum) {
		//删除图片
		var dietType = gourpNum - 1;
		var srcStr = img.getAttribute('data-preview-src');
		var imgSrcToDelete = srcStr.substring(srcStr.indexOf('getImg?') - 1);
		var parentDiv = getDietTypeDom(dietType).parentDom;
		var dietTypeList = parentDiv.querySelectorAll("[data-preview-group]");
		_delImgIds = [];
		_delImgIds.push(imgSrcToDelete.substring(imgSrcToDelete.indexOf('=') + 1));
		delDietImg(_delImgIds);
		if(dietTypeList.length == MAX_UPLOAD_IMG_NUM - 1) {
			var addImg = document.createElement("img");
			addImg.className = 'mui-media-object mui-pull-left diet-img';
			addImg.src = "img/icon_add.png";		
			addImg.addEventListener('tap', function() {
				addDietImgs(dietType);
			}, false);
			parentDiv.appendChild(addImg);
		}
	});
}
//调用android系统权限
function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}
/**
 * 相机权限
 */
function setPermission(type, dietType) {
	if(plus.os.name == g_config.ANDROID) {
		plus.permissionUtil.setPermission(type, function(result) {
				if(result.ps) {
					if(type == "3") {
						startCapture(dietType);
					}
					if(type == "6") {
						startAlbum(dietType);
					}
				}
			},
			function(erro) {
				alert(erro);
			}
		);
	} else {
		if(type == "3") {
			startCapture(dietType);
		}
		if(type == "6") {
			startAlbum(dietType);
		}
	}
}

function initCalendarPlugIn() {
	var _self = plus.webview.currentWebview();
	document.addEventListener('refreshDietImgs', function(ee) {
		var _delImgIds = ee.detail.delImgIds;
		delDietImg(_delImgIds);
	}, false);

	_calendarPage = g_mui.createWebview('../myCareState/calendar.html', 'calendar', {
		background: "transparent",
		popGesture: 'none',
	}, {
		pageType: 1
	});
	calendar.addEventListener('tap', function() {
		plus.webview.show(_calendarPage, 'slide-in-bottom', 300, function(e) {});
		_self.setStyle({
			mask: 'rgba(0,0,0,0.5)'
		});
	});
	window.addEventListener("changeday", function(event) {
		var returnDateStr = event.detail;
		var view = returnDateStr.view;
		if(view != null) {
			var year = parseInt(view.year);
			var month = parseInt(view.month) + 1;
			var day = parseInt(view.day);
			if(month < 10) {
				month = "0" + month;
			}
			if(day < 10) {
				day = "0" + day;
			}

			//日期
			var dateFormatStr = year + "年" + month + "月" + day + "日";
			chooseDate.innerHTML = dateFormatStr;

			var dateStr = year + "-" + month + "-" + day + " 00:00:00";
			dateStr = dateStr.replace(new RegExp("-", "gm"), "/");
			var chooseMills = (new Date(dateStr)).getTime();
			chooseTime = chooseMills;
			_startTime = getStartTimeByMills(chooseMills);
			_endTime = getEndTimeByMills(chooseMills);

			getDietListByUserId(_startTime, _endTime);
		}

		plus.webview.hide(_calendarPage, 'auto', 300);
		_self.setStyle({
			mask: 'none'
		});
	});
}

//根据某天的毫秒求某天的开始时间
function getStartTimeByMills(mills) {
	var formatDate = g_utils.dateFormat(mills, "yyyy/MM/dd");
	formatDate += " 00:00:00";
	var startTime = (new Date(formatDate)).getTime();
	return startTime;
}

//根据某天的毫秒求某天的结束时间
function getEndTimeByMills(mills) {
	var formatDate = g_utils.dateFormat(mills, "yyyy/MM/dd");
	formatDate += " 23:59:59";
	var endTime = (new Date(formatDate)).getTime();
	return endTime;
}

/*
 * 根据开始结束时间毫秒获取膳食图片列表
 * @param _startTime 开始时间毫秒
 * @param _endTime 结束时间毫秒
 */
function getDietListByUserId(_startTime, _endTime) {
	g_tools.postCMD('getDietListByUserId', {
		startTime: _startTime,
		endTime: _endTime
	}, function(data) {
		if(data.code == 0) {
			dietList = data.data;
			sortSplitDietList();
			refreshDietList();
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, {
		disableWait: true, //禁止显示wait框
		noNetworkMode: g_tools.TIP_MODE_TOAST //！！！！！！！！！重点代码！！！！！！！！！
	});
}

function refreshDietList() {
	setDietImgs(breakfastList, BREAKFAST_TYPE, breakfastLay, 1);
	setDietImgs(lunchList, LUNCH_TYPE, lunchLay, 2);
	setDietImgs(dinnerList, DINNER_TYPE, dinnerLay, 3);
	setDietImgs(nightList, NIGHT_TYPE, nightLay, 4);
	//	g_mui.previewImageInit();
}

function setDietImgs(dietTypeList, dietType, parentDiv, imgsGroupNum) {
	parentDiv.innerHTML = "";
	var addImg = document.createElement("img");
	addImg.className = 'mui-media-object mui-pull-left diet-img';
	addImg.src = "img/icon_add.png";

	addImg.addEventListener('tap', function() {
		addDietImgs(dietType);
	}, false);

	var imgsHtml = "";
	if(dietTypeList && dietTypeList.length > 0) {
		for(var i = 0, len = dietTypeList.length; i < len; i++) {
			var one = dietTypeList[i];
			var imgUrl = one.dietImgUrl;
			var srcUrl = getImgUrl(imgUrl) + "&tb=1";
			var previesSrcUrl = getImgUrl(imgUrl);
			imgsHtml += '<img src="../../global/img/loading.svg" class="mui-media-object mui-pull-left diet-img"' +
				' data-src="' + srcUrl + '"' +
				' onload="load(this)"' +
				' data-preview-src="' + previesSrcUrl + '"' +
				' data-preview-group="' + imgsGroupNum + '"' + '/>';
		}
		parentDiv.innerHTML = imgsHtml;
	} else {
		parentDiv.appendChild(addImg);
	}

	if(dietTypeList.length > 0 && dietTypeList.length < MAX_UPLOAD_IMG_NUM) {
		parentDiv.appendChild(addImg);
	}
}

//html字符串 转成dom对象
function parseDom(arg) {　　
	var objE = document.createElement("div");　　
	objE.innerHTML = arg;　　
	return objE.childNodes;

};

function sortSplitDietList() {
	breakfastList = [];
	lunchList = [];
	dinnerList = [];
	nightList = [];
	for(var i = 0, len = dietList.length; i < len; i++) {
		var diet = dietList[i];
		var type = diet.type;
		switch(type) {
			case BREAKFAST_TYPE:
				breakfastList.push(diet);
				break;
			case LUNCH_TYPE:
				lunchList.push(diet);
				break;
			case DINNER_TYPE:
				dinnerList.push(diet);
				break;
			case NIGHT_TYPE:
				nightList.push(diet);
				break;
			default:
				break;
		}
	}
	breakfastList.sort(compare("uploadTime"));
	lunchList.sort(compare("uploadTime"));
	dinnerList.sort(compare("uploadTime"));
	nightList.sort(compare("uploadTime"));
}

//定义一个比较器
function compare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if(value2 < value1) {
			return 1;
		} else if(value2 > value1) {
			return -1;
		} else {
			return 0;
		}
	}
}

function getImgUrl(img) {
	var imgUrl = DEFAULT_HEAD_IMG;
	if(!g_utils.isEmpty(img)) {
		imgUrl = SERVER_IMG_ADDRESS + img;
	}
	return imgUrl;
}

/*
 * 弹出系统按钮选择框
 */
function addDietImgs(dietType) {
	setPermission("3",dietType);
	//startCapture(dietType);
}

/**
 * 拍照
 */
function startCapture(dietType) {
	if(isUpLoad) {
		g_toast.toast("图片正在上传,请稍后再试")
		return
	}
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
//			var path = entry.fullPath;
//			uploadImg(path, dietType);
            if (!g_utils.isEmpty(_getMissionFlag)){
                if (_getMissionFlag == 0){
                    var path = entry.fullPath;
                    uploadImg(path, dietType,'');
                }
                if (_getMissionFlag == 1){
                    var path = entry.fullPath;
                    var str = '';
                    if (dietType == 0){
                         str = _entryStr0;
                    }
                    if (dietType == 1){
                         str = _entryStr1;
                    }
                    if (dietType == 2){
                         str = _entryStr2;
                    }
                    if (dietType == 3){
                         str = _entryStr3;
                    }
                                          
                    if (g_utils.isEmpty(str)){
                        uploadImg(path, dietType,'');
                    }else{
                        g_mui.openAddEntryForPic({
                            path: path,
                            localUrl: entry.toLocalURL(),
                            dietType: dietType,
                            str:str
                        });
                    }
                    
                }
            }
            
		}, function(e) {});
	}, function(e) {}, {
		filename: "_doc/camera/"
	});
}

/**
 * 从相册里选择
 */
function startAlbum(dietType) {
	plus.gallery.pick(function(path) {
		uploadImg(path, dietType,'');
	}, function(e) {}, {
		filter: "image"
	});
}

// 上传文件
function uploadImg(imgUrl, dietType,macthContent) {
	isUpLoad = true;
	var newImgDom = createUpLoadDom(dietType);
	lrz(imgUrl)
		.then(function(rst) {
			// 处理成功会执行
			var file = rst.file;
			g_tools.postBlobFile("uploadImg", file, function(result) {
				if(result.code == 0) {
					var _imgUrl = result.url;
					g_tools.postCMD('upDietImg', {
						type: dietType,
						dietImgUrl: _imgUrl,
						time: chooseTime,
                        macthContent:macthContent
					}, function(data) {
                                   // alert('upDietImg:'+ JSON.stringify(data));
						if(data.code == 0) {
							isUpLoad = false;
                            
                            g_mui.toast('上传成功');
							//刷新首页积分数据
							var codeArr = ['DM_003', 'PM_008'];
							g_fire.updateAllMission({
								codeArr: JSON.stringify(codeArr)
							});
							g_fire.showToast({
								codeArr: JSON.stringify(codeArr)
							});
							//刷新pm008
//							var webViewPM = plus.webview.getWebviewById(g_module.myCareList.ID + ':mission/pm_008/pm_008_card.html');
//							if(!g_utils.isEmpty(webViewPM)) {
//								mui.fire(webViewPM, 'updateDM008Mission', {});
//							}
							refreshImgDom(newImgDom, _imgUrl);
						} else {
							isUpLoad = false;
							g_mui.toast(data.tip);
						}
					});
				} else {
					isUpLoad = false;
					g_mui.toast(result.tip);
				}
			});
		})
		.catch(function(err) {
			// 处理失败会执行
			isUpLoad = false;
		})
		.always(function() {
			// 不管是成功失败，都会执行
		});
}

function getDietTypeDom(dietType) {
	var parentDom, groupNum;
	switch(dietType) {
		case BREAKFAST_TYPE:
			parentDom = breakfastLay;
			groupNum = 1;
			break;
		case LUNCH_TYPE:
			parentDom = lunchLay;
			groupNum = 2;
			break;
		case DINNER_TYPE:
			parentDom = dinnerLay;
			groupNum = 3;
			break;
		case NIGHT_TYPE:
			parentDom = nightLay;
			groupNum = 4;
			break;
		default:
			break;
	}
	return {
		parentDom: parentDom,
		groupNum: groupNum
	}
}

function createUpLoadDom(dietType) {
	var dietTypeInfo = getDietTypeDom(dietType);
	var dietTypeGroup = dietTypeInfo.groupNum;
	var dietTypeDom = dietTypeInfo.parentDom;
	var imgDomSize = dietTypeDom.querySelectorAll('img');
	var imgSize = imgDomSize.length
	var lastDom = imgDomSize[imgSize - 1]
	var imgDom = document.createElement('img');
	imgDom.classList.add('mui-media-object', 'mui-pull-left', 'diet-img');
	imgDom.setAttribute('src', "../../global/img/loading.svg");
	imgDom.setAttribute('data-preview-group', dietTypeGroup);
	imgDom.onload = load(imgDom);
	if(imgSize < MAX_UPLOAD_IMG_NUM) {
		dietTypeDom.insertBefore(imgDom, lastDom);
	} else {
		dietTypeDom.removeChild(lastDom);
		dietTypeDom.appendChild(imgDom);
	}
	return imgDom;
}

function refreshImgDom(dom, url) {
	dom.setAttribute('data-src', SERVER_IMG_ADDRESS + url + "&tb=1");
	dom.setAttribute('data-preview-src', SERVER_IMG_ADDRESS + url);
	dom.setAttribute('src', SERVER_IMG_ADDRESS + url + "&tb=1");
}

function delDietImg(_delImgIds) {
	g_tools.postCMD("delDietImgs", {
		imgIds: JSON.stringify(_delImgIds)
	}, function(result) {
		if(result.code == 0) {
			//getDietListByUserId(_startTime, _endTime);
		}
	});
}



function getCurrentMission() {
   // g_tools.postCMD('checkDailyMission', {}, function(res) {
        //获取我的今日所有任务
        g_tools.postCMD('getCurrentMissionByUserId', {},
            function(result) {
//                        alert('getCurrentMissionByUserId:'+JSON.stringify(result));
                if(result.code == 0) {

                    if (g_utils.isEmpty(result.data.planMissionList) || result.data.planMissionList.length == 0){
                        _getMissionFlag = 0;
                    }else{
                        _getMissionFlag = 0;
                        var tempArray = result.data.planMissionList;
                        for (var i=0;i<tempArray.length;i++){
                            var item = tempArray[i];
                      //  alert(JSON.stringify(item));
                            if (item.code == 'PM_011'){
                                _getMissionFlag = 1;
                                if (!g_utils.isEmpty(item.parametersData.type_0)){
                                    var tempStr = '';
                                    var tempArr = item.parametersData.type_0.menuArr;
                                    for (j=0;j<tempArr.length;j++){
                                        if (j == tempArr.length-1){
                                            tempStr += tempArr[j].menuName;
                                        }else{
                                            tempStr += tempArr[j].menuName+',';
                                        }
                                    }
                                    _entryStr0 = tempStr;
                                }
                                if (!g_utils.isEmpty(item.parametersData.type_1)){
                                    var tempStr = '';
                                    var tempArr = item.parametersData.type_1.menuArr;
                                    for (j=0;j<tempArr.length;j++){
                                        if (j == tempArr.length-1){
                                            tempStr += tempArr[j].menuName;
                                        }else{
                                            tempStr += tempArr[j].menuName+',';
                                        }
                                    }
                                    _entryStr1 = tempStr;
                                }
                                if (!g_utils.isEmpty(item.parametersData.type_2)){
                                    var tempStr = '';
                                    var tempArr = item.parametersData.type_2.menuArr;
                                    for (j=0;j<tempArr.length;j++){
                                        if (j == tempArr.length-1){
                                            tempStr += tempArr[j].menuName;
                                        }else{
                                            tempStr += tempArr[j].menuName+',';
                                        }
                                    }
                                    _entryStr2 = tempStr;
                                }
                                if (!g_utils.isEmpty(item.parametersData.type_3)){
                                    var tempStr = '';
                                    var tempArr = item.parametersData.type_3.menuArr;
                                    for (j=0;j<tempArr.length;j++){
                                        if (j == tempArr.length-1){
                                            tempStr += tempArr[j].menuName;
                                        }else{
                                            tempStr += tempArr[j].menuName+',';
                                        }
                                    }
                                    _entryStr3 = tempStr;
                                }
                            }
                        }
                    }
                    
                }
            }, g_tools.MODE_WEB_LOCAL_CACHE, {
                disableWait: true //禁止显示wait框
            });
  //  });
}
