//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/default_head.png';
var isModify=false;  //用于判断该界面元素是否发生修改,若修改则需要重新刷新列表元素
//mui初始化
mui.init({
	beforeback: function() {　　　　 
		if(isModify){
			//获得父页面的webview
			var list = plus.webview.currentWebview().opener();　　　　 
			//触发父页面的自定义事件(refreshEvent),从而进行刷新
			mui.fire(list, 'refreshEvent');	
		}
		//返回true,继续页面关闭逻辑
		return true;
	}
});
mui.plusReady(function() {
	//model
	mdata = {
		careMe: {}
	};

	//methods
	mMethods = {};
	mMethods["getCareMeImgUrl"] = getCareMeImgUrl;
	mMethods["getBindStatus"] = getBindStatus;
	mMethods["getCareStatus"] = getCareStatus;
	mMethods["sendMessage"] = sendMessage;
	mMethods["onModifyNote"] = onModifyNote;

	new Vue({
		el: '#main',
		data: mdata,
		methods: mMethods,
	});

	var self = plus.webview.currentWebview();
	mdata.careMe = self.careMe;
	document.addEventListener('sendNote', function(e) {
		mdata.careMe.note = e.detail.note;
		isModify=true;
	}, false);

	g_mui.previewImageInit();
});

function getCareMeImgUrl(headImg) {
	if(g_utils.isEmpty(headImg)) {
		headImg = DEFAULT_HEAD_IMG;
	} else {
		headImg = SERVER_IMG_ADDRESS + headImg+"&tb=1";
	}
	return headImg;
}

function getBindStatus(isBind) {
	return isBind == 0 ? '该用户未绑定伙伙' : '该用户已绑定伙伙';
}

function getCareStatus(isCareEachOther) {
	return isCareEachOther == 0 ? '对方已关爱我' : '相互关爱'
}

function sendMessage(careId,careName,careImgUrl) {
    var userName = g_tools.getUserName();
    var userId = g_tools.getUserId();
    var myHeadImgUrl= g_storage.get(g_storage.DEVICE_USER_HEAD_URL);
   // g_RIM.gotoConversationView(userName,userId,careName, careId, myHeadImgUrl, careImgUrl, function(data) {}, function(err) {});
    g_RIM.startSingleChatByTargetId(careId,webId,function(data) {}, function(err) {});
}

function onModifyNote(careMe) {
	g_mui.openPage(g_module.careMe, 'editNote.html', {
		careMe: careMe
	});
}

function delCareMe(careMeId) {
	g_mui.confirm('删除后，对方将无法查看到任何您的资料和数据，确定要删除吗？', '删除该用户', ['取消', '确定'], function(e) {
		if(e.index == 1) {
			g_tools.postCMD('deleteCareMe', {
				id: careMeId
			}, function(data) {
				if(data.code == 0) {
					//获得父页面的webview
					var list = plus.webview.currentWebview().opener();　　　　 
					//触发父页面的自定义事件(refreshEvent),从而进行刷新
					mui.fire(list, 'refreshEvent');
					g_mui.toast('删除成功');
					setTimeout('mui.back();', 500);
				}else{
					g_mui.toast(data.tip);
				}
			});
		}
	});

}
