var type;
var activateInfo = "";
var personInfo = {}; //缓存的人物信息
//进入实名认证时的3种类型
var TYPE_MY = 0; //自己激活伙伙
var TYPE_NEW_OTHER = 1; //帮助他人时未提交实名认证
var TYPE_OTHER = 2; //帮助他人时提交了实名认证

//model
mdata = {};
mdata['name'] = "";
mdata['identityCard'] = "";
mdata['tip'] = "请输入您的资料，完成实名认证。";

//mMethods
mMethods = {};
mMethods["gotoNextTap"] = gotoNextTap;

//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted: function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			var self = plus.webview.currentWebview();
			type = self.type;
			activateInfo = self.activateInfo;
			var info = g_storage.getActivateStorage(type, activateInfo);

			if(!g_utils.isEmpty(info)) {
				personInfo = JSON.parse(info);;
				if(!g_utils.isEmpty(personInfo.name)) {
					mdata.name = personInfo.name;
				}
				if(!g_utils.isEmpty(personInfo.identityCard)) {
					mdata.identityCard = personInfo.identityCard;
				}
			}
			mdata.tip = getTipTxt();

		});
	}
});

function getTipTxt() {
	if(type == TYPE_MY) {
		return '请输入您的资料，完成实名认证。';
	}
	return '请输入伙伙使用者的资料，完成实名认证。';
}

// 跳转
function gotoNextTap(name, identityCard) {
	if(g_utils.isEmpty(name)) {
		g_mui.alert('真实姓名不能为空！');
	} else if(g_utils.isEmpty(identityCard)) {
		g_mui.alert('身份证号不能为空！');
	} else {
		if(scCard(identityCard)) {
			//先拉取缓存在存入
			var info = g_storage.getActivateStorage(type, activateInfo);
			if(!g_utils.isEmpty(info)) {
				personInfo = JSON.parse(info);
			}
			personInfo['name'] = name;
			personInfo['identityCard'] = identityCard;
			var infoStr = JSON.stringify(personInfo);
			g_storage.setActivateStorage(type, infoStr, activateInfo);
			judgePlatformOpenPage();

		} else {
			g_mui.alert('身份证格式错误！');
		}
	}
}

//根据平台跳转
function judgePlatformOpenPage() {
	g_mui.openPage(g_module.certification, 'selectIDPhoto1.html', {
		type: type,
		activateInfo: activateInfo
	});
}

//验证是否为身份证号码
function scCard(IDCardNum) {
	if(IDCardNum.length != 0) {
		if(!checkCard(IDCardNum)) {
			//alert("身份证号码格式错误");
			return false;
		} else {
			return true;
		}
	}
	return false;
}

//缓存输入的名字
function saveInputName(name) {
	personInfo.name = name;
	var infoStr = JSON.stringify(personInfo);
	g_storage.setActivateStorage(type, infoStr, activateInfo);
}

//缓存输入的身份证号码
function saveInputCard(cardNum) {
	personInfo.identityCard = cardNum;
	var infoStr = JSON.stringify(personInfo);
	g_storage.setActivateStorage(type, infoStr, activateInfo);
}

//function checkidno(obj) { 
var vcity = {
	11: "北京",
	12: "天津",
	13: "河北",
	14: "山西",
	15: "内蒙古",
	21: "辽宁",
	22: "吉林",
	23: "黑龙江",
	31: "上海",
	32: "江苏",
	33: "浙江",
	34: "安徽",
	35: "福建",
	36: "江西",
	37: "山东",
	41: "河南",
	42: "湖北",
	43: "湖南",
	44: "广东",
	45: "广西",
	46: "海南",
	50: "重庆",
	51: "四川",
	52: "贵州",
	53: "云南",
	54: "西藏",
	61: "陕西",
	62: "甘肃",
	63: "青海",
	64: "宁夏",
	65: "新疆",
	71: "台湾",
	81: "香港",
	82: "澳门",
	91: "国外"
};
checkCard = function(obj) {
	//var card = document.getElementById('card_no').value; 
	//是否为空 
	// if(card === '') 
	// { 
	//  return false; 
	//} 
	//校验长度，类型 
	if(isCardNo(obj) === false) {
		return false;
	}
	//检查省份 
	if(checkProvince(obj) === false) {
		return false;
	}
	//校验生日 
	if(checkBirthday(obj) === false) {
		return false;
	}
	//检验位的检测 
	if(checkParity(obj) === false) {
		return false;
	}
	return true;
};
//检查号码是否符合规范，包括长度，类型 
isCardNo = function(obj) {
	//身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X 
	var reg = /(^\d{15}$)|(^\d{17}(\d|X)$)/;
	if(reg.test(obj) === false) {
		return false;
	}
	return true;
};
//取身份证前两位,校验省份 
checkProvince = function(obj) {
	var province = obj.substr(0, 2);
	if(vcity[province] == undefined) {
		return false;
	}
	return true;
};
//检查生日是否正确 
checkBirthday = function(obj) {
	var len = obj.length;
	//身份证15位时，次序为省（3位）市（3位）年（2位）月（2位）日（2位）校验位（3位），皆为数字 
	if(len == '15') {
		var re_fifteen = /^(\d{6})(\d{2})(\d{2})(\d{2})(\d{3})$/;
		var arr_data = obj.match(re_fifteen);
		var year = arr_data[2];
		var month = arr_data[3];
		var day = arr_data[4];
		var birthday = new Date('19' + year + '/' + month + '/' + day);
		return verifyBirthday('19' + year, month, day, birthday);
	}
	//身份证18位时，次序为省（3位）市（3位）年（4位）月（2位）日（2位）校验位（4位），校验位末尾可能为X 
	if(len == '18') {
		var re_eighteen = /^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X)$/;
		var arr_data = obj.match(re_eighteen);
		var year = arr_data[2];
		var month = arr_data[3];
		var day = arr_data[4];
		var birthday = new Date(year + '/' + month + '/' + day);
		return verifyBirthday(year, month, day, birthday);
	}
	return false;
};
//校验日期 
verifyBirthday = function(year, month, day, birthday) {
	var now = new Date();
	var now_year = now.getFullYear();
	//年月日是否合理 
	if(birthday.getFullYear() == year && (birthday.getMonth() + 1) == month && birthday.getDate() == day) {
		//判断年份的范围（3岁到100岁之间) 
		var time = now_year - year;
		if(time >= 0 && time <= 130) {
			return true;
		}
		return false;
	}
	return false;
};
//校验位的检测 
checkParity = function(obj) {
	//15位转18位 
	obj = changeFivteenToEighteen(obj);
	var len = obj.length;
	if(len == '18') {
		var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2);
		var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2');
		var cardTemp = 0,
			i, valnum;
		for(i = 0; i < 17; i++) {
			cardTemp += obj.substr(i, 1) * arrInt[i];
		}
		valnum = arrCh[cardTemp % 11];
		if(valnum == obj.substr(17, 1)) {
			return true;
		}
		return false;
	}
	return false;
};
//15位转18位身份证号 
changeFivteenToEighteen = function(obj) {
	if(obj.length == '15') {
		var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2);
		var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2');
		var cardTemp = 0,
			i;
		obj = obj.substr(0, 6) + '19' + obj.substr(6, obj.length - 6);
		for(i = 0; i < 17; i++) {
			cardTemp += obj.substr(i, 1) * arrInt[i];
		}
		obj += arrCh[cardTemp % 11];
		return obj;
	}
	return obj;
};

///**
// * 根据人物类型取数据
// */
//function getStorage() {
//	if(personType == PERSON_TYPE_OTHER) {
//		return g_storage.get(g_storage.USER_ACTIVATE_INFO_OTHER);
//	} else if(personType == PERSON_TYPE_MY) {
//		return g_storage.get(g_storage.USER_ACTIVATE_INFO_MY);
//	}
//	return null;
//}
///**
// * 根据任务类型存数据
// * @param {Object} value
// */
//function setStorage(value) {
//	if(personType == PERSON_TYPE_OTHER) {
//		g_storage.set(g_storage.USER_ACTIVATE_INFO_OTHER, value);
//	} else if(personType == PERSON_TYPE_MY) {
//		g_storage.set(g_storage.USER_ACTIVATE_INFO_MY, value);
//	}
//}