var _circleId = null;
var _openType = 0;
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var circleInfo = self.circleInfo;
	if(self.openType == 1) {
		_openType = self.openType;
	}
	_circleId = circleInfo.circleId;
	mui.init({
		subpages: [{
			url: 'circleDetaiSub.html', //下拉刷新内容页面地址
			id: g_module.friendCircle.ID + ':circleDetaiSub.html', //内容页面标志
			styles: {
				top: '44px', //mui标题栏默认高度为48px；
				bottom: '45px' //默认为0px，可不定义；
			},
			extras: {
				circleId: _circleId
			},
		}],
		beforeback: function() {
			if(_openType == 1) {
				g_RIM.startGroupChat(circleInfo.chatId, circleInfo.name,"0", self.id);
			}
			//返回true，继续页面关闭逻辑
			return true;
		}
	});
	if(!g_utils.isEmpty(circleInfo.name)) {
		document.getElementById('circleName').innerHTML = circleInfo.name;
	}
	document.getElementById('circleFit').addEventListener('tap', function(event) {
		g_mui.openPage(g_module.friendCircle, 'groupMessage.html', {
			circleId: circleInfo.circleId,
		});
	});
	document.getElementById('chat').addEventListener('tap', function(event) {
		//要大于3个人才能开启群聊
		g_tools.postCMD('getCircleInfo', {
			circleId: _circleId,
		}, function(data) {
			if(data.code == 0) {
				var g_circleInfo = data.data;
				var chatId = g_circleInfo.chatId;
				var memberList = g_circleInfo.members;
				var memberBook = 0;
				var userId = g_tools.getUserId();
				var memberInfoList = new Array();
				for(var k = 0; k < memberList.length; k++) {
					var memberImg = '';
					if(memberList[k].userId == userId) {
						memberBook = 1;
					}
					if(!g_utils.isEmpty(memberList[k].headImg)) {
						memberImg = g_tools.IP_FILE + memberList[k].headImg + "&tb=1";
					}
					var memberInfo = {
						'userId': memberList[k].userId,
						'userName': g_tools.getDisplayName(memberList[k]),
						'headImg': memberImg
					}
					memberInfoList.push(memberInfo);
				}
				g_RIM.refreshUserInfoCache(JSON.stringify(memberInfoList));
				if(memberBook == 0) {
					g_mui.toast("很抱歉，你已被移出该群");
					return
				}
				if(g_circleInfo.members.length > 2) {
					if(!g_utils.isEmpty(chatId)) {
						g_RIM.startGroupChat(chatId, g_circleInfo.name, "0",self.id);
					} else {
						g_tools.postCMD('createImGroup', {
							groupName: g_circleInfo.name,
							circleId: circleInfo.circleId,
							usersInfo: JSON.stringify(getUserInfoBycircleInfo(g_circleInfo.members)),
						}, function(data) {
							if(data.code == 0) {
								var groupInfo = data.data;
								g_RIM.startGroupChat(groupInfo.groupId, groupInfo.groupName, "0",self.id);
							} else {
								g_mui.toast(data.tip);
							}
						}, g_tools.MODE_WEB_LOCAL_CACHE);

					}
				} else {
					g_mui.toast("圈里必须拥有3个人才能开启群聊！")
				}
			}
		});
	});
	document.addEventListener('refreshTitle', function(e) {
		document.getElementById('circleName').innerHTML = event.detail.name;
	});
	document.addEventListener('closeCircleMessage', function(e) {
		var page0 = plus.webview.getWebviewById('friendCircle:groupMessage.html');
		var page1 = plus.webview.getWebviewById('friendCircle:circleDetail.html');
		plus.webview.close(page1);
		plus.webview.close(page0);
	});
});

function getUserInfoBycircleInfo(members) {
	var userInfoList = [];
	for(var i = 0; i < members.length; i++) {
		var userInfo = {};
		userInfo['id'] = members[i].userId;
		userInfo['img'] = members[i].headImg;
		userInfo['name'] = members[i].nickname;
		userInfoList.push(userInfo);
	}
	return userInfoList;
}
//Java原生调用，扩展用，不要删
function openInfo(theId, type1, title) {

}
//Java原生调用，扩展用，不要删
function chatClose() {

}