var _self, _circleId, _chatId;
var deletMember = document.getElementById('delet-member');
var delectId = new Array();
var delectName = new Array();
var memberList;
mui.init();
mui.plusReady(function() {
	init();
});

function init() {
	_self = plus.webview.currentWebview();
	_circleId = _self.circleId;
	mui('.mui-scroll-wrapper').scroll();
	var parameters = {
		circleId: _circleId
	}
	g_tools.postCMD('getCircleInfo', parameters,
		function(circleMessage) {
			if(circleMessage.code == 0) {
				_chatId = circleMessage.data.chatId;
				showMemberList(circleMessage.data);
			}
		},
		g_tools.MODE_WEB
	);
}

function showMemberList(circleMessage) {
	//<li class="mui-table-view-cell mui-checkbox mui-left member-item">
	//	<input name="checkbox" type="checkbox" value="1">
	//	<img id="circle-photo" class="item-photo" src="img/default_portrait_msg.png" onload="load(this)" />
	//	<font class="item-name">王二小</font>
	//</li>
	memberList = circleMessage.members;
	var parent = document.querySelector('.item-content');
	var length = memberList.length;
	if(length == 0 || length == undefined || length == null) {
		return
	}
	for(var i = 0; i < length; i++) {
		if(memberList[i].userId == g_tools.getUserId()) {
			continue
		}
		var li = document.createElement('li');
		li.className = 'member-item';
		li.classList.add('mui-table-view-cell');
		li.classList.add('mui-checkbox');
		li.classList.add('mui-left');

		li.setAttribute('deletId', memberList[i].userId);
		var img, name;
		if(!g_utils.isEmpty(memberList[i].headImg)) {
			img = g_tools.IP_FILE + memberList[i].headImg + '&tb=1';
		}
		if(!g_utils.isEmpty(memberList[i].nickname)) {
			name = memberList[i].nickname;
		} else {
			name = memberList[i].name;
		}
		li.setAttribute('delName', name);
		var str = '<input name="checkbox" type="checkbox" value="' + i + '">' +
			'<img id="circle-photo" class="item-photo" src="img/default_portrait_msg.png" data-src="' + img + '" onload="load(this)"/>' +
			'<font class="item-name">' + name + '</font>'
		li.innerHTML = str;
		parent.appendChild(li);
	}
	var imgDom = document.querySelectorAll('img');
	mui.each(imgDom, function(index, item) {
		item.onload();
	})
	addDeletButton();
}

function addDeletButton() {
	deletMember.addEventListener('tap', function() {
		delectId = [];
		delectName = [];
		var checkList = document.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < checkList.length; i++) {
			if(checkList[i].checked) {
				var delet = checkList[i].parentNode.getAttribute('deletId');
				var name = checkList[i].parentNode.getAttribute('delName');
				delectId.push(delet);
				delectName.push(name);
			}
		}
		if(delectId.length == 0) {
			mui.toast('请选择需要删除的成员', {
				duration: 'short'
			});
		} else {
			var loading;
			var btnArray = ['否', '是'];
			var nameString = "是否将";
			for(var k = 0;k<delectName.length;k++){
				if(k == 3){
					nameString +="等"+delectName.length+"人移出圈子？";
					break;
				}
				if(k == 0){
					nameString += delectName[k];
				}else{
					nameString += "、"+delectName[k];
				}				
			}
			if(delectName.length < 4){
				nameString += "移出圈子？"
			}
			mui.confirm(nameString, "温馨提示", btnArray, function(e) {
				if(e.index == 1) {
					//确认删除
					loading = plus.nativeUI.showWaiting('删除中，请稍候……', {
						loading: {
							display: 'inline'
						},
						modal: false
					});
					var parameters = {
						circleId: _circleId,
						operatorUserId:g_tools.getUserId(),
						operation:4,
						memberIdList: JSON.stringify(delectId),
						memberNameList:JSON.stringify(delectName)
					}
					g_tools.postCMD('delCircleMember', parameters,
						function(deletResult) {
							if(deletResult.code == 0) {
								loading.close();
								mui.toast('删除成功', {
									duration: 'short'
								});
								//刷新圈资料
								mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':groupMessage.html'), 'refreshPage', {});
								//刷新圈列表
								mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':friendSubList.html'), 'circleListRefresh', {});
								//刷新圈排行
								mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':circleDetaiSub.html'), 'rankInfoRefresh', {});
								//发出推送
								mui.back();
							} else {
								loading.close();
								mui.toast('删除失败', {
									duration: 'short'
								});
								//删除失败
							}
						},
						g_tools.MODE_WEB
					);
				} else {}
			});
		}
	});
}
//document.getElementById("ppp").addEventListener("tap", function() {
//	idString = new Array();
//	msgString = new Array();
//	var checkList = document.querySelectorAll('[type="checkbox"]');
//	for(var i = 0; i < checkList.length; i++) {
//		if(checkList[i].checked) {
//			var delet = checkList[i].parentNode.getAttribute('deletId');
//			var name = checkList[i].parentNode.getAttribute('delName');
//			idString.push(delet)
//			msgString.push(name)
//		}
//	}
//	var str = "";
//	var str2 = ""
//	for(var j = 0; j < msgString.length; j++) {
//		if(j == 0) {
//			str += msgString[j];
//			str2 += idString[j];
//		} else {
//			str2 += ',' + idString[j];
//			str += '、' + msgString[j];
//		}
//	}
//	str += "已被群主移出该群";
//	g_RIM.sendQuiteGroupNoticeMsg(_chatId, str2, str, function(res) {}, function(err) {})
//});