var kind, imgUrl, name, circleId, declaration, _self;
var EDIT_NAME = 0;
var EDIT_DECLARATION = 1;
var value;
var title = document.getElementById('edit-title');
var kindText = document.getElementById('type-kind');
var nameInput = document.getElementById('name-input');
var declarationInput = document.getElementById('declaration-input');
var saveButton = document.getElementById('save-button');
mui.init();
mui.plusReady(function() {
	init();
});

function init() {
	_self = plus.webview.currentWebview();
	kind = _self.type;
	imgUrl = _self.imgUrl;
	name = _self.name;
	declaration = _self.declaration;
	circleId = _self.circleId;
	if(kind == EDIT_NAME) {
		title.innerHTML = "圈名称";
		kindText.innerHTML = "圈名称";
		nameInput.value = name;
		declarationInput.classList.add('type-hide');
		saveButton.classList.remove('type-hide');
	} else if(kind == EDIT_DECLARATION) {
		title.innerHTML = "圈宣言";
		kindText.innerHTML = "圈宣言";
		declarationInput.value = declaration;
		nameInput.classList.add('type-hide');
		saveButton.classList.remove('type-hide');
	}
}
saveButton.addEventListener('tap', function() {
	if(kind == EDIT_NAME) {
		name = nameInput.value;
		value = name;
		if(name == null || name == undefined || name == '') {
			g_mui.alert("请输入圈名称");
			return
        }else{
            if (name.length > 10){
                g_mui.alert('输入圈名称不能超过10个字');
                return;
            }
        }
	} else if(kind == EDIT_DECLARATION) {
		declaration = declarationInput.value;
		value = declaration;
		if(declaration == null || declaration == undefined || declaration == '') {
			g_mui.alert("请输入圈宣言");
			return
        }else{
            if (declaration.length > 50){
                g_mui.alert('输入圈宣言不能超过50个字');
                return;
            }
        }
	}
	var parameters = {
		circleId: circleId,
		imgUrl: imgUrl,
		name: name,
		declaration: declaration
	}
	var loading = plus.nativeUI.showWaiting("正在保存...", {
		loading: {
			display: 'inline'
		},
		modal: false
	});
	g_tools.postCMD('modifyCircleInfo', parameters,
		function(result) {
			if(result.code == 0) {
				loading.close();
				mui.toast('修改成功', {
					duration: 'short'
				});
				mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':groupMessage.html'), 'editCircle', {
					type: kind,
					result: value
				});
				mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':circleDetail.html'), 'refreshTitle', {
					name: name
				});
				mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':friendSubList.html'), 'circleListRefresh', {});
				mui.back();
			} else {
				loading.close();
				mui.toast('修改失败', {
					duration: 'short'
				});
				//do something
			}
		},
		g_tools.MODE_WEB
	);
});
