var selectedContacts = []; //已选择过的联系人列表
var circleMembersPhone = [];

//mui初始化
mui.init();
mui.plusReady(function() {
	getParam();
	var addBtn = document.getElementById('addBtn'); //导入按钮
	var inputNum = document.getElementById('inputNum'); //导入按钮
    var userName = g_tools.getUserName();
              
	addBtn.addEventListener('tap', function() {
        if (g_utils.isEmpty(inputNum.value)){
             mui.alert("请输入对方手机号码");
        }
        else if (inputNum.value == userName){
            mui.alert("您已经是圈成员了");
        }
        else if(g_utils.validateMobile(inputNum.value)) { //输入内容不为空,且号码为手机格式
			var isRepetition = false;
			for(var i = 0; i < selectedContacts.length; i++) {
				if(selectedContacts[i].phone == inputNum.value) {
					isRepetition = true;
				}
			}
			var isInCircle = false;
            for(var i = 0; i < circleMembersPhone.length; i++) {
                if(circleMembersPhone[i] == inputNum.value) {
                    isInCircle = true;
                }
            }
			if(isRepetition) {
				mui.alert("该号码已在邀请列表中");
			}else if(isInCircle) {
                mui.alert("该号码已在该伙伴圈中");
            } 
			else {
				var phoneList = [];
				phoneList.push(inputNum.value);
				var loading = plus.nativeUI.showWaiting('', {
					loading: {
						display: 'inline'
					},
					modal: false
				});
				g_tools.postCMD("getUserNameStatusList", {
					userName: JSON.stringify(phoneList)
				}, function(result) {
					if(!g_utils.isEmpty(loading)) loading.close();
					if(result.code == 0) {
						var resultList = result.data;
						var nameStr = inputNum.value;
						if(!g_utils.isEmpty(resultList[0].nickname)) {
							nameStr = resultList[0].nickname;
						}
                        var nickname="";
                        if (!g_utils.isEmpty(resultList[0].nickname)){
                            nickname=resultList[0].nickname;
                        }
						var newContact = {
							name: nameStr,
							phone: inputNum.value,
							isExist: resultList[0].isExist,
							headImg: resultList[0].headImg,
                            nickname:nickname,
                            userId:resultList[0].userId
						}
						selectedContacts.push(newContact);
						var nList = plus.webview.currentWebview().opener();
						mui.fire(nList, 'exportContacts', {
							allContacts: selectedContacts
						});
						setTimeout('mui.back();', 500);
					} else {
						g_mui.toast(result.tip);
					}
				}, g_tools.MODE_WEB_LOCAL_CACHE, {
					noNetworkMode: g_tools.TIP_MODE_TOAST
				});
			}
		}
        else
        {
            mui.alert("手机号码格式错误，请输入正确的手机号码号码");
        }

	}, false);
});

/**
 * 获得上个页面传入的参数
 */
function getParam() {
	var self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(self)) {
		if(!g_utils.isEmpty(self.selectedContacts)) {
			selectedContacts = self.selectedContacts;
		}
	    if(!g_utils.isEmpty(self.circleMembersPhone_Str)) {
            circleMembersPhone = self.circleMembersPhone_Str.split(",");
        }
	}
}
