var currentPage = 0;
var PAGE_SIZE = 5;

var groupIndex = 0;

//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = 'img/default_portrait_msg.png';

var nullPage = document.getElementById("nullPage");
var refreshContainer = document.getElementById("refreshContainer");
var dynamicLay = document.getElementById('dynamicLay');

//dom
var memberGroupId = document.getElementById('memberGroupId');
var valuationId = document.getElementById('valuationId');
var planId = document.getElementById('planId');
var implementationId = document.getElementById('implementationId');
var annexId = document.getElementById('annexId');
var inspectionId = document.getElementById('inspectionId');

var _tempPlanIdList = new Array();

var VULUATION_TYPE = 0;
var PLAN_TYPE = 1;
var IMPLEMENTATION_TYPE = 2;
var REPORT_TYPE = 3;
//var typeList = ["早餐", "午餐", "晚餐"];
//var keySort = ["PM_001", "PM_003", "PM_002", "PM_006", "PM_008", "PM_009", "PM_007", "PM_005", "PM_004"]
//var planTemplate = {
//	"PM_001": {
//		title: "步行计划",
//		description: function(item) {
//			return "每日步行达到" + item.limit + "步";
//		}
//	},
//	"PM_002": {
//		title: "服药计划",
//		description: function(item) {
//			return item.drug + "：" + "每次剂量" + item.amount + item.unit + "；" + item.day + "天" + item.count + "次";
//		}
//	},
//	"PM_003": {
//		title: "测量计划",
//		description: function(item) {
//			return item.typeName + "：" + item.day + "天" + item.count + "次";
//		}
//	},
//	"PM_004": {
//		title: "健康习惯计划",
//		description: function(item) {
//			return item.titles;
//		}
//	},
//	"PM_005": {
//		title: "主动运动计划",
//		description: function(item) {
//			return item.typeName + "：" + item.min + "分钟";
//		}
//	},
//	"PM_006": {
//		icon: "icon-shuimian",
//		title: "睡眠计划",
//		description: function(item) {
//			return "最晚入睡时间" + item.timeStr + "；" + "睡眠持续时间" + item.hour + "小时";
//		}
//	},
//	"PM_007": {
//		title: "辅助训练计划",
//		description: function(item) {
//			return item.type + "：" + "运动时长" + item.min + "分钟；" + item.day + "天" + item.count + "次"
//		}
//	},
//	"PM_008": {
//		title: "健康饮食计划",
//		description: function(item) {
//			var str = ""
//			for(var i = 0; i < 3; i++) {
//				var key = "type_" + i
//				if(!g_utils.isEmpty(item[key])) {
//					str += '【' + typeList[i] + '】' + item[key].content + "</br>"
//				}
//			}
//			return str + "【需上传饮食照片】"
//		}
//	},
//	"PM_009": {
//		title: "健康饮食计划",
//		description: function(item) {
//			var str = ""
//			for(var i = 0; i < 3; i++) {
//				var key = "content" + i
//				if(!g_utils.isEmpty(item[key])) {
//					str += '【' + typeList[i] + '】' + item[key] + "</br>"
//				}
//			}
//			str = str.substr(0, str.length - 5);
//			return str
//		}
//	}
//}
var isInitialization = false;
//mui初始化
mui.init({
	pullRefresh: {
		container: '#refreshContainer',
		down: {
			//下拉成功回调函数
			callback: pullfreshDown
		},
		up: {
			//上拉成功回调函数
			contentrefresh: '正在加载...',
			callback: pullfreshUp
		}
	}
});
mui.plusReady(function() {
	//隐藏掉滚动条
	plus.webview.currentWebview().setStyle({
		scrollIndicator: 'none'
	});
	initPreview();
	//用于刷新计划列表，后面功能调用触发
	window.addEventListener('refreshPage', function(e) {
		if(!isInitialization){
			isInitialization = true;
			initDynamicList();
		}else{
			pullfreshDown();
		}		
	}, false);
	initDoms();
	mui.fire(plus.webview.getWebviewById('index'),"subPageReady",{});
});

function initPreview() {
	mui.initPhotoSwiper({},function(e){})
}

function initDoms() {
	//-----------------------------------------
	//管理团队
	memberGroupId.addEventListener('tap', function(event) {
		g_mui.openModule(g_module.healthGroup);
	}, false);

	//-----------------------------------------
	//健康评估
	valuationId.addEventListener('tap', function(event) {
		g_mui.openModule(g_module.healthyValuation);
	}, false);

	//-----------------------------------------
	//健康计划
	planId.addEventListener('tap', function(event) {
		g_mui.openModule(g_module.healthPlan);
	}, false);

	//-----------------------------------------
	//实施记录
	implementationId.addEventListener('tap', function(event) {
		g_mui.openModule(g_module.implementationRecord);
	}, false);

	//-----------------------------------------
	//健康档案
	annexId.addEventListener('tap', function(event) {
		g_mui.openModule(g_module.healthRecords);
	}, false);

	//-----------------------------------------
	//检查报告
	inspectionId.addEventListener('tap', function(event) {
		g_mui.openModule(g_module.healthReport);
	}, false);
}

function initDynamicList() {
	var userId = g_tools.getUserId();
	g_tools.postCMD('getUserDoctorDynamicList', {
		currentPage: currentPage,
		pageSize: PAGE_SIZE
	}, function(data) {
		if(data.code == 0) {
			var dynamicList = data.data;
			initRefreshDynamicList(dynamicList);
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, { //！！！！！！！！！重点代码！！！！！！！！！
		disableWait: true, //禁止显示wait框
		noNetworkMode: g_tools.TIP_MODE_TOAST //！！！！！！！！！重点代码！！！！！！！！！
	});
}

function pullfreshDown() {
	setTimeout(function() {
		getDownRefreshDynamicList();
	}, 500);
}

function pullfreshUp() {
	setTimeout(function() {
		getUpRefreshDynamicList();
	}, 500);
}

function initRefreshDynamicList(dynamicList) {
	if(dynamicList && dynamicList.length != 0) {
		nullPage.classList.add('mui-hidden');
		dynamicLay.classList.remove('mui-hidden');
		downRefresh(dynamicList);
		mui('#refreshContainer').pullRefresh().setStopped(false); //开启禁止滚动
	} else {
		nullPage.classList.remove('mui-hidden');
		//		dynamicLay.classList.add('mui-hidden');
		mui('#refreshContainer').pullRefresh().setStopped(true); //暂时禁止滚动
	}
}

function getDownRefreshDynamicList() {
	currentPage = 0;
	g_tools.postCMD('getUserDoctorDynamicList', {
		currentPage: currentPage,
		pageSize: PAGE_SIZE
	}, function(data) {
		if(data.code == 0) {
			var dynamicList = data.data;
			if(dynamicList && dynamicList.length != 0) { //不为空
				initRefreshDynamicList(dynamicList);
			}

			//结束下拉刷新
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			//重置上拉加载
			mui('#refreshContainer').pullRefresh().refresh(true);
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, {
		disableWait: true, //禁止显示wait框
		noNetworkMode: g_tools.TIP_MODE_TOAST //！！！！！！！！！重点代码！！！！！！！！！
	});
}

function getUpRefreshDynamicList() {
	currentPage++; //页面增1
	g_tools.postCMD('getUserDoctorDynamicList', {
		currentPage: currentPage,
		pageSize: PAGE_SIZE
	}, function(data) {
		if(data.code == 0) {
			var dynamicList = data.data;
			if(dynamicList && dynamicList.length != 0) { //不为空
				upRefresh(dynamicList);
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
			} else {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
			}
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, {
		disableWait: true, //禁止显示wait框
		noNetworkMode: g_tools.TIP_MODE_TOAST //！！！！！！！！！重点代码！！！！！！！！！
	});
}

function downRefresh(dynamicList) {
	dynamicLay.innerHTML = "";
    _tempPlanIdList = new Array();
	for(var i = 0, len = dynamicList.length; i < len; i++) {
		var dynamic = dynamicList[i];
		refreshOneDynamic(dynamic, i);
	}
    updatePlanStatus();
}

function upRefresh(dynamicList) {
	for(var i = 0, len = dynamicList.length; i < len; i++) {
		var dynamic = dynamicList[i];
		refreshOneDynamic(dynamic, i);
	}
    updatePlanStatus();
}

function refreshOneDynamic(dynamic, index) {
	var dynamicUl;
	if(!g_utils.isEmpty(dynamic.dynamicType)) {
		if(dynamic.dynamicType == VULUATION_TYPE) { //健康评估
			dynamicUl = getValuationUl(dynamic);
			dynamicLay.appendChild(dynamicUl);
		} else if(dynamic.dynamicType == PLAN_TYPE) { //健康计划
			dynamicUl = getPlanUl(dynamic);
			dynamicLay.appendChild(dynamicUl);
		} else if(dynamic.dynamicType == IMPLEMENTATION_TYPE) { //实施记录
			groupIndex += index;
			dynamicUl = getImplementationUl(dynamic, groupIndex);
			dynamicLay.appendChild(dynamicUl);

		} else if(dynamic.dynamicType == REPORT_TYPE) { //检查报告
			groupIndex += index;
			dynamicUl = getReportUl(dynamic, groupIndex);
			dynamicLay.appendChild(dynamicUl);
		}
	}
}

function getValuationUl(dynamic) {
	var creatDate = "";
	var creatMemberName = "";

	if(!g_utils.isEmpty(dynamic.dynamicCreatTime)) {
		creatDate = " " + g_printTools.printDateAndTimeStrByTimeMillis(dynamic.dynamicCreatTime);
	}
	if(!g_utils.isEmpty(dynamic.dynamicCreatMemberName)) {
		creatMemberName = dynamic.dynamicCreatMemberName;
	}

	var ul = document.createElement('ul');
	ul.className = "mui-table-view dynamic_item";
	var liOne = document.createElement('li');
	liOne.className = "mui-table-view-cell mui-collapse-content mui-media";
	liOne.innerHTML = '<img class="mui-media-object mui-pull-left" src="img/valuation_icon.png">' +
		'<div class="mui-media-body">' +
		'<span class="dynamic_title">健康评估</span>' +
		'<div class="dynamic_name_time mui-pull-right">' +
		'<span>' + creatMemberName + '</span>' +
		'<span>' + creatDate + '</span>' +
		'</div></div>';
	ul.appendChild(liOne);
	if(dynamic.dynamicInfo && !g_utils.isEmptyObjectArray(dynamic.dynamicInfo)) {
		var valuationInfo = dynamic.dynamicInfo;
		var valuationId = valuationInfo.id;
		var _valueResultWordsArr = valuationInfo.valueResultWordsArr;
		var _valueResultDoctor = valuationInfo.valueResultDoctor;
		var _healthyAdviceWordsArr = valuationInfo.healthyAdviceWordsArr;
		var _healthyAdviceDoctor = valuationInfo.healthyAdviceDoctor;
		var valuationStr = "";
		var adviceStr = "";
		if(!g_utils.isEmptyArray(_valueResultWordsArr)) {
			valuationStr = getCategoryName(_valueResultWordsArr);
			if(!g_utils.isEmpty(_valueResultDoctor)) {
				valuationStr += "<br/>" + _valueResultDoctor;
			}
		} else {
			if(!g_utils.isEmpty(_valueResultDoctor))
				valuationStr = _valueResultDoctor;
		}

		if(!g_utils.isEmptyArray(_healthyAdviceWordsArr)) {
			adviceStr = getCategoryName(_healthyAdviceWordsArr);
			if(!g_utils.isEmpty(_healthyAdviceDoctor)) {
				adviceStr += "<br/>" + _healthyAdviceDoctor;
			}
		} else {
			if(!g_utils.isEmpty(_healthyAdviceDoctor))
				adviceStr = __healthyAdviceDoctor;
		}

		var liTwo = document.createElement('li');
		liTwo.className = "mui-table-view-cell mui-collapse-content no-bottom-border";
		var valuationHtml = '<div class="dynamic_article paddingTop0">' +
			//'<div class="dynamic-title">评估结果</div>' +
			'<div class="content-container">' +
			'<div class="dynamic-text mui-ellipsis-3">' + valuationStr.replace(/\n/g,'<br>') + '</div>' +
			'</div></div>';
//		var adviceHtml = "";
//		if(!g_utils.isEmpty(adviceStr)) {
//			adviceHtml = '<div class="dynamic_article">' +
//				'<div class="dynamic-title">健康方案</div>' +
//				'<div class="content-container">' +
//				'<div class="dynamic-text mui-ellipsis-3">' + adviceStr + '</div>' +
//				'</div></div>';
//		}
		//liTwo.innerHTML = valuationHtml + adviceHtml;
        liTwo.innerHTML = valuationHtml;
		ul.appendChild(liTwo);
		
		var liThree = document.createElement('div');
		liThree.className = "cell-end";
		liThree.innerHTML = '<div class="cell-end">查看更多<div class="right-triangle"></div></div>';
		ul.appendChild(liThree);
		
		ul.addEventListener('tap', function(event) {
			onTapValuationDetail(valuationId);
		}, false);
	}

	return ul;
}

function getPlanUl(dynamic) {
	var creatDate = "";
	var creatMemberName = "";

	if(!g_utils.isEmpty(dynamic.dynamicCreatTime)) {
		creatDate = " " + g_printTools.printDateAndTimeStrByTimeMillis(dynamic.dynamicCreatTime);
	}
	if(!g_utils.isEmpty(dynamic.dynamicCreatMemberName)) {
		creatMemberName = dynamic.dynamicCreatMemberName;
	}

	var ul = document.createElement('ul');
	ul.className = "mui-table-view dynamic_item";
	var liOne = document.createElement('li');
	liOne.className = "mui-table-view-cell mui-collapse-content mui-media";
	liOne.innerHTML = '<img class="mui-media-object mui-pull-left" src="img/plan_icon.png">' +
		'<div class="mui-media-body">' +
		'<span class="dynamic_title">健康计划</span>' +
		'<div class="dynamic_name_time mui-pull-right">' +
		'<span>' + creatMemberName + '</span>' +
		'<span>' + creatDate + '</span>' +
		'</div></div>';
	ul.appendChild(liOne);
	if(dynamic.dynamicInfo && !g_utils.isEmptyObjectArray(dynamic.dynamicInfo)) {
		var planInfo = dynamic.dynamicInfo;
		var planId = planInfo.id;
        _tempPlanIdList.push(planId);
		var startTime = planInfo.startTime;
		var endTime = planInfo.endTime;
		
		var targetContent = '';
		var assessResult = '';
		var status = -1;
		if (!g_utils.isEmpty(planInfo.targetContent)){
			targetContent = planInfo.targetContent;
		}
		if (!g_utils.isEmpty(planInfo.assessResult)){
			assessResult = planInfo.assessResult;
		}
		if (!g_utils.isEmpty(planInfo.status)){
			status = planInfo.status;
		}
		
		var _planMissionAbstract = planInfo.planMissionAbstract;
		var cycleDate = "";
		var dayStr = "";
		if(!g_utils.isEmpty(startTime) && !g_utils.isEmpty(endTime)) {
			cycleDate = g_utils.dateFormat(startTime, "yyyy.MM.dd") + "-" + g_utils.dateFormat(endTime, "yyyy.MM.dd");
			var firstDate = g_utils.dateFormat(startTime, "yyyy/MM/dd");
			var secondDate = g_utils.dateFormat(endTime, "yyyy/MM/dd");
			var dayNum = getDifferDate(firstDate, secondDate) + 1;
			dayStr = " (" + dayNum + "天)";
		}
		var planContents = "";
		var liTwo = document.createElement('li');
		liTwo.className = "mui-table-view-cell mui-collapse-content no-bottom-border";
		var str = '<div class="dynamic_article paddingTop0">' +
			'<div class="dynamic-title">管理目标</div>' +
			'<div class="content-container">' +
		//	'<div class="dynamic-text mui-ellipsis-3">' + cycleDate + dayStr + '</div>' +
		// TODO  管理目标、
			'<div class="dynamic-text mui-ellipsis-3">' +
				'<div>现阶段主要针对' + targetContent + '进行干预管理，管理时间周期为' + cycleDate + '。</div>' +
				//'<div>管理周期：' + cycleDate + '</div>'+
			'</div>' +
			
			'</div></div>';

	    //TODO 评估要点、状态
//	    str += 	'<div class="dynamic_article">'+
//	    				'<div class="dynamic-title">评估要点</div>' +
//					'<div class="content-container">' +
//						'<div class="dynamic-text mui-ellipsis-3">' + assessResult.replace(/\n/g,'<br>') + '</div>' +
//					'</div>'+
//				'</div>';
		var statusStr = '';
		if (status == 0){
			statusStr = '未开始';
		}else if (status == 1){
			statusStr = '进行中';
		}else if (status == 2){
			statusStr = '已结束';
		}else if (status == 3){
			statusStr = '提前结束';
		}
		str += 	'<div class="dynamic_article">'+
	    				'<div class="dynamic-title">计划状态</div>' +
					'<div class="content-container">' +
						'<div id="status_' + planId + '" class="dynamic-text mui-ellipsis-3">' + statusStr + '</div>' +
					'</div>'+
				'</div>';
//		if(!g_utils.isEmptyArray(_planMissionAbstract)) {
//			var gourpArr = {
//				"PM_001": [],
//				"PM_002": [],
//				"PM_003": [],
//				"PM_004": [],
//				"PM_005": [],
//				"PM_006": [],
//				"PM_007": [],
//				"PM_008": [],
//				"PM_009": []
//			}
//			for(var j = 0; j < _planMissionAbstract.length; j++) {
//				var planItem = _planMissionAbstract[j];
//				gourpArr[planItem.code].push(planItem);
//			}
//			for(var k = 0; k < keySort.length; k++) {
//				var key = keySort[k];
//				var dataList = gourpArr[key];
//				var template = planTemplate[key];
//				var planContents = "";
//				for(var i = 0; i < dataList.length; i++) {
//					var planContent = template.description(dataList[i].parametersData);
//					if(i < dataList.length - 1) {
//						planContents += planContent + "</br>";
//					} else {
//						planContents += planContent;
//					}
//				}
//				if(!g_utils.isEmpty(planContents)) {
//					str += '<div class="dynamic-title">' + template.title + '</div>' +
//						'<div class="content-container">' +
//						'<div class="dynamic-text mui-ellipsis-3">' + planContents + '</div>' +
//						'</div></div>';
//				}
//			}
//		}
		liTwo.innerHTML = str;
		ul.appendChild(liTwo);
		
		var liThree = document.createElement('div');
		liThree.className = "cell-end";
		liThree.innerHTML = '<div class="cell-end">查看更多<div class="right-triangle"></div></div>';
		ul.appendChild(liThree);
		
		ul.addEventListener('tap', function(event) {
			onTapPlanDetail(planId, startTime, endTime);
		});
	}
	return ul;
}

function getImplementationUl(dynamic, groupIndex) {
	var creatDate = "";
	var creatMemberName = "";

	if(!g_utils.isEmpty(dynamic.dynamicCreatTime)) {
		creatDate = " " + g_printTools.printDateAndTimeStrByTimeMillis(dynamic.dynamicCreatTime);
	}
	if(!g_utils.isEmpty(dynamic.dynamicCreatMemberName)) {
		creatMemberName = dynamic.dynamicCreatMemberName;
	}

	var ul = document.createElement('ul');
	ul.className = "mui-table-view dynamic_item";
	var liOne = document.createElement('li');
	liOne.className = "mui-table-view-cell mui-collapse-content mui-media";
	liOne.innerHTML = '<img class="mui-media-object mui-pull-left" src="img/implementation_icon.png">' +
		'<div class="mui-media-body">' +
		'<span class="dynamic_title">实施记录</span>' +
		'<div class="dynamic_name_time mui-pull-right">' +
		'<span>' + creatMemberName + '</span>' +
		'<span>' + creatDate + '</span>' +
		'</div></div>';
	ul.appendChild(liOne);
	if(dynamic.dynamicInfo && !g_utils.isEmptyObjectArray(dynamic.dynamicInfo)) {
		var implementationInfo = dynamic.dynamicInfo;
		var implementationId = implementationInfo.id;
		var _content = implementationInfo.content;
		var _recordImgs = implementationInfo.recordImgs;
		var recordImgsHtml = getRecordImgsHtml(_recordImgs, groupIndex);
		var liTwo = document.createElement('li');
		liTwo.className = "mui-table-view-cell mui-collapse-content";
		liTwo.innerHTML = '<div class="dynamic-text mui-ellipsis-3">' + _content + '</div>' +
			'<ul class="mui-table-view mui-grid-view report-imgs">' + recordImgsHtml + '</ul>';
		ul.appendChild(liTwo);
		/*ul.addEventListener('tap', function(event) {
			onTapImplementationDetail(implementationId);
		});		*/
	}
	return ul;
}

function getReportUl(dynamic, groupIndex) {
	var creatDate = "";
	var creatMemberName = "";
	var appFlag;
	if(!g_utils.isEmpty(dynamic.dynamicCreatTime)) {
		creatDate = " " + g_printTools.printDateAndTimeStrByTimeMillis(dynamic.dynamicCreatTime);
	}
	if(!g_utils.isEmpty(dynamic.dynamicCreatMemberName)) {
		creatMemberName = dynamic.dynamicCreatMemberName;
	}
	if(!g_utils.isEmpty(dynamic.dynamicCreatMemberId)) {
		appFlag = 1;
	}

	var ul = document.createElement('ul');
	ul.className = "mui-table-view dynamic_item";
	var liOne = document.createElement('li');
	liOne.className = "mui-table-view-cell mui-collapse-content mui-media";
	liOne.innerHTML = '<img class="mui-media-object mui-pull-left" src="img/inspection_icon.png">' +
		'<div class="mui-media-body">' +
		'<span class="dynamic_title">检查报告</span>' +
		'<div class="dynamic_name_time mui-pull-right">' +
		'<span>' + creatMemberName + '</span>' +
		'<span>' + creatDate + '</span>' +
		'</div></div>';

	ul.appendChild(liOne);
	if(dynamic.dynamicInfo && !g_utils.isEmptyObjectArray(dynamic.dynamicInfo)) {
		var reportInfo = dynamic.dynamicInfo;
		var reportId = reportInfo.id;
		var _title = "";
		var _content = "";
		if(!g_utils.isEmpty(reportInfo.title)) {
			_title = reportInfo.title;
		}

		if(!g_utils.isEmpty(reportInfo.content)) {
			_content = reportInfo.content;
		}
		var reportImgsHtml = "";
		var _reportImgs = reportInfo.reportImgs;

		if(_reportImgs && _reportImgs.length != 0) {
			reportImgsHtml = getReportImgsHtml(_reportImgs, groupIndex, appFlag);
		}
		var liTwo = document.createElement('li');
		liTwo.className = "mui-table-view-cell mui-collapse-content";
		liTwo.innerHTML = '<div class="reportTitle">' + _title + '</div>' +
			'<div class="dynamic-text mui-ellipsis-3">' + _content + '</div>' +
			'<ul class="mui-table-view mui-grid-view report-imgs">' + reportImgsHtml + '</ul>';
		ul.appendChild(liTwo);
		/*ul.addEventListener('tap', function(event) {
			onTapReportDetail(reportId);
		});		*/
	}
	return ul;
}

function getRecordImgsHtml(recordImgs, groupIndex) {
	var recordImgsHtml = "";
	for(var i = 0, len = recordImgs.length; i < len; i++) {
		var recordImg = recordImgs[i];
		var srcUrl = getImgUrl(recordImg) + "&tb=1&app=2";
		var previesSrcUrl = getImgUrl(recordImg) + "&app=2";
		recordImgsHtml += '<li class="mui-table-view-cell mui-media mui-col-xs-4 report-img-item">' +
			'<img class="report-img" src="../../global/img/loading.svg" ' +
			' data-src="' + srcUrl + '"' +
			' data-preview-src="' + previesSrcUrl + '"' +
			' onload="load(this)"' +
			' data-preview-group="' + groupIndex + '"/>' +
			'</li>'
	}
	return recordImgsHtml;
}

function getReportImgsHtml(reportImgs, groupIndex, appFlag) {
	var reportImgsHtml = "";
	var imgSrcAdd = "";
	if(appFlag){
		imgSrcAdd = "&app=" + appFlag
	}
	for(var i = 0, len = reportImgs.length; i < len; i++) {
		var reportImg = reportImgs[i];
		var srcUrl = getImgUrl(reportImg) + "&tb=1" + imgSrcAdd;
		var previesSrcUrl = getImgUrl(reportImg) + imgSrcAdd;
		reportImgsHtml += '<li class="mui-table-view-cell mui-media mui-col-xs-4 report-img-item">' +
			'<img class="report-img" src="../../global/img/loading.svg" ' +
			' data-src="' + srcUrl + '"' +
			' data-preview-src="' + previesSrcUrl + '"' +
			' onload="load(this)"' +
			' data-preview-group="' + groupIndex + '"/>' +
			'</li>'
	}
	return reportImgsHtml;
}

function getCategoryName(wordsArr) {
	var wordsNames = "";
	for(var i = 0, len = wordsArr.length; i < len; i++) {
		var word = wordsArr[i];
		wordsNames += word.name + "、";
	}

	return wordsNames.substring(0, wordsNames.length - 1); //去掉最后的顿号
}

/**
 * 跳转到健康评估详情页面
 * @param {Object} valuationId 健康评估Id
 */
function onTapValuationDetail(valuationId) {
	g_mui.openPage(g_module.healthyValuation, '../healthyValuation/valuationDetails.html', {
		valuationId: valuationId,
	});
}

/**
 * 跳转到健康计划详情页面
 * @param {Object} valuationId 健康计划Id
 */
function onTapPlanDetail(_planId, _startTime, _endTime) {
	g_mui.openPage(g_module.healthPlan, '../healthPlan/planDetail.html', {
		planId: _planId,
		startTime: _startTime,
		endTime: _endTime
	});
}

/**
 * 跳转到实施记录详情页面
 * @param {Object} valuationId 实施记录Id
 */
function onTapImplementationDetail(implementationId) {

}

//获取两个日期的相差日期数
function getDifferDate(firstDate, secondDate) {
	//1)将两个日期字符串转化为日期对象
	var startDate = new Date(firstDate);
	var endDate = new Date(secondDate);
	//2)计算两个日期相差的毫秒数
	var msecNum = endDate.getTime() - startDate.getTime();
	//3)计算两个日期相差的天数
	var format = parseFloat(24 * 60 * 60 * 1000);
	var dayNum = Math.floor(msecNum / format);
	return dayNum;
}

function getImgUrl(img) {
	var imgUrl = DEFAULT_HEAD_IMG;
	if(!g_utils.isEmpty(img)) {
		imgUrl = SERVER_IMG_ADDRESS + img;
	}
	return imgUrl;
}

                        
function updatePlanStatus() {
    var userId = g_tools.getUserId();
    if(_tempPlanIdList.length > 0) {
        g_tools.postCMD("getPlanListByUserId", {
            userId: userId,
            currentPage: currentPage,
            pageSize: PAGE_SIZE
        }, function(res) {
            if(res.code == 0) {
                var itemList = res.data;
                for (var i = 0; i < itemList.length; i++){
                    for (var j = 0; j< _tempPlanIdList.length; j++){
                        if (itemList[i].id == _tempPlanIdList[j]){
                            var dom = document.getElementById('status_' + _tempPlanIdList[j]);
                            var status = itemList[i].status;
                            var statusStr = '';
                            if (status == 0){
                                statusStr = '未开始';
                            }else if (status == 1){
                                statusStr = '进行中';
                            }else if (status == 2){
                                statusStr = '已结束';
                            }else if (status == 3){
                                if (!g_utils.isEmpty(itemList[i].endTime)){
                                    statusStr = g_printTools.printDateStr(itemList[i].endTime,'yyyy.MM.dd') + '提前结束';
                                }else{
                                    statusStr = '提前结束';
                                }
                            }
                            dom.innerHTML = statusStr;
                        }
                    }
                    
                }
            }
        });
    }
}
