//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/doctor_default.png';
var inviteList, inviteDoctorInfo, newestPlan;
var nullPage = document.getElementById("nullPage");
var intervationLay = document.getElementById("intervationLay");
var intervationListLay = document.getElementById("intervationListLay");
var haveLinkLay = document.getElementById("haveLinkLay");

var doctorInfo = document.getElementById("doctorInfo");
var doctorImg = document.getElementById("doctorImg");
var doctorName = document.getElementById("doctorName");
var doctorDepart = document.getElementById("doctorDepart");
var doctorLevel = document.getElementById("doctorLevel");
var doctorUnit = document.getElementById("doctorUnit");

var doctorIntroduce = document.getElementById("doctorIntroduce");

var noPlanLay = document.getElementById("noPlanLay");
var havePlanLay = document.getElementById("havePlanLay");
var newPlanLay = document.getElementById("newPlanLay");

var cycleTime = document.getElementById("cycleTime");
var reportNum = document.getElementById("reportNum");
var historyPlanItem = document.getElementById("historyPlanItem");
var reportListLay = document.getElementById("reportListLay");
var noReportLay = document.getElementById("noReportLay");
var haveReportLay = document.getElementById("haveReportLay");
var refuseBtn = document.getElementById("refuseBtn");
var agreeBtn = document.getElementById("agreeBtn");
var swiperPagination = document.getElementById("swiperPagination");

var AGREE_INVIST_STATUS = 1;
var IGNORE_INVIST_STATUS = 2;
var mySwiper;
var _newPlanId;
//mui初始化
mui.plusReady(function() {
	window.addEventListener('refreshPage', function(e) { //执行刷新
		console.log('HealthManager')
		getInvitedDoctorInfo();
	});
	getInvitedDoctorInfo();
	//	document.getElementById("healthGroup").addEventListener("tap",function(){
	//		g_mui.openModule(g_module.healthGroup,{
	//			
	//		});
	//	});
	//	document.getElementById("healthPlan").addEventListener("tap",function(){
	//		g_mui.openModule(g_module.healthPlan,{
	//			
	//		});
	//	});
});

//获取用户已签约的医生信息
function getInvitedDoctorInfo() {
	g_tools.postCMD('getInvitedDoctorInfo', {}, function(data) {
		if(data.code == 0) {
			inviteDoctorInfo = data.data;
			//			console.log(JSON.stringify(inviteDoctorInfo));
			if(g_utils.isEmptyObject(inviteDoctorInfo)) { //无签约医生信息，则看是否有医生发出过邀请
				getDoctorNoHandleInvitationList();
			} else { //有签约医生的信息
				//是否处理完邀请
				var isNotDoneInvation = false;
				mui.fire(plus.webview.getWebviewById(g_module.index.ID), "setDoctorInviteIcon", {
					isNotDoneInvation: isNotDoneInvation
				})
				nullPage.classList.add('mui-hidden');
				intervationLay.classList.add('mui-hidden');
				haveLinkLay.classList.remove('mui-hidden');
				refreshDoctorinfo();
				getPlanStatusNumsByUserId();

				//刷新聊天中医生信息
				var userInfoList = [];
				var doctorImg = g_tools.CHAT_DOCTOR_DEFAULT;
				var doctorName = '医生';
				var doctorId = inviteDoctorInfo.doctorId;
				g_storage.set(g_storage.DEVICE_DOCTOR_ID, doctorId);
				if(!g_utils.isEmpty(inviteDoctorInfo.headImg)) {
					doctorImg = g_tools.IP_FILE + inviteDoctorInfo.headImg + "&tb=1&app=2";
				}
				if(!g_utils.isEmpty(inviteDoctorInfo.name)) {
					doctorName = inviteDoctorInfo.name;
				}
				var doctor = {
					'userId': doctorId,
					'userName': doctorName,
					'headImg': doctorImg
				}
				userInfoList.push(doctor);
				g_RIM.refreshUserInfoCache(JSON.stringify(userInfoList));
			}

		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, {
		disableWait: true, //禁止显示wait框
		noNetworkMode: g_tools.TIP_MODE_TOAST //！！！！！！！！！重点代码！！！！！！！！！
	});
}

function refreshDoctorinfo() {
	if(!g_utils.isEmpty(inviteDoctorInfo.headImg)) {
		doctorImg.src = getImgUrl(inviteDoctorInfo.headImg);
	}
	if(!g_utils.isEmpty(inviteDoctorInfo.name)) {
		doctorName.innerHTML = inviteDoctorInfo.name;
	}
	if(!g_utils.isEmpty(inviteDoctorInfo.departMent)) {
		doctorDepart.innerText = inviteDoctorInfo.departMent;
	}
	if(!g_utils.isEmpty(inviteDoctorInfo.titleLevel)) {
		doctorLevel.innerText = inviteDoctorInfo.titleLevel;
	}

	if(!g_utils.isEmpty(inviteDoctorInfo.unit)) {
		doctorUnit.innerHTML = inviteDoctorInfo.unit;
	}
	if(!g_utils.isEmpty(inviteDoctorInfo.introduce)) {
		doctorIntroduce.innerHTML = inviteDoctorInfo.introduce;
	}
	doctorInfo.removeEventListener('tap', openDoctorProfile, false);
	doctorInfo.addEventListener('tap', openDoctorProfile, false);
}

function openDoctorProfile() {
	g_mui.openPage(g_module.healthManage, 'doctorProfile.html', {
		doctorInfo: inviteDoctorInfo
	});
}

function getDoctorNoHandleInvitationList() {
	g_tools.postCMD('getDoctorNoHandleInvitationList', {}, function(data) {
		if(data.code == 0) {
			interventionList = data.data;
			var isNotDoneInvation = true;
			//			console.log(JSON.stringify(interventionList));
			if(interventionList && interventionList.length > 0) { //如果有未处理邀请
				if(interventionList.length == 1) {
					swiperPagination.classList.add('mui-hidden');
				} else {
					swiperPagination.classList.remove('mui-hidden');
				}
				isNotDoneInvation = true;
				nullPage.classList.add('mui-hidden');
				intervationLay.classList.remove('mui-hidden');
				haveLinkLay.classList.add('mui-hidden');
				refreshInvitationList();
			} else { //没有邀请则显示空值页面
				isNotDoneInvation = false;
				nullPage.classList.remove('mui-hidden');
				intervationLay.classList.add('mui-hidden');
				haveLinkLay.classList.add('mui-hidden');
			}
			mui.fire(plus.webview.getWebviewById(g_module.index.ID), "setDoctorInviteIcon", {
				isNotDoneInvation: isNotDoneInvation
			})
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

function refreshInvitationList() {
	intervationListLay.innerHTML = "";
	intervationListLay.innerHTML = getInvitationListHtml();
	mySwiper = new Swiper('.swiper-container', {
		pagination: '.swiper-pagination',
		paginationClickable: true
	});
	refuseBtn.removeEventListener('tap', refuseInvitationStatus, false);
	refuseBtn.addEventListener('tap', refuseInvitationStatus, false);
	agreeBtn.removeEventListener('tap', agreeInvitationStatus, false);
	agreeBtn.addEventListener('tap', agreeInvitationStatus, false);
}

function refuseInvitationStatus() {
	var chooseIndex = mySwiper.activeIndex;
	setLinkInvitationStatus(interventionList[chooseIndex].linkId, IGNORE_INVIST_STATUS);
}

function agreeInvitationStatus() {
	var chooseIndex = mySwiper.activeIndex;
	setLinkInvitationStatus(interventionList[chooseIndex].linkId, AGREE_INVIST_STATUS);
	if(interventionList.length > 1) {
		interventionList.remove(chooseIndex);
		for(var i = 0, len = interventionList.length; i < len; i++) {
			setLinkInvitationStatus(interventionList[i].linkId, IGNORE_INVIST_STATUS);
		}
	}
}

function setLinkInvitationStatus(_linkId, _inviteStatus) {
	g_tools.postCMD('setLinkInvitationStatus', {
		linkId: _linkId,
		inviteStatus: _inviteStatus
	}, function(data) {
		if(data.code == 0) {
			getInvitedDoctorInfo();
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

function getInvitationListHtml() {
	var invitationListHtml = "";
	for(var i = 0, len = interventionList.length; i < len; i++) {
		var intervention = interventionList[i];
		//		console.log(JSON.stringify(intervention));
		var doctorName = "无",
			unit = "无",
			departMent = "无",
			titleLevel = "无",
			introduce = "无";
		if(!g_utils.isEmpty(intervention.doctorName)) {
			doctorName = intervention.doctorName;
		}
		if(!g_utils.isEmpty(intervention.unit)) {
			unit = intervention.unit;
		}
		if(!g_utils.isEmpty(intervention.departMent)) {
			departMent = intervention.departMent;
		}
		if(!g_utils.isEmpty(intervention.titleLevel)) {
			titleLevel = intervention.titleLevel;
		}
		if(!g_utils.isEmpty(intervention.introduce)) {
			introduce = intervention.introduce;
		}

		invitationListHtml += '<div class="swiper-slide">' +
			'<div class="intervation-title">签约邀请</br> 是否同意该医生的邀请</div>' +
			'<img class="doctorImg" src="' + getImgUrl(intervention.doctorImg) + '" />' +
			'<div class="doctorName">' + doctorName + '</div>' +
			'<div class="doctorUnit">' + unit + '</div>' +
			'<div class="doctorRow">' +
			'<div class="doctorLabel">' + departMent + '</div>' +
			'<div class="doctorLabel left5">' + titleLevel + '</div>' +
			'</div>' +
			'<div class="doctorIntroduce">' + introduce + '</div>' +
			'</div>';
	}
	//	console.log(invitationListHtml);
	return invitationListHtml;
}

function getPlanStatusNumsByUserId() {
	g_tools.postCMD('getPlanStatusNumsByUserId', {}, function(data) {
		if(data.code == 0) {
			var planNumInfo = data.data;
			var totalNum = planNumInfo.totalNum;
			if(totalNum == 0) { //为0，则没有制定计划
				noPlanLay.classList.remove('mui-hidden');
				noReportLay.classList.remove('mui-hidden');
				havePlanLay.classList.add('mui-hidden');
				haveReportLay.classList.add('mui-hidden');
			} else {
				noPlanLay.classList.add('mui-hidden');
				havePlanLay.classList.remove('mui-hidden');

				if(totalNum == 1) { //只有一条计划不显示历史计划
					historyPlanItem.classList.add('mui-hidden');
				} else { //大于一条计划
					historyPlanItem.classList.remove('mui-hidden');
					historyPlanItem.removeEventListener('tap', openInterventionPlan, false);
					historyPlanItem.addEventListener('tap', openInterventionPlan, false);
				}
				getNewestPlan();
			}
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

function openInterventionPlan() {
	g_mui.openPage(g_module.healthManage, 'interventionPlan.html');
}

function getNewestPlan() {
	g_tools.postCMD('getNewestPlan', {}, function(data) {
		if(data.code == 0) {
			newestPlan = data.data;
			refreshNewPlan();
			getReportListByPlanId();
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

function refreshNewPlan() {
	var startTime, endTime;
	if(!g_utils.isEmpty(newestPlan.startTime)) {
		startTime = g_utils.dateFormat(newestPlan.startTime, "yyyy.MM.dd");
	}
	if(!g_utils.isEmpty(newestPlan.endTime)) {
		endTime = "-" + g_utils.dateFormat(newestPlan.endTime, "yyyy.MM.dd");
	}
	cycleTime.innerHTML = startTime + endTime;

	/*if(newestPlan.linkReportsId && newestPlan.linkReportsId.length != 0) {
		reportNum.innerHTML = newestPlan.linkReportsId.length;
	}*/

	if(!g_utils.isEmpty(newestPlan.id)) {
		_newPlanId = newestPlan.id;
		newPlanLay.removeEventListener('tap', openPlanDetails, false);
		newPlanLay.addEventListener('tap', openPlanDetails, false);
	}

}

function openPlanDetails() {
	g_mui.openPage(g_module.healthManage, 'planDetails.html', {
		planId: _newPlanId
	});
}

function getReportListByPlanId() {
	g_tools.postCMD('getReportListByPlanId', {
		planId: newestPlan.id
	}, function(data) {
		if(data.code == 0) {
			var reportList = data.data;
			refreshReportList(reportList);
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

function refreshReportList(reportList) {
	if(reportList && reportList.length != 0) {
		reportNum.innerHTML = reportList.length;
		noReportLay.classList.add('mui-hidden');
		haveReportLay.classList.remove('mui-hidden');
		haveReportLay.innerHTML = ""; //清空
		for(var i = 0, len = reportList.length; i < len; i++) {
			var reportItem = reportList[i];
			var reportLi = getReportLi(reportItem);
			haveReportLay.appendChild(reportLi);
		}
	} else {
		haveReportLay.classList.add('mui-hidden');
		noReportLay.classList.remove('mui-hidden');
	}
}

function getReportLi(reportItem) {
	var startTime = reportItem.startTime;
	var endTime = reportItem.endTime;
	var _reportId = reportItem.reportId;
	var timeTitle = g_printTools.printDateStrByTimeMillis(startTime) + " 至 " + g_printTools.printDateStrByTimeMillis(endTime);
	var reportLi = document.createElement('li');
	reportLi.className = 'mui-table-view-cell mui-collapse-content';
	reportLi.innerHTML = '<a class="mui-navigate-right">' + timeTitle + '</a>';
	reportLi.setAttribute("reportId", _reportId);
	reportLi.removeEventListener('tap', openHealthDetail, false);
	reportLi.addEventListener('tap', openHealthDetail, false);
	return reportLi;
}

function openHealthDetail() {
	var _reportId = this.getAttribute('reportId');
	g_mui.openPage(g_module.healthManage, 'healthDetail.html', {
		reportId: _reportId
	});
}

function getImgUrl(img) {
	var imgUrl = DEFAULT_HEAD_IMG;
	if(!g_utils.isEmpty(img)) {
		imgUrl = SERVER_IMG_ADDRESS + img + "&tb=1&app=2";
	}
	return imgUrl;
}

/** 
 *删除数组指定下标 
 */
Array.prototype.remove = function(index) {
	for(var i = 0; i < this.length; i++) {
		var temp = this[i];
		if(!isNaN(index)) {
			temp = i;
		}
		if(temp == index) {
			for(var j = i; j < this.length; j++) {
				this[j] = this[j + 1];
			}
			this.length = this.length - 1;
		}
	}
}