var healthProperty = healthProperty || {
	property: [{
		name: "脉搏",
		unit: "次",
		normalValue: [60, 100],
	}, {
		name: "血氧",
		unit: "%",
		normalValue: [93, 100],
	}, {
		name: "血糖",
		unit: "mmol/L",
		normalValue: [4, 7],
	}, {
		name: null,
		normalValue:[62, 120]
	}, {
		name: null,
		normalValue: [120, 140],
	}, {
		name: "体重",
		unit: "kg",
		normalValue: [46, 60],
	}, {
		name: "体温",
		unit: "℃",
		normalValue: [36, 37.5],
	}, {
		name: "血压",
		unit: "mmHg",
		normalValue:null
	}],
	getHealthAll: function(type) {
		return healthProperty.property[type];
	},
	getHealthName: function(type) {
		return healthProperty.property[type].name;
	},
	getHealthImg: function(type) {
		//省略
	},
	getHealthUnit: function(type) {
		return healthProperty.property[type].unit;
	},
	getnormalValue: function(type) {
		return healthProperty.property[type].normalValue;
	},
	getHealthOthers: function(type) {
		//省略
	}
}