var _goodsData;

mui.plusReady(function() {
              
    g_mui.previewImageInit();
              
    getParam();
    getGoodsInfoByGoodsId();
});

function getParam(){
    var self = plus.webview.currentWebview();
    if(!g_utils.isEmpty(self)) {
        if(!g_utils.isEmpty(self.data)) {
            _goodsData = self.data;
        }
    }
}

function initView(item){
    //刷新主图
    var itemPreviewImage = item.previewImageArr[0];
    var mainImgDom = document.getElementById('mainImg');
    mainImgDom.src =  g_tools.IP_FILE + itemPreviewImage;
    mainImgDom.setAttribute('data-preview-src', g_tools.IP_FILE + itemPreviewImage);
    mainImgDom.setAttribute('data-preview-group', 1);
    
    //添加商品价格
    var itemPrice = '';
    if (!g_utils.isEmpty(item.pointsUse) && item.pointsUse != 0){
        if (!g_utils.isEmpty(item.pointsPrice) && item.pointsPrice != 0){
            itemPrice = item.pointsUse + '积分 + ' + item.pointsPrice + '元';
        }else{
            itemPrice = item.pointsUse + '积分';
        }
    }else{
        itemPrice = item.price + '元';
    }
    var priceDom = document.getElementById('price');
    priceDom.innerHTML = itemPrice;
    
    if (!g_utils.isEmpty(item.price) && !g_utils.isEmpty(item.pointsUse)){
        var otherPriceDom = document.getElementById('otherPrice');
        otherPriceDom.innerHTML = '原价'+item.price;
    }
    
    //添加商品名
    var nameDom = document.getElementById('goodsName');
    nameDom.innerHTML = item.name;
    
    //添加商品介绍
    if (!g_utils.isEmpty(item.details)){
        var detailsDom = document.getElementById('goodsDetails');
        detailsDom.innerHTML = item.details;
    }
    
    //添加图组
    var itemIntroImageArr = item.introImageArr;
    var grayLineDom = document.getElementById('grayLine');
    var imgListDom = document.getElementById('imgList');
    //根据itemIntroImageArr判断是否隐藏灰条
    if (!g_utils.isEmpty(itemIntroImageArr) && itemIntroImageArr.length > 0){
        grayLineDom.className = 'gray-line';
        imgListDom.className = 'img-parents';
    }else{
        grayLineDom.className = 'mui-hidden';
        imgListDom.className = 'mui-hidden';
    }
    //添加介绍图
    if (!g_utils.isEmpty(itemIntroImageArr)){
        for (var i=0;i<itemIntroImageArr.length;i++){
            var imgDom = document.createElement("img");
            imgDom.src = g_tools.IP_FILE + itemIntroImageArr[i];
            imgDom.className = 'goods-image';
            imgDom.setAttribute('data-preview-src', g_tools.IP_FILE + itemIntroImageArr[i]);
            imgDom.setAttribute('data-preview-group', 2);
            imgListDom.appendChild(imgDom);
        }
    }
}


function getGoodsInfoByGoodsId(){
    g_tools.postCMD('getGoodsInfoByGoodsId', {
        goodsId:_goodsData.id
    }, function(res) {
        if(res.code == 0) {
            initView(res.data);
        }
    }, g_tools.MODE_WEB_LOCAL_CACHE);
}


function addTestData(){
    _goodsData = {
        "id": "asdh121h1k23h1231",
        "previewImageArr": ["/getImg?imgId=57ecc7be695fa84a53ded010", ""],
        "name": "神仙丹",
        "price": "16.6",
        "pointsUse": 300,
        "pointsPrice": "15",
        "details": "测试介绍",
        "introImageArr": ["/getImg?imgId=57ecc7be695fa84a53ded010", "/getImg?imgId=57ecc7be695fa84a53ded010"]
    };
}
