var PAGE_STEP = 20; //刷新步长
var PAGE_READY = false;
var tabelList = document.querySelector(".mui-table-view");
//var currentPoints=document.getElementById('currentPoints');
var healthPointsBills, nowPage = 0;

mui.plusReady(function() {
	getHealthPointsBills(0, g_tools.MODE_WEB_LOCAL_CACHE, {
		disableWait: true
	});	
});
//获取健康币明细
function getHealthPointsBills(currentPage, mode, timeOutHanding) {
	g_tools.postCMD('healthPoints/getHealthPointsBills', {
		currentPage: currentPage,
		pageSize: PAGE_STEP
	}, function(res) {
		if(res.code == 0) {
			//积分总计
			//currentPoints.innerHTML=res.data.currentPoints;
			
			//积分明细
			var data = res.data.healthPointsBills;
			if(!PAGE_READY) {
				healthPointsBills = data;
				init();
				PAGE_READY = true;
			} else {
				setTimeout(function() {
					if(currentPage == 0) {
						healthPointsBills = data;
						resetList();
						//结束下拉刷新
						mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
						//重置上拉加载
						mui('#pullrefresh').pullRefresh().refresh(true);
					} else {
						
						//上拉加载
						addList(data);
					}
				}, 100);
			}
		}
	}, mode, timeOutHanding);
}
//初始化下拉刷新
function init() {
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				//下拉成功回调函数
				callback: pullDownRefresh
			},
			up: {
				//上拉成功回调函数
				contentrefresh: '正在加载...',
				contentnomore: '没有更多数据了',
				callback: pullUpRefresh
			}
		}
	});
	resetList();
}
//重置表单
function resetList() {
	for(var i=tabelList.children.length-1;i>=0;i--){
		if(i>=1) tabelList.removeChild(tabelList.children[i]);
	}
	//检查是否没有记录
	if(!g_utils.isEmptyArray(healthPointsBills)) {
		document.getElementById('noBillsItemTip').classList.add('mui-hidden');
		mui.each(healthPointsBills, function(index, item) {
			appendListItem(index, item);
		});
	} else {
		document.getElementById('noBillsItemTip').classList.remove('mui-hidden');
		//显示空值界面
	}
}
//添加表单
function addList(data) {
	//没有更多数据
	if(!g_utils.isEmptyArray(data)) {
		var start = healthPointsBills.length;
		var dataLength = data.length;
		for(var i = 0; i < dataLength; i++) {
			healthPointsBills.push(data[i]);
			appendListItem(start + i, data[i]);
		}
	}
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(data.length != PAGE_STEP);
}
//下拉刷新
function pullDownRefresh() {
	nowPage = 0;
	setTimeout(function(){
		getHealthPointsBills(0, g_tools.MODE_WEB_LOCAL_CACHE, {
			disableWait: true
		});
	}, 500);
}
//上拉加载
function pullUpRefresh() {
	nowPage++;
	getHealthPointsBills(nowPage, g_tools.MODE_WEB_LOCAL_CACHE, {
		disableWait: true
	});
}
//添加列表子项
function appendListItem(index, item) {
	var li = document.createElement("li");
	var itemSummary = item.summary;
	var itemTitle = item.title;
	var itemCreateTime = item.createTime;
	var itemAmount = item.amount;
	var itemOutIn = item.outIn;
	var itemNumber = item.number;
	var color, str;
	li.className = "mui-table-view-cell mui-collapse-content";
	li.setAttribute("index", index);
	itemCreateTime = g_utils.dateFormat(itemCreateTime, "yyyy-MM-dd HH:mm");
	if(itemOutIn == 1) {
		itemAmount = "+" + itemAmount;
		color = "amount-earning";
	} else if(itemOutIn == 0) {
		itemAmount = "-" + itemAmount;
		color = "amount-expense";
	}
	str = '<div class="box">' +
		'<div class="font-style-one">' + itemTitle + '</div>' +
		'<div class="font-style-two style-one mui-hidden">【' + itemTitle + '】</div>' +
		'<div class="font-style-two">' + itemCreateTime + '</div>' +
		'</div><div class="num ' + color + '">' + itemAmount + '</div>'
	li.innerHTML = str;
	tabelList.appendChild(li);
	addTapEvent(li);  //暂时取消点击事件
}
//添加点击事件
function addTapEvent(dom) {
	dom.addEventListener('tap', function() {
		
	});
}

