var profitAndLossDom = document.getElementById("profitAndLoss");
var listTypeDom = document.getElementById("listType");
var createTimeDom = document.getElementById("createTime");
var serialNumberDom = document.getElementById("serialNumber");
var aboutDom = document.getElementById("about");
mui.init();
mui.plusReady(function(){
	init();
});
function init(){
	var _self = plus.webview.currentWebview();
	var listInfo = _self.data;
	if(!g_utils.isEmpty(listInfo)){
		showListDetail(listInfo);
	}
}
function showListDetail(listInfo){
	var listRemark = listInfo.remark;
	var listTitle = listInfo.title;
	var listMoney = listInfo.money;
	var listType = listInfo.type;
	var listCreateTime = listInfo.createTime;
	var listNumber = listInfo.number;
	var color;
	if(listType == 0){
		listMoney = "+"+listMoney;
		color = "money-earning";
	}else if(listType == 1){
		listMoney = "-"+listMoney;
		color = "money-expense";
	}
	listCreateTime = g_utils.dateFormat(listCreateTime,"yyyy-MM-dd HH:mm:ss");
	profitAndLossDom.innerHTML = listMoney;
	profitAndLossDom.classList.add(color);
	listTypeDom.innerHTML = listTitle;
	createTimeDom.innerHTML = listCreateTime;
	serialNumberDom.innerHTML = listNumber;
	aboutDom.innerHTML = listRemark;
}
