var _doctorUserInfo, _valuationId;
var valuationInfo = {};
var _planMissionData = {};
var _isReady = false;

var healthDataId = document.getElementById('healthDataId');
var healthDataStatisticsId = document.getElementById('healthDataStatisticsId');
var healthDataArrowId = document.getElementById('healthDataArrowId');
var isHaveAdd = document.getElementById('isHaveAdd');

var healthAdviceId = document.getElementById('healthAdviceId');
var valuationResultLay = document.getElementById('valuationResultLay');
var adviceLay = document.getElementById('adviceLay');

mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	_doctorUserInfo = self.doctorUserInfo;
	_valuationId = self.valuationId;

	//隐藏掉滚动条
	plus.webview.currentWebview().setStyle({
		scrollIndicator: 'none'
	});
	document.addEventListener('refreshValuationDetail', function(e) {
		getValuationInfoById();
	}, false);
	getValuationInfoById();

});

/*
 * 获取健康评估信息
 */
function getValuationInfoById() {
	var parameters = {};
	addParameter('id', _valuationId, parameters);
	g_tools.postCMD("getHealthyValuationInfoById", parameters, function(result) {
		if(result.code == 0) {
                  //  alert(JSON.stringify(result.data));
			valuationInfo = result.data;
			refreshValuationInfo();
		}
	}, g_tools.MODE_CACHE_THEN_WEB_LOCAL, {
		disableWait: true, //禁止显示wait框
		noNetworkMode: g_tools.TIP_MODE_TOAST //！！！！！！！！！重点代码！！！！！！！！！
	});
}

function refreshValuationInfo() {
	valuationResultLay.innerHTML = "";
	adviceLay.innerHTML = "";
	if(!g_utils.isEmptyArray(valuationInfo.healthyAdviceWordsArr)) {
		healthAdviceId.classList.remove('mui-hidden');
		var valueResultWordsLi = getWordsArrLi(valuationInfo.healthyAdviceWordsArr);
		adviceLay.appendChild(valueResultWordsLi);
	}else{
		healthAdviceId.classList.add('mui-hidden');
	}
	if(!g_utils.isEmpty(valuationInfo.valueResultDoctor)) {
		var valueResultDoctorLi = getDoctorContentLi(valuationInfo.valueResultDoctor);
		valuationResultLay.appendChild(valueResultDoctorLi);
	}

//	if(g_utils.isEmptyArray(valuationInfo.healthyAdviceWordsArr) && g_utils.isEmpty(valuationInfo.healthyAdviceDoctor)) {
//		healthAdviceId.classList.add('mui-hidden');
//	} else {
//		healthAdviceId.classList.remove('mui-hidden');
//		if(!g_utils.isEmptyArray(valuationInfo.healthyAdviceWordsArr)) {
//			var healthyAdviceWordsArrLi = getWordsArrLi(valuationInfo.healthyAdviceWordsArr);
//			adviceLay.appendChild(healthyAdviceWordsArrLi);
//		}
//		if(!g_utils.isEmpty(valuationInfo.healthyAdviceDoctor)) {
//			var healthyAdviceDoctorLi = getDoctorContentLi(valuationInfo.healthyAdviceDoctor);
//			adviceLay.appendChild(healthyAdviceDoctorLi);
//		}
//	}

//	if(valuationInfo.planMissionData && !g_utils.isEmptyObjectArray(valuationInfo.planMissionData)) {
//		healthDataId.classList.remove('mui-hidden');
//		_planMissionData = valuationInfo.planMissionData;
//
//		//健康计划相关数据统计item点击监听
//		healthDataStatisticsId.removeEventListener('tap', intoPlanMissionData, false);
//		healthDataStatisticsId.addEventListener('tap', intoPlanMissionData, false);
//	} else {
//		healthDataId.classList.remove('mui-hidden');
//	}
//	if(!_isReady) {
//		_isReady = true;
//		//添加查看执行概览
//		healthDataArrowId.addEventListener("tap", function() {
//			var planMissionData = valuationInfo.planMissionData;
//			if(g_utils.isEmptyObject(planMissionData)) {
//				g_mui.confirm("没有添加的健康数据", "温馨提示", ["确定"], function(e) {});
//			} else {
//				g_mui.openModule(g_module.executiveOverview, {
//					planMissionData: planMissionData
//				});
//			}
//		});
//	}
}

function intoPlanMissionData() {
	g_mui.openModule(g_module.executiveOverview, {
		planMissionData: _planMissionData,
		open: 2
	})
}

function getWordsArrLi(wordsArr) {
 //   alert(JSON.stringify(wordsArr));
	var wordsLi = document.createElement('li');
	wordsLi.className = "mui-table-view-cell mui-collapse-content valuation-item";
	var ul = document.createElement('ul');
	ul.className = "word-container";
	for(var i = 0, len = wordsArr.length; i < len; i++) {
		var wordInfo = wordsArr[i];
		var wordName = wordInfo.name;
		var wordContent = wordInfo.content;
		var wordItemLi = document.createElement('li');
		wordItemLi.className = "word-item";

		var titleDiv = document.createElement('div');
		titleDiv.className = "word-title";
		titleDiv.innerHTML = wordName;

		var contentDiv = document.createElement('div');
		contentDiv.className = "word-content";
		contentDiv.innerHTML = wordContent;

		wordItemLi.appendChild(titleDiv);
		wordItemLi.appendChild(contentDiv);
		ul.appendChild(wordItemLi);
	}
	wordsLi.appendChild(ul);
	return wordsLi;
}

function getDoctorContentLi(content) {
   // alert(JSON.stringify(content));
	var contentLi = document.createElement('li');
	contentLi.className = "mui-table-view-cell mui-collapse-content valuation-item";
	contentLi.innerHTML = '<div class="word-container">' +
		'<div class="word-content">' + content.replace(/\n/g,'<br>') + '</div></div>';
	return contentLi;
}

/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}
