var type;
var activateInfo = "";
var personInfo = {}; //缓存的人物信息
//进入实名认证时的3种类型
var TYPE_MY = 0; //自己激活伙伙
var TYPE_NEW_OTHER = 1; //帮助他人时未提交实名认证
var TYPE_OTHER = 2; //帮助他人时提交了实名认证

var MAX_COUNT = 60; //设置倒计时时长
var count = MAX_COUNT;
var countDownTip = document.getElementById("countDownTip");
var resend = document.getElementById('resend');
//model
mdata = {};
mdata['userName'] = "";
mdata['identifyCode'] = null;
mdata['maxLength'] = 6;
//mMethods
mMethods = {};
mMethods["getIdentifyCode"] = getIdentifyCode;
mMethods["onNextStep"] = onNextStep;

//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted:function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			var self = plus.webview.currentWebview();
			type = self.type;
			activateInfo = self.activateInfo;
			var info = g_storage.getActivateStorage(type, activateInfo);

			if(!g_utils.isEmpty(info)) {
				personInfo = JSON.parse(info);
				mdata.userName = personInfo.userName;
			}
			countDown();
		});
	}
});

function onNextStep() {
	var identifyCode = mdata.identifyCode;
	//先判断是否为空
	if(g_utils.isEmpty(identifyCode)) {
		g_mui.alert('短信验证码不能为空，请输入收到的短信验证码');
		return;
	}

	if(identifyCode.toString().length != 6) {
		g_mui.alert('格式不正确，请输入6位数的短信验证码');
		return;
	}

	g_mui.openPage(g_module.helpRegister, 'setPassword.html', {
		type: type,
		activateInfo: activateInfo,
		identifyCode: identifyCode
	});
}

function getIdentifyCode(userName) {
	g_tools.postURL('getPhoneCode', {
		mode: 0,
		phone: userName
	}, function(result) {
		if(result.code == 0) {
			countDown();
			g_mui.toast('短信验证码已重新发送');
		} else {
			g_mui.alert(result.tip);
		}
	});
}

/**
 * 倒计时计算
 */
function countDown(){
	var countDownTip=document.getElementById('countDownTip');
	var resend=document.getElementById('resend');
	countDownTip.classList.remove('mui-hidden');
	resend.classList.add('mui-hidden');
	count=MAX_COUNT;
	countDownTip.innerHTML=count+'秒后重新获取';
	
	var timer = window.setInterval(function(){
		countDownTip.innerHTML=(--count)+'秒后重新获取';
		if(count==0){
			window.clearInterval(timer);
			countDownTip.classList.add('mui-hidden');
			resend.classList.remove('mui-hidden');
		}
	},1000);
}
