var normalContacts = [];
var selectedContacts = [];  //所有选中的联系人（含紧急联系人）
//普通联系人优先级
var NORMAL_PRIORITY = 100;

var titleDom = document.getElementById("title");

//model
mdata = {};
mdata["normalContacts"] = normalContacts;
mdata["name"] = "";
mdata["phone"] = "";
mdata["priority"] = NORMAL_PRIORITY;
mdata["relation"] = "";

//methods
mMethods = {};
mMethods["addContactByMail"] = addContactByMail;
mMethods["onSave"] = onSave;

//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted:function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			var self = plus.webview.currentWebview();
            titleDom.innerHTML = self.titleStr;
			normalContacts = self.normalContacts;
			mdata.normalContacts = normalContacts;
			selectedContacts = self.selectedContacts;
			
			//定义通讯录查找监听事件
			document.addEventListener('exportContacts', function(event) {
				//返回的是一个json数组
				var contacts = event.detail.chooseContacts;
				if(contacts!=null&&contacts.length>0){
					mdata.name = contacts[0].name;
					mdata.phone = contacts[0].phone;
					mdata.priority = NORMAL_PRIORITY;  
				}
			});
		});
	}
});

function addContactByMail() {
	g_mui.openSelectContacts({
    	selectedContacts: selectedContacts,
    	hearderTitle: '请从通讯录中选择（单选）',
    	isSingleMode: true
    });
}

function validateInfo(name, phone) {
	if(g_utils.isEmpty(name)) {
		g_mui.alert("姓名不能为空！");
		return false;
	} else if(g_utils.isEmpty(phone)) {
		g_mui.alert("电话号码不能为空！");
		return false;
	} else if(!g_utils.validateTel(phone)) {
		g_mui.alert("电话号码格式错误，请输入正确的电话号码！");
		return false;
	}
	return true;
}

function onSave(name, phone, priority, relation) {
	if(validateInfo(name, phone)) {
		var contact = {};
		contact['name'] = name;
		contact['phone'] = phone;
		contact['priority'] = priority;
		contact['relation'] = relation;
		var list = plus.webview.currentWebview().opener();
		normalContacts.push(contact);
		mui.fire(list, 'saveContact', {
			normalContacts: normalContacts
		});
		mui.back(true);
	}
}

