var _toast = false;
//mui初始化
var subPages = g_module.getIndexSubPages();
var READY_COUNT = subPages.length;
var subpage_style = {
	top: '0',
	bottom: '51px',
	kernelRecovery: 'reload'
};
var monitorDataList;
var aniShow = {};
var postList = new Array();
var eventList = new Array();
var stepCirculation = null;
var self;
var stopService = true;
var lastLocateTime = 0; //上一次定位时间
var lastStepTime = 0; //上一次计步上传时间
var lastOnResumeTime = 0; //上一次onResume的时间
var isLinkRIM = false;

function linkSuccess() {
	isLinkRIM = true;
}

function linkFail() {
	isLinkRIM = false;
}

mui.init({
	//实现android手机双击两下返回键才退出APP
	beforeback: function() {
		if (!_toast || !_toast.isVisible()) {
			//伪装的toast，用于实际的判断（黑科技）
			_toast = mui.toast('', {
				duration: 'long',
				type: 'div',
			});
			//原生toast，用于真实的显示toast提示内容
			mui.toast('再按一次返回键退出APP', {
				duration: 'long'
			});
		} else {
			plus.runtime.quit();
		}
		return false;
	}
});
//创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function() {
	g_RIM.linRIM();
	self = plus.webview.currentWebview();
	var os = plus.os.name; //平台
	for (var i = subPages.length - 1; i >= 0; i--) {
		var temp = {};
		var sub = g_mui.createWebview(subPages[i].getUrl(), subPages[i].ID, subpage_style);
		temp[subPages[i].ID] = "true";
		mui.extend(aniShow, temp);
		self.append(sub);
	}

	//	if(g_config.DEV_PLATFORM == g_config.IOS && plus.screen.resolutionHeight == 812 && plus.screen.resolutionWidth == 375) {
	if (g_config.DEV_PLATFORM == g_config.IOS && plus.screen.resolutionHeight > 736) {
		//subpage_style.bottom = 85 + "px";
		//        var height = plus.screen.resolutionHeight - plus.navigator.getStatusbarHeight() - 34;
		//        self.setStyle({
		//            'height': height + 'px'
		//        });
	} else {
		if (!g_config.DEV_PLATFORM == g_config.IOS) {
			//自动设置index页面的高度，防止在“我”界面中，点击编辑昵称时，弹出的输入法会把顶部tab栏给顶起来
			var height = plus.screen.resolutionHeight - plus.navigator.getStatusbarHeight();
			self.setStyle({
				'height': height + 'px'
			});
		}
	}

	//积分toast
	document.addEventListener("showToast", function(e) {
		setTimeout(function() { //为了防止积分没有算出来，加1s延时请求
			if (!g_utils.isEmpty(e.detail.missionIdArr)) {
				g_tools.postCMD('healthPoints/checkPointsBills', {
					missionIdArr: e.detail.missionIdArr,
					timeInterval: 10000
				}, function(res) {
					if (res.code == 0) {
						var missisonArray = res.data;
						var amount = 0;
						for (var i = 0; i < missisonArray.length; i++) {
							if (missisonArray[i].outIn == 1) {
								amount += missisonArray[i].amount;
							}
						}
						if (amount != 0) {
							//提示获得积分
							if (g_config.DEV_PLATFORM == g_config.IOS) {
								//window.plus.bridge.execSync('FRLog', "logString", ['提示获得积分:'+ amount + '分']);
								window.plus.bridge.execSync('FRToast', "showToast", ['获得健康积分+' + amount + '分']);
							} else if (g_config.DEV_PLATFORM == g_config.ANDROID) {
								window.plus.bridge.execSync('nativeToast', "showNativeToast", ['获得健康积分+' + amount + '分']);
							}
						}
					} else {
						g_mui.alert(res.tip);
					}
				});
			} else if (!g_utils.isEmpty(e.detail.codeArr)) {
				g_tools.postCMD('healthPoints/checkPointsBills', {
					codeArr: e.detail.codeArr,
					timeInterval: 10000
				}, function(res) {
					if (res.code == 0) {
						var missisonArray = res.data;
						var amount = 0;
						for (var i = 0; i < missisonArray.length; i++) {
							if (missisonArray[i].outIn == 1) {
								amount += missisonArray[i].amount;
							}
						}
						if (amount != 0) {
							//提示获得积分
							if (g_config.DEV_PLATFORM == g_config.IOS) {
								window.plus.bridge.execSync('FRToast', "showToast", ['获得健康积分+' + amount + '分']);
							} else if (g_config.DEV_PLATFORM == g_config.ANDROID) {
								window.plus.bridge.execSync('nativeToast', "showNativeToast", ['获得健康积分+' + amount + '分']);
							}
						}
					} else {
						g_mui.alert(res.tip);
					}
				});
			}
		}, 1500)

	});

	//设置未读消息数量
	document.addEventListener('setUnReadMsgCnt', function(e) {
		if (e.detail.unReadMsgCnt > 0) {
			document.getElementById('index-icon-message').innerHTML = '<span class="mui-badge">' + e.detail.unReadMsgCnt +
				'</span>';
		} else {
			document.getElementById('index-icon-message').innerHTML = '';
		}
		//alert('cut:'+e.detail.unReadMsgCnt);
	});
	//设置邀请信息提示
	document.addEventListener("setInviteIcon", function(e) {
		if (e.detail.isNotDoneInvation) {
			document.getElementById("index-icon-friendCircle").innerHTML = '<span class="invite"></span>';
		} else {
			document.getElementById("index-icon-friendCircle").innerHTML = '';
		}
	});
	//设置医生签约邀请信息提示
	document.addEventListener("setDoctorInviteIcon", function(e) {
		if (e.detail.isNotDoneInvation) {
			document.getElementById("index-icon-health").innerHTML = '<span class="invite"></span>';
		} else {
			document.getElementById("index-icon-health").innerHTML = '';
		}
	});
	//激活手机记步
	document.addEventListener("startPhoneStep", function(e) {
		refreshStepData();
	});
	//关闭手机记步
	document.addEventListener("stopPhoneStep", function(e) {
		refreshStepData();
	});
	//激活手机位置上传
	document.addEventListener("startPhoneLocation", function(e) {
		lastLocateTime = 0;
		startPhoneLocation();
	});
	//关闭手机位置上传
	document.addEventListener("stopPhoneLocation", function(e) {
		stopPhoneLocation();
	});
	//上传手机记步数据
	document.addEventListener("uploadPhoneStep", function(e) {
		refreshStepData();
	});
	if (os == "iOS") {
		//TODO 注释掉
		setTimeout(function() {
			refreshStepData();
		}, 1000 * 5 * 60);
	}
	if (os == "Android") {
		setTimeout(function() {
			checkUpdate();
		}, 5000);
	}
	if (os == "Android") {
		refreshStepData();
		setTimeout(function() {
			isForeground.isForeground(function(result) {
				var isFor = result.isForeground;
				if (isFor == true) {
					startPhoneLocation();
				}
				//testLog.androidLog(null, null, "testLocation", isFor + "");
			})
		}, 5000);
	} else if (os == "iOS") {
		startPhoneLocation();
	}
	document.addEventListener("visibilitychange", function() {
		//console.log( document.hidden );
		if (document.hidden == false) {
			onForeground();
		}
	});

	//监听启动事件
	document.addEventListener("resume", function() {
		var wvs = plus.webview.getDisplayWebview();
		for (var i = 0; i < wvs.length; i++) {
			if (g_module.myCareList.ID + ':myMission.html' == wvs[i].id) {
				g_fire.updateAllMission();
			}
		}
	});
	document.addEventListener("subPageReady", function() {
		READY_COUNT--;
		if (READY_COUNT == 0) {
			refreshSubPage(0);
		}
	});
});
//应用从前台切换到后台
function onBackground() {}
//APP被唤醒
function onForeground() {
	var now = new Date().getTime();
	if (now - lastOnResumeTime > 2000) { //2秒内不重复执行onResume，以解决ios会调用2次onResume的bug
		lastOnResumeTime = now;
		startPhoneLocation();
		//checkPhoneStepUpdate();
		checkMyCareListUpdate();
	}
}
//刷新首页
function refreshSubPage(index) {
	var refreshId = subPages[index].REFRESH_ID;
	var refreshPage = plus.webview.getWebviewById(refreshId);
	mui.fire(refreshPage, 'refreshPage', {
		isLinkRIM:isLinkRIM
	});
}
//检查关爱列表是否需要更新
function checkMyCareListUpdate() {
	g_tools.postCMD("getMyCareList3", {}, function(data) {
		if (!g_utils.isEmpty(data.data) && data.data.length == 0) {
			mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html'), 'refreshPage');
		}
	}, g_tools.MODE_CACHE);
}

//检查手机计步是否上传
function checkPhoneStepUpdate() {
	var now = new Date().getTime();
	if (now - lastStepTime > 300000) { //大于5分钟才上传
		getLastUpdateTime();
	}
}
//更新地图
function mapUpdate() {
	mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':myCareMap.html'), 'refreshPage');
}
//上传位置信息
function sendLocation() {
	g_tools.postCMD("getSettings", {}, function(settings) {
		if (settings.code == 0) {
			var locateSwitch = settings.data.locateSwitch;
			if (settings.data.locationFrom == 1) {
				var msg;
				g_Location.watchPositionInfo(function(locationRes) {
					if (locationRes.code == 0) {
						var now = new Date().getTime();
						var dis = now - lastLocateTime;
						//testLog.androidLog(null, null, "testLocation",dis+"");
						if (dis >= 300000) { //ios定位监听maximumAge设置无效，这里设置大于等于5分钟才上传
							msg = locationRes;
							var mode = -1;
							var parameters = {
								time: msg.time,
								longitude: msg.longitude + '',
								latitude: msg.latitude + '',
								address: msg.address,
								status: 0,
								mode: mode,
								other: msg.other,
								locateSwitch: locateSwitch,
								isGetWeather: 1
							};
							g_tools.postCMD("addLocation", parameters, function(res) {
								if (res.code == 0) {
									mapUpdate();
								}
							});
							lastLocateTime = now;
						}
					}
				});

			} else {
				stopPhoneLocation();
			}
		}
	}, g_tools.MODE_WEB_LOCAL);
}
//开启手机位置上传
function startPhoneLocation() {
	sendLocation();
}

function stopPhoneLocation() {
	g_Location.clearWatchPostion();
}

function stopPhoneStepService() {
	if (stepCirculation != null) {
		clearInterval(stepCirculation);
		if (plus.os.name == g_config.ANDROID) {
			g_StepCount.stopStepService(function(res) {
				stopService = true
			}, function(err) {});
		}
	} else {
		return
	}
}
//开启记步服务
function startPhoneStepService() {
	stepCirculation = setInterval(function() {
		getLastUpdateTime();
	}, 300000);
	if (plus.os.name == g_config.ANDROID) {
		if (stopService) {
			g_StepCount.startStepService(function(res) {
				stopService = false;
				getLastUpdateTime();
			}, function(err) {});
		}
	} else if (plus.os.name == g_config.IOS) {
		//if(stopService) {
		getLastUpdateTime();
		//}
	}
}
//当前激活选项
var activeTab = subPages[0].ID;
var activeBtn = document.getElementById('defaultTab').getElementsByTagName('span')[0];
//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var index = this.getAttribute('index');
	var targetTab = subPages[index].ID;
	var refreshId = subPages[index].REFRESH_ID;
	if (targetTab == activeTab) {
		return;
	}
	refreshSubPage(index);
	//自动更换选中图标
	if (activeBtn != null) {
		//换掉旧图标
		var oldClassList = activeBtn.classList;
		for (var i = 0; i < oldClassList.length; i++) {
			var className = oldClassList[i];
			if (/\-active$/.test(className)) {
				//先替换掉已激活的图标
				oldClassList.remove(className);
				//再添加上未激活的图标
				oldClassList.add(className.replace(/\-active$/, ''));
				break;
			}
		}
		//添加新图标
		var newBtn = this.getElementsByTagName('span')[0];
		var newClassList = newBtn.classList;
		for (var i = 0; i < newClassList.length; i++) {
			var className = newClassList[i];
			if (/^mui\-icon\-/.test(className)) {
				//先替换掉已激活的图标
				newClassList.remove(className);
				//再添加上未激活的图标
				newClassList.add(className + '-active');
				break;
			}
		}
		activeBtn = newBtn;
	}
	//显示目标选项卡
	if (aniShow[targetTab]) {
		plus.webview.show(targetTab);
	} else {
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow, temp);
		plus.webview.show(targetTab, 'fade-in');
	}
	//隐藏当前;
	plus.webview.hide(activeTab); //暂时注销，否则会有页面弹动的问题
	//更改当前活跃的选项卡
	activeTab = targetTab;
});
//自定义事件，模拟点击“首页选项卡”
document.addEventListener('gohome', function() {
	var defaultTab = document.getElementById("defaultTab");
	//模拟首页点击
	mui.trigger(defaultTab, 'tap');
	//切换选项卡高亮
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	if (defaultTab !== current) {
		current.classList.remove('mui-active');
		defaultTab.classList.add('mui-active');
	}
});

function getLastUpdateTime() {
	//获取设置查看运动开关和数据来源
	g_tools.postCMD("getSettings", {}, function(settings) {
		if (settings.code == 0) {
			var sportSwitch = settings.data.sportSwitch;
			//检查数据来源
			if (settings.data.stepFrom == 1) {
				postList = [];
				eventList = [];
				//获取最后一次数据上传时间
				g_tools.postCMD("getSportDataLastUpdateTime", {}, function(timeResult) {
					if (timeResult.code == 0) {
						var lastTime = timeResult.data.lastUpdateTime;
						var nowTime = new Date();
						nowTime.setHours(0);
						nowTime.setMinutes(0);
						nowTime.getTime();
						var stepCountStartTime;
						//最大上传时间为3天
						if (nowTime - lastTime > 172800000) {
							stepCountStartTime = nowTime - 172800000;
						} else {
							stepCountStartTime = lastTime;
						}
						//获取手机记步数据库数据
						getPhoneStepCount(stepCountStartTime, sportSwitch);
					}
				}, g_tools.MODE_WEB);
			} else {
				stopPhoneStepService();
			}
		} else {
			return
		}
	}, g_tools.MODE_WEB_LOCAL);
}

//获取手机记步数据
function getPhoneStepCount(startTime, sportSwitch) {
	var allList = [];
	g_StepCount.getStepDatasByTime(startTime, function(res) {
		if (res.code == 0) {
			var stepData;
			//去除步数为0的字段
			if (plus.os.name == g_config.ANDROID) {
				stepData = res.data;
				preprocessingList(stepData, startTime, sportSwitch);
			} else if (plus.os.name == g_config.IOS) {
				var temp = res.data;
				for (var j in temp) {
					allList.push(temp[j]);
				}
				if (allList.length == res.allCount) {
					var newAllList = [];
					newAllList = JsonSort(allList, 'time');
					stepData = newAllList;
					preprocessingList(stepData, startTime, sportSwitch);
				}
			}

		}
	}, function(err) {});
}
//运动事件预处理
function preprocessingList(stepData, startTime, sportSwitch) {
	var zeroSuppression = new Array();
	for (var i = 0; i < stepData.length; i++) {
		if (stepData[i].step != 0 && stepData[i].time > startTime) {
			zeroSuppression.push(stepData[i]);
		}
	}
	//获取最后一次上传事件
	g_tools.postCMD('getRecentSportEvent', {
		isGetDataList: 0
	}, function(recentSport) {
		if (recentSport.code == 0) {
			var lastSportEvent = null;
			if (!g_utils.isEmptyObject(recentSport.data)) {
				lastSportEvent = recentSport.data;
				lastSportEvent.sportSwitch = sportSwitch;
				if (lastSportEvent.type == '3') {
					lastSportEvent.type = '步行auto';
				}
			}
			if (plus.os.name == g_config.IOS) {
				monitorDataList = zeroSuppression;
				countStep(lastSportEvent, sportSwitch);
			} else {
				//如果获取的列表长度为0默认添加一个静止事件
				if (zeroSuppression.length == 0) {
					var eventEndTime = 0;
					var staticEventStartTime = 0;
					if (!g_utils.isEmpty(lastSportEvent.endTime)) {
						eventEndTime = lastSportEvent.endTime;
					}
					//					var nowTime = new Date().getTime();
					//					var staticEvent;
					// 距离上次运动事件事件间隔超过5min就生成一个新的静止事件
					//					if(nowTime - eventEndTime > 300000) {
					//						staticEventStartTime = nowTime - 300000;
					//						staticEvent = {
					//							startTime: staticEventStartTime,
					//							endTime: nowTime,
					//							type: '23',
					//							energy: 0,
					//							sportSwitch: sportSwitch,
					//							description: JSON.stringify({
					//								distance: 0,
					//								step: 0
					//							}),
					//						}
					//						//添加事件
					//						eventList.push(staticEvent);
					//						//合并运动事件
					//						mergeEvent(lastSportEvent);
					//					}
				} else {
					monitorDataList = zeroSuppression;
					countStep(lastSportEvent, sportSwitch);
				}
			}
		}
	}, g_tools.MODE_WEB);
}
//json排序
function JsonSort(json, key) {
	//console.log(json);
	for (var j = 1, jl = json.length; j < jl; j++) {
		var temp = json[j],
			val = temp[key],
			i = j - 1;
		while (i >= 0 && json[i][key] > val) {
			json[i + 1] = json[i];
			i = i - 1;
		}
		json[i + 1] = temp;

	}
	//console.log(json);
	return json;
}
//统计手机记步数据，合并成为运动事件和运动状态
function countStep(lastEvent, sportSwitch) {
	g_tools.postCMD("getUserInfoByUserId", {
		userId: g_tools.getUserId()
	}, function(userInfo) {
		if (userInfo.code == 0) {
			var recentSportEndTime = 0;
			if (!g_utils.isEmpty(lastEvent)) {
				if (!g_utils.isEmpty(lastEvent.endTime)) {
					recentSportEndTime = lastEvent.endTime;
				}
			}
			var userHeight = 170;
			var userSex = 1;
			//获取身高性别
			if (!g_utils.isEmpty(userInfo.data.height)) {
				userHeight = userInfo.data.height;
			}
			if (!g_utils.isEmpty(userInfo.data.sex)) {
				userSex = userInfo.data.sex;
			}
			var monitorDataLength = monitorDataList.length;
			//初始化总步数能量距离
			var phoneTotalStep = 0;
			var phoneTotalEnergy = 0;
			var phoneTotalDistance = 0;
			//初始化运动事件的能量距离和步数
			var phoneEventStep = 0;
			var phoneEventEnergy = 0;
			var phoneEventDistance = 0;
			var firstTime = monitorDataList[0].time;
			var lastEventTime = monitorDataList[0].time;
			var cutTime = new Date(firstTime);
			cutTime.setHours(23);
			cutTime.setMinutes(59);
			cutTime = cutTime.getTime();
			//定义运动事件,目前只有步行和静止2种状态
			var TYPE_STEP = "25";
			var TYPE_STATIC = "23";
			var listStep = new Array();
			for (var i = 0; i < monitorDataLength; i++) {
				var itemStep = Math.abs(monitorDataList[i].step);
				var itemData = stepToEnergyDistance(itemStep, userHeight, userSex);
				var itemEnergy = itemData.energy;
				var itemDistance = itemData.distance;
				var itemTimeInterval = monitorDataList[i].timeInterval;
				var itemTime = monitorDataList[i].time;
				var value = {
					step: itemStep,
					distance: itemDistance
				}
				//只要有数据默认为步行事件
				var thisEventType = TYPE_STEP;
				//如果该项的时间与上一项时间差超过5min就插入一个静止事件
				if (itemTime - lastEventTime > 300000) {
					thisEventType = TYPE_STATIC;
				}
				lastEventTime = itemTime;
				phoneTotalStep += itemStep;
				phoneTotalEnergy += itemEnergy;
				phoneTotalDistance += itemDistance;
				phoneEventStep += itemStep;
				phoneEventEnergy += itemEnergy;
				phoneEventDistance += itemDistance;
				monitorDataList[i].energy = itemEnergy;
				monitorDataList[i].sportSwitch = sportSwitch;
				monitorDataList[i].value = value;
				monitorDataList[i].step = undefined;
				listStep.push(monitorDataList[i]);
				if (i == monitorDataLength - 1) {
					var itemList = JSON.stringify(listStep);
					var item = {
						date: g_utils.dateFormat(itemTime, "yyyy-MM-dd"),
						energy: phoneTotalEnergy,
						totalStep: phoneTotalStep,
						totalDistance: phoneTotalDistance,
						sportSwitch: sportSwitch,
						monitorDataList: itemList
					}
					var description = {
						distance: phoneEventDistance,
						step: phoneEventStep
					}
					var sportEventItem = {
						startTime: firstTime,
						endTime: itemTime + 10000,
						type: TYPE_STEP,
						energy: phoneEventEnergy,
						description: JSON.stringify(description),
						sportSwitch: sportSwitch
					}
					if (sportEventItem.startTime >= recentSportEndTime) {
						eventList.push(sportEventItem);
					}
					postList.push(item);
					break;
				}
				if (thisEventType != TYPE_STEP) {
					var description = {
						distance: phoneEventDistance,
						step: phoneEventStep
					}
					var sportEventItemOne = {
						startTime: firstTime,
						endTime: monitorDataList[i - 1].time + 10000,
						type: TYPE_STEP,
						energy: phoneEventEnergy,
						description: JSON.stringify(description),
						sportSwitch: sportSwitch
					}
					var sportEventItemTwo = {
						startTime: monitorDataList[i - 1].time + 10000,
						endTime: itemTime,
						type: TYPE_STATIC,
						energy: 0,
						description: '{}',
						sportSwitch: sportSwitch
					}
					//重置运动事件
					if (sportEventItemOne.startTime >= recentSportEndTime) {
						eventList.push(sportEventItemOne);
					}
					//					if(sportEventItemTwo.startTime >= recentSportEndTime) {
					//						eventList.push(sportEventItemTwo);
					//					}
					phoneEventEnergy = 0;
					phoneEventDistance = 0;
					phoneEventStep = 0;
					firstTime = itemTime;
				}
				//按天划分运动数据
				if (itemTime < cutTime) {} else {
					var itemList = JSON.stringify(listStep);
					var item = {
						date: g_utils.dateFormat(cutTime, "yyyy-MM-dd"),
						energy: phoneTotalEnergy,
						totalStep: phoneTotalStep,
						totalDistance: phoneTotalDistance,
						sportSwitch: sportSwitch,
						monitorDataList: itemList
					}
					postList.push(item);
					phoneTotalStep = 0;
					phoneTotalEnergy = 0;
					phoneTotalDistance = 0;
					cutTime += 86400000;
					listStep = [];
				}

			}
			//合并事件
			mergeEvent(lastEvent);
			monitorDataList = "";
			postStepCount(0);
		}
	}, g_tools.MODE_CACHE_WEB_LOCAL);
}
//上传运动计数
function postStepCount(index) {
	if (postList.length == 0) return;
	if (index < postList.length) {
		var parameters = postList[index];
		var historyTime = parameters.date;
		g_tools.postCMD("getSportDataByDay2", {
			date: historyTime,
			isGetDataList: 0,
			count: 12,
		}, function(historyData) {
			if (historyData.code == 0) {
				var totalStep = 0
				var totalEnergy = 0;
				var process = 0;
				totalStep = historyData.data.totalStep;
				totalEnergy = historyData.data.energy;
				totalDistance = historyData.data.totalDistance;
				var setEnergy = 100 * totalEnergy / process;
				postStep = totalStep + parameters.totalStep;
				postEnergy = totalEnergy + parameters.energy;
				postDistance = totalDistance + parameters.totalDistance;
				parameters.totalStep = postStep;
				parameters.energy = postEnergy;
				parameters.totalDistance = postDistance;
				postList[index] = parameters;
				g_tools.postCMD("getDailyTargetByDay", {
					date: historyTime
				}, function(res) {
					if (res.code == 0) {
						var setEnergy = res.data.energy;
						if (g_utils.isEmpty(res.data.energy)) {
							setEnergy = 200;
						}
						var thisEnergy = postList[index].energy;
						var process = Math.round(100 * thisEnergy / setEnergy);
						postList[index].process = process;
						g_tools.postCMD("updateDailyStatistic", postList[index], function(postCode) {
							if (postCode.code == 0) {
								postStepCount(index + 1);
								lastStepTime = new Date().getTime(); //更新计步上传时间
							} else {
								postList = [];
								isSendOver();
							}
						})
					} else {
						postList = [];
						isSendOver();
					}
				}, g_tools.MODE_CACHE_WEB_LOCAL);
			} else {
				postList = [];
				isSendOver();
			}
		}, g_tools.MODE_WEB);
	} else {
		postList = [];
		isSendOver();
		//var cardWeb = plus.webview.getWebviewById("myCareList:pullrefresh_sub.html");
		//mui.fire(cardWeb, "refreshPage", {});
		return
	}
}
//上传运动事件
function postSportEvent(index) {
	if (index < eventList.length) {
		var parameters = eventList[index];
		g_tools.postCMD("addSportEvent", parameters, function(res) {
			if (res.code == 0) {
				postSportEvent(index + 1);
				lastStepTime = new Date().getTime(); //更新计步上传时间
			} else {
				initSportEvent();
			}
		});
	} else {
		initSportEvent();
	}
}

function initSportEvent() {
	eventList = [];
	isSendOver();
	//var mapWeb = plus.webview.getWebviewById("myCareList:myCareMap.html");
	//mui.fire(mapWeb, "refreshPage", {});
}
//将步数换算成能量参数步数，身高，性别
function stepToEnergyDistance(step, height, sex) {
	var MAN = 1;
	var WOMAN = 0;
	var k = 0.018675;
	var k1 = 0.415;
	var energy = 0;
	var distance = 0
	if (sex != MAN) {
		k = 0.018585;
		k1 = 0.413;
	}
	distance = Math.round(k1 * step * height / 100);
	energy = k * height * step / 100;
	return {
		energy: energy,
		distance: distance
	};
}
//检查是否上传完毕
function isSendOver() {
	if (eventList.length == 0 && postList.length == 0) {
		var cardWeb = plus.webview.getWebviewById("myCareList:pullrefresh_sub.html");
		mui.fire(cardWeb, "refreshMine", {});
	}
}

function mergeEvent(lastEvent) {
	if (lastEvent != null && eventList.length > 0) {
		var lastUploadTime = lastEvent.endTime;
		var firstUploadTime = eventList[0].startTime;
		var timeDiff = firstUploadTime - lastUploadTime;
		var lastUploadType = lastEvent.type;
		var firstUploadType = eventList[0].type;
		var lastUploadSportSwitch = lastEvent.sportSwitch;
		var firstUploadSportSwitch = eventList[0].sportSwitch;
		//与上次事件事件差大于5min并且运动类型一致并且运动开关一致，进入合并运动事件流程。
		if (timeDiff < 600000 && lastUploadType == firstUploadType && lastUploadSportSwitch == firstUploadSportSwitch) {
			var newStartTime = lastEvent.startTime;
			var newEndTime = eventList[0].endTime;
			var newEnergy = parseFloat(lastEvent.energy) + parseFloat(eventList[0].energy);
			var firstUploadDescription = JSON.parse(eventList[0].description);
			var lastUploadDescription = JSON.parse(lastEvent.description);
			var newDescription = {
				distance: parseFloat(firstUploadDescription.distance) + parseFloat(lastUploadDescription.distance),
				step: parseFloat(firstUploadDescription.step) + parseFloat(lastUploadDescription.step)
			}
			eventList[0].startTime = newStartTime;
			eventList[0].endTime = newEndTime;
			eventList[0].energy = newEnergy;
			eventList[0].description = JSON.stringify(newDescription);
			//更新运动事件
			g_tools.postCMD("updateSportEvent", eventList[0], function(eventRes) {
				if (eventRes.code == 0) {
					if (eventList.length > 1) {
						//上传剩余运动事件
						postSportEvent(1);
					} else {
						initSportEvent();
					}
				} else {
					initSportEvent();
				}
			})
		} else {
			//直接上传运动事件
			postSportEvent(0);
		}
	} else {
		//上传所有运动事件
		postSportEvent(0);
	}
}
//接收由原生聊天发来的选择tab的事件
//document.addEventListener("selectMessageTab", function(event) {
//    var defaultTab = document.getElementById("defaultTab");
//    //模拟首页点击
//    mui.trigger(defaultTab, 'tap');
//    //切换选项卡高亮
//    var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
//    if(defaultTab !== current) {
//        current.classList.remove('mui-active');
//        defaultTab.classList.add('mui-active');
//    }
//});

/************************************手机记步最新start***************************************/
//刷新记步数据,由原生调用
var _userSportSwitch;
var _stepServiceOpen = false;
var refreshTime = new Date().getTime() - 6000;

function refreshStepData() {
	var t = new Date().getTime();
	if (t - refreshTime > 5000) {
		refreshTime = t;
		checkDataSources()
	}
}
//检查数据来源
function checkDataSources() {
	g_tools.postCMD("getSettings", {}, function(result) {
		if (result.code == 0) {
			var stepFrom = result.data.stepFrom;
			_userSportSwitch = result.data.sportSwitch;
			if (stepFrom == 1) {
				if (!_stepServiceOpen) {
					if (plus.os.name == g_config.ANDROID) {
						g_StepCount.startStepService(function(res) {
							_stepServiceOpen = true;
							getSportDataLastUpdateTime();
						}, function(err) {});
					} else {
						_stepServiceOpen = true;
						getSportDataLastUpdateTime();
					}

				} else {
					getSportDataLastUpdateTime();
				}
			} else {
				//关闭记步服务
				g_StepCount.stopStepService(function(res) {
					_stepServiceOpen = false;
				}, function(err) {});

			}
		}
	}, g_tools.MODE_WEB);
}
//获取最后一次数据上传时间
function getSportDataLastUpdateTime() {
	g_tools.postCMD("getSportDataLastUpdateTime", {}, function(result) {
		if (result.code == 0) {
			var lastUpdataTime = result.data.lastUpdateTime;
			var stepStartTime = getStepDataStartTime(lastUpdataTime);
			var allList = [];
			g_StepCount.getStepDatasByTime(stepStartTime, function(result) {
				if (result.code == 0) {
					if (g_config.DEV_PLATFORM == g_config.ANDROID) {
						var stepDataList = cleanStepData(result.data, stepStartTime);
						if (stepDataList.length > 0) {
							getRecentSportEvent(stepDataList);
						}
					} else {
						var temp = result.data;
						for (var j in temp) {
							allList.push(temp[j]);
						}
						if (allList.length == result.allCount) {
							var newAllList = [];
							newAllList = JsonSort(allList, 'time');
							if (newAllList.length > 0) {
								getRecentSportEvent(newAllList);
							}
						}
					}

				}
			});
		}
	}, g_tools.MODE_WEB);
}
//设置拉取数据的开始时间
function getStepDataStartTime(lastUpdataTime) {
	var currentTime = getZeroTime(new Date().getTime());
	var stepDataStartTime = Math.max(lastUpdataTime, currentTime);
	//	if(currentTime - lastUpdataTime > 86400000 * 3) {
	//		stepDataStartTime = currentTime - 86400000 * 3
	//	}
	return stepDataStartTime;
}
//获取毫秒时间的零点时间
function getZeroTime(ms) {
	var time = new Date(ms);
	time.setHours(0);
	time.setMinutes(0);
	time.setSeconds(0);
	time.setMilliseconds(0);
	return time.getTime();
}
//去除记步数据为0步的数据
function cleanStepData(stepDataList, stepStartTime) {
	var stepArr = new Array();
	for (var i = 0; i < stepDataList.length; i++) {
		if (stepDataList[i].step != 0 && stepDataList[i].time > stepStartTime) {
			stepArr.push(stepDataList[i])
		}
	}
	return stepArr
}
//获取最后一次运动事件
function getRecentSportEvent(stepDataList) {
	g_tools.postCMD('getRecentSportEvent', {
		isGetDataList: 0
	}, function(result) {
		if (result.code == 0) {
			var recentEvent = result.data;
			if (!g_utils.isEmptyObject(recentEvent)) {
				//设置运动共享开关用于上传数据
				recentEvent.sportSwitch = _userSportSwitch;
				stepStatistics(stepDataList, recentEvent);
			} else {
				stepStatistics(stepDataList, {});
			}
		}
	}, g_tools.MODE_WEB)
}
//统计记步数据
function stepStatistics(stepDataList, recentEvent) {
	g_tools.postCMD("getUserInfoByUserId", {
		userId: g_tools.getUserId()
	}, function(result) {
		if (result.code == 0) {
			var userHeight = 170;
			var userSex = 1;
			var stepDataListLength = stepDataList.length;
			var stepMonitorDataList = new Array();
			var addUpdateList = new Array();
			var phoneEventStep = 0;
			var phoneEventEnergy = 0;
			var phoneEventDistance = 0;
			var phoneTotalStep = 0;
			var phoneTotalEnergy = 0;
			var phoneTotalDistance = 0;
			var lastEventStartTime = stepDataList[0].time;
			var lastEventEndTime = stepDataList[0].time;
			var lastItemTime = stepDataList[0].time;
			var TYPE_STEP = new String("25");
			var TYPE_STATIC = new String("23");
			var isUpdateAdd = 0;
			if (!g_utils.isEmpty(result.data.height)) {
				userHeight = result.data.height;
			}
			if (!g_utils.isEmpty(result.data.sex)) {
				userSex = result.data.sex;
			}

			if (!g_utils.isEmpty(recentEvent)) {
				if (!g_utils.isEmpty(recentEvent.startTime)) {
					if (stepDataList[0].time - recentEvent.endTime < 300000 && recentEvent.type == '25') {
						lastEventStartTime = recentEvent.startTime;
						lastEventEndTime = recentEvent.endTime;
						isUpdateAdd = 1;
						phoneEventStep = recentEvent.totalStep;
						phoneEventEnergy = recentEvent.energy;
						phoneEventDistance = recentEvent.totalDistance;
					}
				}
			}

			var cutTime = new Date(lastEventEndTime);
			cutTime.setHours(23);
			cutTime.setMinutes(59);
			cutTime.setSeconds(59);
			cutTime.setMilliseconds(999);
			cutTime = cutTime.getTime();
			for (var i = 0; i < stepDataListLength; i++) {
				var stepDataItem = stepDataList[i];
				var itemStep = Math.abs(stepDataItem.step);
				var itemData = stepToEnergyDistance(itemStep, userHeight, userSex);
				var itemEnergy = itemData.energy;
				var itemDistance = itemData.distance;
				var itemTimeInterval = stepDataItem.timeInterval;
				var itemTime = stepDataItem.time;
				var isSecondDay = false
				var value = {
					step: itemStep,
					distance: itemDistance
				}

				if (itemTime > cutTime) {
					isSecondDay = true
					var description = {
						distance: phoneEventDistance,
						step: phoneEventStep
					}
					addUpdateList.push({
						date: g_utils.dateFormat(cutTime, "yyyy-MM-dd"),
						startTime: lastEventStartTime,
						endTime: lastItemTime,
						type: TYPE_STEP,
						isUpdateAdd: isUpdateAdd,
						totalEnergy: phoneTotalEnergy,
						totalStep: phoneTotalStep,
						totalDistance: phoneTotalDistance,
						energy: phoneEventEnergy,
						description: JSON.stringify(description),
						sportSwitch: _userSportSwitch,
						monitorDataList: JSON.stringify(stepMonitorDataList)
					})
					phoneTotalStep = 0;
					phoneTotalEnergy = 0;
					phoneTotalDistance = 0;
					cutTime += 86400000;
					stepMonitorDataList = [];

				}
				if (itemTime - lastItemTime > 300000 && !isSecondDay) {
					var description = {
						distance: phoneEventDistance,
						step: phoneEventStep
					}
					var parameters_one = {
						date: g_utils.dateFormat(cutTime, "yyyy-MM-dd"),
						startTime: lastEventStartTime,
						endTime: lastItemTime,
						type: TYPE_STEP,
						isUpdateAdd: isUpdateAdd,
						totalEnergy: phoneTotalEnergy,
						totalStep: phoneTotalStep,
						totalDistance: phoneTotalDistance,
						energy: phoneEventEnergy,
						description: JSON.stringify(description),
						sportSwitch: _userSportSwitch,
						monitorDataList: JSON.stringify(stepMonitorDataList)
					}
					isUpdateAdd = 0
					phoneTotalStep = 0;
					phoneTotalEnergy = 0;
					phoneTotalDistance = 0;
					phoneEventStep = 0;
					phoneEventEnergy = 0;
					phoneEventDistance = 0;
					stepMonitorDataList = [];
					var parameters_two = {
						date: g_utils.dateFormat(cutTime, "yyyy-MM-dd"),
						startTime: lastItemTime,
						endTime: itemTime,
						type: TYPE_STATIC,
						isUpdateAdd: isUpdateAdd,
						energy: 0,
						totalEnergy: 0,
						totalStep: 0,
						totalDistance: 0,
						description: '{}',
						sportSwitch: _userSportSwitch,
						monitorDataList: []
					}
					lastEventStartTime = itemTime;
					addUpdateList.push(parameters_one);
					addUpdateList.push(parameters_two);
				}
				lastItemTime = itemTime + itemTimeInterval;
				phoneEventStep += itemStep;
				phoneEventEnergy += itemEnergy;
				phoneEventDistance += itemDistance;
				phoneTotalStep += itemStep;
				phoneTotalEnergy += itemEnergy;
				phoneTotalDistance += itemDistance;
				stepDataItem.energy = itemEnergy;
				stepDataItem.sportSwitch = _userSportSwitch;
				stepDataItem.value = value;
				stepDataItem.step = undefined;
				stepMonitorDataList.push(stepDataItem);
				if (itemTime - lastItemTime < 300000 && isSecondDay) {
					isUpdateAdd = 1;
				}
				if (i == stepDataListLength - 1) {
					var description = {
						distance: phoneEventDistance,
						step: phoneEventStep
					}
					var parameters = {
						date: g_utils.dateFormat(cutTime, "yyyy-MM-dd"),
						startTime: lastEventStartTime,
						endTime: itemTime + itemTimeInterval,
						type: TYPE_STEP,
						isUpdateAdd: isUpdateAdd,
						totalEnergy: phoneTotalEnergy,
						totalStep: phoneTotalStep,
						totalDistance: phoneTotalDistance,
						energy: phoneEventEnergy,
						description: JSON.stringify(description),
						sportSwitch: _userSportSwitch,
						monitorDataList: JSON.stringify(stepMonitorDataList)
					}
					addUpdateList.push(parameters)
				}
				isSecondDay = false;
			}
			upLoadEventAndStatistic(addUpdateList)
		}
	});
}

function upLoadEventAndStatistic(dataList) {
	var index = 0;

	function upload() {
		var parameters = dataList[index];
		var historyTime = parameters.date;
		g_tools.postCMD("getSportDataByDay2", {
			date: historyTime,
			isGetDataList: 0,
			count: 12,
		}, function(dailyStatistic) {
			if (dailyStatistic.code == 0) {
				var dailyStatisticData = dailyStatistic.data;
				var totalStep = dailyStatisticData.totalStep;
				var totalEnergy = dailyStatisticData.energy;
				var totalDistance = dailyStatisticData.totalDistance
				var postStep = totalStep + parameters.totalStep;
				var postEnergy = totalEnergy + parameters.totalEnergy;
				var postDistance = totalDistance + parameters.totalDistance;
				parameters.totalStep = postStep;
				parameters.totalEnergy = postEnergy;
				parameters.totalDistance = postDistance;
				g_tools.postCMD("getDailyTargetByDay", {
					date: historyTime
				}, function(dailyTarget) {
					if (dailyTarget.code == 0) {
						var dailyTargetEnergy = dailyTarget.data.energy;
						parameters.process = parameters.totalEnergy / dailyTargetEnergy * 100;
						g_tools.postCMD("addUpdateSportEventDailyStatistic", parameters, function(result) {
							if (result.code == 0) {
								index++;
								if (index < dataList.length) {
									upload();
								} else {
									var cardWeb = plus.webview.getWebviewById("myCareList:pullrefresh_sub.html");
									mui.fire(cardWeb, "refreshMine", {});
									//TODO 添加首页积分刷新
									//刷新首页积分数据
									g_fire.updateAllMission();
								}
							}
						});
					}
				});
			}
		})
	}
	upload()
}
/********************************手机记步最新end*************************************/
//原生调用发送消息添加积分
function missionUpdate() {
	g_tools.postCMD("missionUpdate", {
		code: "DM_005"
	}, function (result) {
		if(result.code == 0) {
			g_fire.updateAllMission();
		}
	});
}