var activateInfo = "";
//进入实名认证时的3种类型
var TYPE_MY = 0; //自己激活伙伙
var TYPE_NEW_OTHER = 1; //帮助他人时未提交实名认证
var TYPE_OTHER = 2; //帮助他人时提交了实名认证
var isNetLink = false; //默认网络是未连接的
var isNetLink2 = false;
var _self; //当前webview
var ACTIVE_HUOHUO = 1;
var ADD_CARE = 0;
var openType;
//model
mdata = {};
mdata['activateInfoList'] = [];
mdata['userInfo'] = "";
//mMethods
mMethods = {};
mMethods["getMyActivateInfo"] = getMyActivateInfo;
mMethods["getOtherActivateList"] = getOtherActivateList;
mMethods["gotoOther"] = gotoOther;
mMethods["gotoMy"] = gotoMy;
mMethods["gotoAddMyCare"] = gotoAddMyCare;
mMethods["gotoCreateMyCare"] = gotoCreateMyCare;
mMethods["getMyTip"] = getMyTip;
mMethods["getOtherTip"] = getOtherTip;
mMethods["isFinishMy"] = isFinishMy;
mMethods["isMyStatusChange"] = isMyStatusChange;
mMethods["isOtherStatusChange"] = isOtherStatusChange;
mMethods["closeMask"] = closeMask;
mMethods["isHaveCard"] = isHaveCard;
//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted: function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			_self = plus.webview.currentWebview();
			openType = _self.openType;
			if(openType == ADD_CARE) {
				document.getElementById('card1').style.display = 'block';
				document.getElementById('title').innerHTML = "添加关爱卡片";
			} else {
				document.getElementById('card2').style.display = 'block';
				document.getElementById('title').innerHTML = "激活伙伙";
			}
			getActivateInfoList();
			getUserInfo();
			document.addEventListener('infoChange', function(e) {
				mdata.activateInfoList = e.detail.activateInfoList;
			}, false);
			document.addEventListener('refreshEvent', function(e) {
				getActivateInfoList();
			}, false);
			document.addEventListener('allFinish', function(e) {
				mdata.activateInfoList = e.detail.activateInfoList ;
				openMask();
			}, false);
			document.addEventListener("addMyCardFinish",function(e){
				mdata.userInfo.isAddMyCard = 1;
			});
		});
	}
});

/**
 * 激活我的伙伙是否已经完成
 * @param {Object} activateInfo
 */
function isFinishMy(activateInfo) {
	if(g_utils.isEmpty(activateInfo.realNameAuthStatus) && g_utils.isEmpty(activateInfo.isCompleteUserInfo)) {
		return false;
	} else {
		if(activateInfo.realNameAuthStatus == 3 && activateInfo.isCompleteUserInfo == 1) {
			return true;
		}
		return false;
	}
}

function isPageAdd() {
	if(openType == ADD_CARE) {
		return true;
	} else {
		return false;
	}
}
/**
 * 激活我的伙伙状态是否改变
 */
function isMyStatusChange(activateInfo) {
	if(g_utils.isEmpty(activateInfo.realNameAuthStatus) && g_utils.isEmpty(activateInfo.isCompleteUserInfo)) {
		return false;
	} else {
		if(!(activateInfo.realNameAuthStatus == 0 && activateInfo.isCompleteUserInfo == 0)) {
			return true;
		}
		return false;
	}
}

/**
 * 激活他人的伙伙状态是否改变
 */
function isOtherStatusChange(activateInfoList) {
	var isChange = false;
	var count = activateInfoList.length;
	if(count > 0) {
		for(var i = 0; i < count; i++) {
			var activateInfo = activateInfoList[i];
			var isUnfinish = !(activateInfo.realNameAuthStatus == 3 && activateInfo.userId != '' && activateInfo.isCompleteUserInfo == 1);
			var isDo = !(activateInfo.realNameAuthStatus == 0 && activateInfo.userId == '' && activateInfo.isCompleteUserInfo == 0);
			if(isUnfinish && isDo) { //不是已完成和已做了一些步骤
				isChange = true;
			}
		}
	}
	return isChange;
}

function getActivateInfoList() {
	g_tools.postCMD('getActivateInfoList', {}, function(result) {
		if(result.code == 0) {
			mdata.activateInfoList = result.data;
			removeMyCacheHaveFinish(mdata.activateInfoList);
			isNetLink = true;
		} else {
			//console.log(JSON.stringify(result));
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, {
		noNetworkMode: g_tools.TIP_MODE_TOAST
	});
}

function getUserInfo() {
	g_tools.postCMD('getUserInfoByUserId', {
		userId: g_tools.getUserId()
	}, function(result) {
		if(result.code == 0) {
			mdata.userInfo = result.data;
			isNetLink2 = true;
		} else {
			//console.log(JSON.stringify(result));
		}
	}, g_tools.MODE_WEB);
}

function getMyTip(activateInfo) {
	var tip = "需要完成2个步骤";
	if(activateInfo.realNameAuthStatus == 1) { //审核中
		if(activateInfo.isCompleteUserInfo == 0) {
			tip = "实名审核中，请完善资料";
		} else {
			tip = "实名认证审核中";
		}
	} else if(activateInfo.realNameAuthStatus == 2) { //未通过
		tip = "实名审核未通过，请重新提交";
	} else if(activateInfo.realNameAuthStatus == 3) {
		if(activateInfo.isCompleteUserInfo == 0) {
			tip = "实名审核已通过，请完善资料";
		}
	}
	return tip;
}

function getOtherTip(activateInfoList) {
	var tip = "需要完成3个步骤";
	var count = activateInfoList.length;
	var unfinishNum = 0;
	if(count > 1) {
		for(var i = 0; i < count; i++) {
			var activateInfo = activateInfoList[i];
			var isUnfinish = !(activateInfo.realNameAuthStatus == 3 && activateInfo.userId != '' && activateInfo.isCompleteUserInfo == 1);
			var isDo = !(activateInfo.realNameAuthStatus == 0 && activateInfo.userId == '' && activateInfo.isCompleteUserInfo == 0);
			if(isUnfinish && isDo) { //不是已完成和已做了一些步骤
				unfinishNum++;
			}
		}
		if(unfinishNum > 0) {
			var tip = "有" + unfinishNum + "人" + "未完成激活伙伙步骤";
		}
	} else if(count == 1) {
		var activateInfo = activateInfoList[0];
		if(activateInfo.realNameAuthStatus == 1) { //审核中
			tip = "实名认证审核中";
			if(activateInfo.userId == '') { //则提示还需绑定账号
				tip = "实名审核中，请注册账号";
			} else if(activateInfo.userId !== '' && activateInfo.isCompleteUserInfo != 1) {
				tip = "实名审核中，请完善资料";
			}
		} else if(activateInfo.realNameAuthStatus == 2) { //未通过
			tip = "实名审核未通过，请重新提交";
		} else if(activateInfo.realNameAuthStatus == 3) {
			if(newActivateInfo.userId == '') { //则提示还需绑定账号
				tip = "“实名审核已通过，请注册账号”";
			} else if(newActivateInfo.userId !== '' && newActivateInfo.isCompleteUserInfo != 1) {
				tip = "实名审核已通过，请完善资料";
			}
		}
	}
	return tip;
}

/**
 * 得到自己的激活伙伙信息
 * @param {Object} activateInfoList
 */
function getMyActivateInfo(activateInfoList) {
	var loginUserId = g_storage.get(g_storage.DEVICE_USER_ID);
	if(!g_utils.isEmpty(activateInfoList)) {
		for(var i = 0; i < activateInfoList.length; i++) {
			if(activateInfoList[i].userId == loginUserId) { //代表自己
				return activateInfoList[i];
			}
		}
	}
	return [];
}

/**
 * 得到他人的激活伙伙信息列表
 * @param {Object} activateInfoList
 */
function getOtherActivateList(activateInfoList) {
	var otherList = [];
	var loginUserId = g_storage.get(g_storage.DEVICE_USER_ID);
	if(!g_utils.isEmptyArray(activateInfoList)) {
		for(var i = 0; i < activateInfoList.length; i++) {
			if(activateInfoList[i].userId != loginUserId) {
				otherList.push(activateInfoList[i]);
			}
		}
	}
	return otherList;
}

/**
 * 进入帮助他人激活流程
 * @param {Object} activateInfoList
 */
function gotoOther(otherActivateInfoList) {
	if(isNetLink) { //连接网络状态
		if(g_utils.isEmptyArray(otherActivateInfoList)) {
			g_mui.openModule(g_module.certification, {
				type: TYPE_NEW_OTHER,
				activateInfo: activateInfo
			});
		} else {
			g_mui.openPage(g_module.insertMyCareGuide, 'otherActiveInfoList.html');
		}
	} else {
		g_mui.openPage(g_module.insertMyCareGuide, 'noNetConnect.html');
	}
}

/**
 * 进入我的伙伙激活流程
 * @param {Object} activateInfo
 */
function gotoMy(myActivateInfo) {
	if(isFinishMy(myActivateInfo)) {
		alert("您的伙伙已经激活了");
		return;
	}
	if(isNetLink) { //连接网络状态
		activateInfo = myActivateInfo;
		if(activateInfo.realNameAuthStatus == 0) {
			g_mui.openModule(g_module.certification, {
				type: TYPE_MY,
				activateInfo: activateInfo
			});
		} else if(activateInfo.realNameAuthStatus == 1 || activateInfo.realNameAuthStatus == 2 || activateInfo.realNameAuthStatus == 3) {
			openModuleByUrl('moduleLocal/certification/waitingResult.html', 'waitingResult.html', {
				type: TYPE_MY,
				activateInfo: activateInfo,
				activateInfoList: mdata.activateInfoList
			});
		} else {
			g_mui.openModule(g_module.certification, {
				type: TYPE_MY,
				activateInfo: activateInfo
			});
		}
	} else {
		g_mui.openPage(g_module.insertMyCareGuide, 'noNetConnect.html');
	}
}

// 关爱他人模块
function gotoAddMyCare() {
	g_mui.openModule(g_module.insertMyCare);
}
function isHaveCard(userInfo){
	if(g_utils.isEmpty(userInfo.isAddMyCard)||g_utils.isEmpty(userInfo.isBinded)){
		return false;
	}
	if(userInfo.isAddMyCard == 0&&userInfo.isBinded == 0){
		return false;
	}else{
		return true;
	}
}
function gotoCreateMyCare(userInfo) {
	if(isNetLink2) { //连接网络状态
		g_mui.openModule(g_module.insertMyHealthCard);
	} else {
		g_mui.openPage(g_module.insertMyCareGuide, 'noNetConnect.html');
	}
}
/**
 * 进入模块的指定页
 * @param {Object} url
 * @param {Object} id
 * @param {Object} extras
 * @param {Object} aniShow
 */
function openModuleByUrl(path, id, extras, aniShow) {
	if(aniShow == null || aniShow == undefined) aniShow = 'slide-in-right';
	if(extras == null || extras == undefined) extras = {};
	var url = g_formatPathToUrl(path);
	return g_mui.openWindow({
		url: url,
		id: id,
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true
			aniShow: aniShow,
			duration: 300
		},
		extras: extras,
		waiting: {
			autoShow: false, //自动显示等待框，默认为true
		},
		styles: {
			render: 'always',
			scrollIndicator: 'none'
		}
	})
}

function reSetNoPassStorage(type, activateInfo) {
	//拉取的前三个信息与缓存无关，去除
	var tempInfo = activateInfo;
	tempInfo.splice(0, 1);
	tempInfo.splice(1, 1);
	tempInfo.splice(2, 1);
	var infoStr = JSON.stringify(tempInfo);
	g_storage.setActivateStorage(type, infoStr, activateInfo);
}

//如果激活我的伙伙的实名认证通过并且其它流程进行完毕，这里把对应缓存删除掉，因为以后都不会用到
function removeMyCacheHaveFinish(activateInfoList) {
	var myActivateInfo = getMyActivateInfo(activateInfoList);
	if(isFinishMy(myActivateInfo)) { //激活我的伙伙流程完毕,删除激活我的缓存
		//		console.log('start remove my finish cache!');
		g_storage.removeActivateStorage(TYPE_MY, myActivateInfo);
	}
}

//关闭遮罩层提示
function closeMask() {
	var target = document.getElementById("id-fr-mask");
	target.classList.remove("display-flex");

}

//打开遮罩层提示
function openMask() {
	var target = document.getElementById("id-fr-mask");
	target.classList.add("display-flex");
}