//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;

//dom
var changeHeadImg = document.getElementById('changeHeadImg');
var nicknameDom = document.getElementById('nickname');

//头像地址
var userInfo={};
var headImg="";
var nickname="";
var sex="";
var birthday="";
var height="";
var weight="";
var isBinded;
var isAddMyCard;

//mui初始化
mui.init();
mui.plusReady(function() {
              
    mui.back = function() {
              g_tools.logout();
    }
              
	getParamAndInitDom();
	initPremission();
	initPhotoAsheet();
	initNextBtn();
    plus.navigator.closeSplashscreen();
});


function getParamAndInitDom(){
	var self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(self.userInfo)) {
        var userInfo = JSON.parse(self.userInfo);
		if(!g_utils.isEmpty(userInfo.headImg)) {
			headImg = userInfo.headImg;
            changeHeadImg.src = g_tools.IP_FILE + headImg + "&tb=1";
		}
		if(!g_utils.isEmpty(userInfo.nickname)) {
			nickname = userInfo.nickname;
			nicknameDom.value = nickname;
		}
		if(!g_utils.isEmpty(userInfo.sex)) {
			sex = userInfo.sex;
		}
		if(!g_utils.isEmpty(userInfo.birthday)) {
			birthday = userInfo.birthday;
		}
		if(!g_utils.isEmpty(userInfo.height)) {
			height = userInfo.height;
		}
		if(!g_utils.isEmpty(userInfo.weight)) {
			weight = userInfo.weight;
		}
		if(!g_utils.isEmpty(userInfo.isBinded)) {
			isBinded = userInfo.isBinded;
		}
		if(!g_utils.isEmpty(userInfo.isAddMyCard)) {
            isAddMyCard = userInfo.isAddMyCard;
        }
    }else{
        g_tools.postCMD('getUserInfoByUserId', {
            userId: g_tools.getUserId()
        }, function(result) {
            if(result.code == 0) {
                var myProfile = result.data;
                        
                if(!g_utils.isEmpty(myProfile.headImg)) {
                    headImg = myProfile.headImg;
                    changeHeadImg.src = g_tools.IP_FILE + headImg + "&tb=1";
                }
                if(!g_utils.isEmpty(myProfile.nickname)) {
                    nickname = myProfile.nickname;
                    nicknameDom.value = nickname;
                }
                if(!g_utils.isEmpty(myProfile.sex)) {
                    sex = myProfile.sex;
                }
                if(!g_utils.isEmpty(myProfile.birthday)) {
                    birthday = myProfile.birthday;
                }
                if(!g_utils.isEmpty(myProfile.height)) {
                    height = myProfile.height;
                }
                if(!g_utils.isEmpty(myProfile.weight)) {
                    weight = myProfile.weight;
                }
                if(!g_utils.isEmpty(userInfo.isBinded)) {
					isBinded = userInfo.isBinded;
				}
                if(!g_utils.isEmpty(userInfo.isAddMyCard)) {
                    isAddMyCard = userInfo.isAddMyCard;
                }
            }
        });
    }
}

function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}

function initPhotoAsheet() {
	//添加选取成功后的事件监听
	document.addEventListener(g_event.CROPPER, function(event) {
		if(event.detail.code == 0) {
			var path = event.detail.path;
			if(!g_utils.isEmpty(path)) {
				//上传照片
				uploadHeadImg(path);
			}
		}
	});

	/*点击头像触发*/
	changeHeadImg.addEventListener('tap', function() {
		if(mui.os.plus) {
			var buttons = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: buttons
			}, function(b) { /*actionSheet 按钮点击事件*/
				switch(b.index) {
					case 0:
						break;
					case 1:
						//startCapture();
						setPermission("3");
						/*拍照*/
						break;
					case 2:
						//startAlbum();
						setPermission("6");
						/*相册*/
						break;
					default:
						break;
				}
			})
		}
	}, false);
}

function initNextBtn() {
	var nextBtn = document.getElementById('nextBtn'); //下一步按钮
	if (isBinded == 1 || isAddMyCard == 1){
        nextBtn.innerHTML = "完成";
    }
	nextBtn.addEventListener('tap', function(e) {
		if(validateValue()) {
			//获取用户信息
			var parameters = {};
            nickname = nicknameDom.value;
			addParameter('nickname', nicknameDom.value, parameters);

            var userInfo = {'sex':sex,'birthday':birthday,'height':height,'weight':weight};
			g_tools.postCMD('modifyUserInfo', parameters, function(result) {
				if(result.code == 0) {
					if (isBinded == 1 || isAddMyCard == 1){
						var webview = g_mui.createWebview(g_module.index.getUrl(), g_module.index.ID, {
							render: 'always'
						});
						plus.nativeUI.showWaiting(g_tools.WAIT_TIP, {
							loading: {
								display: 'inline'
							},
							modal: false
						});
					//定时判断加载情况，一旦首页加载成功，则自动跳转
						setInterval(function() {
							var w = plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html');
							if(w != null) {
								plus.nativeUI.closeWaiting();
								webview.show();
							//关闭模块相关的所有webview
								var array = plus.webview.all();
								if(array) {
									var checkModuleArr = g_module.getIndexSubPages();
									checkModuleArr.push(g_module.index);
								//					console.log(JSON.stringify(checkModuleArr));
									for(var i = 0, len = array.length; i < len; i++) {
										var id = array[i].id;
									//					  	console.log('id: '+id);
										var isNeedClose = true; //是否需要关闭 
										for(var j = 0; j < checkModuleArr.length; j++) { //如果在这些模块中，则无需关闭
											var module = checkModuleArr[j];
										//					  		console.log('id: '+id+' module.ID: '+module.ID);
											if(id.indexOf(module.ID) == 0) { //属于该模块
												isNeedClose = false;
												break;
											}
										}
										if(isNeedClose) {
										//					  		console.log('close: '+array[i].id);
											array[i].close('none');
										}
									}
								}
							}
						}, 500);
					}
					else{
						//跳转
						g_mui.openPage(g_module.insertMyHealthCard, 'inputBaseInfo.html', {
                        		userInfo:JSON.stringify(userInfo)
						});
					}
					
				}else{
					mui.toast(result.tip);
				}
			});

		}
	});
}

function validateValue() {
	//验证照片是否上传
	if(g_utils.isEmpty(headImg)) {
		g_mui.alert("还没有设置头像呢");
		return false;
	}
	if(g_utils.isEmpty(nicknameDom.value)) {
		g_mui.alert("还没有设置昵称呢");
		return false;
	}
	return true;
}
/**
 * 相机权限
 */
function setPermission(type) {
	if(plus.os.name == g_config.ANDROID) {
		plus.permissionUtil.setPermission(type, function(result) {
				if(result.ps) {
					if(type == "3") {
						startCapture();
					}
					if(type == "6") {
						startAlbum();
					}
				}
			},
			function(erro) {
				alert(erro);
			}
		);
	} else {
		if(type == "3") {
			startCapture();
		}
		if(type == "6") {
			startAlbum();
		}
	}
}
/**
 * 拍照
 */
function startCapture() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var path = entry.fullPath;
			g_mui.openCropper({
				imgSrc: path
			});
		}, function(e) {});
	}, function(e) {}, {
		filename: "_doc/camera/"
	});
}

/**
 * 从相册里选择
 */
function startAlbum() {
	plus.gallery.pick(function(path) {
		g_mui.openCropper({
			imgSrc: path
		});
	}, function(e) {}, {
		filter: "image"
	});
}

/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}

/*
 * 上传头像
 * @param {String}本地头像存储地址
 */
var loading;

function uploadHeadImg(imgUrl) {
	loading = plus.nativeUI.showWaiting('头像上传中，请稍候……', {
		loading: {
			display: 'inline'
		},
		modal: false
	});
	g_tools.postFile("modifyUserHeadImg", imgUrl, function(result) {
		if(result.code == 0) {
			if(!g_utils.isEmpty(loading)) loading.close();
			headImg = result.url;
			mui.toast("上传成功");
			//changeHeadImg.style.backgroundImage = 'url(' + imgUrl + ')';
			changeHeadImg.src = g_tools.IP_FILE + result.url + "&tb=1";
//			if(!g_utils.isEmpty(result.url)) {
//				var myUrl = g_tools.IP_FILE + result.url + "&tb=1";
//				g_RIM.setUserInfoProvider(userId, nickTitle.innerHTML, myUrl);
//			}
		} else {
			if(!g_utils.isEmpty(loading)) loading.close();
			if(result.code == -2){
			mui.toast("上传失败");
			}else if(result.code == -3){
			mui.toast("图片尺寸不能超过1M");
			}
		}
	});
}
