var HAVED_ADD_MY_CARD=1;

//mui初始化
mui.init();
var birthDayId = document.getElementById('birthDayId'); //生日
var heightId = document.getElementById('heightId'); //身高
var weightId = document.getElementById('weightId'); //体重

var femaleId = document.getElementById('femaleId'); //性别女
var maleId = document.getElementById('maleId'); //性别男

var chooseSex=0;

//性别
femaleId.addEventListener('tap', function(e) {
	var choosed=femaleId.getAttribute('choosed');
	if(choosed=="false"){
		femaleId.classList.add("checkIcon");
		femaleId.setAttribute('choosed','true');
		maleId.classList.remove("checkIcon");
		maleId.setAttribute('choosed','false');
		chooseSex=0;
	}
},false);
maleId.addEventListener('tap', function(e) {
	var choosed=maleId.getAttribute('choosed');
	if(choosed=="false"){
		maleId.classList.add("checkIcon");
		maleId.setAttribute('choosed','true');
		femaleId.classList.remove("checkIcon");
		femaleId.setAttribute('choosed','false');
		chooseSex=1;
	}
},false);

mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var _userName = self.userName;
	initPicker();
	initClickPicker();
	document.getElementById('confirm').addEventListener('tap', function(e) {
		var info = g_storage.get(g_storage.WEIXIN_AUTH_USER_INFO);
		var weiXinUserInfo = JSON.parse(info);
		var _authInfo = {};
		_authInfo["unionId"] = weiXinUserInfo.unionid;
		_authInfo["weixinHeadImg"] = weiXinUserInfo.headimgurl;
		_authInfo["nickname"] = weiXinUserInfo.nickname;
		var _userInfo = {};
		_userInfo["userName"] = _userName;
		if(!g_utils.isEmpty(chooseSex)) {
			_userInfo["sex"] =chooseSex;
		} else {
			g_mui.alert("请选择性别！");
			return;
		}

		if(!g_utils.isEmpty(birthDayId.mills)) {
			_userInfo["birthday"] = birthDayId.mills;
		} else {
			g_mui.alert("请选择生日！");
			return;
		}

		if(!g_utils.isEmpty(heightId.value)) {
			var heightStr=heightId.value;
			heightStr = heightStr.replace('厘米','');
			_userInfo["height"] = heightStr;
		} else {
			g_mui.alert("请选择身高！");
			return;
		}

		if(!g_utils.isEmpty(weightId.value)) {
			var weightStr = weightId.value;
			weightStr = weightStr.replace('kg','');
			_userInfo["weight"] =weightStr ;
		} else {
			g_mui.alert("请选择体重！");
			return;
		}

		weiXinBindNewUser(_userInfo, _authInfo);
	});
});

function initPicker() {
	//生日
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear() - 1;
	var beginYear = nowYear - 100;
	var optionsJson = '{"type":"date","beginYear":' + beginYear + ',"endYear":' + nowYear + ',"value":"1990-10-10"}';
	var options = JSON.parse(optionsJson);
	birthdayPicker = new mui.DtPicker(options);
}

function initClickPicker() {
	birthDayId.addEventListener('tap', function(event) {
		var birthday = this.value;
		onBirthdayPicker(birthday);
	}, false);
	heightId.addEventListener('tap', function(event) {
		var height = this.value;
		onHeightPicker(height);
	}, false);
	weightId.addEventListener('tap', function(event) {
		var weight = this.value;
		onWeightPicker(weight);
	}, false);
}


function onBirthdayPicker(birthday) {
	if(birthday != "") {
		birthday = birthday.replace(/(\d{4}).(\d{1,2}).(\d{1,2}).+/mg, '$1-$2-$3');
		birthdayPicker.setSelectedValue(birthday);
	}
	birthdayPicker.show(function(items) {
		var year = items.y.text;
		var month = items.m.text;
		var day = items.d.text;
		var birthdayMills = Date.parse(month + "/" + day + "/" + year);
		birthDayId.mills = birthdayMills;
		birthDayId.value = g_utils.dateFormat(birthdayMills, "yyyy年MM月dd日");
	});
}

function onHeightPicker(height) {
	new KeyBoard(null, 0, {
		title: "身高",
		unit: "厘米",
		isInput: true,
		okCallback: function(backValue) {
			heightId.value = backValue + "厘米";
		},
		range: "90-250"
	});

}

function onWeightPicker(weight) {
	new KeyBoard(null, 1, {
		title: "体重",
		unit: "kg",
		isInput: true,
		okCallback: function(backValue) {
			weightId.value = backValue + "kg";
		},
		range: "25.0-150.9"
	});
}

function weiXinBindNewUser(_userInfo, _authInfo) {
	var sParameters = {};
	addParameter('userInfo', JSON.stringify(_userInfo), sParameters);
	addParameter('authInfo', JSON.stringify(_authInfo), sParameters);
	Debugger.log("sParameters->:"+JSON.stringify(sParameters));
	g_tools.postURL("weiXinBindNewUser", sParameters, function(result) {
		Debugger.log("weiXinBindNewUser->:"+JSON.stringify(result));
			if(result.code == 0) { //绑定成功
				unionIdLogin(_userInfo, _authInfo);
			}else if(result.code == 1){ //unionId查找不到对应用户
				registerWeiXinUser(_userInfo, _authInfo);
			} else {
				g_mui.alert(result.tip);
			}
	});
}

function registerWeiXinUser(_userInfo, _authInfo) {
	var sParameters = {};
	addParameter('unionId', _authInfo.unionId, sParameters);
	addParameter('nickname', _authInfo.nickname, sParameters);
	addParameter('weixinHeadImg', _authInfo.weixinHeadImg, sParameters);
	addParameter('userName', _userInfo.userName, sParameters);
	addParameter('age', jsGetAge(_userInfo.birthday), sParameters);
	addParameter('height', _userInfo.height, sParameters);
	addParameter('weight', _userInfo.weight, sParameters);
	addParameter('sex', _userInfo.sex, sParameters);
	addParameter('isAddMyCard', HAVED_ADD_MY_CARD, sParameters);
	Debugger.log("sParameters->:"+JSON.stringify(sParameters));
	g_tools.postURL("registerWeiXinUser", sParameters, function(result) {
		Debugger.log("registerWeiXinUser->:"+JSON.stringify(result));
		if(result.code == 0) { //注册成功
			unionIdLogin(_userInfo, _authInfo);
		} else {
			g_mui.alert(result.tip);
		}
	});
}

function unionIdLogin(_userInfo, _authInfo) {
	var LOGIN_PLATFORM = 0;
	var lParameters = {};
	addParameter("userName", _userInfo.userName, lParameters);

	g_tools.postURL('getSalt', lParameters, function(result) {
		if(result.code == 0) {
			var sParameters = {};
			addParameter('unionId', _authInfo.unionId, sParameters);
			Debugger.log("sParameters->:"+JSON.stringify(sParameters));
			g_tools.postURL("unionIdLogin", sParameters, function(result) {
				Debugger.log("unionIdLogin->:"+JSON.stringify(result));
				if(result.code == 0) { //登录成功
					g_tools.login(result.userId, _userInfo.userName);
				} else {
					g_mui.alert(result.tip);
				}
			});
		} else {
			g_mui.alert(result.tip);
		}
	});
}

function addParameter(key, value, parameters) {
	parameters[key] = value;
}

function jsGetAge(birthdayMills) {
	var returnAge;
	var strBirthday=g_utils.dateFormat(birthdayMills, "yyyy-MM-dd");
	var strBirthdayArr = strBirthday.split("-");
	var birthYear = strBirthdayArr[0];
	var birthMonth = strBirthdayArr[1];
	var birthDay = strBirthdayArr[2];

	var d = new Date();
	var nowYear = d.getFullYear();
	var nowMonth = d.getMonth() + 1;
	var nowDay = d.getDate();
	 
	if(nowYear == birthYear) {
		returnAge = 0; //同年 则为0岁  
	} else {
		var ageDiff = nowYear - birthYear; //年之差  
		if(ageDiff > 0) {
			if(nowMonth == birthMonth) {
				var dayDiff = nowDay - birthDay; //日之差  
				if(dayDiff < 0) {
					returnAge = ageDiff - 1;
				} else {
					returnAge = ageDiff;
				}
			} else {
				var monthDiff = nowMonth - birthMonth; //月之差  
				if(monthDiff < 0) {
					returnAge = ageDiff - 1;

				} else {
					returnAge = ageDiff;
				}
			}
		} else {
			returnAge = -1; //返回-1 表示出生日期输入错误 晚于今天  
		}
	}
	return returnAge; //返回周岁年龄  
}