
var aweixin=null;// 微信授权登录对象
var auths = null;// 当前环境支持的所有授权登录对象

var NO_HAVED_PASSWORD=0;	//没有密码
var HAVED_PASSWORD=1;	//有密码
var NO_USER=2;	//不存在该用户
var loginButton = document.getElementById('login')
loginButton.addEventListener('tap', function(e) {
	var isClick = this.getAttribute("isClick");
	if(isClick == "0"){
		this.setAttribute("isClick",'1')
		login();
	}
});
//var isclick= true;
function login() {

//	if(isclick){
//     isclick = false;
	var LOGIN_PLATFORM = 0;
	var accountInput = document.getElementById("account").value;
	var passwordInput = document.getElementById("password").value;

	//先判断是否为空
	if(g_utils.isEmpty(accountInput)) {
		g_mui.alert('手机号不能为空，请输入注册手机号');
		return;
	}
	//	if(!g_utils.validateMobile(accountInput)) {
	//		g_mui.alert('手机号格式不正确，请输入正确的手机号');
	//		return;
	//	}
	if(g_utils.isEmpty(passwordInput)) {
		g_mui.alert('密码不能为空，请输入密码');
		return;
	}

	var lParameters = {};
	var ePassword;
	addParameter("userName", accountInput, lParameters);
	g_tools.postURL('checkNullPassword', lParameters, function(result) {
		Debugger.log("checkNullPassword->:"+JSON.stringify(result));
		if(result.code == 0) {
			var _isHavePassword=result.data.isHavePassword;
			if(_isHavePassword==NO_HAVED_PASSWORD){
				g_mui.alert("您未设置过密码，建议您微信登录或通过忘记密码功能设置密码后登录");
			}else if(_isHavePassword==HAVED_PASSWORD||_isHavePassword==NO_USER){
				Debugger.log("lParameters->:"+JSON.stringify(lParameters));
				g_tools.postURL('getSalt', lParameters, function(result) {
					Debugger.log("getSalt->:"+JSON.stringify(result));
					if(result.code == 0) {
						var salt = result.salt;
						ePassword = g_tools.encryptionPassword(passwordInput, salt);
						var sParameters = {};
						addParameter('userName', accountInput, sParameters);
						addParameter('password', ePassword, sParameters);
						addParameter('platform', LOGIN_PLATFORM, sParameters);
						Debugger.log("sParameters->:"+JSON.stringify(sParameters));
						g_tools.postURL("login", sParameters, function(result) {							
							Debugger.log("login->:"+JSON.stringify(result));
							if(result.code == 0) { //登录成功
								g_tools.login(result.userId, accountInput, passwordInput);
							} else {
								loginButton.setAttribute("isClick",'0');
								g_mui.alert(result.tip);
							}						
						});
					} else {
						loginButton.setAttribute("isClick",'0');
						g_mui.alert(result.tip);
					}
				});
			}	
		} else {
			loginButton.setAttribute("isClick",'0');
			g_mui.alert(result.tip);
		}
	});
//}
//	isclick= true;
	//	g_push.regAndLogin(accountInput,passwordInput);
}

window.onresize = function() { //防止软键盘弹出挡住输入框
	document.activeElement.scrollIntoView(false);
}

mui.plusReady(function() {
	mui.init();
	
	// 设置应用非全屏显示！关闭启动页
	if(plus.os.name == g_config.ANDROID) {
		plus.navigator.setFullscreen(false);
	}
	plus.navigator.closeSplashscreen();
	getWeiXinService();

	//关闭其他非login界面，以保证页面的正确关闭
	var array = plus.webview.all();
	if(array) {
		for(var i = array.length - 1; i >= 0; i--) {
			var id = array[i].id;
			if(id.indexOf(g_module.login.ID) != 0 && id.indexOf(g_module.welcome.ID) && id.indexOf(g_module.register.ID)) {
				array[i].close("none");
			}
		}
	};
	document.getElementById("loginByWX").addEventListener('tap', function() {
		authWeiXinLogin();
	},false);
});


function getWeiXinService(){
	plus.oauth.getServices(function(services){
		auths = services;
		for(var i = 0; i < auths.length; i++) {
            if(auths[i].id == 'weixin') {
                aweixin = auths[i];
                break;
            }
       }
	}, function(e){
		g_mui.toast("获取登录授权服务列表失败："+JSON.stringify(e));
	} );
}

// 微信登录操作
function authWeiXinLogin() {
	var waiting = plus.nativeUI.showWaiting();
    if (!aweixin.authResult) {
        aweixin.login(function(e) {
        	waiting.close();
            g_mui.toast("登录认证成功！");
            authWeiXinUserInfo();
        }, function(e) {
        	waiting.close();
        	if(e.code!==-2){//用户取消时不提示
        		g_mui.toast("登录认证失败！" + e.message);
        	}      
        });
    } else {
        g_mui.toast("已经登录认证！");
    }
}
//微信注销
function authWeiXinLogout() {
    if (aweixin.authResult) {
        aweixin.logout(function(e) {
            Debugger.log("微信注销登录认证成功！");
        }, function(e) {
            Debugger.log("微信注销登录认证失败！");
        });
    }
    
}
// 微信登录认证信息
function authWeiXinUserInfo() {
    if (!aweixin.authResult) {
        g_mui.toast("未授权登录！");
    } else {
        aweixin.getUserInfo(function(e) {
            var weiXinUserInfo=aweixin.userInfo;
			Debugger.log(JSON.stringify(weiXinUserInfo));
			g_storage.set(g_storage.WEIXIN_AUTH_USER_INFO, JSON.stringify(weiXinUserInfo));
			checkWeiXinBindPhone(weiXinUserInfo.unionid);
            authWeiXinLogout();
        }, function(e) {
            g_mui.alert("获取用户信息失败：" + e.message + " - " + e.code);
        });
    }
}


var WEIXIN_HAVED_BIND_PHONE=1;	//第三方登录已绑定过手机号
var WEIXIN_NO_BIND_PHONE=0;		//第三方登录未绑定过手机号

//验证微信第三方登录是否绑定过手机号
function checkWeiXinBindPhone(unionId){
	var sParameters = {};
	addParameter('unionId', unionId, sParameters);
	g_tools.postURL("checkWeiXinBindPhone", sParameters, function(result) {
		Debugger.log("checkWeiXinBindPhone->:"+JSON.stringify(result));
		if(result.code == 0) { //验证成功
			var _isBindPhone=result.data.isBindPhone;
			var _userName=result.data.userName;
			if(_isBindPhone==WEIXIN_HAVED_BIND_PHONE){
				unionIdLogin(unionId,_userName);
			}else if(_isBindPhone==WEIXIN_NO_BIND_PHONE){
				//跳转到输入手机号页面
				g_mui.openPage(g_module.login,'bindPhone.html');
			}	
		} else {
			g_mui.alert(result.tip);
		}
	});
}

//微信第三方登录验证
function unionIdLogin(unionId,userName){
	var lParameters = {};
	addParameter("userName", userName, lParameters);
	g_tools.postURL('getSalt', lParameters, function(result) {
		Debugger.log("getSalt->:"+JSON.stringify(result));
		if(result.code == 0) {
			var sParameters = {};
			addParameter('unionId', unionId, sParameters);
			g_tools.postURL("unionIdLogin", sParameters, function(result) {
				Debugger.log("unionIdLogin->:"+JSON.stringify(result));
				if(result.code == 0) { //登录成功
					g_tools.login(result.userId,userName);
				} else {
					g_mui.alert(result.tip);
				}
			});
		} else {
			g_mui.alert(result.tip);
		}
	});
}



//点击事件
document.getElementById('forgetPassword').addEventListener('tap', function(e) {
	g_mui.openModule(g_module.forgetPassword);
	//修改状态栏背景
	g_setStatusbarBg('headerbg0');
});
document.getElementById('register').addEventListener('tap', function(e) {
	g_mui.openModule(g_module.register, {
		callbackJS: 'g_mui.closeModule(g_module.login);'
	}, 'fade-in');
});


/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}

//判断是否安装客户端
/*var appIsInstalled = function(id) {
    if (id === 'qihoo' && mui.os.plus) {
        return true;
    }
    if (mui.os.android) {
        var main = plus.android.runtimeMainActivity();
        var packageManager = main.getPackageManager();
        var PackageManager = plus.android.importClass(packageManager)
        var packageName = {
            "qq": "com.tencent.mobileqq",
            "weixin": "com.tencent.mm",
            "sinaweibo": "com.sina.weibo"
        }
        try {
            return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
        } catch (e) {}
    } else {
        switch (id) {
            case "qq":
                var TencentOAuth = plus.ios.import("TencentOAuth");
                return TencentOAuth.iphoneQQInstalled();
            case "weixin":
                var WXApi = plus.ios.import("WXApi");
                return WXApi.isWXAppInstalled()
            case "sinaweibo":
                var SinaAPI = plus.ios.import("WeiboSDK");
                return SinaAPI.isWeiboAppInstalled()
            default:
                break;
        }
    }
}*/
