//动态添加html元素
var floatMenuHTML=
''+
'<div class="float-choose hide" id="float-choose">'+
'	<div class="choose-arrow"></div>'+
'	<div class="choose-box">'+
'		<div class="choose-item" id="goto-add-care"><img src="myCarePhoto/add_care.png" class="add-care" />'+
'			<font class="add-care-text">添加关爱</font>'+
'		</div>'+
'		<div class="choose-line"></div>'+
'		<div class="choose-item" id="goto-measure"><img src="myCarePhoto/measure.png" class="add-care" />'+
'			<font class="add-care-text">测量记录</font>'+
'		</div>'+
'		<div class="choose-line"></div>'+
'		<div class="choose-item" id="goto-meal"><img src="myCarePhoto/meal.png" class="add-care" />'+
'			<font class="add-care-text">饮食记录</font>'+
'		</div>'+
'	</div>'+
'</div>'+
'';
var divObj=document.createElement("div");
divObj.innerHTML=floatMenuHTML;
var first=document.body.firstChild;
document.body.insertBefore(divObj,first);

//动态加载css
var floatMenuCSS=
''+
'.float-choose {'+
'	position: fixed;'+
'	width: 100%;'+
'	height: 100%;'+
'	z-index: 999;'+
'}'+
'.choose-arrow {'+
'	position: absolute;'+
'	top: 0.02rem;'+
'	right: 13px;'+
'	width: 0.1rem;'+
'	height: 0.1rem;'+
'	background: #575757;'+
'	transform: rotate(45deg);'+
'	-webkit-transform: rotate(45deg);'+
'}'+
'.choose-box {'+
'	position: absolute;'+
'	background: #575757;'+
'	width: 1.15rem;'+
'	height: 1.48rem;'+
'	padding-right: 0.1rem;'+
'	padding-left: 0.1rem;'+
'	top: 0.05rem;'+
'	right: 5px;'+
'}'+
'.choose-line {'+
'	width: 100%;'+
'	height: 0.01rem;'+
'	background: #747474;'+
'}'+
'.choose-item {'+
'	height: 0.48rem;'+
'	width: 0.95rem;'+
'}'+
'.add-care-text {'+
'	color: #FFFFFF;'+
'	font-size: 0.14rem;'+
'	line-height: 0.48rem;'+
'	font-family: "微软雅黑";'+
'	float: left;'+
'	margin-left: 0.1rem;'+
'}'+
'.add-care {'+
'	width: 0.22rem;'+
'	height: 0.22rem;'+
'	margin-left: 0.03rem;'+
'	margin-top: 0.13rem;'+
'	float: left;'+
'}'+
'.hide {'+
'	display: none;'+
'}'+
'';
var style = document.createElement("style");
style.type = "text/css";
style.appendChild(document.createTextNode(floatMenuCSS));
document.getElementsByTagName("head")[0].appendChild(style);

//执行逻辑代码
var floatChoose = document.getElementById('float-choose');
var floatShow = false;
var addCareCard = document.getElementById('goto-add-care');
var gotoMeasure = document.getElementById('goto-measure');
var gotoMeal = document.getElementById('goto-meal');

window.addEventListener('openAddFloat', function(event) {
	if(floatShow) {
		floatShow = false;
		floatChoose.classList.add('hide');
	} else {
		floatShow = true;
		floatChoose.classList.remove('hide');
	}
});
window.addEventListener('closeAddFloat', function(event) {
	floatShow = false;
	floatChoose.classList.add('hide');
});
floatChoose.addEventListener('touchstart', function() {
	floatShow = false;
	floatChoose.classList.add('hide');
});
addCareCard.addEventListener('tap', function(event) {
    event.stopPropagation();  //阻止事件继续传递
	g_mui.openModule(g_module.insertMyCare);
});
gotoMeasure.addEventListener('tap', function(event) {
    event.stopPropagation();  //阻止事件继续传递
	g_mui.openPage(g_module.addHealthData,"../addHealthData/addHealthData.html",{});
});
gotoMeal.addEventListener('tap', function(event) {
    event.stopPropagation();  //阻止事件继续传递
	g_mui.openPage(g_module.addHealthData,"../addHealthData/addMeal.html",{});
});
