var g_mission_item_config={
	'DM_001':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}
			return html;
		}
	},
	'DM_002':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}
			return html;
		},
		openPage: function(){
			
		}
	},
	'DM_003':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去记录</button>';
			}
			return html;
		},
		openPage:function(data){
			if (data.isComplete == 1){  //任务完成则不用传入missionId
				g_mui.openPage(g_module.addHealthData,"../addHealthData/addMeal.html",{
				});
			}else if (data.isComplete == 0){
				var missionIdArr = [data.id];
				g_mui.openPage(g_module.addHealthData,"../addHealthData/addMeal.html",{
					missionIdArr:JSON.stringify(missionIdArr)
				});
			}
		}
	},
	'DM_004':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去记录</button>';
			}
			return html;
		},
		openPage:function(data){
			if (data.isComplete == 1){  //任务完成则不用传入missionId
				g_mui.openPage(g_module.addHealthData,"../addHealthData/addHealthData.html",{});
			}else if (data.isComplete == 0){
				var missionIdArr = [data.id];
				g_mui.openPage(g_module.addHealthData,"../addHealthData/addHealthData.html",{
					missionIdArr:JSON.stringify(missionIdArr)
				});
			}
		}
	},
	'DM_005':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去发送</button>';
			}
			return html;
		},
		openPage:function(data){
			mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID), "changeCard", {
				title: 'titleCard'
			});
		}
	},
	'PM_001':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}
			return html;
		},
		openPage: function(data){
			var missionIdArr = [data.id];
            g_mui.openPage(g_module.myCareList,'mission/pm_001/pm_001_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
            })
		}
	},
	'PM_002':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去打卡</button>';
			}
			return html;
		},
		openPage:function(data){
            var missionIdArr = [data.id];
			g_mui.openPage(g_module.myCareList,'mission/pm_002/pm_002_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
				missionId: data.id,
				missionData: JSON.stringify(data),
				isComplete: data.isComplete
			}) 
		}
	},
	'PM_003':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去记录</button>';
			}
			return html;
		},
        openRecode:function(data){
            var missionIdArr = [data.id];
            if(data.isComplete == 1){
                return
            }
            g_mui.openPage(g_module.myCareState,"../myCareState/manualInputHealth.html",{
                missionIdArr:JSON.stringify(missionIdArr),
                kind: data.mission.type,
                pageType: 1
            })
        },
		openPage:function(data){
            var missionIdArr = [data.id];
			g_mui.openPage(g_module.myCareList,'mission/pm_003/pm_003_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
			}) 
		}
	},
	'PM_004':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去打卡</button>';
			}
			return html;
		},
		openPage:function(data){
            var missionIdArr = [data.id];
			g_mui.openPage(g_module.myCareList,'mission/pm_004/pm_004_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
				missionId: data.id,
				healthyHabitTemplateId: data.parametersData.healthyHabitTemplateId,
				isComplete: data.isComplete
			}) 
		}
	},
	'PM_005':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
				html='<button>去打卡</button>';
			}
			return html;
		},
		openPage:function(data){
            var missionIdArr = [data.id];
			g_mui.openPage(g_module.myCareList,'mission/pm_005/pm_005_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
			}) 
		}
	},
	'PM_006':{
		getItemBtnHTML:function(data){
			var html='';
			if(data.isComplete==1){
				html='<button class="completed">已完成</button>';
			}else{
                var timeStr = data.mission.timeStr;
                var timeList = timeStr.split(':');
                
                var startTime = new Date();
                var endTime = new Date();
                startTime.setHours(20,0,0);
                endTime.setHours(parseInt(timeList[0]),parseInt(timeList[1]),0);
                var nowTime = new Date();
                
                if (nowTime.getTime() < startTime.getTime() || nowTime.getTime() > endTime.getTime()){
                    html='<button class="completed">去记录</button>';
                }else{
                    html='<button>去记录</button>';
                }
			}
			return html;
		},
		openPage:function(data){
            var missionIdArr = [data.id];
			g_mui.openPage(g_module.myCareList,'mission/pm_006/pm_006_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
			}) 
		}
	},
    'PM_007':{
        getItemBtnHTML:function(data){
            var html='';
            if(data.isComplete==1){
                html='<button class="completed">已完成</button>';
            }else{
                html='<button>去打卡</button>';
            }
            return html;
        },
        openPage:function(data){
            var missionIdArr = [data.id];
            g_mui.openPage(g_module.myCareList,'mission/pm_007/pm_007_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
            })
        }
    },
    'PM_008':{
        getItemBtnHTML:function(data){
            var html='';
            if(data.isComplete==1){
                html='<button class="completed">已完成</button>';
            }else{
                html='<button>去打卡</button>';
            }
            return html;
        },
        openPage:function(data){
            var missionIdArr = [data.id];
            g_mui.openPage(g_module.myCareList,'mission/pm_008/pm_008_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                title: data.title,
                parametersData: data.parametersData,
                isComplete: data.isComplete
            })
        }
    },
    'PM_009':{
        getItemBtnHTML:function(data){
            var html='';
            if(data.isComplete==1){
                html='<button class="completed">已完成</button>';
            }else{
                html='<button>去打卡</button>';
            }
            return html;
        },
        openPage:function(data){
            var missionIdArr = [data.id];
            g_mui.openPage(g_module.myCareList,'mission/pm_009/pm_009_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                title: data.title,
                parametersData: data.parametersData,
                isComplete: data.isComplete
            })
        }
    },
    'PM_010':{
        getItemBtnHTML:function(data){
            var html='';
            if(data.isComplete==1){
                html='<button class="completed">已完成</button>';
            }else{
                html='<button>去打卡</button>';
            }
            return html;
        },
        openPage:function(data){
            var missionIdArr = [data.id];
            g_mui.openPage(g_module.myCareList,'mission/pm_010/pm_010_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
            })
        }
    },
    'PM_011':{
        getItemBtnHTML:function(data){
            var html='';
            if(data.isComplete==1){
                html='<button class="completed">已完成</button>';
            }else{
                html='<button>去记录</button>';
            }
            return html;
        },
        openRecode:function(data){
            var missionIdArr = [data.id];
            if(data.isComplete == 1){
                return
            }
          //  g_mui.openPage(g_module.addHealthData,'../addHealthData/dietRecords.html',{missionIdArr:missionIdArr});
            g_mui.openPage(g_module.addHealthData,"../addHealthData/addMeal.html",{});
        },
        openPage:function(data){
            var missionIdArr = [data.id];
            g_mui.openPage(g_module.myCareList,'mission/pm_011/pm_011_card.html',{
                missionIdArr:JSON.stringify(missionIdArr),
                missionId: data.id,
                missionData: JSON.stringify(data),
                isComplete: data.isComplete
            })
        }
    },
}
