(function($) {
	var oBtn = document.getElementById('btn');
	var oW, oLeft;
	var oSlider = document.getElementById('slider');
	var oTrack = document.getElementById('track');
	var oIcon = document.getElementById('icon');
	var oSpinner = document.getElementById('spinner');
	var flag = 1;
	var BUTTON_WIDTH = 52; //按钮滑块的宽度
	var PADDING = 80 * 2; //72为slider的left样式值
	var sliderPluginApi = null;
	$.sliderPlugin = function(options, startMove, moving, endMove) {
		if(!sliderPluginApi) {
			sliderPluginApi = new SliderPlugin(options, startMove, moving, endMove);
		}
		return sliderPluginApi
	}
	var SliderPlugin = function(options, startMove, moving, endMove) {
		this.options = options;
		this.startMove = startMove;
		this.moving = moving;
		this.endMove = endMove;
		this.init();
		this.initEvent();
	}
	var proto = SliderPlugin.prototype;

	proto.init = function() {

	}

	proto.initEvent = function() {
		var self = this;
		oBtn.addEventListener('touchstart', function(e) {
			if(flag == 1) {
				//console.log(e);
				var touches = e.touches[0];
				oW = touches.clientX - oBtn.offsetLeft;
				oBtn.className = "button";
				oTrack.className = "track";
				self.startMove && self.startMove();
			}

		}, false);

		oBtn.addEventListener("touchmove", function(e) {
			if(flag == 1) {
				var touches = e.touches[0];
				oLeft = touches.clientX - oW;
				if(oLeft < 0) {
					oLeft = 0;
				} else if(oLeft > document.documentElement.clientWidth - oBtn.offsetWidth - PADDING) {
					oLeft = (document.documentElement.clientWidth - oBtn.offsetWidth - PADDING);
				}
				oBtn.style.left = oLeft + "px";
				oTrack.style.width = oLeft + BUTTON_WIDTH + 'px';
			}

		}, false);

		oBtn.addEventListener("touchend", function() {
			if(oLeft >= (oSlider.clientWidth - oBtn.clientWidth)) {
				oBtn.style.left = (document.documentElement.clientWidth - oBtn.offsetWidth - PADDING);
				oTrack.style.width = (document.documentElement.clientWidth - oBtn.offsetWidth - PADDING);
				oIcon.style.display = 'none';
				oSpinner.style.display = 'block';
				flag = 0;
				if(self.isExitsFunction('g_slider_end')) {
					self.endMove && self.endMove();
					g_slider_end(); //调用全局方法，需在模块中自行定义
				}

			} else {
				oBtn.style.left = 0;
				oTrack.style.width = BUTTON_WIDTH + 'px';
			}
			oBtn.className = "button-on";
			oTrack.className = "track-on";
		}, false);
	}

	proto.isExitsFunction = function(funcName) {
		try {
			if(typeof(eval(funcName)) == "function") {
				return true;
			}
		} catch(e) {}
		return false;
	}
})(mui)