var _tipContentDom = document.getElementById('tipContent');
var _missionContentDom = document.getElementById('missionContent');
var _rewardNumDom = document.getElementById('rewardNum');
var _btnDom = document.getElementById('bottomBtn');
var _missionData;
var _tipContent = '';
var _healthTypeName = '';
var _healthType = 0;
var _day=0;
var _count=0;
var _limitPoints=0;
var _progress = '';
var _isComplete = 0;
var _missionIdArr = '';
var _missionId = '';

var _planId = '';
var _startTime = 0;
var _endTime = 0;

var _inPost = false;

mui.plusReady(function() {
	getParamAndInitDom();
    initBtn();
              
    initProcessDom(_missionData.currentExecuteCount,_missionData.mission.count);

    if (_missionData.mission.day != 1){
        _tipContentDom.classList.remove('mui-hidden');
        getLastTimeForRecord();
    }else{
        if (_healthTypeName == '体重'){
            _tipContentDom.parentNode.parentNode.classList.add('mui-hidden');
        }
    }
              
    document.addEventListener('reGetData', function(e) {
        reGetData();
    });
});

function getParamAndInitDom() {
	_self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(_self.missionData)) {
		_missionData = JSON.parse(_self.missionData);
	}
    if(!g_utils.isEmpty(_self.isComplete)) {
        _isComplete = _self.isComplete;
        if (_isComplete == 1){
            var completeIconDom = document.getElementById('completeIcon');
            completeIconDom.classList.add('img-loaded');
            completeIconDom.classList.remove('mui-hidden');
            _btnDom.classList.add('mui-hidden');
        }
    }
    if(!g_utils.isEmpty(_self.missionIdArr)) {
        _missionIdArr = _self.missionIdArr;
    }
    if(!g_utils.isEmpty(_self.missionId)) {
        _missionId = _self.missionId;
    }
    
    
//    var title = _missionData.title;
//    if (title.indexOf('血压') != -1 ){
//        _healthTypeName = '血压';
//    }
//    if (title.indexOf('脉搏') != -1 ){
//        _healthTypeName = '脉搏';
//    }
//    if (title.indexOf('血氧') != -1 ){
//        _healthTypeName = '血氧';
//    }
//    if (title.indexOf('血糖') != -1 ){
//        _healthTypeName = '血糖';
//    }
//    if (title.indexOf('体重') != -1 ){
//        _healthTypeName = '体重';
//    }
//    if (title.indexOf('体温') != -1 ){
//        _healthTypeName = '体温';
//    }
//    var mission = _missionData.parametersData.mission;
//    for (var i=0; i<mission.length;i++){
//        if (mission[i].typeName == _healthTypeName){
//            _day = mission[i].day;
//            _count = mission[i].count;
//            _healthType = mission[i].type;
//        }
//    }
    
    var mission = _missionData.mission;
    
    _healthTypeName = mission.typeName;
    var tipContent1Dom = document.getElementById('tipContent1');
    if (_healthTypeName == '血压'){
        tipContent1Dom.innerHTML =  '1、早上是测量血压的合适时间，建议每天同一时间测量；<br>2、测量前静坐15分钟平心静气，情绪波动过大将影响测量结果；<br>3、饭后、运动后、情绪激动等情况下不宜测量。';
    }
    else if (_healthTypeName == '血糖'){
        tipContent1Dom.innerHTML =  '1、建议每天同一时间测量记录，采血前不用降糖药、不吃早餐、不运动；<br>2、空腹血糖需要至少8小时没有进食，最好在清晨6：00～8：00采血；<br>3、餐后血糖在每餐第一口开始计时两小时后采血测量；<br>4、餐前血糖在每餐进食前测量。';
    }else if (_healthTypeName == '血糖'){
        tipContent1Dom.innerHTML =  '1、建议每天同一时间测量记录，采血前不用降糖药、不吃早餐、不运动；<br>2、空腹血糖需要至少8小时没有进食，最好在清晨6：00～8：00采血；<br>3、餐后血糖在每餐第一口开始计时两小时后采血测量；<br>4、餐前血糖在每餐进食前测量。';
    }else if (_healthTypeName == '脉搏' || _healthTypeName == '体温' || _healthTypeName == '血氧'){
        tipContent1Dom.innerHTML =  '1、测量前静坐15分钟平心静气，情绪波动过大将影响测量结果；<br>2、饭后、运动后、情绪激动等情况下不宜测量';
    }
    
    _day = mission.day;
    _count = mission.count;
    _healthType = mission.type;
    
    _limitPoints = _missionData.limitPoints;
    _missionContentDom.innerHTML = '记录' + _healthTypeName + '数据：' + _day + '天' + _count + '次';
    _rewardNumDom.innerHTML = _limitPoints + '积分';
    
    _progress = _missionData.progress.replace('次','');
}

function initBtn(){
    _btnDom.innerHTML = '添加' + _healthTypeName + '数据';

	_btnDom.addEventListener('tap', function() {
            
        if(_isComplete == 1){
            return
        }
        g_mui.openPage(g_module.myCareState,"../../../myCareState/manualInputHealth.html",{
            missionIdArr:_missionIdArr,
            kind: _healthType,
            pageType: 1
        })

	});
}


//function reGetData(){
//    g_tools.postCMD('getCurrentMissionInfo',{
//        idArr:_missionIdArr
//    },function(result) {
//                    alert(result);
//        if(result.code == 0) {
//        //刷新计划任务数据
//            var planMissionList = result.data;
//            for (var i = 0;i < planMissionList.length;i++){
//                if (_missionId == planMissionList[i].id){
//                    _isComplete = planMissionList[i].isComplete;
//                    if (planMissionList[i].isComplete == 1){
//                        _btnDom.classList.add('mui-hidden');
//                    }else{
//                        _progress = planMissionList[i].progress.replace('次','');
//                        _btnDom.innerHTML = '添加' + _healthTypeName + '数据';
//                    }
//                }
//            }
//        }
//    }, g_tools.MODE_WEB, {
//        disableWait: true //禁止显示wait框
//    });
//}
function reGetData(){
    g_tools.postCMD('getCurrentMissionInfo',{
        idArr:_missionIdArr
    },function(result) {
        _inPost = false;
        if(result.code == 0) {
        //刷新计划任务数据
            var planMissionList = result.data;
            for (var i = 0;i < planMissionList.length;i++){
                if (_missionId == planMissionList[i].id){
                    _isComplete = planMissionList[i].isComplete;
                    if (planMissionList[i].isComplete == 1){
                        _btnDom.classList.add('mui-hidden');
                        
                        var completeIconDom = document.getElementById('completeIcon');
                            completeIconDom.classList.remove('mui-hidden');
                            setTimeout(function () {
                                completeIconDom.classList.add('img-loaded');
                            }, 300);
                        initProcessDom(planMissionList[i].currentExecuteCount,planMissionList[i].mission.count);
                                
//                        g_fire.updateAllMission({
//                            missionIdArr: _missionIdArr
//                        });
//                        g_fire.showToast({
//                            missionIdArr: _missionIdArr
//                        });
                    }else{
                        initProcessDom(planMissionList[i].currentExecuteCount,planMissionList[i].mission.count);
                    }
                }
            }
        }
    }, g_tools.MODE_WEB, {
        disableWait: true //禁止显示wait框
    });
}

function getLastTimeForRecord(){
    g_tools.postCMD('getCurrentMissionInfo', {
        idArr:_missionIdArr
    }, function(res) {
        if(res.code == 0) {
            var planMissionList = res.data;
            for (var i = 0;i < planMissionList.length;i++){
                if (_missionId == planMissionList[i].id){
                    _planId = planMissionList[i].planId;
                }
            }
                    
            if (!g_utils.isEmpty(_planId)){
                g_tools.postCMD('getPlanInfoByPlanId2', {
                    planId: _planId
                }, function(res) {
                            //    alert('getPlanInfoByPlanId2:' + JSON.stringify(res));
                    if(res.code == 0) {
                        _startTime = res.data.startTime;
                        _endTime = res.data.endTime;
                                
                        g_tools.postCMD('getCompletedPlanMissionByUserId', {
                            code: _missionData.code,
                            userId: g_tools.getUserId,
                            typeName: _missionData.mission.typeName
                        }, function(res) {
                             //  alert('getCompletedPlanMissionByUserId:' + JSON.stringify(res));
                            if(res.code == 0) {
                                var missionList = res.data;
                                var lastCompleteTime = 0;
                                for (var j = 0;j < missionList.length;j++){
                                    if (!g_utils.isEmpty(missionList[j].completeTime)){
                                        if (missionList[j].completeTime >= _startTime && missionList[j].completeTime<= _endTime){
                                            if (missionList[j].completeTime > lastCompleteTime){
                                                lastCompleteTime = missionList[j].completeTime
                                        
                                                var time = new Date(lastCompleteTime);
                                                time.setHours(0);
                                                time.setMinutes(0);
                                                time.setSeconds(0);
                                                lastCompleteTime = time.getTime();
                                            }
                                        }
                                    }
                                }
                                        
                                //如果存在lastCompleteTime则显示
                                if (lastCompleteTime != 0){
                                    var nowTime = new Date();
                                    var nDays = Math.abs(parseInt((nowTime.getTime() - lastCompleteTime)/1000/3600/24));
                                        
                                    var lastTimeStr = g_printTools.printDateStrByTimeMillis(lastCompleteTime);
                                                                                        
                                    var dayGoStr = '';
                                    if (nDays != 0){
                                        dayGoStr = '（' + nDays + '天前）'
                                    }
                                    _tipContentDom.innerHTML = '上次打卡日期：' + lastTimeStr + dayGoStr;
                                }else{
                                    _tipContentDom.innerHTML = '上次打卡日期：无';
                                }
                                
                            }
                        });
                    }
                });
                
            }

        }
    });
}

function initProcessDom(currentExecuteCount,count){
    var processContentDom = document.getElementById('processContent');
                                
    if (_isComplete == 1){
        processContentDom.innerHTML = '今天的任务已完成';
        var todayMissionProcessDone = document.getElementById('todayMissionProcessDone');
        var todayMissionProcessDoneTipContainer = document.getElementById('todayMissionProcessDoneTipContainer');
        var userPoits = document.getElementById('userPoits');
        var percent = Math.min(parseInt((count / count) * 100), 100);
        todayMissionProcessDone.style.width = percent + '%';
        todayMissionProcessDoneTipContainer.style.width = percent + '%';
        userPoits.innerHTML = count+'/'+count;
        userPoits.className = 'mission_complete';
        return;
    }
    
    if (currentExecuteCount != count){
        processContentDom.innerHTML = '今天还有' + (count-currentExecuteCount) + '次需要完成';
    }else{
        processContentDom.innerHTML = '今天的任务已完成';
    }
            
    var todayMissionProcessDone = document.getElementById('todayMissionProcessDone');
    var todayMissionProcessDoneTipContainer = document.getElementById('todayMissionProcessDoneTipContainer');
    var userPoits = document.getElementById('userPoits');
    var percent = Math.min(parseInt((currentExecuteCount / count) * 100), 100);
    todayMissionProcessDone.style.width = percent + '%';
    todayMissionProcessDoneTipContainer.style.width = percent + '%';
    userPoits.innerHTML = currentExecuteCount+'/'+count;
    if (currentExecuteCount == count){
       userPoits.className = 'mission_complete';
    }
}
