var _tipContentDom = document.getElementById('tipContent');
var _missionContentDom = document.getElementById('missionContent');
var _btnDom = document.getElementById('bottomBtn');
var _rewardNumDom = document.getElementById('rewardNum');

var _startTime = new Date();
var _endTime = new Date();
var _timeStr = '22:00';

var _missionData;
var _isComplete = 0;
var _missionIdArr = '';
var _missionId = '';


mui.plusReady(function() {
	getParamAndInitDom();
    initBtn();
});

function getParamAndInitDom() {
    _self = plus.webview.currentWebview();
    if(!g_utils.isEmpty(_self.missionData)) {
        _missionData = JSON.parse(_self.missionData);
             //   alert(JSON.stringify(_missionData));
    }
    if(!g_utils.isEmpty(_self.isComplete)) {
        _isComplete = _self.isComplete;
        if (_isComplete == 1){
            var completeIconDom = document.getElementById('completeIcon');
            completeIconDom.classList.add('img-loaded');
            completeIconDom.classList.remove('mui-hidden');
            _btnDom.classList.add('mui-hidden');
        }
    }
    if(!g_utils.isEmpty(_self.missionIdArr)) {
        _missionIdArr = _self.missionIdArr;
    }
    if(!g_utils.isEmpty(_self.missionId)) {
        _missionId = _self.missionId;
    }
	
    var mission = _missionData.mission;
    
    _timeStr = mission.timeStr;
    var hour = mission.hour;
    _missionContentDom.innerHTML = '最晚入睡时间：' + _timeStr + '；睡眠持续时长：' + hour + '小时';
    
    
    var limitPoints = _missionData.limitPoints;
    _rewardNumDom.innerHTML = limitPoints + '积分';
    
//    var tips = mission.tips;
//    if (!g_utils.isEmpty(tips)){
//        _tipContentDom.innerHTML = tips;
//    }
    _tipContentDom.innerHTML = '1、任务打卡时间：20:00~' + _timeStr + '<br>2、睡前拒绝剧烈运动，不要饮茶、咖啡，不要吸烟，同时保证按时按点入睡；<br>3、睡前不要过度焦虑、看刺激性电视，同时保持良好的心态，只有这样才能不影响夜间的睡眠质量。'
}

function initBtn(){
    
    var timeList = _timeStr.split(':');
    
	_startTime.setHours(20,0,0);
	_endTime.setHours(parseInt(timeList[0]),parseInt(timeList[1]),0);
    
	var nowTime = new Date();
	if (nowTime.getTime() < _startTime.getTime() || nowTime.getTime() > _endTime.getTime()){
        if (_timeStr != '20:00'){
            _btnDom.innerHTML = '20:00~' + _timeStr + '睡前打卡';
        }else{
            _btnDom.innerHTML = '20:00睡前打卡';
        }
        _btnDom.classList.add('btn-unclick');
	}else{
		_btnDom.innerHTML = '记录睡觉时间';
        _btnDom.classList.remove('btn-unclick');
	}
	
	_btnDom.addEventListener('tap', function() {
		var nowTime1 = new Date();
		if (nowTime1.getTime() < _startTime.getTime() || nowTime1.getTime() > _endTime.getTime()){
			if (_timeStr != '20:00'){
                _btnDom.innerHTML = '20:00~' + _timeStr + '睡前打卡';
            }else{
                _btnDom.innerHTML = '20:00睡前打卡';
            }
            _btnDom.classList.add('btn-unclick');
		}else{
			//TODO 点击“记录睡觉时间”弹窗确认“现在是[当前时间点]，祝您好梦”，确认按钮“晚安”，取消按钮“等等”，如当天时间=21:45
                             
            g_mui.confirm('现在是' + nowTime1.format('HH:mm') + '，祝您好梦', 'nil', ['等等', '晚安'], function(e) {
                if(e.index == 1) {
                          
                    g_tools.postCMD('missionUpdate', {
                        id: _missionId,
                        code: 'PM_006'
                    }, function(res) {
                        if(res.code == 0) {
                            _btnDom.classList.add('mui-hidden');
                            
                            var completeIconDom = document.getElementById('completeIcon');
                                completeIconDom.classList.remove('mui-hidden');
                                setTimeout(function () {
                                    completeIconDom.classList.add('img-loaded');
                                }, 300);
                                    
                            g_fire.updateAllMission({
                                missionIdArr: _missionIdArr
                            });
                            g_fire.showToast({
                                missionIdArr: _missionIdArr
                            });
                        } else {
                            g_mui.alert(res.tip);
                        }
                    });
                          
                }
            });
                             
//			_btnDom.classList.add('mui-hidden');
//
//            var completeIconDom = document.getElementById('completeIcon');
//            completeIconDom.classList.remove('mui-hidden');
//            setTimeout(function () {
//                completeIconDom.classList.add('img-loaded');
//            }, 300);
		}

	});
}
