var dietRecordsBtn = document.getElementById('dietRecordsBtn');
var tip=document.getElementById('tip');
var listView=document.getElementById('list');
var healthyHabitTemplateId=null;
var missionId=null;
var parametersData = {};
var isCompleteMission = false;
var missionIdArr = '';
mui.plusReady(function() {
	init();
              
    document.addEventListener('updateDM008Mission', function(e) {
       // viewInit();
        reGetData();
    });
              
});

function init(){
	_self = plus.webview.currentWebview();
	if (!g_utils.isEmpty(_self.missionIdArr)){
        missionIdArr=_self.missionIdArr;
    }
	healthyHabitTemplateId=_self.healthyHabitTemplateId;
	missionId=_self.missionId;
    parametersData = _self.parametersData;
    if(_self.isComplete == 1) {
		isCompleteMission = true
	}
 //   alert(JSON.stringify(parametersData));
//    addTestData();
    
    dietRecordsBtn.addEventListener('tap', function(e) {
        g_mui.openPage(g_module.addHealthData,'../../../addHealthData/dietRecords.html',{missionIdArr:missionIdArr});
    });
    
	viewInit();
}

function viewInit(){
    var htmlCode = '';
    
    if (!g_utils.isEmpty(parametersData.type_0)){
        var content0 = '';
        if (!g_utils.isEmpty(parametersData.type_0.content)){
            content0 = parametersData.type_0.content;
        }
        var isComplete = false;
        if (!g_utils.isEmpty(parametersData.type_0.dietImgUrl)){
            isComplete = true;
        }
        htmlCode += getHtmlCodeByItem(content0,0,isComplete);
    }
    if (!g_utils.isEmpty(parametersData.type_1)){
        var content1 = '';
        if (!g_utils.isEmpty(parametersData.type_1.content)){
            content1 = parametersData.type_1.content;
        }
        var isComplete = false;
        if (!g_utils.isEmpty(parametersData.type_1.dietImgUrl)){
            isComplete = true;
        }
        htmlCode += getHtmlCodeByItem(content1,1,isComplete);
    }
    if (!g_utils.isEmpty(parametersData.type_2)){
        var content2 = '';
        if (!g_utils.isEmpty(parametersData.type_2.content)){
            content2 = parametersData.type_2.content;
        }
        var isComplete = false;
        if (!g_utils.isEmpty(parametersData.type_2.dietImgUrl)){
            isComplete = true;
        }
        htmlCode += getHtmlCodeByItem(content2,2,isComplete);
    }
    listView.innerHTML = htmlCode;
    
    if (isCompleteMission){  //不需要上传图片
        dietRecordsBtn.className = 'hidden';
        tip.className = '';
    }else{
        dietRecordsBtn.className = 'select-img-button';
        tip.className = 'hidden';
    }
}

function getHtmlCodeByItem(content,type,isComplete){
    var time = '';
    if (type == 0){
        time = '早餐';
    }
    else if (type == 1){
        time = '午餐';
    }
    else if (type == 2){
        time = '晚餐';
    }
    
    var statusClass = 'hidden';
    if (isComplete){
        var statusClass = 'complete-status';
    }
    
    var retunValue = '';
    
    retunValue = '<div class="title-line">'+
                    '<div class="title-text">'+
                        '<div class="title-icon"></div>'+
                        '<div class="title-info">' + time + '</div>'+
                    '</div>'+
                    '<div class="'+statusClass+'">'+
                        '<div class="complete-icon"></div>'+
                        '<div class="complete-info">' + '已上传' + '</div>'+
                    '</div>'+
                 '</div>'+
                 '<div class="content-line">' + content +
                 '</div>';
    
    return retunValue;
    
}


function reGetData(){
//    g_tools.postCMD('checkDailyMission',{},function(res){
//        //获取我的今日所有任务
//        g_tools.postCMD('getCurrentMissionByUserId',{},
//            function(result) {
//                if(result.code == 0) {
//                    //刷新计划任务数据
//                    var planMissionList = result.data.planMissionList;
//                    for (var i = 0;i < planMissionList.length;i++){
//                        if (missionId == planMissionList[i].id){
//                            parametersData = planMissionList[i].parametersData;
//                        }
//
//                        if (planMissionList[i].isComplete == 1){
//                            isCompleteMission = true;
//                        }else{
//                            isCompleteMission = false;
//                        }
//                    }
//                    viewInit();
//                }
//            }, g_tools.MODE_WEB_LOCAL_CACHE, {
//                disableWait: true //禁止显示wait框
//            }
//        );
//    });
    
    g_tools.postCMD('getCurrentMissionInfo',{
        idArr:JSON.stringify([missionId])
    },function(result) {
        if(result.code == 0) {
        //刷新计划任务数据
            var planMissionList = result.data;
            for (var i = 0;i < planMissionList.length;i++){
                if (missionId == planMissionList[i].id){
                    parametersData = planMissionList[i].parametersData;
                }
                                    
                if (planMissionList[i].isComplete == 1){
                    isCompleteMission = true;
                }else{
                    isCompleteMission = false;
                }
            }
            viewInit();
        }
    }, g_tools.MODE_WEB_LOCAL_CACHE, {
        disableWait: true //禁止显示wait框
    });
}

function addTestData(){
    parametersData = {
        'type_0':{
            'content':'菜单内容',
            'dietImgUrl':'11111'
        },
        'type_1':{
            'content':'菜单内容',
            'dietImgUrl':''
        },
        'type_2':{  
            'content':'菜单内容测试菜单哇~吃东西要丰盛，快乐水快乐肉走起啊',
            'dietImgUrl':''
        },
        'isNeedDietImg':1,
        'imgCount':0
    };
}
