var stage = document.getElementById('stage');
var tip = document.getElementById('tip');
var listView = document.getElementById('list');
var healthyHabitTemplateId = null;
var missionId = null;
var parametersData = {};
var missionIdArr = '';
var isComplete = 0
//滑块滑动结束方法

mui.plusReady(function() {
	init();
});

function g_slider_end() {
	missionUpdate();
}

function init() {
	_self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(_self.missionIdArr)) {
		missionIdArr = _self.missionIdArr;
	}
	healthyHabitTemplateId = _self.healthyHabitTemplateId;
	missionId = _self.missionId;
	parametersData = _self.parametersData;
	viewInit();
	isComplete = _self.isComplete;
	if(isComplete == 1) {
		stage.classList.add('hidden');
		tip.classList.remove('hidden');
	}
	mui.sliderPlugin({
		isComplete: isComplete
	}, function() {

	}, function() {

	}, function() {
		g_slider_end();
	})
}

function viewInit() {
	var htmlCode = '';
	var content0 = parametersData.content0;
	var content1 = parametersData.content1;
	var content2 = parametersData.content2;
	if(!g_utils.isEmpty(content0)) {
		htmlCode += getHtmlCodeByItem(content0, 0);
	}
	if(!g_utils.isEmpty(content1)) {
		htmlCode += getHtmlCodeByItem(content1, 1);
	}
	if(!g_utils.isEmpty(content2)) {
		htmlCode += getHtmlCodeByItem(content2, 2);
	}
	//    for (var i=0;i<parametersData.length;i++){
	//        htmlCode += getHtmlCodeByItem(parametersData[i]);
	//    }
	listView.innerHTML = htmlCode;
}

function getHtmlCodeByItem(content, type) {
	var time = '';
	if(type == 0) {
		time = '早餐';
	} else if(type == 1) {
		time = '午餐';
	} else if(type == 2) {
		time = '晚餐';
	}

	var retunValue = '';
	retunValue = '<div class="title-line">' +
		'<div class="title-icon"></div>' +
		'<div class="title-info">' + time + '</div>' +
		'</div>' +
		'<div class="content-line">' + content +
		'</div>';

	return retunValue;

}

function missionUpdate() {
	g_tools.postCMD('missionUpdate', {
		id: missionId,
		code: 'PM_009'
	}, function(res) {
		if(res.code == 0) {
			stage.classList.add('hidden');
			tip.classList.remove('hidden');
			g_fire.updateAllMission({
				missionIdArr: missionIdArr
			});
			g_fire.showToast({
				missionIdArr: missionIdArr
			});
		}
	});
}