mui.init();
var myHeadImg, userName;
var map, mapbook, userId = '';
var endId;
var isFirst = true;
var isLoad = false;
var mycarelist = new Array(); //存储关爱人id
var mycarename = new Array(); //存储关爱人名字
var overlaylist = new Array(); //存储覆盖物
var locationlist = new Array(); //存储位置信息
var deletList = new Array();
var monitorPhoneList = new Array();
var diffBook = new Array();
var TRACK_DARK = 0;
var TRACK_LIGHT = 1;
var DETAIL_DARK = 0;
var DETAIL_LIGHT = 1;
var detailBook = DETAIL_DARK;
var trackBook = TRACK_DARK; //轨迹图标状态值
var circlelist = new Array(); //存储精度圆类
var tracklist = new Array(); //存储轨迹类
var startlist = new Array(); //存储起点
var max = 0; //存储关爱人最大人数和当前加载人数
var readyList = new Array();
var trackButton = document.getElementById('track');
var detailButton = document.getElementById('detail');
var allButton = document.querySelector('.float_bar2');
var chooseCenter = document.querySelector('.float_bar3');
var FIRST_ADD = 1;
var REFRESH_ADD = 0;
var DEFAULT_SIZE = 11;
var isMapFirstLoaded = false; //地图是否已完成首次加载
var touchstartTime = 0; //按钮按下的时间

/*建立地图覆盖物类*/
function SquareOverlay(center, careid, mode, img, time, num) {
	this._center = center;
	this._careid = careid;
	this._img = img;
	this._mode = mode;
	this._time = time;
	this._num = num;
}

//覆盖物定位精度圆覆盖物类
function CircleOverlay(center, mode) {
	this._center = center;
	this._mode = mode;
}

//起点图标
function StartOverlay(center) {
	this._center = center;
}
mui.plusReady(function() {
	//初始化变量
	userId = g_tools.getUserId();
	refreshMyCareMap();
});

function resumeCallback() {
	isFirst = false;
	readyList = [];
	diffBook = [];
	endId = mycarelist[mapbook];
	refreshMyCareMap();
}

function loadScript(url, callback) {　　
	var script = document.createElement('script');　　　　
	script.type = 'text/javascript';　　　　
	script.async = 'async';　　　　
	script.src = url;　　　　
	document.body.appendChild(script);　　　
	if(script.readyState) {　　　　　　
		script.onreadystatechange = function() {　　　　　　　　
			if(script.readyState == 'complete' || script.readyState == 'loaded') {　　　　　　　　　　
				script.onreadystatechange = null;　　　　　　　　　　
				callback();　　　　　　　　
			}　　　　　　
		}　　　　
	} else {　　　　　　
		script.onload = function() {
			callback();
		}　　　　
	}
}

function refreshMyCareMap() {
	g_tools.postCMD('getMyCareList3', {}, function(careList) {
			if(careList.code == 0) {
				if(!isLoad) {
					loadScript("http://api.map.baidu.com/getscript?v=3.0&ak=bTVwPQE7P3yTtl52LZAExqhVDgOyHyiz&services=&t=20190527152033", function() {
						isLoad = true;
						mapInit();
						prepareRefresh(careList);
						window.addEventListener("refreshPage", function(event) {
							resumeCallback();
						});
					});
				} else {
					prepareRefresh(careList);
				}

			}
		},
		g_tools.MODE_WEB_CACHE, {
			//界面显示断网提示内容的模式
			noNetworkMode: g_tools.TIP_MODE_INTERFACE,
			//显示数据内容的dom元素id
			contentDomId: 'mainContent',
			//显示断网提示的dom元素id			
			tipDomId: 'noNetworkTip'
		}
	);
}

function prepareRefresh(careList) {
	var list = careList.data;
	var length = list.length;
	var mask = document.getElementById('map-mask');
	if(length == 0) {
		mask.style.display = 'block';
		mask.classList.add('caremap-mask');
	} else {
		mask.style.display = 'none';
		max = length;
		for(var i = 0; i < length; i++) {
			checkId(list[i], i);
		}
	}
}

function checkId(itemMsg, index) {
	var oldListLength = mycarelist.length;
	var newId = itemMsg.careId;
	var deletId = itemMsg.id;
	var monitorPhone = itemMsg.monitorPhone;
	if(isFirst) {
		addCare(itemMsg, index, FIRST_ADD);
		deletList.push(deletId);
		monitorPhoneList.push(monitorPhone);
		mycarelist.push(newId);
	} else {
		var mark = -1;
		for(var i = 0; i < oldListLength; i++) {
			if(newId == mycarelist[i]) {
				diffBook[i] = 1;
				mark = 1;
				addCare(itemMsg, i, REFRESH_ADD);
				break;
			}
		}
		if(mark == -1) {
			addCare(itemMsg, oldListLength, FIRST_ADD);
			mycarelist.push(newId);
			deletList.push(deletId);
			monitorPhoneList.push(monitorPhone);
		}
	}
}

function addCare(item, index, type) {
	var parent = document.getElementById('scroll');
	var careId = item.careId;
	var isLoginUser = (userId != '' && userId == careId); //是否是登录用户本人，true：是，false：否
	var loginUserClass = '';
	var name, photoimg;
	if(isLoginUser) {
		name = '我';
		loginUserClass = g_LOGIN_USER;
		userName = name;
		myHeadImg = g_tools.IP_FILE + item.headImg + "&tb=1";
	} else {
		name = g_tools.getDisplayName(item);
	}
	mycarename.push(name);
	if(!g_utils.isEmpty(item.headImg)) {
		photoimg = g_tools.IP_FILE + item.headImg + "&tb=1";
	}
	if(type == FIRST_ADD) {
		var div = document.createElement('div');
		div.className = 'mui-control-item';
		div.innerHTML = '<img onload="load(this)" src="myCarePhoto/default_portrait_msg.png" class="myCarePhoto ' + loginUserClass + ' head-img" data-src="' + photoimg + '" topindex="' + index + '"/>' +
			'<div class="myCareName">' + name + '</div>';
		parent.appendChild(div);
		addMapPhoto(photoimg, careId, index, type);
	}
	if(type == REFRESH_ADD) {
		var son = document.querySelector("[topindex='" + index + "']");
		son.setAttribute('data-src', photoimg);
		var na = son.parentNode.querySelector('div');
		na.innerHTML = name;
		addMapPhoto(photoimg, careId, index, type);
	}
}

function removeCare(index) {
	var parent = document.getElementById('scroll');
	var remove = document.querySelector("[topindex='" + index + "']").parentNode;
	parent.removeChild(remove);
	map.removeOverlay(overlaylist[index]);
	map.removeOverlay(circlelist[index]);
	map.removeOverlay(tracklist[index]);
	map.removeOverlay(startlist[index]);
	mycarelist[index] = '';
	deletList[index] = '';
	monitorPhoneList[index] = '';
	mycarename[index] = '';
	overlaylist[index] = '';
	locationlist[index] = '';
	circlelist[index] = '';
	tracklist[index] = '';
	startlist[index] = '';
}

function addMapPhoto(img, id, index, type) {
	var isLoginUser = (userId != '' && userId == id); //是否是登录用户本人，true：是，false：否
	if(isLoginUser) {
		g_tools.postCMD('getRecentLocation', {},
			function(location) {
				if(location.code == 0 && !g_utils.isEmpty(location.data) && !g_utils.isEmpty(location.data.longitude)) {
					var longitude = location.data.longitude;
					var latitude = location.data.latitude;
					var mode = location.data.mode;
					if(!g_utils.isEmpty(longitude) && !g_utils.isEmpty(latitude)) {
						var recentTime = location.data.time;
						var startTime = msSetDate(recentTime);
						var endTime = startTime + 24 * 3600000;
						mapPhotoDraw(longitude, latitude, mode, img, id, index, recentTime, type);
						g_tools.postCMD('getLocationList', {
								startTime: startTime,
								endTime: endTime,
								isFilter: 1
							},
							function(recentlocation) {
								if(recentlocation.code == 0) {
									mapTrack(recentlocation.data, index, type);
								} else {
									mapTrack(0, index, type);
								}
							},
							g_tools.MODE_WEB_LOCAL_CACHE, {
								disableWait: true
							}
						);
					} else {
						mapTrack(0, index, type);
					}
				} else {
					mapTrack(0, index, type);
				}
			},
			g_tools.MODE_WEB_LOCAL_CACHE, {
				disableWait: true
			});
	} else {
		g_tools.postCMD('getMyCareRecentLocation', {
				careId: id
			},
			function(location) {
				if(location.code == 0 && !g_utils.isEmpty(location.data) && !g_utils.isEmpty(location.data.longitude)) {
					var longitude = location.data.longitude;
					var latitude = location.data.latitude;
					var mode = location.data.mode;
					if(!g_utils.isEmpty(longitude) && !g_utils.isEmpty(latitude)) {
						//绘制位置点
						var recentTime = location.data.time;
						var startTime = msSetDate(recentTime);
						var endTime = startTime + 24 * 3600000;
						mapPhotoDraw(longitude, latitude, mode, img, id, index, recentTime, type);
						g_tools.postCMD('getMyCareLocationList', {
								startTime: startTime,
								endTime: endTime,
								careId: id,
								isFilter: 1
							},
							function(recentlocation) {
								if(recentlocation.code == 0) {
									mapTrack(recentlocation.data, index, type);
								} else {
									mapTrack(0, index, type);
								}
							},
							g_tools.MODE_WEB_LOCAL_CACHE, {
								disableWait: true
							});
					} else {
						mapTrack(0, index, type);
					}
				} else {
					mapTrack(0, index, type);
				}
			},
			g_tools.MODE_WEB_LOCAL_CACHE, {
				disableWait: true
			});
	}
}
var touchCenterX = null;
var touchCenterY = null;
var touchCenterPoint = null;
var isTempOverlayTouching = false;

function mapInit() {
	map = '';
	map = new BMap.Map("container");
	//初始化地图位置和级别默认为北京map.centerAndZoom(new BMap.Point(116.404, 39.915), 11);
	map.enableContinuousZoom();
	//默认不开启双指放大地图
	map.disablePinchToZoom();
	map.addEventListener('touchstart', function(e) {
		if(e.touches.length >= 2) {
			isTempOverlayTouching = g_isOverlayTouching;
			var now = e.touches;
			var x1 = now[0].pageX;
			var y1 = now[0].pageY;
			var x2 = now[1].pageX;
			var y2 = now[1].pageY;
			touchCenterX = (x1 + x2) / 2;
			touchCenterY = (y1 + y2) / 2;
			touchCenterPoint = map.pixelToPoint({
				x: touchCenterX,
				y: touchCenterY
			});
		}
	});
	map.addEventListener('touchmove', function(e) {
		if(touchCenterPoint != null && !isTempOverlayTouching) {
			map.enablePinchToZoom();
		} else {}
	});
	map.addEventListener('touchend', function(e) {
		setTimeout(function() {
			map.disablePinchToZoom();
		}, 1000)
		if(touchCenterPoint != null && !isTempOverlayTouching) {
			map.panBy(1, 0);
		}
		touchCenterPoint = null;
		isTempOverlayTouching = false;
	});

	var point = new BMap.Point(116.404, 39.915); // 创建点坐标
	map.centerAndZoom(point, 15); // 设置初始地图中点和缩放级别
	map.disableDoubleClickZoom(); //禁用双击放大
	var magn = document.querySelector('.magnify');
	var shrink = document.querySelector('.shrink');
	magn.addEventListener('tap', function() {
		var level = map.getZoom();
		if(level < 19) {
			map.setZoom(level + 1);
			setLevelIcon(level);
		}
	});
	shrink.addEventListener('tap', function() {
		var level = map.getZoom();
		if(level > 3) {
			map.setZoom(level - 1);
			setLevelIcon(level);
		}
	});
	map.addEventListener("zoomend",
		function() {
			var level = map.getZoom();
			setLevelIcon(level);
		}
	);
	map.addEventListener("tilesloaded",
		function() {
			//修改百度logo的样式以使用我们的地图
			if(!isMapFirstLoaded) {
				var anchorBL = document.querySelector('.anchorBL');
				if(anchorBL != null) {
					var aObj = anchorBL.querySelector('a');
					var imgObj = anchorBL.querySelector('img');
					aObj.href = 'javascript:void(0)';
					anchorBL.style.left = '2px';
					anchorBL.style.bottom = '36px';
					imgObj.style.width = '40px';
					imgObj.style.height = 'auto';
				}
				//refreshMyCareMap();
				isMapFirstLoaded = true;
			}
		}
	);
	// 覆盖物继承地图overlay类
	SquareOverlay.prototype = new BMap.Overlay();
	SquareOverlay.prototype.initialize = function(map) {
		// 保存map对象实例
		this._map = map;
		// 创建div元素，作为自定义覆盖物的容器
		var div = document.createElement("div");
		//创建覆盖物头像子
		var mapphoto = document.createElement('img');
		//为覆盖物头像设置id
		mapphoto.id = this._careid;
		mapphoto.setAttribute('onload', 'load(this)');
		mapphoto.setAttribute('src', 'myCarePhoto/default_portrait_msg.png');
		mapphoto.setAttribute('map-photo', this._num);
		div.classList.add('detail-content');
		mapphoto.classList.add('mapphoto');
		//		var compareTime = g_utils.stringToDate(this._time);
		//		var now = new Date().getTime();
		//		if(now - compareTime > 86400000) {
		//			mapphoto.classList.add("img-dead");
		//		}
		var isLoginUser = (userId != '' && userId == this._careid); //是否是登录用户本人，true：是，false：否
		if(isLoginUser) mapphoto.classList.add(g_LOGIN_USER);
		//设置覆盖物头像图片
		var testPhoto = this._img;
		mapphoto.setAttribute('data-src', testPhoto);
		//覆盖物添加头像
		div.appendChild(mapphoto);
		// 将覆盖物添加到map中
		map.getPanes().markerPane.appendChild(div);
		// 保存div实例
		this._div = div;
		// 需要将div元素作为方法的返回值，当调用该覆盖物的show、
		// hide方法，或者对覆盖物进行移除时，API都将操作此元素。
		return div;
	}
	//将覆盖物绘制到地图上，当地图缩放平移时覆盖物都会调用此方法重绘
	SquareOverlay.prototype.draw = function() {
		// 根据地理坐标转换为像素坐标，并设置给容器
		var position = this._map.pointToOverlayPixel(this._center);
		//地图上图像尺寸为0.34rem，设置偏移0.17rem
		this._div.style.left = position.x - 17 + "px";
		this._div.style.top = position.y - 17 + "px";
	}
	//地图覆盖物方法,移除卡片
	SquareOverlay.prototype.removemapcard = function() {
		//移除卡片
		var card = document.querySelector('.detail-card');
		if(card) {
			card.parentNode.removeChild(card);
		}
	}
	//覆盖物添加地图上的卡片
	SquareOverlay.prototype.addmapcard = function(index, flag) {
		//重置所有覆盖物层级
		mui.each(overlaylist, function(num, overlay) {
			if(overlay && overlay._div && overlay._div.style)
				overlay._div.style.zIndex = 0;
		});
		var bookId;
		//移除覆盖物头像选中效果
		if(!g_utils.isEmpty(mapbook) || mapbook == 0) {
			bookId = overlaylist[mapbook]._careid;
			overlaylist[mapbook]._div.classList.remove('map-photo-border')
		}
		//设置覆盖物层级，让选中覆盖物处于顶部
		this._div.style.zIndex = 4;
		//记录当前选中的覆盖物序号
		mapbook = index;
		//设置头像选中效果 
		this._div.classList.add('map-photo-border')
		if(!flag) {
			return
		}
		//建立卡片节点
		var mapcard = document.createElement('div');
		mapcard.className = 'detail-card';
		mapcard.innerHTML = '<div class="detail-left">' +
			'<div class="detail-time" id="msg2' + index + '"></div>' +
			'<div class="detail-data-content">' +
			'<div class="data-left">' +
			'<div class="data-item">' +
			'<div class="item-icon item0-bg dead"></div>' +
			'<font class="item-data data0-bg text-dead" id="msg4' + index + '">0</font>' +
			'<font class="item-unit ">步</font>' +
			'</div>' +
			'<div class="data-item">' +
			'<div class="item-icon item1-bg dead"></div>' +
			'<font class="item-data data1-bg text-dead" id="msg1' + index + '">0</font>' +
			'<font class="item-unit ">卡路里</font>' +
			'</div>' +
			'<div class="data-item">' +
			'<div class="item-icon item2-bg dead"></div>' +
			'<font class="item-data data2-bg text-dead" id="msg5' + index + '">0</font>' +
			'<font class="item-unit " id="msg8' + index + '">米</font>' +
			'</div>' +
			'</div>' +
			'<div class="data-right">' +
			'<div class="type-icon event-dead" id="msg6' + index + '"></div>' +
			'<font class="type-text" >最新状态</font>' +
			'<font class="type-name" id="msg3' + index + '"></font>' +
			'</div>' +
			'</div>' +
			'</div>' +
			'<div class="detail-right msg-dead">' +
			'<div class="msg-icon" id="msg7' + index + '"></div>' +
			'</div>' +
			'</div>' +
			'<div class="arrow"></div>'
		this._div.appendChild(mapcard);
		//刷新卡片数据
		refreshcard(this._careid, this._div);
		addShowMessageListener(index);
	}
	SquareOverlay.prototype.refresh = function(changePhoto, changeCenter, changeMode, changeTime) {
		var photoDom = this._div.querySelector('img');
		//		var compareTime = g_utils.stringToDate(changeTime);
		//		var now = new Date().getTime();
		//		if(now-compareTime>86400000){
		//			photoDom.classList.add('img-dead');
		//		}else{
		//			photoDom.classList.remove('img-dead');
		//		}
		var isLoginUser = (userId != '' && userId == this._careid); //是否是登录用户本人，true：是，false：否
		if(isLoginUser) photoDom.classList.add(g_LOGIN_USER);
		//设置覆盖物头像图片
		photoDom.setAttribute('data-src', changePhoto);
		this._time = changeTime;
		this._center = changeCenter;
		this._mode = changeMode;
		this._img = changePhoto;
		if(mapbook == this._num) {
			refreshcard(this._careid, this._div);
		}
	}
	CircleOverlay.prototype = new BMap.Overlay();
	//初始化精度圆类
	CircleOverlay.prototype.initialize = function(map) {
		this._map = map;
		var div = document.createElement("div");
		div.classList.add('circle-overlay');
		map.getPanes().markerPane.appendChild(div);
		this._div = div;
		return div;
	}
	//精度圆重绘事件
	CircleOverlay.prototype.draw = function() {
		//获取点
		var point = this._center;
		//当前点的px坐标
		var position = this._map.pointToOverlayPixel(point);
		//获取定位模式类
		var circle = overlayMode(this._mode);
		//计算变化后的坐标
		var newLongitude = point.lng + circle.differLongitude;
		var newLatitude = point.lat;
		var newpoint = new BMap.Point(newLongitude, newLatitude);
		var differ = this._map.pointToOverlayPixel(newpoint);
		//位置偏移在当前地图上的像素值为width
		var width = Math.abs(differ.x - position.x);
		this._div.style.width = 2 * width + "px";
		this._div.style.height = 2 * width + "px";
		this._div.style.borderRadius = 2 * width + "px";
		//地图上图像尺寸为2*width，设置偏移量为width
		this._div.style.left = position.x - width + "px";
		this._div.style.top = position.y - width + "px";
	}
	//精度圆移除
	CircleOverlay.prototype.removeCircle = function() {
		if(mapbook != '' && mapbook != undefined && mapbook != null) {
			circlelist[mapbook]._div.style.display = 'none';
		}
	}
	//精度圆显示
	CircleOverlay.prototype.showCircle = function() {
		this._div.style.display = 'block';
		this._div.style.zIndex = 3;
	}
	CircleOverlay.prototype.refresh = function(changeCenter, changeMode) {
		this._center = changeCenter;
		this._mode = changeMode;
	}
	//继承map覆盖物类
	StartOverlay.prototype = new BMap.Overlay();
	//初始化起点
	StartOverlay.prototype.initialize = function(map) {
		this._map = map;
		var div = document.createElement("div");
		div.className = "magnify-start";
		div.innerHTML = '起';
		map.getPanes().markerPane.appendChild(div);
		this._div = div;
		return div;
	}
	//起点图标重绘
	StartOverlay.prototype.draw = function() {
		var position = this._map.pointToOverlayPixel(this._center);
		this._div.style.left = position.x - 15 + "px";
		this._div.style.top = position.y - 15 + "px";
	}
	StartOverlay.prototype.show = function() {
		this._div.style.display = 'block';
		this._div.style.zIndex = 2;
	}
	StartOverlay.prototype.hide = function() {
		this._div.style.display = 'none';
	}
	StartOverlay.prototype.refresh = function(changeCenter) {
		this._center = changeCenter;
	}
	//	map.setMapStyleV2({
	//		styleJson: baiduMapStyle
	//	});
}
//地图覆盖物的定位模式
function overlayMode(mode) {
	var BASE_STATION = 0;
	var GPS = 1;
	var OFF_LINE = 2;
	var WIFI = 3;
	var PHONE = -1;
	var differLongitude, level;
	var md = parseInt(mode);
	//differLongitude为纬度差，111Km=1°
	//5m纬度差为0.000045
	//30m纬度差为0.000270
	//1km纬度差为0.009009
	//level为地图相应的缩放级别，定位精度越高显示地图越准确
	switch(md) {
		case BASE_STATION:
			differLongitude = 0.009009;
			level = 11;
			break;
		case GPS:
			differLongitude = 0.000045;
			level = 11;
			break;
		case OFF_LINE:
			differLongitude = 0.000270;
			level = 11;
			break;
		case WIFI:
			differLongitude = 0.000270;
			level = 11;
			break;
		case PHONE:
			differLongitude = 0.009009;
			level = 11;
			break;
	}
	return {
		differLongitude: differLongitude,
		level: level
	}
}

/**
 * 点击进入关爱人详情界面
 */
var g_isOverlayTouching = false; //是否点击中了覆盖物
function addShowMyCareStateListener(id, time) {
	document.querySelector('.detail-left').addEventListener('touchstart', function() {
		touchstartTime = new Date().getTime();
		g_isOverlayTouching = true;
	});
	document.querySelector('.detail-left').addEventListener('touchend', function() {
		g_isOverlayTouching = false;
		if(new Date().getTime() - touchstartTime <= 150) { //模拟点击事件
			checkRelationship(id, function() {
				g_mui.openModule(g_module.myCareState, {
					sendId: id,
					sendTime: time
				});
			});

		}
	});
}

function addShowMessageListener(num) {
	document.querySelector('.detail-right').addEventListener('touchstart', function() {
		touchstartTime = new Date().getTime();
	});
	document.querySelector('.detail-right').addEventListener('touchend', function() {
		if(new Date().getTime() - touchstartTime <= 150) { //模拟点击事件
			checkRelationship(mycarelist[num], function() {
				var careid = mycarelist[num];
				var isLoginUser = (userId != '' && userId == careid);
				if(isLoginUser) {
					g_mui.openModule(g_module.addHealthData);
				} else {
					intoUser(num);
				}

			})
		}
	});
}

//function isPoneAvailable(str) {
//	var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
//	if(!myreg.test(str)) {
//		return false;
//	} else {
//		return true;
//	}
//}

function intoUser(num) {
	var careName;
	//设置名称
	careName = mycarename[num];
	var photoimg = overlaylist[num]._img;
	if(photoimg == '' || photoimg == undefined || photoimg == null) {
		photoimg = 'myCarePhoto/default_portrait_msg.png'
	}
	var careId = mycarelist[num];
	var monitorPhone = "";
	if(g_utils.isPoneAvailable(monitorPhoneList[num])) {
		monitorPhone = monitorPhoneList[num]
	}
	if(careId != null || careId != undefined || careId != '') {
//		g_RIM.gotoConversationView(userName, userId, careName, careId, myHeadImg, photoimg, monitorPhone, plus.webview.currentWebview().id, '0', function(data) {}, function(err) {});
        g_RIM.startSingleChatByTargetId(careId,'',function(data) {}, function(err) {});
	}
	if(g_config.DEV_PLATFORM == g_config.H5) {
		alert('已点击聊天窗口');
		return;
	}
}
//卡片删除事件
function addDeleteListener(overlay) {
	document.querySelector('.deletebutton').addEventListener('touchstart', function() {
		overlay.removemapcard();
	});
}

//获取当天0点毫秒数
function msSetDate(ms) {
	var setDate = new Date();
	setDate.setTime(ms);
	setDate.setHours(0);
	setDate.setMinutes(0);
	setDate.setSeconds(0);
	return setDate.getTime();
}
//显示卡片信息
function showCard(sportData) {
	if(mapbook == '' || mapbook == undefined || mapbook == null) {
		return
	}
	var timeDom = document.getElementById('msg2' + mapbook);
	var energy = document.getElementById('msg1' + mapbook);
	if(!timeDom || !energy) {
		return
	}
	var step = document.getElementById('msg4' + mapbook);
	var distance = document.getElementById('msg5' + mapbook);
	var distanceUnit = document.getElementById('msg8' + mapbook);
	if(!isEmptyObject(sportData)) {
		var time = sportData.endTime;
		timeDom.innerHTML = g_printTools.printDateAndTimeStrByTimeMillis(time);
		var type = sportData.type;
		refreshsportkind(type, sportData.endTime, sportData.startTime, sportData.ts); //为了对未佩戴事件做判断，传入事件持续时间以及步数
		energy.innerHTML = sportData.energy;
		step.innerHTML = sportData.totalStep;
		var m = sportData.totalDistance;
		if(m < 1000) {
			distance.innerHTML = Math.round(m);
			distanceUnit.innerHTML = "米";
		} else {
			distance.innerHTML = Math.round(m / 100) / 10;
			distanceUnit.innerHTML = "公里";
		}
	} else {
		timeDom.innerHTML = '';
		refreshsportkind(null);
	}
}

function showData(sportData) {
	if(mapbook == '' || mapbook == undefined || mapbook == null) {
		return
	}
	var energy = document.getElementById('msg1' + mapbook);
	if(!energy) {
		return
	}
	var step = document.getElementById('msg4' + mapbook);
	var distance = document.getElementById('msg5' + mapbook);
	var distanceUnit = document.getElementById('msg8' + mapbook);
	if(!isEmptyObject(sportData)) {
		energy.innerHTML = sportData.data.energy;
		step.innerHTML = sportData.data.totalStep;
		var m = sportData.data.totalDistance;
		if(m < 1000) {
			distance.innerHTML = Math.round(m);
			distanceUnit.innerHTML = "米";
		} else {
			distance.innerHTML = Math.round(m / 100) / 10;
			distanceUnit.innerHTML = "公里";
		}
	}
}

function isEmptyObject(obj) {
	for(var key in obj) {
		return false;
	}
	return true;
}
//刷新卡片信息
function refreshcard(careid, parent) {

	var isLoginUser = (userId != '' && userId == careid); //是否是登录用户本人，true：是，false：否
	if(isLoginUser) {
		var msg = document.getElementById('msg7' + mapbook);
		if(msg) {
			msg.classList.remove('msg-icon');
			msg.classList.add("add-health-icon");
		}
		g_tools.postCMD('getRecentSportEvent', {
			isGetDataList: 0
		}, function(event) {
			if(event.code == 0) {
				var eventInfo = event.data;
				var endTime = eventInfo.endTime;
				var startTime = eventInfo.startTime;
				var date = getFormatDateByLong(endTime, "yyyy-MM-dd");
				var type = eventInfo.type;
				var ts = eventInfo.totalStep;
				//设置灰度
				setGrayscale(endTime, parent);
				//根据日期查询对应天的运动统计
				g_tools.postCMD('getSportDataByDay2', {
					date: date,
					isGetDataList: 0
				}, function(sport) {
					if(sport.code == 0) {
						var sportInfo = sport.data;
						sportInfo.type = type;
						sportInfo.endTime = endTime;
						sportInfo.startTime = startTime;
						sportInfo.ts = ts;
						showCard(sportInfo);
						addShowMyCareStateListener(careid, date);
					}
				}, g_tools.MODE_WEB_LOCAL_CACHE, {
					disableWait: true
				});
			}
		}, g_tools.MODE_WEB_LOCAL_CACHE, {
			disableWait: true
		});
	} else {
		var msg = document.getElementById('msg7' + mapbook);
		if(msg) {
			msg.style.display = "block";
		}
		g_tools.postCMD('getRecentSportEvent', {
			isGetDataList: 0,
			careId: careid
		}, function(event) {
			if(event.code == 0) {
				var eventInfo = event.data;
				var endTime = eventInfo.endTime;
				var startTime = eventInfo.startTime;
				var date = getFormatDateByLong(endTime, "yyyy-MM-dd");
				var type = eventInfo.type;
				var ts = eventInfo.totalStep;
				//设置灰度
				setGrayscale(endTime, parent);
				//根据日期查询对应天的运动统计
				g_tools.postCMD('getSportDataByDay2', {
					date: date,
					isGetDataList: 0,
					careId: careid
				}, function(sport) {
					if(sport.code == 0) {
						var sportInfo = sport.data;
						sportInfo.type = type;
						sportInfo.endTime = endTime;
						sportInfo.startTime = startTime;
						sportInfo.ts = ts;
						showCard(sportInfo);
						addShowMyCareStateListener(careid, date);
					}
				}, g_tools.MODE_WEB_LOCAL_CACHE, {
					disableWait: true
				});
			}
		}, g_tools.MODE_WEB_LOCAL_CACHE, {
			disableWait: true
		});
	}
}

function setGrayscale(time, parent) {
	var nowTime = new Date();
	nowTime.setHours(0);
	nowTime.setMinutes(0);
	nowTime.setSeconds(0);
	nowTime.setMilliseconds(0);
	nowTime = nowTime.getTime();
	//最近事件在今天去掉灰度
	if(time > nowTime) {
		var textList = parent.querySelectorAll('.text-dead');
		var deadList = parent.querySelectorAll('.dead');
		var eventDead = parent.querySelector('.event-dead');
		var msgDead = parent.querySelector('.msg-dead');
		for(var j = 0; j < textList.length; j++) {
			textList[j].classList.remove('text-dead');
		}
		for(var k = 0; k < deadList.length; k++) {
			deadList[k].classList.remove('dead');
		}
		if(!g_utils.isEmpty(msgDead)) {
			msgDead.classList.remove('msg-dead');
		}
		if(!g_utils.isEmpty(eventDead)) {
			eventDead.classList.remove('event-dead');
		}
	}
}
//判断是否加载完成
function isLoadingReady() {
	var count = 0;
	mui.each(readyList, function(index, item) {
		if(item != undefined) {
			count++;
		}
	});
	if(isFirst) {
		if(max == count) {
			if(max == 1) {
				//只有一个关爱人时
				if(overlaylist[0] != null && circlelist[0] != null) {
					overlaylist[0].addmapcard(0, false);
					document.querySelector('.myCarePhoto').classList.add('photoactive');
					circlelist[0].showCircle();
					trackButton.style.display = 'block';
					map.setViewport({
						center: overlaylist[0]._center,
						zoom: 11
					});
				}
				return
			}
			//加载完成时设置放大缩小事件
			map.setViewport(locationlist, {
				margins: [15, 15, 15, 15]
			});

		}
	} else {
		if(max == count) {
			var length = mycarelist.length;
			var mark = 0;
			for(var i = 0; i < length; i++) {
				if(endId == mycarelist[i]) {
					//选中样式
					mark = 1;
					break;
				}
			}
			if(mark == 0) {
				map.setViewport(locationlist, {
					margins: [15, 15, 15, 15]
				});
			} else {
				map.panTo(overlaylist[mapbook]._center, false);
			}
			var diffLength = max;
			for(var j = 0; j < diffLength; j++) {
				if(diffBook[j] != 1) {
					removeCare(j);
				}
			}
		}
	}
}

function setLevelIcon(level) {
	var magn = document.querySelector('.magnify');
	var shrink = document.querySelector('.shrink');
	if(level == 19) {
		magn.classList.remove('normal-active');
		magn.classList.add('magnify-lim');
	}
	if(level == 3) {
		shrink.classList.remove('normal-active');
		shrink.classList.add('shrink-lim');
	}
	if(level < 19 && level > 3) {
		shrink.classList.remove('shrink-lim');
		magn.classList.remove('magnify-lim');
		magn.classList.add('normal-active');
		shrink.classList.add('normal-active');
	}
}
//地图上头像添加
function mapPhotoDraw(longitude, latitude, mode, img, id, index, time, type) {
	var point = new BMap.Point(longitude, latitude);
	var send = g_utils.dateFormat(time, 'yyyy-MM-dd');
	locationlist[index] = point;
	if(type == REFRESH_ADD) {
		var changeOverlay = overlaylist[index];
		var changeCircle = circlelist[index];
		if(changeOverlay == undefined) {
			var mySquare = new SquareOverlay(point, id, mode, img, send, index);
			var myCircle = new CircleOverlay(point, mode);
			map.addOverlay(mySquare);
			map.addOverlay(myCircle);
			overlaylist[index] = mySquare;
			circlelist[index] = myCircle;
		} else {
			changeOverlay.refresh(img, point, mode, send);
			changeCircle.refresh(point, mode);
		}
	} else {
		// 添加自定义覆盖物
		var mySquare = new SquareOverlay(point, id, mode, img, send, index);
		var myCircle = new CircleOverlay(point, mode);
		map.addOverlay(mySquare);
		map.addOverlay(myCircle);
		overlaylist[index] = mySquare;
		circlelist[index] = myCircle;
	}
}

//地图轨迹
function mapTrack(recentlist, index, type) {
	if(recentlist == 0) {
		tracklist[index] = 0;
		startlist[index] = 0;
		readyList[index] = 0;
		topMapListener(index, false);
		isLoadingReady();
	} else {
		readyList[index] = 1;
		var startPoint = new BMap.Point(recentlist[0].longitude, recentlist[0].latitude);
		var trackPointList = new Array();
		mui.each(recentlist, function(num, location) {
			var point = new BMap.Point(location.longitude, location.latitude);
			trackPointList.push(point);
		});
		var myTrack = new BMap.Polyline(trackPointList, {
			strokeColor: '#F78215',
			strokeWeight: 6,
			strokeOpacity: 0.9
		});
		tracklist[index] = myTrack;
		if(type == FIRST_ADD) {
			var startLocation = new StartOverlay(startPoint);
			map.addOverlay(startLocation);
			startlist[index] = startLocation;
			topMapListener(index, true);
			isLoadingReady();
		} else {
			var changeStart = startlist[index];
			if(!g_utils.isEmpty(changeStart)) {
				changeStart.refresh(startPoint);
			}
			isLoadingReady();
		}
	}
}

function topMapListener(index, flag) {
	if(flag) {
		var mapPhoto = document.querySelector("[map-photo='" + index + "']");
		mapPhoto.addEventListener('touchstart', function() {
			g_isOverlayTouching = true;
			touchstartTime = new Date().getTime();
		});
		mapPhoto.addEventListener('touchend', function() {
			g_isOverlayTouching = false;
			if(new Date().getTime() - touchstartTime <= 150) { //模拟点击事件
				mapPhotoEvent(mapPhoto);
			}
		});
	}
	var topPhoto = document.querySelector("[topindex='" + index + "']");
	topPhoto.addEventListener('tap', function() {
		photoEvent(topPhoto, flag);
	});
}

function mapPhotoEvent(dom) {
	//顶部头像移除之前选中头像
	scrollremove();
	var item = dom.getAttribute('map-photo');
	if(overlaylist[item] != null && circlelist[item] != null) {
		//移除地图之前卡片
		overlaylist[item].removemapcard();
		//移除地图之前精度圆
		circlelist[item].removeCircle();
		//移除地图之前轨迹
		map.removeOverlay(tracklist[mapbook]);
		if(!g_utils.isEmpty(mapbook)) {
			startlist[mapbook].hide();
		}
		//添加地图卡片
		overlaylist[item].addmapcard(item, true);
		//添加精度圆
		circlelist[item].showCircle();
		detailButton.classList.remove('detail_dark');
		detailButton.classList.add('detail_light');
		detailBook = DETAIL_LIGHT;
		if(trackBook == TRACK_LIGHT) {
			map.addOverlay(tracklist[item]);
			startlist[item].show();
		}
		//刷新轨迹图标
		controlButtonRefresh();
		//根据定位精度设置地图缩放级别
		map.panTo(overlaylist[item]._center, true);
		//设置顶部头像选中
		scrollchecked(item);
	}
	mapbook = item;
}

function photoEvent(dom, flag) {
	//顶部头像移除之前选中头像
	scrollremove();
	//添加顶部头像选中
	dom.parentNode.classList.add('top-photo-border');
	if(!flag) {
		g_toast.toast('该用户没有位置信息！');
		return
	}
	var item = dom.getAttribute('topindex');
	if(overlaylist[item] != null && circlelist[item] != null) {
		//移除之前卡片
		overlaylist[item].removemapcard();
		//移除之前精度圆
		circlelist[item].removeCircle();
		//移除之前轨迹
		map.removeOverlay(tracklist[mapbook]);
		if(!g_utils.isEmpty(mapbook)) {
			startlist[mapbook].hide();
		}
		if(trackBook == TRACK_LIGHT) {
			map.addOverlay(tracklist[item]);
			startlist[item].show();
		}
		if(detailBook == DETAIL_LIGHT) {
			overlaylist[item].addmapcard(item, true);
		} else {
			overlaylist[item].addmapcard(item, false);
		}
		//添加当前的精度圆
		circlelist[item].showCircle();
		//设置地图缩放级别
		map.panTo(overlaylist[item]._center, true);
	}
	mapbook = item;
}
//顶部头像选中
function scrollchecked(index) {
	var chose = '[topindex="' + index + '"]';
	document.querySelector(chose).parentNode.classList.add('top-photo-border');
}
//顶部头像选中移除
function scrollremove() {
	var move = document.querySelectorAll('.top-photo-border');
	if(move) {
		mui.each(move, function(index, item) {
			item.classList.remove('top-photo-border');
		});
	}
}
//刷新运动事件
function refreshsportkind(kind, endTime, startTime, totalStep) {
	//var img = sportProperty.getSportCircleIcon(kind);
	//var type = sportProperty.getSportName(kind);
	var img = sportProperty.getSportCircleIconTemp(kind, endTime, startTime, totalStep);
	var type = sportProperty.getSportNameTemp(kind, endTime, startTime, totalStep);
	var sportkind = document.getElementById('msg3' + mapbook);
	var sportimg = document.getElementById('msg6' + mapbook);
	sportkind.innerHTML = type;
	sportimg.style.backgroundImage = 'url(' + img + ')';
}

//轨迹刷新
function controlButtonRefresh() {
	document.querySelector('.function_bar').style.display = 'block';
}
//轨迹图标点击事件
trackButton.addEventListener('tap', function() {
	if(trackBook == TRACK_DARK) {
		trackButton.classList.remove('track_dark');
		trackButton.classList.add('track_light');
		trackBook = TRACK_LIGHT;
		map.addOverlay(tracklist[mapbook]);
		startlist[mapbook].show();
		overlaylist[mapbook].removemapcard();
		if(detailBook == DETAIL_LIGHT) {
			detailButton.classList.remove('detail_light');
			detailButton.classList.add('detail_dark');
			detailBook = DETAIL_DARK;
		}
		map.setViewport(tracklist[mapbook].getPath(), {
			margins: [30, 30, 30, 30]
		});
	} else {
		trackButton.classList.remove('track_light');
		trackButton.classList.add('track_dark');
		trackBook = TRACK_DARK;
		map.removeOverlay(tracklist[mapbook]);
		startlist[mapbook].hide();
	}
});
detailButton.addEventListener('tap', function() {
	if(detailBook == DETAIL_DARK) {
		detailButton.classList.remove('detail_dark');
		detailButton.classList.add('detail_light');
		detailBook = DETAIL_LIGHT;
		overlaylist[mapbook].removemapcard();
		overlaylist[mapbook].addmapcard(mapbook, true);
		map.panTo(overlaylist[mapbook]._center, false);
	} else {
		detailButton.classList.remove('detail_light');
		detailButton.classList.add('detail_dark');
		detailBook = DETAIL_DARK;
		overlaylist[mapbook].removemapcard();
	}
});
allButton.addEventListener('tap', function() {
	map.setViewport(locationlist, {
		margins: [15, 15, 15, 15]
	});
});
chooseCenter.addEventListener('tap', function() {
	if(mapbook != undefined) {
		map.panTo(overlaylist[mapbook]._center, false);
	}
});
//Java原生调用，扩展用，不要删
function openInfo(theId, type1, title) {
	//alert("type1");
	for(var index in mycarelist) {
		if(mycarelist[index] == theId) {
			g_mui.openUserDataDetail({
				userProperty: 0,
				userId: mycarelist[index],
				deletId: deletList[index]
			});
			break;
		}
	}
}
//Java原生调用，扩展用，不要删
function chatClose() {

}
document.addEventListener("gotoUserDataDetail", function(event) {
	if(plus.os.name == g_config.IOS) {
		var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
		var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
		var careId = plus.ios.invoke(standardUserDefaults, "objectForKey:", "currentCareId");
		for(var index in mycarelist) {
			if(mycarelist[index] == careId) {
				g_mui.openUserDataDetail({
					userProperty: 0,
					userId: mycarelist[index],
					deletId: deletList[index]
				});
				break;
			}
		}
	}
});

function checkRelationship(checkId, callBack) {
	var isLoginUser = (userId != '' && userId == checkId); //是否是登录用户本人，true：是，false：否
	if(isLoginUser) {
		callBack();
	} else {
		g_tools.postCMD("checkRelationship", {
			userId: checkId
		}, function(result) {
			if(result.code == 0) {
				if(result.data.isCareEachOther == 0) {
					g_mui.confirm("对方已取消关爱", "温馨提示", ["确认"], function(res) {
						if(res.index == 0) {
							//刷新页面
							refreshMyCareMap();
						}
					});
				} else {
					callBack();
				}
			}
		});
	}

}
