var PULL_DOWN = 0;
var PULL_UP = 1;
var isReady = false;
var myCareList;
var rencentSportTime = new Array();
var count = 0;
var userName = ''; //登录用户的用户名
var userId = ''; //登录用户的用户ID
var myHeadImg;
var table = document.body.querySelector('.mui-table-view'); //表格dom
var DEFAULT_SHOW_COUNT = 10; //默认显示数量
var REFRESH_STEP_COUNT = 10; //每次刷新时的步长
var _self;

function initTableItem() {
	//清空table的子项
	while (table.hasChildNodes()) {
		table.removeChild(table.firstChild);
	}
	count = 0;
	//显示部分子项
	var careCardMask = document.getElementById('pullrefresh-default');
	if (myCareList != null && myCareList.length != 0 && myCareList != '') {
		_self.setStyle({
			mask: 'none'
		});
		//mui('#pullrefresh').pullRefresh().setStopped(false);
		//显示数据
		careCardMask.classList.remove('carecard-mask-default');
		//依次插入dom元素
		for (var i = 0; i < Math.min(DEFAULT_SHOW_COUNT, myCareList.length); i++) {
			refreshORupload(PULL_UP, i);
		}
	} else {
		//小米系统不兼容，设置遮罩屏蔽事件
		_self.setStyle({
			mask: 'rgba(0,0,0,0)'
		});
		//显示无数据界面 
		careCardMask.classList.add('carecard-mask-default');
		careCardMask.classList.add('defaultbackground');
		//mui('#pullrefresh').pullRefresh().setStopped(true);
	}
}

function initMyCareList() {
	//获取我的关爱人清单
	g_tools.postCMD('getMyCareList3', {},
		function(carelist) {
			if (carelist.code == 0) {
				myCareList = carelist.data;
				if (myCareList) {
					isReady = true;
					initTableItem();
					//结束下拉刷新
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					//重置上拉加载
					mui('#pullrefresh').pullRefresh().refresh(true);
					//刷新地图
					//plus.webview.getWebviewById(g_module.myCareList.ID + ':myCareMap.html').reload();
					mui.fire(plus.webview.getWebviewById(g_module.index.ID), 'uploadPhoneStep');
				}
			}
		}, g_tools.MODE_WEB_LOCAL_CACHE, {
			disableWait: true //禁止显示wait框
		}
	);
}

mui.plusReady(function() {
	g_setStatusbarBg('headerbg0');
	plus.navigator.closeSplashscreen();
	//初始化变量
	userName = g_tools.getUserName();
	userId = g_tools.getUserId();
	_self = plus.webview.currentWebview();
	//刷新关爱列表
	document.addEventListener('refreshPage', function(event) {
		if (!isReady) {
			init();
		} else {
			initMyCareList();
		}

	});
	document.addEventListener("refreshMine", function(event) {
		if (isReady && myCareList.length > 0) {
			refreshCard(0);
		}
	});
});

function init() {
	g_tools.postCMD('getMyCareList3', {}, function(carelist) {
		if (carelist.code == 0) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						//下拉成功回调函数
						callback: pulldownRefresh
					},
					up: {
						//上拉成功回调函数
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				}
			});
			myCareList = carelist.data;
			if (myCareList) {
				isReady = true;
				initTableItem();
			}
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, { //！！！！！！！！！重点代码！！！！！！！！！
		noNetworkMode: g_tools.TIP_MODE_INTERFACE, //界面显示断网提示内容的模式
		contentDomId: 'mainContent', //显示数据内容的dom元素id
		tipDomId: 'noNetworkTip' //显示断网提示的dom元素id
	});
}
//下拉回调函数
function pulldownRefresh() {
	if (isReady) {
		setTimeout(function() {
			//刷新整个table
			initMyCareList();
			//refresh completed
		}, 100);
		//重置上拉加载
	}
}

//上拉回调函数
function pullupRefresh() {
	if (isReady) {
		setTimeout(function() {
			var cells = document.body.querySelectorAll('.mui-table-view-cell');
			//获取当前卡片数量
			count = cells.length;
			for (var i = cells.length, len = i + REFRESH_STEP_COUNT; i < len && i < myCareList.length; i++) {
				//加载卡片并刷新
				refreshORupload(PULL_UP, i);
			}

			mui('#pullrefresh').pullRefresh().endPullupToRefresh(count >= myCareList.length); //参数为true代表没有更多数据了。
		}, 100);
	}
}

//上下拉刷新页面调用函数，刷新内容
function refreshORupload(type, index) {
	var li = document.createElement('li');
	//插入卡片默认数据
	li.setAttribute('index', index);
	li.className = 'mui-table-view-cell mui-collapse-content';
	li.innerHTML = '<div class="card-content">' +
		'<div class="card-content">' +
		'<div class="card-body" tapCard="' + index + '" >' +
		'<div class="card-time" id="recentSportTime' + index + '"></div>' +
		'<div class="care-msg">' +
		'<div class="care-photo">' +
		'<img class="photo-image" src="myCarePhoto/default_portrait_msg.png" onload="load(this)" id="headImg' + index +
		'" tapPhoto="' + index + '"/>' +
		'<div class="care-name" id="nickName' + index + '"></div>' +
		'</div>' +
		'<div class="care-data">' +
		'<div class="data-item">' +
		'<div class="item-icon item0-bg dead"></div>' +
		'<font class="item-data data0-bg  text-dead" id="totalStep' + index + '">0</font>' +
		'<font class="item-unit ">步</font>' +
		'</div>' +
		'<div class="data-item">' +
		'<div class="item-icon item1-bg dead"></div>' +
		'<font class="item-data data1-bg  text-dead" id="energy' + index + '">0</font>' +
		'<font class="item-unit ">卡路里</font>' +
		'</div>' +
		'<div class="data-item">' +
		'<div class="item-icon item2-bg dead"></div>' +
		'<font class="item-data data2-bg  text-dead" id="totalDistance' + index + '">0</font>' +
		'<font class="item-unit " id="distanceUnit' + index + '">米</font>' +
		'</div></div>' +
		'<div class="care-type">' +
		'<div class="type-icon event-dead" id="sportIcon' + index + '"></div>' +
		'<font class="type-text">最新状态</font>' +
		'<font class="type-name" id="sportName' + index + '"></font>' +
		'</div></div></div>' +
		'<div class="card-msg msg-dead" >' +
		'<div class="msg-icon" tapMsg="' + index + '"></div>' +
		'</div></div>'
	if (type == PULL_UP) {
		//添加卡片
		table.appendChild(li);
		refreshCard(index);
		cardAddListener(index);
		//如果是我的卡片
		if (userId == myCareList[index].careId) {
			var myDom = li.querySelector('.card-msg');
			myDom.classList.remove('msg-dead');
			myDom.classList.add("msg-hidden");
		} else {
			document.querySelector('[tapMsg="' + index + '"]').style.display = 'block';
		}
	}
}

function refreshCard(num) {
	var user = myCareList[num];
	var careId = user.careId;
	var isLoginUser = (userId != '' && userId == careId); //是否是登录用户本人，true：是，false：否
	user.index = num;
	user.isLoginUser = isLoginUser;
	if (isLoginUser) { //本人
		myHeadImg = g_tools.IP_FILE + user.headImg;
		g_storage.set(g_storage.DEVICE_USER_HEAD_URL, myHeadImg);
		//获取运动数据
		g_tools.postCMD('getRecentSportEvent', {
				isGetDataList: 0
			},
			function(sportEvent) {
				if (sportEvent.code == 0) {

					var endTime = sportEvent.data.endTime;
					var date = getFormatDateByLong(endTime, "yyyy-MM-dd");
					//设置灰度
					setGrayscale(endTime, num);
					rencentSportTime[num] = date;
					refreshSportIcon(num, sportEvent.data.type, sportEvent.data.endTime, sportEvent.data.startTime, sportEvent.data.totalStep); //为了对未佩戴事件做判断，传入事件持续时间以及步数
					//根据日期查询对应天的运动统计
					g_tools.postCMD('getSportDataByDay2', {
						date: date,
						isGetDataList: 0
					}, function(sport) {
						if (sport.code == 0) {
							sport.data.endTime = endTime;
							refreshSportData(num, sport.data);
						}
					}, g_tools.MODE_WEB_LOCAL_CACHE, {
						disableWait: true //禁止显示wait框
					});
				}
			}, g_tools.MODE_WEB_LOCAL_CACHE, {
				disableWait: true //禁止显示wait框
			});
	} else { //关爱人
		//获取运动数据
		g_tools.postCMD('getRecentSportEvent', {
				isGetDataList: 0,
				careId: careId
			},
			function(sportEvent) {
				if (sportEvent.code == 0) {

					var endTime = sportEvent.data.endTime;
					var date = getFormatDateByLong(endTime, "yyyy-MM-dd");
					setGrayscale(endTime, num);
					rencentSportTime[num] = date;
					refreshSportIcon(num, sportEvent.data.type, sportEvent.data.endTime, sportEvent.data.startTime, sportEvent.data.totalStep); //为了对未佩戴事件做判断，传入事件持续时间以及步数
					//根据日期查询对应天的运动统计
					g_tools.postCMD('getSportDataByDay2', {
						date: date,
						isGetDataList: 0,
						careId: careId
					}, function(sport) {
						if (sport.code == 0) {
							sport.data.endTime = endTime;
							refreshSportData(num, sport.data);
						}
					}, g_tools.MODE_WEB_LOCAL_CACHE, {
						disableWait: true //禁止显示wait框
					});
				}
			}, g_tools.MODE_WEB_LOCAL_CACHE, {
				disableWait: true //禁止显示wait框
			}
		);
	}
	//显示个人信息
	refreshCareMsg(user);
}

function refreshSportIcon(index, type, endTime, startTime, totalStep) {
	var sportIcon = document.getElementById("sportIcon" + index);
	var sportName = document.getElementById("sportName" + index);

	//    sportIcon.style.backgroundImage = "url(" + sportProperty.getSportCircleIcon(type) + ")";
	//    sportName.innerHTML = sportProperty.getSportName(type);
	sportIcon.style.backgroundImage = "url(" + sportProperty.getSportCircleIconTemp(type, endTime, startTime, totalStep) +
		")";
	sportName.innerHTML = sportProperty.getSportNameTemp(type, endTime, startTime, totalStep);
}
//刷新卡片头部信息，名字和头像
function refreshCareMsg(user) {
	var headImg = document.getElementById('headImg' + user.index);
	var nickName = document.getElementById('nickName' + user.index);
	var name, photoimg;
	//设置该卡片
	name = g_tools.getDisplayName(user);
	//设置该卡片关爱人头像
	if (!g_utils.isEmpty(user.headImg)) {
		photoimg = g_tools.IP_FILE + user.headImg + "&tb=1";
	}
	if (user.isLoginUser) {
		headImg.classList.add(g_LOGIN_USER); //标注是登录用户的class
		name = '我';
	}
	headImg.setAttribute('src', photoimg);
	myCareList[user.index].sendName = name;
	nickName.innerHTML = name;
}

function refreshSportData(item, data) {
	if (g_utils.isEmpty(data.endTime)) {
		return;
	}
	var recentSportTime = document.getElementById('recentSportTime' + item);
	var totalStep = document.getElementById('totalStep' + item);
	var totalDistance = document.getElementById('totalDistance' + item);
	var distanceUnit = document.getElementById('distanceUnit' + item);
	var energy = document.getElementById('energy' + item);
	if (data.energy != undefined) {
		energy.innerHTML = data.energy;
	}
	if (data.totalStep != undefined) {
		totalStep.innerHTML = data.totalStep;
	}
	if (data.totalDistance != undefined) {
		if (data.totalDistance < 1000) {
			totalDistance.innerHTML = Math.floor(data.totalDistance);
			distanceUnit.innerHTML = "米";
		} else {
			totalDistance.innerHTML = Math.round(data.totalDistance / 100) / 10;
			distanceUnit.innerHTML = "公里";
		}
	}
	if (data.endTime != undefined) {
		recentSportTime.innerHTML = g_printTools.printDateAndTimeStrByTimeMillis(data.endTime);
	} else {
		recentSportTime.innerHTML = '今天';
	}
}

function cardAddListener(num) {
	var tapPhoto = '[tapPhoto="' + num + '"]';
	var tapMsg = '[tapMsg="' + num + '"]';
	var tapCard = '[tapCard="' + num + '"]';
	document.querySelector(tapPhoto).addEventListener('tap', function(event) {
		event.cancelBubble = true;
		photoClick(num);
	});
	document.querySelector(tapMsg).parentNode.addEventListener('tap', function(event) {
		msgClick(num);
	});
	document.querySelector(tapCard).addEventListener('tap', function(event) {

		cardClick(num);
	});
}

//点击卡片头像
function photoClick(item) {
	checkRelationship(myCareList[item].careId, function() {
		g_mui.openUserDataDetail({
			openerProperty: 3, //定义参考userDataDetail.js
			userId: myCareList[item].careId,
			deletId: myCareList[item].id
		});
	})
	//	g_mui.openPage(g_module.myCareList, 'editMyCare.html', {
	//		myCare: myCare,
	//		index: item
	//	});
}
//点击卡片信息
function msgClick(item) {
	checkRelationship(myCareList[item].careId, function() {
		var userName;
		//设置名称
		userName = g_tools.getDisplayName(myCareList[item]);
		if (!g_utils.isEmpty(myCareList[item].headImg)) {
			photoimg = g_tools.IP_FILE + myCareList[item].headImg
		} else {
			photoimg = 'myCarePhoto/default_head.png'
		}
		if (userId != myCareList[item].careId) {
			var monitorPhone = "";
			if (g_utils.isPoneAvailable(myCareList[item].monitorPhone)) {
				monitorPhone = myCareList[item].monitorPhone
			}
			intoUser(userName, myCareList[item].careId, myHeadImg, photoimg, monitorPhone, 'S');
		}
	})
}
//点击卡片主体
function cardClick(item) {
	checkRelationship(myCareList[item].careId, function() {
		//doSomething
		var sendId = myCareList[item].careId;
		var sendTime = rencentSportTime[item];
		var defaultTime = new Date().getTime();
		var photoimg = "";
		defaultTime = getFormatDateByLong(defaultTime, "yyyy-MM-dd");
		if (g_utils.isEmpty(sendTime)) {
			sendTime = defaultTime;
		}
		if (!g_utils.isEmpty(myCareList[item].headImg)) {
			photoimg = g_tools.IP_FILE + myCareList[item].headImg
		}
		g_mui.openModule(g_module.myCareState, {
			sendId: sendId,
			sendTime: sendTime,
			sendName: myCareList[item].sendName,
			headImg: photoimg
		});
	});
}

function intoUser(careName, careId, myHeadImgUrl, careImgUrl, huohuoTel, thetype) {
	if (g_config.DEV_PLATFORM == g_config.H5) {
		alert('已点击聊天窗口');
		return;
	}
	//打开聊天对话框
	//g_RIM.gotoConversationView(userName, userId, careName, careId, myHeadImgUrl, careImgUrl, huohuoTel, _self.id, '0',function(data) {}, function(err) {});
	g_RIM.startSingleChatByTargetId(careId, _self.id, function(data) {}, function(err) {});
}

function setGrayscale(time, index) {
	if (!time) {
		return;
	}
	var parentDom = document.querySelector('[index="' + index + '"]');
	var nowTime = new Date();
	nowTime.setHours(0);
	nowTime.setMinutes(0);
	nowTime.setSeconds(0);
	nowTime.setMilliseconds(0);
	nowTime = nowTime.getTime();
	if (time > nowTime) {
		var textList = parentDom.querySelectorAll('.text-dead');
		var deadList = parentDom.querySelectorAll('.dead');
		var msgDead = parentDom.querySelector('.msg-dead');
		var eventDead = parentDom.querySelector('.event-dead');
		for (var i = 0; i < textList.length; i++) {
			textList[i].classList.remove('text-dead');
		}
		for (var j = 0; j < deadList.length; j++) {
			deadList[j].classList.remove('dead');
		}
		if (!g_utils.isEmpty(msgDead)) {
			msgDead.classList.remove('msg-dead');
		}
		if (!g_utils.isEmpty(eventDead)) {
			eventDead.classList.remove('event-dead');
		}

	}
}


function openInfo(theId, type1, title) {
	//alert("type1");
	for (var index in myCareList) {
		if (myCareList[index].careId == theId) {
			var myCare = JSON.stringify(myCareList[index]);
			g_mui.openUserDataDetail({
				openerProperty: 2,
				userId: myCareList[index].careId,
			});
			break;
		}
	}
}

function chatClose() {

}

function checkRelationship(checkId, callBack) {
	var isLoginUser = (userId != '' && userId == checkId); //是否是登录用户本人，true：是，false：否
	if (isLoginUser) {
		callBack();
	} else {
		g_tools.postCMD("checkRelationship", {
			userId: checkId
		}, function(result) {
			if (result.code == 0) {
				if (result.data.isCareEachOther == 0) {
					g_mui.confirm("对方已取消关爱", "温馨提示", ["确认"], function(res) {
						if (res.index == 0) {
							//刷新页面
							pulldownRefresh();
						}
					});
				} else {
					callBack();
				}
			}
		});
	}
}
document.addEventListener("gotoUserDataDetail", function(event) {
	if (plus.os.name == g_config.IOS) {
		var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
		var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
		var careId = plus.ios.invoke(standardUserDefaults, "objectForKey:", "currentCareId");

		for (var index in mycarelist) {
			if (mycarelist[index] == careId) {
				var myCare = JSON.stringify(myCareList[index]);
				g_mui.openUserDataDetail({
					openerProperty: 2,
					userId: myCareList[index].careId,
				});
				break;
			}
		}
	}
});
