mui.init();
var _self, nowTime, _opener, _id, checkDay, _pageType = 0;
//全局变量闰年平年
var isFirst = true;
var LEAP_YEAR = 1;
var COMMON_YEAR = 0;
//beforDay记录当前显示的月份及年份
var beforDay;
var todayDate = new Date();
var todayyear = todayDate.getFullYear();
var todaymonth = todayDate.getMonth();
var todayday = todayDate.getDate();
var book = 0;
var gallery;
var SPORT_PAGE = "sport";
var DIET_PAGE = "diet";
checkDay = '';
mui.plusReady(function() {
	init();
});

function init() {
	//获取当前页面
	_self = plus.webview.currentWebview();
	//获取页面传值，为careId
	if (!g_utils.isEmpty(_self.getId)) {
		_id = _self.getId;
	}
	//获取页面类型
	if (!g_utils.isEmpty(_self.pageType)) {
		_pageType = _self.pageType;
	}
	if (!g_utils.isEmpty(_self.checkTime)) {
		var tt = _self.checkTime.split('-');
		checkDay = {
			year: parseInt(tt[0]),
			month: parseInt(tt[1] - 1),
			day: parseInt(tt[2])
		};
	} else {
		checkDay = {
			year: todayyear,
			month: todaymonth,
			day: todayday
		}
	}
	//获取myCareNew页面
	_opener = _self.opener();
	//获取上个月和下个月的年份和月份
	var beyondyear = beyondYear(todayyear, todaymonth);
	//轮播日历页面共5个页面（0，1，2，3，4），初始值（0：上月，1：本月，2：下月，3：上月，4：本月）
	//设置完成显示页面1，其中0，4页面做跳转中转，0对应3，4对应1
	//参数6，为初始化时使用，表示页面按顺序插入
	//其他参数表示插入位置（0，1，2，3，4）
	
	addMonth(beyondyear.lastyear, beyondyear.lastmonth, 0);
	//添加当月页面
	addMonth(todayyear, todaymonth, 1);
	//添加下月页面
	addMonth(beyondyear.nextyear, beyondyear.nextmonth, 2);
	//添加上月页面
	addMonth(beyondyear.lastyear, beyondyear.lastmonth, 3);
	//添加当月页面
	addMonth(todayyear, todaymonth, 4);
	isFirst = false;
	//刷新当月活跃天数（活动日期标记）	
	gallery = mui('#slider');
	var mark = mui('.mui-slider-item');
	//为首个和末尾页面添加mui-slider-item-duplicate类，用于跳转
	mark[0].classList.add('mui-slider-item-duplicate');
	mark[4].classList.add('mui-slider-item-duplicate');
	//设置轮播组件
	gallery.slider({
		//自动轮播周期，若为0则不自动播放，默认为0；
		interval: 0
	});
	//设置当前的月份年份
	beforDay = {
		year: todayyear,
		month: todaymonth
	};
	refreshMonthActive(todayyear, todaymonth);
	//为当当前月添加监听
	addListener(todayyear, todaymonth);
	var body = document.getElementsByTagName('body');
	var deviceHeight = document.documentElement.clientHeight;
	var deviceWidth = document.documentElement.clientWidth;
	var rang = deviceHeight - 0.9 * deviceWidth;
	body[0].addEventListener('touchstart', function(event) {
		var y = event.targetTouches[0].pageY;
		if (y < rang) {
			mui.fire(_opener, 'changeday', {
				view: null
			});
		}
	});
	mui.back = function() {
		var _sportRecord = plus.webview.getWebviewById('sportRecord.html');
		_sportRecord.evalJS('hideCanlendar()');
	}
}
//获取年月，返回上月下月的年份和月份
function beyondYear(year, month) {
	var lastyear, lastmonth, nextyear, nextmonth;
	if (month == 0) {
		lastyear = year - 1;
		lastmonth = 11;
		nextyear = year;
		nextmonth = 1;
	}
	if (month == 11) {
		lastyear = year;
		lastmonth = 10;
		nextyear = year + 1;
		nextmonth = 0;
	}
	if (month > 0 && month < 11) {
		lastyear = year;
		lastmonth = month - 1;
		nextyear = year;
		nextmonth = month + 1;
	}
	return {
		lastyear: lastyear,
		lastmonth: lastmonth,
		nextyear: nextyear,
		nextmonth: nextmonth
	};
}
//将人与月份添加到指定页面
//replaceLocation表示页面插入位置，值（1~6）
//replaceLocation参数为6时表示顺序插入
function addMonth(year, month, replaceLocation) {
	var div = document.createElement('div');
	var myroll = document.querySelector('.mui-slider-group');
	var content = '';
	//fixed固定部分
	var fixedcontent = '';
	//动态生成部分
	var canlendar = drawThisMonth(year, month);
	div.className = 'mui-slider-item';
	div.setAttribute("polling", replaceLocation);
	div.id = year + '-' + month;
	fixedcontent = '<div class="calendar">' +
		'<div class="cal-title">' +
		'<div class="month-change last-month" onclick="gotoLastMonth()">上一月</div>' +
		'<div class="title-num">' + year + '年' + (month + 1) + '月</div>' +
		'<div class="month-change next-month" onclick="gotoNextMonth()">下一月</div>' +
		'</div>' +
		'<div class="weekcontent">' +
		'<a class="weekday">周日</a>' +
		'<a class="weekday">周一</a>' +
		'<a class="weekday">周二</a>' +
		'<a class="weekday">周三</a>' +
		'<a class="weekday">周四</a>' +
		'<a class="weekday">周五</a>' +
		'<a class="weekday">周六</a>' +
		'</div>' +
		'<div class="now-month">';
	content = fixedcontent + canlendar + '</div></div>';
	div.innerHTML = content;
	//根据位置插入页面
	if (isFirst) {
		myroll.appendChild(div);
	} else {
		var relapce = document.querySelector("[polling='" + replaceLocation + "']");
		myroll.replaceChild(div, relapce);
	}
	var checkname = checkDay.month + "-" + checkDay.day;
	if (year == checkDay.year) {
		var check = document.getElementsByName(checkname);
		for (var j = 0; j < check.length; j++) {
			check[j].parentNode.classList.add('check-active');
		}
	}
}
//判断是否闰年
function isLeapYear(year) {
	if (year % 4 == 0 && year % 100 != 0) {
		return LEAP_YEAR;
	}
	if (year % 400 == 0) {
		return LEAP_YEAR;
	}
	return COMMON_YEAR;
}
//输入年月返回当月最大天数
function monthDayNum(year, month) {
	if (month == -1 || month == 12) {
		return 31;
	}
	var monthDay = [31, 28 + isLeapYear(year), 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
	return monthDay[month];
}
//输入年月返回该月第一天的星期数
function firstDayWeek(year, month) {
	var date = new Date();
	date.setFullYear(year);
	date.setMonth(month);
	date.setDate(1);
	return date.getDay();
}

function drawThisMonth(year, month) {
	var content = '';
	var firstweek = firstDayWeek(year, month);
	var lastmonth = monthDayNum(year, month - 1);
	var thismonth = monthDayNum(year, month);
	var begin;
	var THIS_MONTH = false;
	if (firstweek == 0) {
		begin = lastmonth - 7;
	} else {
		begin = lastmonth - firstweek;
	}
	for (var i = 0; i < 6; i++) {
		content += '<div class="oneweek">';
		for (var j = 0; j < 7; j++) {
			if (THIS_MONTH) {
				if (begin < thismonth) {
					begin++
				} else {
					THIS_MONTH = false;
					begin = 0;
					j--;
					continue;
				}
				if (year > todayyear || (year == todayyear && month > todaymonth)) {
					content += '<div class="eachday" >' + begin + '</div>';
				}
				if (year == todayyear && month == todaymonth) {
					if (begin < todayday) {
						content += '<div name="' + year + 'A' + month + '" class="eachday day-active">' +
							begin + '<div class="dot" name="' + month + '-' + begin + '"></div>' + '</div>';
					} else {
						if (begin == todayday) {
							content += '<div name="' + year + 'A' + month + '" class="eachday day-active today-active">' +
								'今天' + '<div class="dot" name="' + month + '-' + begin + '"></div>' + '</div>';
						} else {
							content += '<div class="eachday" >' + begin + '</div>';
						}
					}
				}
				if (year < todayyear || (year == todayyear && month < todaymonth)) {
					content += '<div name="' + year + 'A' + month + '" class="eachday day-active">' +
						begin + '<div class="dot" name="' + month + '-' + begin + '"></div>' + '</div>';
				}
			} else {
				if (begin < lastmonth) {
					begin++;
				} else {
					THIS_MONTH = true;
					begin = 0;
					j--;
					continue;
				}
				content += '<div class="eachday" >' + begin + '</div>';
			}
		}
		content += '</div>'
	}
	return content;
}
//日历点击
function canlandarTap() {
	var year = beforDay.year;
	var month = beforDay.month;
	var checkedlist = document.querySelectorAll('.check-active');
	//移除选中效果
	mui.each(checkedlist, function(index, item) {
		item.classList.remove('check-active');
	});
	//添加选中效果
	this.classList.add('check-active');
	//截取当前DOM字段获取日期的天数
	var str = this.innerHTML.split('<');
	if (str[0] != '今天') {
		day = str[0];
	} else {
		day = todayday;
	}
	checkDay = {
		year: year,
		month: month,
		day: parseInt(day)
	};
	//fire事件出发myCareNew刷新
	mui.fire(_opener, 'changeday', {
		view: checkDay
	});
}

//添加当前月监听
function addListener(year, month) {
	var listenerList = document.getElementsByName(year + 'A' + month);
	for (var i = 0; i < listenerList.length; i++) {
		listenerList[i].addEventListener('tap', canlandarTap);
	}
}
//移除之前月份的监听
function removeListener() {
	var listenerList = document.getElementsByName(beforDay.year + 'A' + beforDay.month);
	for (var i = 0; i < listenerList.length; i++) {
		listenerList[i].removeEventListener('tap', canlandarTap);
	}
}
//监听轮播滚动事件
document.querySelector('.mui-slider').addEventListener('slide', function(event) {
	//移除之前监听
	removeListener();
	//book记录当前轮播页面的序号
	book = event.detail.slideNumber;
	var itemList = document.getElementsByClassName('mui-slider-item');
	//获取id，id=year+'-'+month;
	var timestr = itemList[book + 1].id.split('-');
	var beforyear, beformonth;
	beforyear = parseInt(timestr[0]);
	beformonth = parseInt(timestr[1]);
	addListener(beforyear, beformonth);
	//重置beforDay
	beforDay = {
		year: beforyear,
		month: beformonth
	};
	//获取上月和下月年份和月数
	var beyondyear = beyondYear(beforyear, beformonth);
	var upyear = beyondyear.lastyear;
	var upmonth = beyondyear.lastmonth;
	var downyear = beyondyear.nextyear;
	var downmonth = beyondyear.nextmonth;
	switch (book) {
		case 0:
			addMonth(upyear, upmonth, 0);
			addMonth(downyear, downmonth, 2);
			addMonth(upyear, upmonth, 3);
			mui('.mui-slider-item')[0].classList.add('mui-slider-item-duplicate');
			break;
		case 1:
			addMonth(upyear, upmonth, 1);
			addMonth(downyear, downmonth, 3);
			break;
		case 2:
			addMonth(upyear, upmonth, 2);
			addMonth(downyear, downmonth, 4);
			addMonth(downyear, downmonth, 1);
			mui('.mui-slider-item')[4].classList.add('mui-slider-item-duplicate');
			break;
	}
	var checkname = checkDay.month + "-" + checkDay.day;
	if (beforyear == checkDay.year) {
		var check = document.getElementsByName(checkname);
		for (var j = 0; j < check.length; j++) {
			check[j].parentNode.classList.add('check-active');
		}
	}
	// refreshMonthActive(upyear, upmonth);
	// refreshMonthActive(downyear, downmonth);
	refreshMonthActive(beforyear, beformonth);
});

function refreshMonthActive(year, month) {
	gallery.slider().stopped = true;
	var startTime = new Date();
	startTime.setFullYear(year);
	startTime.setMonth(month);
	startTime.setDate(1);
	startTime.setHours(0);
	startTime = startTime.getTime();
	var endTime = startTime + 3600000 * 24 * (monthDayNum(year, month));
	if(_pageType == SPORT_PAGE){
		g_tools.postCMD('getSportStatusByTime', {
				startTime: startTime,
				endTime: endTime,
				careId: _id,
				timeType: 0
			},
			function(monthactive) {			
				gallery.slider().stopped = false;
				if (monthactive.code == 0) {
					var activelist = monthactive.data;
					for (var i = 0; i < activelist.length; i++) {
						var sportactive = document.getElementsByName(month + '-' + activelist[i]);
						for (var j = 0; j < sportactive.length; j++) {
							sportactive[j].style.background = '#F78215';
						}
					}
				}
			}
		);
	}else if(_pageType == DIET_PAGE){
		g_tools.postCMD('getDietByTime', {
				startTime: startTime,
				endTime: endTime,
				userId: _id,
				timeType: 0
			},
			function(monthactive) {
				gallery.slider().stopped = false;
				if (monthactive.code == 0) {
					var activelist = monthactive.data;
					for (var i = 0; i < activelist.length; i++) {
						var dietactive = document.getElementsByName(month + '-' + activelist[i]);
						for (var j = 0; j < dietactive.length; j++) {
							dietactive[j].style.background = '#F78215';
						}
					}
				}
			}
		);
	}
}

function gotoLastMonth() {
	var index = gallery.slider().getSlideNumber() - 1;

	gallery.slider().gotoItem(index, 200);
}

function gotoNextMonth() {
	var index = gallery.slider().getSlideNumber() + 1;
	gallery.slider().gotoItem(index, 200);
}
