var isReload = false;
var _self, _userId, _chooseTime, _isLoginUser;
var loginCammerDom = document.getElementById("login-cammer");
var breakfastDom = document.querySelector("[type='0']");
var lunchDom = document.querySelector("[type='1']");
var dinnerDom = document.querySelector("[type='2']");
var supperDom = document.querySelector("[type='3']");
var chooseTimeDom = document.getElementById("chooseTime");
var _canlendar;
var pagePlusReady = false;
var EARLY_TODAY = g_utils.dateFormat(new Date().getTime(), 'yyyy-MM-dd');
mui.init({
	pullRefresh: {
		container: '#refreshContainer',
		down: {
			//下拉成功回调函数
			callback: pullfreshDown
		}
	}
});

window.addEventListener("tabReload", function(event) {
	if (!isReload) {
		isReload = true;
		reLoad();
	}
});

function pullfreshDown() {
	setTimeout(function() {
		getDietListByUserId();
		//结束下拉刷新
		mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
	}, 500);
}
mui.plusReady(function() {
	//mui初始化
	_self = plus.webview.currentWebview();
	_chooseTime = g_utils.dateFormat(new Date().getTime(), 'yyyy-MM-dd');
	_userId = _self.careId;
	chooseTimeDom.innerHTML = "&emsp;" + getFormatChoose(_chooseTime);
	var loginUser = g_tools.getUserId();
	_isLoginUser = (_userId != '' && _userId == loginUser);
	_canlendar = g_mui.createWebview('calendar.html', 'canlendar', {
		background: "transparent",
		popGesture: 'none'
	}, {
		getId: _userId,
		checkTime: _chooseTime,
		pageType:"diet"
	});
	chooseTimeDom.addEventListener("tap", function() {
		//显示canlendar
		plus.webview.show(_canlendar, 'slide-in-bottom', 300, function(e) {});
	})
	window.addEventListener('changeday', function(event) {
		var chooseDay = event.detail.view;
		hideCanlendar();
		if (chooseDay == null) {
			return;
		}
		var month = chooseDay.month + 1;
		var day = chooseDay.day;
		if (month < 10) {
			month = "0" + month;
		}
		if (day < 10) {
			day = "0" + day;
		}
		var _dateStr = chooseDay.year + '-' + month + '-' + day;
		_chooseTime = _dateStr;
		chooseTimeDom.innerHTML = "&emsp;" + getFormatChoose(_dateStr);
		getDietListByUserId();
	});
	window.addEventListener("refreshDiet", function() {
		getDietListByUserId();
	})
              
    var web = plus.webview.getWebviewById(g_module.myCareState.ID);
    mui.fire(web,'subPagePlusReady', {});
                      
	init();
});

function getFormatChoose(timeStr) {
	var now = new Date();
	var list = timeStr.split("-");
	if (now.getFullYear() == list[0] && now.getMonth() + 1 == list[1] && now.getDate() == list[2]) {
		return "今天"
	} else if (now.getFullYear() == list[0]) {
		return list[1] + "月" + list[2] + "日"
	} else {
		return list[0] + "年" + list[1] + "月" + list[2] + "日"
	}
}

function hideCanlendar() {
	//显示遮罩
	plus.webview.hide(_canlendar, 'auto', 300);
}

//初始化
function init() {
	if (_isLoginUser) {
		loginCammerDom.classList.remove("hide");
		loginCammerDom.addEventListener("tap", function() {
			g_mui.openPage(g_module.addHealthData, '../addHealthData/addMeal.html', {});
		})
		mui.initPhotoSwiper({
			delImg: true
		}, function(img, gourpNum) {
			//删除图片
			var srcStr = img.getAttribute('data-preview-src');
			var imgSrcToDelete = srcStr.substring(srcStr.indexOf('getImg?') - 1);
			_delImgIds = [];
			_delImgIds.push(imgSrcToDelete.substring(imgSrcToDelete.indexOf('=') + 1));
			delDietImg(_delImgIds);
		});
	} else {
		mui.initPhotoSwiper({}, function() {});
	}

}

function delDietImg(_delImgIds) {
	g_tools.postCMD("delDietImgs", {
		imgIds: JSON.stringify(_delImgIds)
	}, function(result) {
		if (result.code == 0) {
			getDietListByUserId();
		}
	});
}

//重新载入
function reLoad() {
	getDietListByUserId();
}

//获取用户饮食列表
function getDietListByUserId() {
	cleanDiet();
	var startTime = new Date(_chooseTime);
	startTime.setHours(0);
	startTime.setMinutes(0);
	startTime.setSeconds(0);
	startTime.setMilliseconds(0);
	startTime = startTime.getTime();
	var endTime = startTime + 86400000;
	g_tools.postCMD("getDietListByUserId", {
		userId: _userId,
		startTime: startTime,
		endTime: endTime
	}, function(res) {
		if (res.code == 0) {
			if (EARLY_TODAY == _chooseTime && _isLoginUser) {
				loginCammerDom.classList.remove("hide");
			} else {
				loginCammerDom.classList.add("hide");
			}
			if (res.data.length == 0) {
				document.getElementById("refreshContainer").style.background = "#F5F5F7"
				document.querySelector("html").style.background = "#F5F5F7"
				document.getElementById("diet-title").classList.remove("hide")
				document.getElementById("diet-content").classList.add("hide");
				document.getElementById("diet-empty").classList.remove("hide");
				if (!_isLoginUser) {
					document.getElementById("diet-title").classList.add("hide")
				}
			} else {
				document.getElementById("refreshContainer").style.background = "#FFFFFF"
				document.querySelector("html").style.background = "#FFFFFF"
				document.getElementById("diet-title").classList.remove("hide")
				document.getElementById("diet-content").classList.remove("hide");
				document.getElementById("diet-empty").classList.add("hide");
				setDietList(res.data);
			}
		}
	})
}

//设置饮食列表
function setDietList(dietList) {
	var array = [
		[],
		[],
		[],
		[]
	];
	for (var i = 0; i < dietList.length; i++) {
		var item = dietList[i];
		var type = parseInt(item.type);
		array[type].push(item);
	}
	for (var j = 0; j < 4; j++) {
		setEachDiet(array[j], j);
	}
}

function setEachDiet(eachList, type) {
	var mealNum = eachList.length;
	var parentDom = getDietParentDom(type);
	if (mealNum == 0) {
		parentDom.classList.add("hide");
		return
	}
	parentDom.classList.remove("hide");
	var emptyNum = 4 - mealNum % 4;
	emptyNum = (emptyNum == 4 ? 0 : emptyNum);

	for (var i = 0; i < mealNum; i++) {
		var item = eachList[i];
		var src = item.dietImgUrl;
		var description = item.macthContent;
		var dietImg = document.createElement("img");
		dietImg.className = "diet-img";
		dietImg.setAttribute("src", "../../global/img/loading.svg");
		dietImg.setAttribute("data-src", g_tools.IP_FILE + src + "&tb=1");
		dietImg.setAttribute("data-preview-src", g_tools.IP_FILE + src);
		dietImg.setAttribute("data-preview-group", type);
		dietImg.setAttribute("description", description);
		dietImg.onload = function() {
			load(this);
		}
		parentDom.appendChild(dietImg);
	}
	for (var k = 0; k < emptyNum; k++) {
		var dietImg = document.createElement("div");
		dietImg.className = "diet-img";
		parentDom.appendChild(dietImg);
	}
}

function getDietParentDom(type) {
	var parentDom;
	switch (parseInt(type)) {
		case 0:
			parentDom = breakfastDom;
			break;
		case 1:
			parentDom = lunchDom;
			break;
		case 2:
			parentDom = dinnerDom;
			break;
		case 3:
			parentDom = supperDom;
			break;
	}
	return parentDom;
}

function cleanDiet() {
	breakfastDom.innerHTML = "";
	lunchDom.innerHTML = "";
	dinnerDom.innerHTML = "";
	supperDom.innerHTML = "";
}
