mui.init();
//关爱人Id,当前webciew，是否本人登录
var careId, _self, isLoginUser;
//选择的健康名字，对应的健康指数单位，健康种类对应的数字代号
var healthName, healthUnit, healthKind;
//一个健康的类，用于存取健康的属性如（名字，单位，种类。。）
var thisHealth = new healthClass();
//增长的健康列表，存储网络抓取的网健康值
var growHealthList = new Array();

var growCount = 0;
//将数据分页显示，endPage表示 最大的页数
var endPage = 0;
//当选择每7次一页时对应的数据坐标列表
var sevenList = new Array();
//选择种类为血压时用，记录低压数据坐标
var sevenList2 = new Array();
//当选择每30次一页时对应的数据坐标列表
var thirtyList = new Array();
//选择种类为血压时，记录低压数据坐标列表
var thirtyList2 = new Array();
//判断数据已将用户所有数据抓取完，当前默认一次抓取完成
var isFull = false;
//是不是首次执行该页
var isFirst = true;
var isFresh = false;
var CHOOSE_SEVEN = 6;
var CHOOSE_THIRTY = 29;
var CHOOSE_NINETY = 90;
//设置默认，当前选择的查看方式为7次
var chooseCount;
//游标对应的数据位置，如：chartMark为7时，对应growHealthList[7]
var chartMark = 0;
//记录当前页码
var pageMark = 0;
var lastDrawPage = 0;
//设备宽度
var deviceWidth = document.documentElement.clientWidth;
//所有图标的父节点
var chartParent = document.querySelector('.chart-canvas');
var sugarActive;
var _bloodSugar;
var healthListParent = document.getElementById("health-list");
var healthListTitle = document.querySelector('.list-title');
var indexTime = document.querySelector('.health-mark-month');
var indexData = document.getElementById('indexData');
var indexUnit = document.querySelector('.health-mark-unit');
var indexMsg = document.querySelector('.health-traget');
var indexMin = document.getElementById('min-value');
var indexMax = document.getElementById('max-value');
var cutCount = document.querySelector('.health-chose-num');
var indexMinPressure = document.getElementById('min-value-pressure');
var indexMaxPressure = document.getElementById('max-value-pressure');
var bloodMap = [2,8,9,2,9,2,9,2]
//图表的上相邻数据的宽度间隔
var chooseWidth;
//图表上相邻数据的高度间隔
var chooseHeight;
//当前初始位置，设置5的偏移量保证圆点对齐游标
var nowX = -deviceWidth * 1.5 + 6;
mui.plusReady(function() {
	initTitle();
	init();
	addChartMove();
	mui("#health-list").on("tap", ".mui-btn", function(event) {
		var elem = this;
		var li = elem.parentNode.parentNode;
		var time = this.getAttribute('time');
		g_mui.confirm("确定删除该条数据？", "温馨提示", ["确定", "取消"], function(e) {
			if(e.index == 0) {
				g_tools.postCMD("deleteHealthData", {
					time: time,
					type: healthKind,
					userId: careId
				}, function(res) {
					if(res.code == 0) {
						var refreshPage2 = plus.webview.getWebviewById('healthRecordSub.html');
						if(refreshPage2!=null){
							mui.fire(refreshPage2, "refreshHealth", {});
						}
						mui.fire(plus.webview.currentWebview().opener(), 'deleteHealthData', {});
						refreshPage();
					}
				});
			} else {
				mui.swipeoutClose(li);
			}
		})
	});
	g_mui.closePage("myCareState:manualInputHealth.html");
});

function healthClass() {
	var unit = '';
	var name = '';
	var kind = '';
	var maxValue = '';
	this.setType = function(type) {
		kind = parseInt(type);
		switch(kind) {
			case 0:
				name = '脉搏';
				unit = 'bpm';
				maxValue = 140;
				break;
			case 1:
				name = '血氧';
				unit = '%';
				maxValue = 100;
				break;
			case 2:
				name = '血糖';
				unit = 'mmol/L';
				maxValue = 14;
				break;
			case 5:
				name = '体重';
				unit = 'kg';
				maxValue = 80;
				break;
			case 6:
				name = '体温';
				unit = '℃';
				maxValue = 42;
				break;
			case 7:
				name = '血压';
				unit = 'mmHg';
				maxValue = 180;
				break;
			default:
				break;
		}
	}
	this.getName = function() {
		return name;
	}
	this.getUnit = function() {
		return unit;
	}
	this.getType = function() {
		return kind;
	}
	this.getMaxValue = function() {
		return maxValue;
	}
}

function initTitle() {
	//通过传值设置标题和thisHealth健康类
	var chooseType;
	var classification;
	var userId = g_tools.getUserId();
	var titleDom = document.getElementById('caretitle');
	chooseCount = CHOOSE_SEVEN;
	_self = plus.webview.currentWebview();
	chooseType = _self.getType;
	careId = _self.getId;
	if(!g_utils.isEmpty(_self.classification)) {	
		classification = _self.classification;
		classification = bloodMap[parseInt(classification)]
		var defaultBlood = document.querySelector('[type="'+classification+'"]');
		defaultBlood.classList.add('sugar-active');
		_bloodSugar = classification;
		sugarActive = defaultBlood;
	}
	thisHealth.setType(chooseType);
	//判断是否本人登录
	isLoginUser = (userId != '' && userId == careId);
	if(isLoginUser) {
		document.getElementById('addHealthData').classList.remove('mui-hidden');
	}
	
	if(chooseType == '2') {
		document.getElementById("bloodsugar-type").classList.remove("mui-hidden");
		var sugarTypeList = document.querySelectorAll(".sugar-type");
		for(var i = 0; i < sugarTypeList.length; i++) {
			sugarTypeList[i].addEventListener("tap", function() {
				//切换血糖图表
				sugarActive.classList.remove("sugar-active");
				_bloodSugar = parseInt(this.getAttribute('type'));
				refreshPage();
				this.classList.add('sugar-active');
				sugarActive = this;
			});
		}
	}
	healthName = thisHealth.getName();
	healthUnit = thisHealth.getUnit();
	healthKind = thisHealth.getType();
	document.getElementById('addHealthData').addEventListener('tap', function() {
		g_mui.openPage(g_module.myCareState,
			'manualInputHealth.html', {
				kind: healthKind
			}
		);
	});
	healthMaxValue = thisHealth.getMaxValue();
	//设置图标单位宽高
	chooseWidth = deviceWidth * 3 / chooseCount;
	chooseHeight = deviceWidth * 0.3466 * 3 / healthMaxValue;
	titleDom.innerHTML = healthName;
	if(healthKind == 5) {
		healthListTitle.innerHTML = '<div class="time-cell">测量时间</div>' +
			'<div class="value-cell">体重</div>' +
			'<div class="value-cell">BMI</div>'
	} else if(healthKind == 7) {
		healthListTitle.innerHTML = '<div class="time-cell">测量时间</div>' +
			'<div class="value-cell">高压</div>' +
			'<div class="value-cell">低压</div>'
	} else {
		healthListTitle.innerHTML = '<div class="time-cell">测量时间</div>' +
			'<div class="value-cell">' + healthName + '</div>'
	}
}

function init() {
	var weightProperty = document.querySelector('.bmi-exponent');
	var pressureExtra = document.querySelectorAll('[pressure]');

	var compareTitle = document.querySelector('.compare-title');
	var unit = thisHealth.getUnit();
	var comparUnit = document.getElementsByClassName('compare-this-unit');
	if(healthKind != 7) {
		indexUnit.innerHTML = unit;
	} else {
		indexUnit.innerHTML = "高压";
		var indexUnit2 = document.getElementById('pressure-property1');
		indexUnit2.innerHTML = "低压";
	}
	if(healthKind != 5 && healthKind != 7) {
		weightProperty.classList.add('div-hide');
		mui.each(pressureExtra, function(index, item) {
			item.classList.add('div-hide');
		});
	}
	if(healthKind == 5) {
		mui.each(pressureExtra, function(index, item) {
			item.classList.add('div-hide');
		});
	}
	if(healthKind == 7) {
		var valueMin = document.getElementById("value-min");
		var valueMax = document.getElementById("value-max");
		valueMin.innerHTML = "高压最低";
		valueMax.innerHTML = "高压最高";
		weightProperty.classList.add('div-hide');
	}
	for(var k = 0; k < comparUnit.length; k++) {
		comparUnit[k].innerHTML = unit;
	}
	cutCount.addEventListener('tap', function() {
		if(chooseCount == CHOOSE_SEVEN) {
			chooseCount = CHOOSE_THIRTY;
			this.innerHTML = '最近30次';
			compareTitle.innerHTML = '最近30次';
			pageInit();
			return;
		}
		if(chooseCount == CHOOSE_THIRTY) {
			chooseCount = CHOOSE_SEVEN;
			this.innerHTML = '最近7次';
			compareTitle.innerHTML = '最近7次';
			pageInit();
			return;
		}
	})
	var date = new Date();
	date = date.getTime();
	refreshSub(date, 360, growCount);
	document.addEventListener('refreshHealth', function(event) {
		if(healthKind == 2){
			var extra = parseInt(event.detail.classification);
			extra = bloodMap[extra]
			console.log(extra)
			var currentClassification = document.querySelector('[type="'+extra+'"]');
			sugarActive.classList.remove('sugar-active');
			currentClassification.classList.add('sugar-active');
			_bloodSugar = parseInt(extra);
		}
		refreshPage();
	});
}

function refreshPage() {
	var newDate = new Date();
	newDate = newDate.getTime();
	chartMark = 0;
	endPage = 0;
	growHealthList = [];
	pageMark = 0;
	lastDrawPage = 0;
	isFirst = true;
	sevenList = [];
	thirtyList = [];
	sevenList2 = [];
	thirtyList2 = [];
	nowX = -1.5 * deviceWidth + 6;
	isFresh = true;
	refreshSub(newDate, 360, 0);
	pageInit();
}

function pageInit() {
	var parent = document.querySelector(".chart-canvas");
	parent.innerHTML = "";
	endPage = Math.floor((growHealthList.length - 1) / chooseCount);
	pageMark = Math.floor(chartMark / chooseCount);
	lastDrawPage = pageMark;
	chooseWidth = deviceWidth * 3 / chooseCount;
	nowX = -deviceWidth * 1.5 + 5 + chooseWidth * (chartMark - pageMark * chooseCount) / 3;
	for(var i = 1; i >= -2; i--) {
		var addPageNum = pageMark + i;
		var div = document.createElement('div');
		var canvasNewLine = document.createElement('canvas');
		var canvasNewPoint = document.createElement('canvas');
		canvasNewLine.className = 'chart-line';
		canvasNewLine.setAttribute('chart', addPageNum);
		canvasNewPoint.className = 'chart-point';
		canvasNewPoint.setAttribute('point', addPageNum);
		div.className = 'chart-item';
		div.setAttribute('page', addPageNum);
		div.appendChild(canvasNewLine);
		div.appendChild(canvasNewPoint);
		parent.appendChild(div);
		curveDraw(addPageNum);
	}
	parent.style.left = nowX + 'px'
	//	parent.style.transform = 'translate3d(' + nowX + 'px, 0px, 0px)';
	surfreshPoint(0);
	initMaxMin();
}

function refreshSub(chooseTime, count, grow) {
	var healthType = healthKind
	if(healthKind == 2) {
		healthType = _bloodSugar
	}
	g_tools.postCMD("getHealthDataListByTypeAndCount", {
			userId: careId,
			count: count,
			type: healthType
		}, function(response) {
			if(response.code == 0) {
				var listData = response.data;
				if(listData.length <= count) {
					isFull = true;
					endPage = Math.floor((listData.length - 1) / chooseCount);
				}
				setList(listData, grow);
			}
		},
		g_tools.MODE_WEB)
	//	if(isLoginUser) {
	//		g_tools.postCMD('getHealthDataListByTimeAndCount', {
	//				startTime: chooseTime,
	//				count: count,
	//				type: healthKind,
	//			},
	//			function(healthList) {
	//				if(healthList.code == 0) {
	//					var listData = healthList.data;
	//					if(listData.length == 0) return;
	//					//判断是否将数据抓取完
	//					if(listData.length <= count) {
	//						isFull = true;
	//						endPage = Math.floor((listData.length - 1) / chooseCount);
	//					}
	//					setList(listData, grow);
	//				}
	//			},
	//			g_tools.MODE_WEB
	//		);
	//	} else {
	//		g_tools.postCMD('getHealthDataListByTimeAndCount', {
	//				startTime: chooseTime,
	//				count: count,
	//				type: healthKind,
	//				careId: careId
	//			},
	//			function(healthList) {
	//
	//				if(healthList.code == 0) {
	//					var listData = healthList.data;
	//					if(listData.length == 0) return;
	//					if(listData.length <= count) {
	//						isFull = true;
	//						endPage = Math.floor((listData.length - 1) / chooseCount);
	//					}
	//					setList(listData, grow);
	//				}
	//			},
	//			g_tools.MODE_WEB
	//		);
	//	}
}

function setList(list, grow) {
	//将数据按时间由大到小排序
	if(list.length == 0) {
		indexTime.innerHTML = '';
		indexData.innerHTML = '';
		indexUnit.classList.add("mui-hidden");
		document.getElementById('pressure-property0').innerHTML = '';
		document.getElementById('pressure-property1').classList.add("mui-hidden");
		indexMsg.innerHTML = '';
		cutCount.classList.add("mui-hidden");
		indexMin.innerHTML = '0';
		indexMax.innerHTML = '0';
		indexMinPressure.innerHTML = '0';
		indexMaxPressure.innerHTML = '0';
		drawHealthList();
	} else {
		cutCount.classList.remove("mui-hidden");
		indexUnit.classList.remove("mui-hidden");
		document.getElementById('pressure-property1').classList.remove("mui-hidden");
		list.sort(function(a, b) {
			return b.time - a.time
		});
		if(isFirst) {
			chartParent.style.left = (-1.5 * deviceWidth + 6) + 'px';
			//		chartParent.style.transform = 'translate3d(' + (-1.5 * deviceWidth + 6) + 'px, 0px, 0px)';
			var endLength = list.length;
			for(var i = 0; i < endLength; i++) {
				growHealthList[i] = list[i];
			}
			if(endPage > 0) {
				//绘制page=0的chart
				curveDraw(0);
				//绘制page=1的chart
				curveDraw(1);
			} else {
				curveDraw(0);
			}
		}
		initMaxMin();
		recentDataShow(0);
		drawHealthList();
	}
}

//绘制指定页面图表曲线
function curveDraw(page) {
	if(page > endPage || page < 0) return;
	//图形曲线层
	var chart = document.querySelector("[chart='" + page + "']");
	//图形点层
	var chartPoint = document.querySelector("[point='" + page + "']");
	//生成点的2d画布
	var myPoint = chartPoint.getContext('2d');
	//生成曲线的2d画布
	var curve = chart.getContext('2d');
	//设置单个图表的总宽和总高
	var chartWidth = deviceWidth * 3;
	var chartHeight = deviceWidth * 0.3466 * 3;
	var maxValue = thisHealth.getMaxValue();
	chart.width = chartWidth;
	chart.height = chartHeight;
	chartPoint.width = chartWidth;
	chartPoint.height = chartHeight;
	//坐标控制点坐标列表
	var ctrlPointList = new Array();
	//当选择为血压的时候低压控制点坐标列表
	var ctrlPointList2 = new Array();

	var count = (page + 1) * chooseCount + 1;
	var kind = thisHealth.getType();
	var unitWidth = chooseWidth;
	var unitHeight = chooseHeight;
	if(chooseCount == CHOOSE_SEVEN) {
		if(sevenList[page] != undefined) {
			if(kind != 7) {
				ctrlPointList = sevenList[page];
			} else {
				ctrlPointList = sevenList[page];
				ctrlPointList2 = sevenList2[page];
			}
		}
	} else {
		if(thirtyList[page] != undefined) {
			if(kind != 7) {
				ctrlPointList = thirtyList[page];
			} else {
				ctrlPointList = thirtyList[page];
				ctrlPointList2 = thirtyList2[page];
			}
		}
	}
	if(ctrlPointList == '') {
		if(kind != 7) {
			if(page == endPage) {
				var startLength = (endPage + 1) * chooseCount - growHealthList.length + 1;
				var j = growHealthList.length - 1;
				for(var i = startLength; i <= chooseCount; i++, j--) {
					var num = growHealthList[j].value.split(',');
					var x;
					if(i == 0) {
						x = 0;
					} else {
						x = Math.floor(unitWidth * i - 18);
					}
					var y = Math.floor(chartHeight - num[0] * unitHeight);
					if(y > chartHeight - 30) {
						y = chartHeight - 30;
					}
					if(y < 30) {
						y = 30;
					}
					var point = {
						x: x,
						y: y
					}
					ctrlPointList.push(point);
				}
				if(chooseCount == CHOOSE_SEVEN) {
					sevenList[page] = ctrlPointList;
				} else {
					thirtyList[page] = ctrlPointList;
				}
			} else {
				var j = (page + 1) * chooseCount;
				for(var i = 0; i <= chooseCount; i++, j--) {
					var num = growHealthList[j].value.split(',');
					var x;
					if(i == 0) {
						x = 0;
					} else {
						x = Math.floor(unitWidth * i - 18);
					}
					var y = Math.floor(chartHeight - num[0] * unitHeight);
					if(y > chartHeight - 30) {
						y = chartHeight - 30;
					}
					if(y < 30) {
						y = 30;
					}
					var point = {
						x: x,
						y: y
					};
					ctrlPointList.push(point);
				}
				if(chooseCount == CHOOSE_SEVEN) {
					sevenList[page] = ctrlPointList;
				} else {
					thirtyList[page] = ctrlPointList;
				}
			}
			//血压
		} else {
			if(page == endPage) {
				var startLength = (endPage + 1) * chooseCount - growHealthList.length + 1;
				var j = growHealthList.length - 1;
				for(var i = startLength; i <= chooseCount; i++, j--) {
					var num = growHealthList[j].value.split(',');
					var x;
					if(i == 0) {
						x = 0;
					} else {
						x = Math.floor(unitWidth * i - 18);
					}
					var y = Math.floor(chartHeight - num[0] * unitHeight);
					var y2 = Math.floor(chartHeight - num[1] * unitHeight);
					if(y > chartHeight - 30) {
						y = chartHeight - 30;
					}
					if(y < 30) {
						y = 30;
					}
					if(y2 > chartHeight - 30) {
						y2 = chartHeight - 30;
					}
					if(y2 < 30) {
						y2 = 30;
					}
					var point = {
						x: x,
						y: y
					}
					var point2 = {
						x: x,
						y: y2
					}
					ctrlPointList.push(point);
					ctrlPointList2.push(point2);
				}
				if(chooseCount == CHOOSE_SEVEN) {
					sevenList[page] = ctrlPointList;
					sevenList2[page] = ctrlPointList2;
				} else {
					thirtyList[page] = ctrlPointList;
					thirtyList2[page] = ctrlPointList2;
				}
			} else {
				var j = (page + 1) * chooseCount;
				for(var i = 0; i <= chooseCount; i++, j--) {
					var num = growHealthList[j].value.split(',');
					var x;
					if(i == 0) {
						x = 0;
					} else {
						x = Math.floor(unitWidth * i - 18);
					}
					var y = Math.floor(chartHeight - num[0] * unitHeight);
					var y2 = Math.floor(chartHeight - num[1] * unitHeight);
					if(y > chartHeight - 30) {
						y = chartHeight - 30;
					}
					if(y < 30) {
						y = 30;
					}
					if(y2 > chartHeight - 30) {
						y2 = chartHeight - 30;
					}
					if(y2 < 30) {
						y2 = 30;
					}
					var point = {
						x: x,
						y: y
					};
					var point2 = {
						x: x,
						y: y2
					}
					ctrlPointList.push(point);
					ctrlPointList2.push(point2);
				}
				if(chooseCount == CHOOSE_SEVEN) {
					sevenList[page] = ctrlPointList;
					sevenList2[page] = ctrlPointList2;
				} else {
					thirtyList[page] = ctrlPointList;
					thirtyList2[page] = ctrlPointList2;
				}
			}
		}
	}
	if(kind != 7) {
		//曲线下部填充区域
		var ctrlLength = ctrlPointList.length;
		curve.beginPath();
		curve.moveTo(ctrlPointList[0].x, chartHeight);
		curve.lineTo(ctrlPointList[0].x, ctrlPointList[0].y);
		if(ctrlLength < 3) {
			if(ctrlLength == 2) {
				curve.lineTo(ctrlPointList[1].x, ctrlPointList[1].y);
			}
			if(page != 0) {
				curve.lineTo(chartWidth, ctrlPointList[ctrlLength - 1].y);
				curve.lineTo(chartWidth, chartHeight);
			} else {
				curve.lineTo(ctrlPointList[ctrlLength - 1].x, chartHeight);
			}

			curve.fillStyle = " rgba(48,180,134,0.2)";
			curve.fill();
		} else {
			for(var l = 1; l < ctrlLength; l++) {
				var ctrlP = getCtrlPoint(ctrlPointList, l - 1);
				curve.bezierCurveTo(ctrlP.pA.x, ctrlP.pA.y, ctrlP.pB.x, ctrlP.pB.y, ctrlPointList[l].x, ctrlPointList[l].y);
				if(l == ctrlLength - 1) {
					if(page != 0) {
						curve.lineTo(chartWidth, ctrlPointList[l].y);
						curve.lineTo(chartWidth, chartHeight);
					} else {
						curve.lineTo(ctrlPointList[l].x, chartHeight);
					}
					curve.fillStyle = " rgba(48,180,134,0.2)";
					curve.fill();
				}
			}
		}

		//曲线部分
		curve.beginPath();
		curve.moveTo(ctrlPointList[0].x, ctrlPointList[0].y);
		if(ctrlLength < 3) {
			if(ctrlLength == 2) {
				curve.lineTo(ctrlPointList[1].x, ctrlPointList[1].y);
				myPoint.beginPath();
				myPoint.arc(ctrlPointList[1].x, ctrlPointList[1].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}
			if(page != 0) {
				curve.lineTo(chartWidth, ctrlPointList[ctrlLength - 1].y);
			}
			curve.strokeStyle = '#30B486';
			curve.lineWidth = 5;
			curve.stroke();
		} else {
			for(var k = 1; k < ctrlLength; k++) {
				var ctrlP = getCtrlPoint(ctrlPointList, k - 1);
				curve.bezierCurveTo(ctrlP.pA.x, ctrlP.pA.y, ctrlP.pB.x, ctrlP.pB.y, ctrlPointList[k].x, ctrlPointList[k].y);
				if(k == ctrlLength - 1) {
					if(page != 0) {
						curve.lineTo(chartWidth, ctrlPointList[k].y);
					}
					curve.strokeStyle = '#30B486';
					curve.lineWidth = 5;
					curve.stroke();
				}
				myPoint.beginPath();
				myPoint.arc(ctrlPointList[k].x, ctrlPointList[k].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}
		}

		if(page == endPage) {
			myPoint.beginPath();
			myPoint.arc(ctrlPointList[0].x, ctrlPointList[0].y, 8, 0, 2 * Math.PI);
			myPoint.fillStyle = "#FFFFFF";
			myPoint.strokeStyle = '#30B486';
			myPoint.lineWidth = 5;
			myPoint.stroke();
			myPoint.fill();
		}
		if(isFirst) {
			isFirst = false;
			var initX = ctrlPointList[ctrlLength - 1].x;
			var initY = ctrlPointList[ctrlLength - 1].y;
			myPoint.clearRect(initX - 8, initY - 8, 20, 20);
			myPoint.beginPath();
			myPoint.fillStyle = "#30B486";
			myPoint.arc(initX, initY, 15, 0, 2 * Math.PI);
			myPoint.fill();
		}
	} else {
		//血压，曲线下部填充区域
		var ctrlLength = ctrlPointList.length;
		curve.beginPath();
		if(ctrlLength < 3) {
			curve.moveTo(ctrlPointList2[0].x, ctrlPointList2[0].y);
			curve.lineTo(ctrlPointList[0].x, ctrlPointList[0].y);
			if(ctrlLength == 2) {
				curve.lineTo(ctrlPointList[1].x, ctrlPointList[1].y);
				if(page != 0) {
					curve.lineTo(chartWidth, ctrlPointList[1].y);
					curve.lineTo(chartWidth, ctrlPointList2[1].y);
					curve.lineTo(ctrlPointList2[1].x, ctrlPointList2[1].y);
					curve.lineTo(ctrlPointList2[0].x, ctrlPointList2[0].y);
				} else {
					curve.lineTo(ctrlPointList2[1].x, ctrlPointList2[1].y);
					curve.lineTo(ctrlPointList2[0].x, ctrlPointList2[0].y);
				}
				curve.fillStyle = " rgba(48,180,134,0.2)";
				curve.fill();
			} else {
				if(page != 0) {
					curve.lineTo(chartWidth, ctrlPointList[0].y);
					curve.lineTo(chartWidth, ctrlPointList2[0].y);
					curve.lineTo(ctrlPointList2[0].x, ctrlPointList2[0].y);
				}
				curve.fillStyle = " rgba(48,180,134,0.2)";
				curve.fill();
			}
		} else {
			for(var l = 1; l < ctrlLength; l++) {
				curve.moveTo(ctrlPointList2[l - 1].x, ctrlPointList2[l - 1].y);
				curve.lineTo(ctrlPointList[l - 1].x, ctrlPointList[l - 1].y);
				var ctrlP = getCtrlPoint(ctrlPointList, l - 1);
				var ctrlP2 = getCtrlPoint(ctrlPointList2, l - 1);
				curve.bezierCurveTo(ctrlP.pA.x, ctrlP.pA.y, ctrlP.pB.x, ctrlP.pB.y, ctrlPointList[l].x, ctrlPointList[l].y);
				curve.lineTo(ctrlPointList2[l].x, ctrlPointList2[l].y);
				curve.bezierCurveTo(ctrlP2.pB.x, ctrlP2.pB.y, ctrlP2.pA.x, ctrlP2.pA.y, ctrlPointList2[l - 1].x, ctrlPointList2[l - 1].y);
				if(l == ctrlLength - 1) {
					if(page != 0) {
						curve.moveTo(ctrlPointList2[l].x, ctrlPointList2[l].y);
						curve.lineTo(ctrlPointList[l].x, ctrlPointList[l].y);
						curve.lineTo(chartWidth, ctrlPointList[l].y);
						curve.lineTo(chartWidth, ctrlPointList2[l].y);
						curve.lineTo(ctrlPointList2[l].x, ctrlPointList2[l].y);
						curve.fillStyle = " rgba(48,180,134,0.2)";
						curve.fill();
					} else {
						curve.fillStyle = " rgba(48,180,134,0.2)";
						curve.fill();
					}

				}
			}
		}

		//曲线部分
		curve.beginPath();
		curve.moveTo(ctrlPointList[0].x, ctrlPointList[0].y);
		if(ctrlLength < 3) {
			if(ctrlLength == 2) {
				curve.lineTo(ctrlPointList[1].x, ctrlPointList[1].y);
				myPoint.beginPath();
				myPoint.arc(ctrlPointList[1].x, ctrlPointList[1].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}
			if(page != 0) {
				curve.lineTo(chartWidth, ctrlPointList[ctrlLength - 1].y);
			}
			curve.strokeStyle = '#30B486';
			curve.lineWidth = 5;
			curve.stroke();
		} else {
			for(var k = 1; k < ctrlLength; k++) {
				var ctrlP = getCtrlPoint(ctrlPointList, k - 1);
				curve.bezierCurveTo(ctrlP.pA.x, ctrlP.pA.y, ctrlP.pB.x, ctrlP.pB.y, ctrlPointList[k].x, ctrlPointList[k].y);
				if(k == ctrlLength - 1) {
					if(page != 0) {
						curve.lineTo(chartWidth, ctrlPointList[k].y);
					}
					curve.strokeStyle = '#30B486';
					curve.lineWidth = 5;
					curve.stroke();
				}
				myPoint.beginPath();
				myPoint.arc(ctrlPointList[k].x, ctrlPointList[k].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}
		}

		//曲线部分
		curve.beginPath();
		if(page != 0) {
			curve.moveTo(chartWidth, ctrlPointList2[ctrlLength - 1].y);
			curve.lineTo(ctrlPointList2[ctrlLength - 1].x, ctrlPointList2[ctrlLength - 1].y);
		} else {
			curve.moveTo(ctrlPointList2[ctrlLength - 1].x, ctrlPointList2[ctrlLength - 1].y);
		}
		if(ctrlLength < 3) {
			if(ctrlLength == 2) {
				curve.lineTo(ctrlPointList2[0].x, ctrlPointList2[0].y);
				myPoint.beginPath();
				myPoint.arc(ctrlPointList2[1].x, ctrlPointList2[1].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}
			curve.strokeStyle = '#30B486';
			curve.lineWidth = 5;
			curve.stroke();
		} else {
			for(var k = ctrlLength - 1; k > 0; k--) {
				var ctrlP = getCtrlPoint(ctrlPointList2, k - 1);
				curve.bezierCurveTo(ctrlP.pB.x, ctrlP.pB.y, ctrlP.pA.x, ctrlP.pA.y, ctrlPointList2[k - 1].x, ctrlPointList2[k - 1].y);
				if(k == 1) {

					curve.strokeStyle = '#30B486';
					curve.lineWidth = 5;
					curve.stroke();
				}
				myPoint.beginPath();
				myPoint.arc(ctrlPointList2[k].x, ctrlPointList2[k].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}
		}

		if(page == endPage) {
			myPoint.beginPath();
			myPoint.fillStyle = "#FFFFFF";
			myPoint.strokeStyle = '#30B486';
			myPoint.lineWidth = 5;
			myPoint.arc(ctrlPointList[0].x, ctrlPointList[0].y, 8, 0, 2 * Math.PI);
			myPoint.stroke();
			myPoint.fill();
			myPoint.beginPath();
			myPoint.arc(ctrlPointList2[0].x, ctrlPointList2[0].y, 8, 0, 2 * Math.PI);
			myPoint.stroke();
			myPoint.fill();
		}
		if(isFirst) {
			isFirst = false;
			var initX = ctrlPointList[ctrlLength - 1].x;
			var initY = ctrlPointList[ctrlLength - 1].y;
			var initX2 = ctrlPointList2[ctrlLength - 1].x;
			var initY2 = ctrlPointList2[ctrlLength - 1].y;
			myPoint.clearRect(initX - 10, 0, 20, chartHeight);
			myPoint.beginPath();
			myPoint.fillStyle = "#30B486";
			myPoint.arc(initX, initY, 15, 0, 2 * Math.PI);
			myPoint.arc(initX2, initY2, 15, 0, 2 * Math.PI);
			myPoint.fill();
		}
	}

}

function getCtrlPoint(ps, i) {
	var a = 0.15;
	var b = 0.15;
	var pAx, pAy, pBx, pBy;
	if(i == 0) {
		var pAx = ps[0].x + (ps[2].x - ps[0].x) * a;
		var pAy = ps[0].y + (ps[2].y - ps[0].y) * a;
		var pBx = ps[1].x - (ps[2].x - ps[0].x) * b;
		var pBy = ps[1].y - (ps[2].y - ps[0].y) * b;
	} else {
		var pAx = ps[i].x + (ps[i + 1].x - ps[i - 1].x) * a;
		var pAy = ps[i].y + (ps[i + 1].y - ps[i - 1].y) * a;
		if(i == (ps.length - 2)) {
			var last = ps.length - 1
			var pBx = ps[last].x - (ps[last].x - ps[last - 1].x) * b;
			var pBy = ps[last].y - (ps[last].y - ps[last - 1].y) * b;
		} else {
			var pBx = ps[i + 1].x - (ps[i + 2].x - ps[i].x) * b;
			var pBy = ps[i + 1].y - (ps[i + 2].y - ps[i].y) * b;
		}
	}
	return {
		pA: {
			x: pAx,
			y: pAy
		},
		pB: {
			x: pBx,
			y: pBy
		}
	}
}

function addChartMove() {
	var moveX = 0; //记录起始点击位置
	var lastX = 0; //最后一次滑动位置
	chartParent.addEventListener('touchstart', function(e) {
		moveX = e.targetTouches[0].pageX;
		chartParent.style.transition = "all 0s";
		e.preventDefault();
	});
	chartParent.addEventListener('touchmove', function(e) {
		var x = e.targetTouches[0].pageX
		var setX = x - moveX + nowX;
		chartParent.style.left = setX + 'px'
		//		chartParent.style.transform = 'translate3d(' + setX + 'px, 0px, 0px)';
		surfreshPoint(x - moveX);
	});
	chartParent.addEventListener('touchend', function(e) {
		var endX = e.changedTouches[0].pageX;
		var goMove = endX - moveX;
		var moveNum = Math.round((goMove) * 3 / chooseWidth);
		var a = moveNum * chooseWidth / 3;
		surfreshPoint(a);
		chartMark += moveNum;
		nowX = a + nowX;
		var newPage = Math.floor(chartMark / chooseCount);
		if(newPage >= endPage && chartMark >= growHealthList.length) {
			var maxLength = growHealthList.length;
			chartMark = maxLength - 1;
			if(pageMark < endPage) {
				nowX = -0.5 * deviceWidth + 5 + (maxLength - endPage * chooseCount - 1) * chooseWidth / 3;
			} else {
				nowX = -1.5 * deviceWidth + 5 + (maxLength - endPage * chooseCount - 1) * chooseWidth / 3;
			}
			surfreshPoint(0);
		}
		if(newPage < 0) {
			chartMark = 0;
			nowX = -deviceWidth * 1.5 + 5;
			surfreshPoint(0);
		}
		chartParent.style.transition = "all 0.5s";
		chartParent.style.left = nowX + 'px'
		//		chartParent.style.transform = "translate3d(" + nowX + "px, 0px, 0px)";

		if(newPage != pageMark) {
			changePage(newPage);
		}
		recentDataShow(chartMark);
	});
}

function surfreshPoint(distance) {
	if((chooseCount == CHOOSE_SEVEN && g_utils.isEmptyArray(sevenList)) || (chooseCount == CHOOSE_THIRTY && g_utils.isEmptyArray(thirtyList))) {
		return
	}
	var num = 0;
	num = Math.round(distance * 3 / chooseWidth);
	var page = Math.floor((chartMark + num) / chooseCount);
	var diff = distance * 3 - num * chooseWidth;
	var flag;
	if(page > endPage || page < 0) return;
	if(page == endPage) {
		if(chartMark == growHealthList.length - 1 && num > 0) {
			return;
		}
		var endListLength
		if(chooseCount == CHOOSE_SEVEN) {
			endListLength = sevenList[page].length;
			flag = endListLength - chartMark - num + page * chooseCount - 1;
		} else {
			endListLength = thirtyList[page].length;
			flag = endListLength - chartMark - num + page * chooseCount - 1;
		}
	} else {
		flag = chooseCount * (page + 1) - chartMark - num;
	}
	if(lastDrawPage != page) {
		var oldCanvas = document.querySelector("[point='" + lastDrawPage + "']");
		var newCanvas = document.querySelector("[point='" + page + "']");
		var oldPoint = oldCanvas.getContext('2d');
		var newPoint = newCanvas.getContext('2d');
		var oldList2, newList2;
		var oldList, newList;
		if(chooseCount == CHOOSE_SEVEN) {
			if(healthKind != 7) {
				newList = sevenList[page];
				oldList = sevenList[lastDrawPage];
			} else {
				newList = sevenList[page];
				newList2 = sevenList2[page];
				oldList2 = sevenList2[lastDrawPage];
				oldList = sevenList[lastDrawPage];
			}
		} else {
			if(healthKind != 7) {
				newList = thirtyList[page];
				oldList = thirtyList[lastDrawPage];
			} else {
				newList = thirtyList[page];
				newList2 = thirtyList2[page];
				oldList2 = thirtyList2[lastDrawPage];
				oldList = thirtyList[lastDrawPage];
			}
		}
		if(diff < 0.2 * chooseWidth) {
			oldPoint.clearRect(0, 0, 3 * deviceWidth, deviceWidth * 0.3466 * 3);
			var i;
			if(lastDrawPage != endPage) {
				i = 1;
			} else {
				i = 0;
			}
			for(var s = i; s < oldList.length; s++) {
				oldPoint.beginPath();
				oldPoint.arc(oldList[s].x, oldList[s].y, 8, 0, 2 * Math.PI);
				oldPoint.fillStyle = "#FFFFFF";
				oldPoint.strokeStyle = '#30B486';
				oldPoint.lineWidth = 5;
				oldPoint.stroke();
				oldPoint.fill();
			}
			if(healthKind == 7) {
				for(var s = i; s < oldList.length; s++) {
					oldPoint.beginPath();
					oldPoint.arc(oldList2[s].x, oldList2[s].y, 8, 0, 2 * Math.PI);
					oldPoint.fillStyle = "#FFFFFF";
					oldPoint.strokeStyle = '#30B486';
					oldPoint.lineWidth = 5;
					oldPoint.stroke();
					oldPoint.fill();
				}
			}
			if(page != endPage) {
				i = 1;
			} else {
				i = 0;
			}
			newPoint.clearRect(0, 0, 3 * deviceWidth, deviceWidth * 0.3466 * 3);
			for(var s = i; s < newList.length; s++) {
				newPoint.beginPath();
				if(s == flag) {
					newPoint.arc(newList[s].x, newList[s].y, 15, 0, 2 * Math.PI);
					newPoint.fillStyle = "#30B486";
					newPoint.fill();
				} else {
					newPoint.arc(newList[s].x, newList[s].y, 8, 0, 2 * Math.PI);
					newPoint.fillStyle = "#FFFFFF";
					newPoint.strokeStyle = '#30B486';
					newPoint.lineWidth = 5;
					newPoint.stroke();
					newPoint.fill();
				}
			}
			if(healthKind == 7) {
				for(var s = i; s < newList.length; s++) {
					newPoint.beginPath();
					if(s == flag) {
						newPoint.arc(newList2[s].x, newList2[s].y, 15, 0, 2 * Math.PI);
						newPoint.fillStyle = "#30B486";
						newPoint.fill();
					} else {
						newPoint.arc(newList2[s].x, newList2[s].y, 8, 0, 2 * Math.PI);
						newPoint.fillStyle = "#FFFFFF";
						newPoint.strokeStyle = '#30B486';
						newPoint.lineWidth = 5;
						newPoint.stroke();
						newPoint.fill();
					}
				}
			}
			lastDrawPage = page;
		}
		return
	}
	var pointPage = document.querySelector("[point='" + page + "']");
	var myPoint = pointPage.getContext('2d');
	var list, list2;
	if(chooseCount == CHOOSE_SEVEN) {
		if(healthKind != 7) {
			list = sevenList[page];
		} else {
			list = sevenList[page];
			list2 = sevenList2[page];
		}
	} else {
		if(healthKind != 7) {
			list = thirtyList[page];
		} else {
			list = thirtyList[page];
			list2 = thirtyList2[page]
		}
	}
	if(diff < 0.2 * chooseWidth) {
		myPoint.clearRect(0, 0, 3 * deviceWidth, deviceWidth * 0.3466 * 3);
		var i;
		if(page != endPage) {
			i = 1;
		} else {
			i = 0;
		}
		for(var s = i; s < list.length; s++) {
			myPoint.beginPath();
			if(s == flag) {
				myPoint.arc(list[s].x, list[s].y, 15, 0, 2 * Math.PI);
				myPoint.fillStyle = "#30B486";
				myPoint.fill();
			} else {
				myPoint.arc(list[s].x, list[s].y, 8, 0, 2 * Math.PI);
				myPoint.fillStyle = "#FFFFFF";
				myPoint.strokeStyle = '#30B486';
				myPoint.lineWidth = 5;
				myPoint.stroke();
				myPoint.fill();
			}

		}
		if(healthKind == 7) {
			for(var s = i; s < list.length; s++) {
				myPoint.beginPath();
				if(s == flag) {
					myPoint.arc(list2[s].x, list2[s].y, 15, 0, 2 * Math.PI);
					myPoint.fillStyle = "#30B486";
					myPoint.fill();
				} else {
					myPoint.arc(list2[s].x, list2[s].y, 8, 0, 2 * Math.PI);
					myPoint.fillStyle = "#FFFFFF";
					myPoint.strokeStyle = '#30B486';
					myPoint.lineWidth = 5;
					myPoint.stroke();
					myPoint.fill();
				}

			}
		}
	}

}

function changePage(newPage) {
	if(newPage > endPage || newPage < 0) return;
	var parent = document.querySelector(".chart-canvas");
	var div = document.createElement('div');
	var pointCanvas = document.createElement('canvas');
	pointCanvas.className = 'chart-point';
	var curveCanvas = document.createElement('canvas');
	curveCanvas.className = 'chart-line';
	div.className = 'chart-item';
	div.appendChild(curveCanvas);
	div.appendChild(pointCanvas);
	var addPage;
	var removePage;
	if(newPage > pageMark) {
		addPage = pageMark + 2;
		removePage = pageMark - 2;
		var child = document.querySelector("[page='" + removePage + "']");
		child.parentNode.removeChild(child);
		parent.insertBefore(div, parent.firstChild);
		nowX = nowX - deviceWidth;
		if(!isFull) {
			//当前数据不够时网络抓取一次数据
		}
	} else {
		removePage = pageMark + 1;
		addPage = pageMark - 3;
		var child = document.querySelector("[page='" + removePage + "']");
		child.parentNode.removeChild(child);
		parent.appendChild(div);
		nowX = nowX + deviceWidth;
	}
	div.setAttribute('page', addPage);
	pointCanvas.setAttribute('point', addPage);
	curveCanvas.setAttribute('chart', addPage);
	parent.style.transition = "all 0s";
	parent.style.left = nowX + 'px'
	//	parent.style.transform = "translate3d(" + nowX + "px, 0px, 0px)";
	pageMark = newPage;
	curveDraw(addPage);
}

function initMaxMin() {
	if(g_utils.isEmptyArray(growHealthList)) {
		return
	}
	var startCompare;
	var endCompare;
	if(chooseCount == CHOOSE_SEVEN) {
		startCompare = 0;
		endCompare = Math.min(0 + 7, growHealthList.length - 1);
	} else {
		startCompare = 0;
		endCompare = Math.min(0 + 30, growHealthList.length - 1);
	}
	var max = 0;
	var min = 500;
	var maxi, mini;
	for(var i = startCompare; i <= endCompare; i++) {
		var each = parseFloat(growHealthList[i].value.split(',')[0]);
		if(each >= max) {
			max = each;
			maxi = i;
		}
		if(each < min) {
			min = each;
			mini = i;
		}
	}
	var colorMax = statusColor(growHealthList[maxi].status.split(',')[0]).color;
	var colorMin = statusColor(growHealthList[mini].status.split(',')[0]).color;
	indexMax.innerHTML = max;
	indexMin.innerHTML = min;
	indexMax.style.color = colorMax;
	indexMin.style.color = colorMin;
	if(healthKind == 7) {
		var startComparePressureTwo;
		var endComparePressureTwo;
		if(chooseCount == CHOOSE_SEVEN) {
			startComparePressureTwo = 0;
			endComparePressureTwo = Math.min(0 + 7, growHealthList.length - 1);
		} else {
			startComparePressureTwo = 0;
			endComparePressureTwo = Math.min(0 + 30, growHealthList.length - 1);
		}
		var maxPressureTwo = 0;
		var minPressureTwo = 500;
		var maxiPressureTwo, miniPressureTwo;
		for(var i = startComparePressureTwo; i <= endComparePressureTwo; i++) {
			var b = parseFloat(growHealthList[i].value.split(',')[1]);
			if(b > maxPressureTwo) {
				maxPressureTwo = b;
				maxiPressureTwo = i;
			}
			if(b < minPressureTwo) {
				minPressureTwo = b;
				miniPressureTwo = i;
			}
		}
		var colorMaxTwo = statusColor(growHealthList[maxiPressureTwo].status.split(',')[1]).color;
		var colorMinTwo = statusColor(growHealthList[miniPressureTwo].status.split(',')[1]).color;
		indexMaxPressure.innerHTML = maxPressureTwo;
		indexMinPressure.innerHTML = minPressureTwo;
		indexMaxPressure.style.color = colorMaxTwo;
		indexMinPressure.style.color = colorMinTwo;
	}
}

function recentDataShow(mark) {
	if(g_utils.isEmptyArray(growHealthList)) {
		return
	}
	var value = growHealthList[mark].value.split(',');
	var time = growHealthList[mark].time;
	var status = growHealthList[mark].status.split(',');
	var returnStatus = statusColor(status[0]);
	var color = returnStatus.color;
	var txt = returnStatus.txt;

	var nowDate = new Date();
	indexData.innerHTML = value[0];
	indexData.style.color = color;
	indexTime.innerHTML = g_printTools.printDateAndTimeStrByTimeMillis(time);
	//	var startCompare;
	//	var endCompare;
	//	if(chooseCount == CHOOSE_SEVEN) {
	//		startCompare = mark;
	//		endCompare = Math.min(mark + 7, growHealthList.length - 1);
	//	} else {
	//		startCompare = mark;
	//		endCompare = Math.min(mark + 30, growHealthList.length - 1);
	//	}
	//	var max = 0;
	//	var min = 500;
	//	var maxi, mini;
	//	for(var i = startCompare; i <= endCompare; i++) {
	//		var each = parseFloat(growHealthList[i].value.split(',')[0]);
	//		if(each >= max) {
	//			max = each;
	//			maxi = i;
	//		}
	//		if(each < min) {
	//			min = each;
	//			mini = i;
	//		}
	//	}
	//	var colorMax = statusColor(growHealthList[maxi].status.split(',')[0]).color;
	//	var colorMin = statusColor(growHealthList[mini].status.split(',')[0]).color;
	//	indexMax.innerHTML = max;
	//	indexMin.innerHTML = min;
	//	indexMax.style.color = colorMax;
	//	indexMin.style.color = colorMin;
	if(healthKind == 5) {
		//BMI33.6 | 脂肪率25.4% | 体重报警
		indexMsg.innerHTML = "BMI" + value[1] + " | " + "体重" + txt
		var bmi = document.getElementById('bmi-data');
		var bmiType = document.getElementById('bmi-type');
		var ruler = document.querySelector('.ruler-mark');
		bmi.innerHTML = value[1];
		var bmiMsg = bmiCompare(value[1]);
		bmiType.innerHTML = bmiMsg.msg;
		var process = (deviceWidth - 60) * bmiMsg.pro / 100;
		ruler.style.left = process + 'px';
	}
	if(healthKind == 7) {
		var returnStatus1 = statusColor(status[1]);
		var color1 = returnStatus1.color;
		var s = Math.max(status[1], status[0]);
		var returnS = statusColor(s).txt;
		indexMsg.innerHTML = "血压" + returnS;
		var property0 = document.getElementById('pressure-property0');
		property0.innerHTML = value[1];
		property0.style.color = color1;

		//		var startComparePressureTwo;
		//		var endComparePressureTwo;
		//		if(chooseCount == CHOOSE_SEVEN) {
		//			startComparePressureTwo = mark;
		//			endComparePressureTwo = Math.min(mark + 7, growHealthList.length - 1);
		//		} else {
		//			startComparePressureTwo = mark;
		//			endComparePressureTwo = Math.min(mark + 30, growHealthList.length - 1);
		//		}
		//		var maxPressureTwo = 0;
		//		var minPressureTwo = 500;
		//		var maxiPressureTwo, miniPressureTwo;
		//		for(var i = startComparePressureTwo; i <= endComparePressureTwo; i++) {
		//			var b = parseFloat(growHealthList[i].value.split(',')[1]);
		//			if(b > maxPressureTwo) {
		//				maxPressureTwo = b;
		//				maxiPressureTwo = i;
		//			}
		//			if(b < minPressureTwo) {
		//				minPressureTwo = b;
		//				miniPressureTwo = i;
		//			}
		//		}
		//		var colorMaxTwo = statusColor(growHealthList[maxiPressureTwo].status.split(',')[1]).color;
		//		var colorMinTwo = statusColor(growHealthList[miniPressureTwo].status.split(',')[1]).color;
		//		indexMaxPressure.innerHTML = maxPressureTwo;
		//		indexMinPressure.innerHTML = minPressureTwo;
		//		indexMaxPressure.style.color = colorMaxTwo;
		//		indexMinPressure.style.color = colorMinTwo;
	}
	if(healthKind != 7 && healthKind != 5) {
		indexMsg.innerHTML = thisHealth.getName() + txt;
	}
}

function statusColor(status) {
	var m = parseInt(status);
	var color;
	var txt;
	//	0【正常】、1【预警】、2【报警】）
	switch(m) {
		case 0:
			color = "#666666";
			txt = "正常";
			break;
		case 1:
			color = "#666666";
			txt = "正常";
			break;
		case 2:
			color = "#FF8080";
			txt = "报警";
			break;
		default:
			break;
	}
	return {
		color: color,
		txt: txt
	}
}

function bmiCompare(bmi) {
	var b = parseInt(bmi);
	var msg;
	var pro;
	if(b >= 0 && b < 18) {
		pro = 20 * (bmi / 18);
		msg = "偏瘦";
		return {
			msg: msg,
			pro: pro
		};
	}
	if(b >= 18 && b < 24) {
		pro = 20 + 30 * ((bmi - 18) / 6);
		msg = "正常";
		return {
			msg: msg,
			pro: pro
		};
	}
	if(b >= 24 && b < 28) {
		pro = 50 + 30 * ((bmi - 24) / 4);
		msg = "偏胖";
		return {
			msg: msg,
			pro: pro
		};
	}
	if(b >= 28) {
		pro = Math.min(80 + 20 * ((bmi - 28) / 18), 100);
		msg = "肥胖";
		return {
			msg: msg,
			pro: pro
		};
	}
}

function drawHealthList() {
	healthListParent.innerHTML = '';
	for(var i = 0; i < growHealthList.length; i++) {
		var status, value;
		status = growHealthList[i].status.split(',');
		value = growHealthList[i].value.split(',');
		var li = document.createElement("li");
		var deletStr = '<div class="mui-slider-right mui-disabled">' +
			'<a class="mui-btn mui-btn-red" time=' + growHealthList[i].time + '>删除</a>' +
			'</div>'
		li.className = 'mui-table-view-cell';
		if(healthKind == 5) {
			li.innerHTML = (isLoginUser ? deletStr : '') +
				'<div class="mui-slider-handle mui-table">' +
				'<div class="layout">' +
				'<div class="time-cell-item">' + g_printTools.printDateAndTimeStrByTimeMillis(growHealthList[i].time) + '</div>' +
				'<div class="value-cell-item ' + (status[0] == '0' ? '' : 'status-erro') + '">' + value[0] + '</div>' +
				'<div class="value-cell-item ' + (status[1] == '0' ? '' : 'status-erro') + '">' + value[1] + '</div>' +
				'</div></div>'
		} else if(healthKind == 7) {
			li.innerHTML = (isLoginUser ? deletStr : '') +
				'<div class="mui-slider-handle mui-table">' +
				'<div class="layout">' +
				'<div class="time-cell-item">' + g_printTools.printDateAndTimeStrByTimeMillis(growHealthList[i].time) + '</div>' +
				'<div class="value-cell-item ' + (status[0] == '0' ? '' : 'status-erro') + '">' + value[0] + '</div>' +
				'<div class="value-cell-item ' + (status[1] == '0' ? '' : 'status-erro') + '">' + value[1] + '</div>' +
				'</div></div>'
		} else {
			li.innerHTML = (isLoginUser ? deletStr : '') +
				'<div class="mui-slider-handle mui-table">' +
				'<div class="layout">' +
				'<div class="time-cell-item">' + g_printTools.printDateAndTimeStrByTimeMillis(growHealthList[i].time) + '</div>' +
				'<div class="value-cell-item ' + (status[0] == '0' ? '' : 'status-erro') + '">' + value[0] + '</div>' +
				'</div></div>'
		}
		healthListParent.appendChild(li);
	}
}