mui.init();
//_self当前页面，_new最新健康状态，_report健康报告页，careMsg为关爱人基本信息
var _self;
var HEALTH_SPORT = 0;
var HEALTH_HEALTH = 1;
var HEALTH_DIET = 2;
var HEALTH_SERVICE = 3;
var userId;
var careId, chooseTime, headImg, careName;
var isLoginUser;
var currentTab;
var subPages = [{
	id: 'sportRecordSub.html',
	name: "运动记录"
}, {
	id: 'healthRecordSub.html',
	name: "测量记录"
}, {
	id: 'dietRecord.html',
	name: "饮食记录"
}, {
	id: 'serviceRecordSub.html',
	name: "服务记录"
}];
var tabTitle = document.getElementById("tab-title");

var subReadyNum = 0;

mui.plusReady(function() {
	userId = g_tools.getUserId();
	_self = plus.webview.currentWebview();
	careId = _self.sendId;
	chooseTime = _self.sendTime;
	headImg = _self.headImg;
	careName = _self.sendName;
	isLoginUser = (userId != '' && userId == careId);
	initTitle();
	window.addEventListener('myBack', function(event) {
		mui.back();
	});
	window.addEventListener('myCareStateTabRefresh', function(event) {
		initTitle();
	});
              
    window.addEventListener('subPagePlusReady', function(event) {
        subReadyNum += 1;
        
        if (subPages.length == subReadyNum){
               
            var web = plus.webview.getWebviewById('sportRecordSub.html');
            web.evalJS('loadMap()');
                            
                                    var tabList = document.querySelectorAll(".item");
                                    for (var i = 0; i < tabList.length; i++) {
                                        tabList[i].addEventListener("tap", function() {
                                            var lastIndex = parseInt(currentTab.getAttribute("index"));
                                            var index = parseInt(this.getAttribute("index"));
                                            currentTab.classList.remove("item-active");
                                            this.classList.add("item-active");
                                            currentTab = this;
                                            mui.fire(subPages[index].web, 'tabReload', {});
                                            moveAnimation(lastIndex, index);
                                        })
                                    }
        }
        
        
                            
//        subPages[0].web.evalJS("loadMap()");
               
//        var tabList = document.querySelectorAll(".item");
//        for (var i = 0; i < tabList.length; i++) {
//            tabList[i].addEventListener("tap", function() {
//                var lastIndex = parseInt(currentTab.getAttribute("index"));
//                var index = parseInt(this.getAttribute("index"));
//                currentTab.classList.remove("item-active");
//                this.classList.add("item-active");
//                currentTab = this;
//                mui.fire(subPages[index].web, 'tabReload', {});
//                moveAnimation(lastIndex, index);
//            })
//        }
    });
});

function getIsHaveDoctorMembersOrDynamicInfo() {
	g_tools.postCMD('isHaveDoctorMembersOrDynamicInfo', {
		userId: careId
	}, function(result) {
		if (result.code == 0) {
			var _isHave = result.data.isHave;
			if (_isHave == 0) {
				subPages.splice(3, 1);
			}
			init();
		}
	});
}

//初始化三个标题
function initTitle() {
	document.getElementById("caretitle").innerHTML = careName;
	if (isLoginUser) { //我自己
		document.getElementById('gotoMsg').classList.add("hide");
		subPages.splice(3, 1);
		init();
	} else { //如果是我关爱的人
		getIsHaveDoctorMembersOrDynamicInfo();
	}
}

function init() {
	for (var i = 0; i < subPages.length; i++) {
		var tabItem = document.createElement("div");
		tabItem.className = "item";
		tabItem.setAttribute("index", i);
		tabItem.innerHTML = subPages[i].name;
		tabTitle.appendChild(tabItem);
		if (i == 0) {
			currentTab = tabItem
			tabItem.classList.add("item-active");
		}
	}
	document.getElementById('gotoMsg').addEventListener('tap', function() {
		g_RIM.startSingleChatByTargetId(careId, _self.id, function(data) {}, function(err) {});
	});
	createSubPage();
}


function createSubPage() {
	var _top = parseInt(44 * document.documentElement.clientWidth / 375) + 50 + 'px'
	var subPageStyle = {
		width: '100%',
		top: _top,
		bottom: '0'
	}
	for (var i = 0; i < subPages.length; i++) {
		subPageStyle.left = '100%';
		if (i == 0) {
			subPageStyle.left = "0%"
		}
		var sub = plus.webview.create(subPages[i].id, subPages[i].id, subPageStyle, {
			careId: careId,
			chooseTime: chooseTime,
			headImg: headImg
		});
		_self.append(sub);
		subPages[i].web = sub;
	}
//	setTimeout(function() {
//		subPages[0].web.evalJS("loadMap()");
//	}, 2000)
//	setTimeout(function() {
//        subPages[0].web.evalJS("loadMap()");
//
//		var tabList = document.querySelectorAll(".item");
//		for (var i = 0; i < tabList.length; i++) {
//			tabList[i].addEventListener("tap", function() {
//				var lastIndex = parseInt(currentTab.getAttribute("index"));
//				var index = parseInt(this.getAttribute("index"));
//				currentTab.classList.remove("item-active");
//				this.classList.add("item-active");
//				currentTab = this;
//				mui.fire(subPages[index].web, 'tabReload', {});
//				moveAnimation(lastIndex, index);
//			})
//		}
//	}, 2000);
}

function moveAnimation(lastIndex, currentIndex) {
	if(lastIndex == currentIndex){
		return
	}
	if (currentIndex - lastIndex > 0) {
		plus.webview.startAnimation({
				view: subPages[lastIndex].web,
				styles: {
					fromLeft: '0%',
					toLeft: '-100%'
				}
			}, {
				view: subPages[currentIndex].web,
				styles: {
					fromLeft: '100%',
					toLeft: '0%'
				}
			},
			function(e) {});
	} else {
		plus.webview.startAnimation({
				view: subPages[lastIndex].web,
				styles: {
					fromLeft: '0%',
					toLeft: '100%'
				}
			}, {
				view: subPages[currentIndex].web,
				styles: {
					fromLeft: '-100%',
					toLeft: '0%'
				}
			},
			function(e) {});
	}
}
