//mui初始化
mui.init();
//model
mdata = {};
mdata["vCode"] = "";

//methods
mMethods = {};
mMethods["openMask"] = openMask;
mMethods["closeMask"] = closeMask;
mMethods["bindDevice"] = bindDevice;

var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
});

mui.plusReady(function() {

});

function closeMask() {
	var target = document.getElementById("id-fr-mask");
	target.classList.remove("display-flex");
}

function openMask() {
	var target = document.getElementById("id-fr-mask");
	target.classList.add("display-flex");
}

//验证输入内容是否正确
function validateCode(vCode) {
	var reg = new RegExp(/^\d{6}$/);

	if(g_utils.isEmpty(vCode)) {
		g_mui.alert("验证码不能为空！");
		return false;
	} else if(!reg.test(vCode)) {
		g_mui.alert("请输入6位验证码！");
		return false;
	}
	return true;
}

function bindDevice(vCode) {
	if(validateCode(vCode)) {
		g_tools.postCMD('bindDevice', {
			'deviceCode': vCode
		}, function(result) {
			if(result.code == 0) {
				var list = plus.webview.currentWebview().opener();
				list.reload(true);
				mui.back();
			}
			g_mui.toast(result.tip);
		});
	}
}