var checkflag = true;

var registerPhone1;
var registerCheckBtn=document.getElementById('registerCheckBtn');
var registerBtn=document.getElementById('registerBtn');

//mui初始化
mui.init();
mui.plusReady(function() {});

function addParameter(key, value, parameters) {
	parameters[key] = value;
}

//注册页面1
document.getElementById('registerBtn').addEventListener('tap', function(e) {
	if(this.classList.contains('mui-btn-disabled')){
		g_mui.alert('注册前您需要阅读并同意“使用条款”和“隐私条款”');
		return;
	}
	registerPhone1 = document.getElementById('account').value;
	//先判断是否为空
	if(g_utils.isEmpty(registerPhone1)){
		g_mui.alert('手机号不能为空，请输入注册手机号');
		return;
	}
	if(!g_utils.validateMobile(registerPhone1)){
		g_mui.alert('手机号格式不正确，请输入正确的手机号');
		return;
	}

	//获取验证码
	var MODE = 0;
	var lParameters = {};
	addParameter('mode', MODE, lParameters);
	addParameter('phone', registerPhone1, lParameters);
	
	g_tools.postURL('checkUserNameStatus', {  
		userName: registerPhone1
	}, function(result) {
		if(result.code==0){
			if(result.data.isExist==0){
				g_tools.postURL('getPhoneCode', lParameters, function(result) {
					if(result.code==0){
						g_mui.openPage(g_module.register,'register2.html', {
							phoneNumber: registerPhone1
						});
					}else{
						g_mui.alert(result.tip);
					}
				});
			}else{
				g_mui.alert('该手机号已注册，请换一个手机号');
			}
		}
	});
});

//注册按钮根据是否同意条款响应
document.getElementById('checkSpan').addEventListener('tap', function(e) {
	if(true == checkflag) {
		registerCheckBtn.src = 'images/radio_pitch3x.png';
		registerBtn.classList.remove('mui-btn-disabled');
		checkflag = false;
	} else {
		registerCheckBtn.src = 'images/radio_normal3x.png';
		registerBtn.classList.add('mui-btn-disabled');
		checkflag = true;
	}
});

//使用条款和隐私条款
document.getElementById('utilityPolicy').addEventListener('tap', function(e) {
	g_mui.openPage(g_module.register,'utilityPolicy.html');
	//打开使用条款页面
});

document.getElementById('privacyPolicy').addEventListener('tap', function(e) {
	g_mui.openPage(g_module.register,'privacyPolicy.html');
	//打开隐私条款页面
});

//已注册伙伙帐号，去登录
document.getElementById('gotoLogin').addEventListener('tap', function(e) {
	g_mui.openModule(g_module.login,{
		callbackJS:'g_mui.closeModule(g_module.register);'
	},'fade-in');
	
});