var registerPhone2;

var identifyCodeInput2;

var countDownTip=document.getElementById("countDownTip");
var resend=document.getElementById('resend');
var MAX_COUNT=60;  //设置倒计时时长
var count=MAX_COUNT;

//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	registerPhone2 = self.phoneNumber;

	PhoneDisplay = document.getElementById("PhoneDisplay");
	PhoneDisplay.innerHTML = registerPhone2;
	
	//启动倒计时
	countDown();
});

function addParameter(key, value, parameters) {
	parameters[key] = value;
}

//注册页面2
document.getElementById('nextStepBtn_register').addEventListener('tap', function(e) {
	identifyCodeInput2 = document.getElementById("identifyCode").value;
	//先判断是否为空
	if(g_utils.isEmpty(identifyCodeInput2)){
		g_mui.alert('短信验证码不能为空，请输入收到的短信验证码');
		return;
	}
	
	g_mui.openPage(g_module.register,'register3.html', {
		phoneNumber: registerPhone2,
		identifyCodeInput: identifyCodeInput2
	});
});

//重新发送短信
document.getElementById('resend').addEventListener('tap', function(e) {
	//请求重新发送短信
	//获取验证码
	var MODE = 0;
	var lParameters = {};
	addParameter("mode", MODE, lParameters);
	addParameter("phone", registerPhone2, lParameters);

	g_tools.postURL("getPhoneCode", lParameters, function(result) {
		if(result.code==0){
			countDown();
			g_mui.toast('短信验证码已重新发送');
		}else{
			g_mui.alert(result.tip);
		}
	});
});

/**
 * 倒计时计算
 */
function countDown(){
	countDownTip.classList.remove('mui-hidden');
	resend.classList.add('mui-hidden');
	count=MAX_COUNT;
	countDownTip.innerHTML=count+'秒后重新获取';
	
	var timer = window.setInterval(function(){
		countDownTip.innerHTML=(--count)+'秒后重新获取';
		if(count==0){
			window.clearInterval(timer);
			countDownTip.classList.add('mui-hidden');
			resend.classList.remove('mui-hidden');
		}
	},1000);
}