var os = null; //平台

mui.init();
mui.plusReady(function() {
              
    initOpenNewWindows();
              
	document.getElementById('version').innerHTML=plus.runtime.version;

	return; //暂时简化关于我们中的一些信息内容，后续再优化

	//model
	mdata = {
		currentCode: null,
		updateData: {},
		isNotUpdate: false,
		isNotAndroid: false
	};

	//methods
	mMethods = {};
	mMethods["checkUpdate"] = checkUpdate;
	mMethods["onFeedBack"] = onFeedBack;

	new Vue({
		el: '#main',
		data: mdata,
		methods: mMethods,
	});

	//判断平台
	os = plus.os.name;
	mdata.isNotAndroid = (os == "Android") ? true : false;

	g_tools.postCMD('checkUpdateForH5', {}, function(data) {
//		console.log("checkUpdateForH5:" + JSON.stringify(data));
		if(data.code == 0) {
			mdata.updateData = data.data;
			mdata.isNotUpdate = compareVersion(mdata.currentCode, mdata.updateData.version);
		}
	});
	g_tools.getVersionOfH5(function(version) {
		mdata.currentCode = version;
	});
	
});

function checkUpdate() {
	var btnArray = ['取消', '立即升级'];
	g_mui.confirm(mdata.updateData.description, "发现新版本", btnArray, function(e) {
		if(e.index == 1) {
			downWgt(true);
		}
	});
}

function onFeedBack(){
	g_mui.openPage(g_module.setting,'feedBack.html');
}

function initOpenNewWindows() {
    mui('#privacyPolicy').on('tap', 'a', function(e) {
        g_mui.openPage(g_module.register,"../register/privacyPolicy.html");//隐私条款
    });
    mui('#utilityPolicy').on('tap', 'a', function(e) {
        g_mui.openPage(g_module.register,"../register/utilityPolicy.html");
    });
}

/**
 * 比较版本大小，如果新版本nv大于旧版本ov则返回true，否则返回false
 * @param {String} ov
 * @param {String} nv
 * @return {Boolean}
 */
function compareVersion(ov, nv) {
	if(!ov || !nv || ov == "" || nv == "") {
		return false;
	}
	var b = false,
		ova = ov.split(".", 4),
		nva = nv.split(".", 4);
	for(var i = 0; i < ova.length && i < nva.length; i++) {
		var so = ova[i],
			no = parseInt(so),
			sn = nva[i],
			nn = parseInt(sn);
		if(nn > no || sn.length > so.length) {
			return true;
		} else if(nn < no) {
			return false;
		}
	}
	if(nva.length > ova.length && 0 == nv.indexOf(ov)) {
		return true;
	}
}

/**
 * 下载更新并安装
 * @param {Object} key
 */
function downWgt(key) {
	var w;
	if(key) {
		w = plus.nativeUI.showWaiting("　　 开始下载...　　");
	}
	var options = {
		filename: "_doc/update/"
	};
	var wgtUrl = mdata.updateData.url;
	var dtask = plus.downloader.createDownload(wgtUrl, options, function(d, status) {
		if(status == 200) {
//			console.log("下载wgt成功：" + d.filename);
			setTimeout(installWgt(d.filename, key), 2000); // 安装wgt包
		} else {
//			console.log("下载wgt失败！");
			if(key) {
				plus.nativeUI.alert("下载更新资源失败！");
			}
		}
	});
	if(key) {
		dtask.addEventListener("statechanged", function(task, status) {
			switch(task.state) {
				case 1: // 开始
					w.setTitle("　　 开始下载...　　 ");
					break;
				case 2: // 已连接到服务器
					w.setTitle("　　 开始下载...　　 ");
					break;
				case 3:
					var a = task.downloadedSize / task.totalSize * 100;
//					console.log(a)
					w.setTitle("　　 已下载" + parseInt(a) + "%　　 ");
					break;
				case 4: // 下载完成
					w.close();
					break;
			}
		});
	}
	dtask.start();
}

// 更新应用资源

function installWgt(path, key) {
	if(key) {
		plus.nativeUI.showWaiting("在线升级，安装资源文件...");
	}
	plus.runtime.install(path, {}, function() {
		if(key) {
			plus.nativeUI.closeWaiting();
			//自动在线升级不重启
			plus.nativeUI.alert("应用资源更新完成！", function() {
				plus.runtime.restart();
			});
		}
//		console.log("安装wgt文件成功！");

	}, function(e) {

//		console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
		if(key) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.alert("在线升级，安装资源文件失败");
		}
	});
}
