/**
 * 原生健康数据操作
 */
var g_healthNative = g_healthNative || {
    /**
     * 获取权限
     */
    getPermission: function(success, fail) {
        if(g_config.DEV_PLATFORM == g_config.H5) return;    
        callbackID = window.plus.bridge.callbackId(success, fail);
        window.plus.bridge.exec('pluginHealthNative', "getPermission", [callbackID]);
    },
    getHealth:function(type,success,fail){
        if(g_config.DEV_PLATFORM == g_config.H5) return;
    
        callbackID = window.plus.bridge.callbackId(success, fail);
        window.plus.bridge.exec('pluginHealthNative', "getHealthWithHealthKit", [callbackID,123123,123123,1]);
    },
    getHealthWithList:function(dataList,healthSwitch,userId,success,fail){
        if(g_config.DEV_PLATFORM == g_config.H5) return;
    
        g_tools.postCMD('getUserInfoByUserId', {
            userId: userId
        }, function(result) {
            if(result.code == 0) {
                    //    alert(JSON.stringify(result));
                var myProfile = result.data;
                if(!g_utils.isEmpty(myProfile.height)) {
                    //    alert(myProfile.height);
                    callbackID = window.plus.bridge.callbackId(success, fail);
                    window.plus.bridge.exec('pluginHealthNative', "getHealthWithHealthKit", [callbackID,dataList,healthSwitch,myProfile.height]);
                }
            }
        }, g_tools.MODE_CACHE_WEB_LOCAL);
        
    }
}
