/**
 * 计步服务
 */

var g_StepCount=g_StepCount || {
	/**
	 * 开启计步服务
	 */
	startStepService:function(success, fail){
		if(g_config.DEV_PLATFORM == g_config.H5) return;
		callbackID = window.plus.bridge.callbackId(success, fail);
		window.plus.bridge.exec('pluginStepCounter', "startStepService", [callbackID]);
	},
	/**
	 * 停止计步服务
	 */
	stopStepService:function(success, fail){
		if(g_config.DEV_PLATFORM == g_config.H5) return;
		callbackID = window.plus.bridge.callbackId(success, fail);
		window.plus.bridge.exec('pluginStepCounter', "stopStepService", [callbackID]);
	},
	/**
	 * 获取当天当时步数
	 */
	getStepDatasByTime:function(startTime,success, fail){
		if(g_config.DEV_PLATFORM == g_config.H5) return;
		callbackID = window.plus.bridge.callbackId(success, fail);
		window.plus.bridge.exec('pluginStepCounter', "getStepDatasByTime", [callbackID,startTime]);
	}
	
}
