//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = 'img/default_portrait_msg.png';

var CREAT_TYPE = 0; //创建操作
var CREAT_MODIFY_TYPE = 1; //创建时修改
var MODIFY_TYPE = 2; //修改操作
var MODIFY_ADD_TYPE = 3; //修改时添加操作

var imgList = document.getElementById('imgList');
var count = document.getElementById('count');
var delBtn = document.getElementById('delBtn');

var _delImgIds = [];
//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var dietTypeList = self.dietTypeList;
	delDietImg();
	initImgs(dietTypeList);
});

function initImgs(dietTypeList) {
	imgList.innerHTML = "";
	for(var i = 0, len = dietTypeList.length; i < len; i++) {
		var imgUrl = dietTypeList[i].dietImgUrl;
		var li = document.createElement('li');
		li.id = getCaptionImgId(imgUrl);
		var img = document.createElement('img');
		img.src = getImgUrl(imgUrl);
		li.appendChild(img);
		imgList.appendChild(li);
		li.addEventListener('tap', function() {
			if(hasClass(this, 'selected')) {
				this.classList.remove('selected');
			} else {
				this.classList.add('selected');
			}
			counter();
		});
	}
}

//截取imgId
function getCaptionImgId(imgUrl){
    var index=imgUrl.lastIndexOf("imgId=");
    var imgId=imgUrl.substring(index+6,imgUrl.length);
    return imgId;
}
function counter() {
	var list = document.querySelectorAll('li.selected');
	if(list.length > 0) {
		count.classList.remove('mui-hidden');
		count.innerHTML = "(" + list.length + ")";
	} else {
		count.classList.add('mui-hidden');
	}
}


function setDelImgIds(){
	_delImgIds=[];//清空
	mui('li').each(function() {
		var dietId=this.id;
		if(hasClass(this, 'selected')) {
			_delImgIds.push(dietId);
		} 
	});
}
function delDietImg() {
	var btnArray = ['确定', '取消'];
	//删除
	delBtn.addEventListener('tap', function() {
		setDelImgIds();
		if(_delImgIds && _delImgIds.length != 0) {
			g_mui.confirm('确定删除选中的图片吗？', '删除图片', btnArray, function(e) {
				if(e.index == 0) { //点击确定 
					var view = plus.webview.currentWebview().opener();
					mui.fire(view, 'refreshDietImgs', {
						delImgIds: _delImgIds
					});
					mui.back();
				}
			});
		} else {
			g_mui.alert("请选中要删除的图片！");
		}
	}, false);
}

function getImgUrl(img) {
	var imgUrl = DEFAULT_HEAD_IMG;
	if(!g_utils.isEmpty(img)) {
		imgUrl = SERVER_IMG_ADDRESS + img + "&tb=1";
	}
	return imgUrl;
}

function hasClass(ele, cls) {
	return ele.className.match(new RegExp("(\\s|^)" + cls + "(\\s|$)"));
}

