var type;
var activateInfo = "";
var personInfo = {}; //缓存的人物信息
//进入实名认证时的3种类型
var TYPE_MY = 0; //自己激活伙伙
var TYPE_NEW_OTHER = 1; //帮助他人时未提交实名认证
var TYPE_OTHER = 2; //帮助他人时提交了实名认证

window.onresize=function(){//防止软键盘弹出挡住输入框
    document.activeElement.scrollIntoView(false);    
}

//model
mdata = {};
mdata['devNumber'] = "";

//mMethods
mMethods = {};
mMethods["closeMask"] = closeMask;
mMethods["openMask"] = openMask;
mMethods["gotoNextTap"] = gotoNextTap;

//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted: function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			var self = plus.webview.currentWebview();
			type = self.type;
			activateInfo = self.activateInfo;

			var info = g_storage.getActivateStorage(type, activateInfo);

			if(!g_utils.isEmpty(info)) {
				personInfo = JSON.parse(info);
				if(!g_utils.isEmpty(personInfo.phone)) {
					mdata.devNumber = personInfo.phone;
				}
			}
			//字数限制
			domInit();
		});
	}
});

// 跳转
function gotoNextTap(devNumber) {
	if(g_utils.isEmpty(devNumber)) {
		g_mui.alert('伙伙SIM电话号码不能为空！');
	} else {
		var isMobileNum = g_utils.validateMobile(devNumber);
		if(isMobileNum) {
			g_tools.postCMD('checkMonitorPhone', {
				phone:devNumber.toString()
			}, function(result) {
				if(result.code == 0) {
					//先拉取缓存在存入
					var info = g_storage.getActivateStorage(type, activateInfo);
					if(!g_utils.isEmpty(info)) {
						personInfo = JSON.parse(info);
					}
					personInfo['phone'] = devNumber.toString();
					var infoStr = JSON.stringify(personInfo);
					g_storage.setActivateStorage(type, infoStr, activateInfo);
					g_mui.openPage(g_module.certification, 'inputIDCardInfo.html', {
						type: type,
						activateInfo: activateInfo
					});
				} else {
					g_mui.toast(result.tip);
				}
			});

			/*var info = g_storage.getActivateStorage(type, activateInfo);
			if(!g_utils.isEmpty(info)) {
				personInfo = JSON.parse(info);
			}
			personInfo['phone'] = devNumber.toString();
			var infoStr = JSON.stringify(personInfo);
			g_storage.setActivateStorage(type, infoStr, activateInfo);

			g_mui.openPage(g_module.certification, 'inputIDCardInfo.html', {
				type: type,
				activateInfo: activateInfo
			});*/
		} else {
			g_mui.alert('伙伙SIM电话号码格式错误！');
		}
	}
}

function saveInputNumber(devNumber) {
	personInfo.phone = devNumber;
	var infoStr = JSON.stringify(personInfo);
	g_storage.setActivateStorage(type, infoStr, activateInfo);
}
//关闭遮罩层提示
function closeMask() {
	var target = document.getElementById("id-fr-mask");
	target.classList.remove("display-flex");
}

//打开遮罩层提示
function openMask() {
	var target = document.getElementById("id-fr-mask");
	target.classList.add("display-flex");
}