var type;
var activateInfo = "";
var personInfo = {}; //缓存的人物信息
var phone;
var chooseImgFlag;
//进入实名认证时的3种类型
var TYPE_MY = 0; //自己激活伙伙
var TYPE_NEW_OTHER = 1; //帮助他人时未提交实名认证
var TYPE_OTHER = 2; //帮助他人时提交了实名认证
var IMAGE_FLAG_FRONT = 0; //身份证正面
var IMAGE_FLAG_BACK = 1; //身份证反面
var IMAGE_FLAG_HAND_FRONT = 2; //本人手持正面身份证
var IMAGE_FLAG_HAND_BACK = 3; //本人手持反面身份证
var isImgUpload0 = true; //身份证正面是否上传
var isImgUpload1 = true; //身份证反面是否上传
var isImgUpload2 = true; //本人手持正面身份证是否上传
var isImgUpload3 = true; //本人手持反面身份证是否上传 
var authImgs; //存放本地的文件名
var sumbit_authImg0, sumbit_authImg1, sumbit_authImg2, sumbit_authImg3;
//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
//model
mdata = {};
mdata['honorific'] = "";
mdata['imgFlags'] = [IMAGE_FLAG_FRONT, IMAGE_FLAG_BACK, IMAGE_FLAG_HAND_FRONT, IMAGE_FLAG_HAND_BACK];
mdata['showAuthImg0'] = "img/identification_img_photo@3x.png";
mdata['showAuthImg1'] = "img/identification_img_photo@3x.png";
mdata['showAuthImg2'] = "img/identification_img_photo copy@3x.png";
mdata['showAuthImg3'] = "img/identification_img_photo copy@3x.png";

//mMethods
mMethods = {};
mMethods["gotoNextTap"] = gotoNextTap;
document.getElementById('mask-clean').addEventListener('tap', function() {
	document.querySelector('.mask-view').style.display = "none";
	takePhoto(chooseImgFlag);
});
new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted: function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			//获取传入参数
			var self = plus.webview.currentWebview();
			type = self.type;
			activateInfo = self.activateInfo;
			if(plus.os.name == g_config.ANDROID) { //Android平台
				authImgs = ["_www/authImg0.jpg", "_www/authImg1.jpg", "_www/authImg2.jpg", "_www/authImg3.jpg"]
			} else if(plus.os.name == g_config.IOS) {
				authImgs = ["_doc/authImg0.jpg", "_doc/authImg1.jpg", "_doc/authImg2.jpg", "_doc/authImg3.jpg"]
			}
			var info = g_storage.getActivateStorage(type, activateInfo);
			if(!g_utils.isEmpty(info)) {
				personInfo = JSON.parse(info);
				if(!g_utils.isEmpty(personInfo.name) && !g_utils.isEmpty(personInfo.identityCard)) {
					getTipName(personInfo.name, personInfo.identityCard);
				}
				if(!g_utils.isEmpty(personInfo.phone)) {
					phone = personInfo.phone;
				}
// 测试代码				
//				personInfo['authImg0'] = "/getImg?imgId=595dd235366232655abc9115";
//				personInfo['authImg1'] = "/getImg?imgId=595dd24636623264e19d7308";
//				personInfo['authImg2'] = "/getImg?imgId=595dd2543662326582578e2b";
//				personInfo['authImg3'] = "/getImg?imgId=595dd271366232657a43b044";
				
				var infoStr = JSON.stringify(personInfo);
				g_storage.setActivateStorage(type, infoStr, activateInfo);
				refreshImg(personInfo);
			}

			// 声明的JS“扩展插件别名”
			var _BARCODE = 'pluginImagePicker',
				B = window.plus.bridge;
			var pluginImagePicker = {
				// 声明异步返回方法
				pluginStartPicker: function(Argus1, Argus2, Argus3, successCallback, errorCallback) {
					var success = typeof successCallback !== 'function' ? null : function(args) {
							successCallback(args);
						},
						fail = typeof errorCallback !== 'function' ? null : function(code) {
							errorCallback(code);
						};
					callbackID = B.callbackId(success, fail);
					// 通知Native层plugintest扩展插件运行”openCameraWithType”方法
					return B.exec(_BARCODE, "pluginStartPicker", [callbackID, Argus1, Argus2, Argus3]);
				}
			};
			var permissionUtil = {
				setPermission: function(Argus, successCallback, errorCallback) {
					var success = typeof successCallback !== 'function' ? null : function(args) {
							successCallback(args);
						},
						fail = typeof errorCallback !== 'function' ? null : function(code) {
							errorCallback(code);
						};
					callbackID_2 = B.callbackId(success, fail);
					return B.exec("permissionUtil", "setPermission", [callbackID_2, Argus]);
				}
			};
			window.plus.permissionUtil = permissionUtil;
			window.plus.pluginImagePicker = pluginImagePicker;
		});
	}

});

function refreshImg(personInfo) {
	if(!g_utils.isEmpty(personInfo.authImg0)) {
		mdata.showAuthImg0 = SERVER_IMG_ADDRESS + personInfo.authImg0+"&tb=1";
		isImgUpload0 = true;
	}
	if(!g_utils.isEmpty(personInfo.authImg1)) {
		mdata.showAuthImg1 = SERVER_IMG_ADDRESS + personInfo.authImg1+"&tb=1";
		isImgUpload1 = true;
	}
	if(!g_utils.isEmpty(personInfo.authImg2)) {
		mdata.showAuthImg2 = SERVER_IMG_ADDRESS + personInfo.authImg2+"&tb=1";
		isImgUpload2 = true;
	}
	if(!g_utils.isEmpty(personInfo.authImg3)) {
		mdata.showAuthImg3 = SERVER_IMG_ADDRESS + personInfo.authImg3+"&tb=1";
		isImgUpload3 = true;
	}
}

function getTipName(name, identityCard) {
	if(type == TYPE_NEW_OTHER || type == TYPE_OTHER) {
		mdata.honorific = getHonorific(name, identityCard);
		document.getElementById("call").classList.add("highlight");
	} else if(type == TYPE_MY) {
		mdata.honorific = "您";
	}
}

function photoActionSheet(imgFlag) {
	var titleStr = "";
	if(imgFlag == IMAGE_FLAG_FRONT) {
		titleStr = "身份证正面";
	} else if(imgFlag == IMAGE_FLAG_BACK) {
		titleStr = "身份证反面";
	} else if(imgFlag == IMAGE_FLAG_HAND_FRONT) {
		titleStr = "手持身份证正面";
	} else if(imgFlag == IMAGE_FLAG_HAND_BACK) {
		titleStr = "手持身份证反面";
	}
	// 弹出系统选择按钮框
	plus.nativeUI.actionSheet({
			title: titleStr,
			cancel: "取消",
			buttons: [{
				title: "拍照"
			}, {
				title: "相册"
			}]
		},
		function(e) {
			if(e.index == 1) {
				// alert('拍照');
				if(plus.os.name == g_config.ANDROID) {
					plus.permissionUtil.setPermission("3", function(result) {
							if(result.ps) {
								if(imgFlag == IMAGE_FLAG_HAND_FRONT || imgFlag == IMAGE_FLAG_HAND_BACK) {
									showMaskView(imgFlag);
								} else {
									takePhoto(imgFlag);
								}
							}
						},
						function(erro) {
							alert(erro);
						}
					);
				} else {
					takePhoto(imgFlag);
				}
			} else if(e.index == 2) {
				if(plus.os.name == g_config.ANDROID) {
					plus.permissionUtil.setPermission("6", function(result) {
							if(result.ps) {
								pickPhoto(imgFlag);
							}
						},
						function(erro) {
							alert(erro);
						}
					);
				} else {
					pickPhoto(imgFlag);
				}

			}
		}
	);
}

function gotoNextTap() {
	var target = type == TYPE_MY ? 0 : 1;
	var info = g_storage.getActivateStorage(type, activateInfo);
	if(!g_utils.isEmpty(info)) {
		personInfo = JSON.parse(info);
		if(!g_utils.isEmpty(personInfo.name) && !g_utils.isEmpty(personInfo.identityCard) &&
			!g_utils.isEmpty(personInfo.phone) && !g_utils.isEmpty(personInfo.authImg0) &&
			!g_utils.isEmpty(personInfo.authImg1) && !g_utils.isEmpty(personInfo.authImg2) &&
			!g_utils.isEmpty(personInfo.authImg3)) {
			if(checkAllImgIsUpload()) { //检查所有图片是否上传
				g_tools.postCMD("realNameAuth3", {
					target: target,
					name: personInfo.name,
					identityCard: personInfo.identityCard,
					phone: personInfo.phone,
					authImg0: personInfo.authImg0,
					authImg1: personInfo.authImg1,
					authImg2: personInfo.authImg2,
					authImg3: personInfo.authImg3
				}, function(result) {
					if(result.code == 0) {
						//帮他人激活伙伙实名认证提交后
						if(type == TYPE_NEW_OTHER) { //清除认证前缓存，新建phone为键值的缓存
							g_storage.removeActivateStorage(type, activateInfo);
							var infoStr = JSON.stringify(personInfo);
							type = TYPE_OTHER;
							g_storage.setActivateStorage(type, infoStr, activateInfo);
						}
						//提交后状态发生改变，需重新拉取信息
						g_tools.postCMD('getActivateInfoList', null, function(result) {
							if(result.code == 0) {
								var activateInfoList = result.data;
								var newActivateInfo = getActivateInfoByPhone(activateInfoList, personInfo.phone);
								
								var resultList = plus.webview.getWebviewById('waitingResult.html');
								if(resultList != null) {
									mui.fire(resultList, 'resultChange', {
										activateInfo: newActivateInfo,
										activateInfoList: activateInfoList
									});
								}else{
									resultList = openModuleByUrl('moduleLocal/certification/waitingResult.html', 'waitingResult.html', {
										type: type,
										activateInfo: newActivateInfo,
										activateInfoList: activateInfoList
									});
								}
								setTimeout(function(){
									resultList.evalJS('g_mui.closeModule(g_module.certification);');
								},300);
							} else {
								g_mui.toast(result.tip);
							}
						});

					} else {
						g_mui.toast(result.tip);
					}
				}, g_tools.MODE_WEB_LOCAL_CACHE, {
					noNetworkMode: g_tools.TIP_MODE_TOAST
				});
			}

		} else if(g_utils.isEmpty(personInfo.authImg0)) {
			g_mui.alert('请上传身份证正面照片');
		} else if(g_utils.isEmpty(personInfo.authImg0)) {
			g_mui.alert('请上传身份证反面照片');
		} else if(g_utils.isEmpty(personInfo.authImg0)) {
			g_mui.alert('请上传手持身份证正面照片');
		} else if(g_utils.isEmpty(personInfo.authImg0)) {
			g_mui.alert('请上传手持身份证反面照片');
		}
	}
}

function showMaskView(imgFlag) {
	chooseImgFlag = imgFlag;
	document.querySelector('.mask-view').style.display = "block";
	var viewGroud = document.querySelector('.view-image');
	if(imgFlag == IMAGE_FLAG_HAND_FRONT) {
		if(viewGroud.classList.contains("right-view-image")) {
			viewGroud.classList.remove("right-view-image");			
		}
		viewGroud.classList.add("left-view-image");
	}
	if(imgFlag == IMAGE_FLAG_HAND_BACK) {
		if(viewGroud.classList.contains("left-view-image")) {
			viewGroud.classList.remove("left-view-image");			
		}
		viewGroud.classList.add("right-view-image");
	}
}

/**
 * 拍照
 */
function takePhoto(imgFlag) {
	var intoUrl = getImageNameByFlag(imgFlag);
	var intoPath = plus.io.convertLocalFileSystemURL(intoUrl);
	if(plus.os.name == g_config.ANDROID) { //Android平台
		startImagePickerActivity(true, imgFlag, intoPath);
	} else if(plus.os.name == g_config.IOS) {
		startImagePickerActivity(1, imgFlag, intoPath);
	}
}

/**
 * 从相册选择
 * @param {Object} domId
 */
function pickPhoto(imgFlag) {
	var intoUrl = getImageNameByFlag(imgFlag);
	var intoPath = plus.io.convertLocalFileSystemURL(intoUrl);
	if(plus.os.name == g_config.ANDROID) { //Android平台
		startImagePickerActivity(false, imgFlag, intoPath);
	} else if(plus.os.name == g_config.IOS) {
		startImagePickerActivity(0, imgFlag, intoPath);
	}

}

function getImageNameByFlag(imgFlag) {
	switch(imgFlag) {
		case IMAGE_FLAG_FRONT:
			return authImgs[0];
			break;
		case IMAGE_FLAG_BACK:
			return authImgs[1];
			break;
		case IMAGE_FLAG_HAND_FRONT:
			return authImgs[2];
			break;
		case IMAGE_FLAG_HAND_BACK:
			return authImgs[3];
			break;
		default:
			break;
	}
}
/**
 * 引用实名认证照片插件
 * @param {Object} isCapture 是否剪裁
 * @param {Object} imgFlag  操作标识
 * @param {Object} intoPath 存入路径
 */
function startImagePickerActivity(isCapture, imgFlag, intoPath) {

	plus.pluginImagePicker.pluginStartPicker(isCapture, imgFlag, intoPath, function(result) {
		//获取后图片保存的地址
		var imgUrl;
		if(plus.os.name == g_config.ANDROID) { //Android平台
			imgUrl = plus.io.convertLocalFileSystemURL(result.imagePath);
		} else if(plus.os.name == g_config.IOS) {
			imgUrl = result[0];
		}

		//上传图片
		uploadAuthImg(imgFlag, imgUrl);

	}, function(result) {
		g_mui.alert(result);
	});
}

function getUpdateWaitTip(imgFlag) {
	switch(imgFlag) {
		case IMAGE_FLAG_FRONT:
			return "身份证正面上传中，请稍候……";
			break;
		case IMAGE_FLAG_BACK:
			return "身份证反面上传中，请稍候……";
			break;
		case IMAGE_FLAG_HAND_FRONT:
			return "手持身份证正面上传中，请稍候……";
			break;
		case IMAGE_FLAG_HAND_BACK:
			return "手持身份证反面上传中，请稍候……";
			break;
		default:
			break;
	}
}

function uploadAuthImg(imgFlag, imgUrl) {
	var loading = plus.nativeUI.showWaiting(getUpdateWaitTip(imgFlag), {
		loading: {
			display: 'inline'
		},
		modal: false
	});

	g_tools.postFile("uploadAuthImg", imgUrl, function(result) {
		if(!g_utils.isEmpty(loading)) loading.close();
		//先拉取缓存在存入
		var info = g_storage.getActivateStorage(type, activateInfo);
		if(!g_utils.isEmpty(info)) {
			personInfo = JSON.parse(info);
		}
		if(result.code == 0) {
			if(imgFlag == IMAGE_FLAG_FRONT) {
				sumbit_authImg0 = result.url;
				personInfo['authImg0'] = sumbit_authImg0;
				isImgUpload0 = true;
			} else if(imgFlag == IMAGE_FLAG_BACK) {
				sumbit_authImg1 = result.url;
				personInfo['authImg1'] = sumbit_authImg1;
				isImgUpload1 = true;
			} else if(imgFlag == IMAGE_FLAG_HAND_FRONT) {
				sumbit_authImg2 = result.url;
				personInfo['authImg2'] = sumbit_authImg2;
				isImgUpload2 = true;
			} else if(imgFlag == IMAGE_FLAG_HAND_BACK) {
				sumbit_authImg3 = result.url;
				personInfo['authImg3'] = sumbit_authImg3;
				isImgUpload3 = true;
			}
			var infoStr = JSON.stringify(personInfo);
			g_storage.setActivateStorage(type, infoStr, activateInfo);
			refreshImg(personInfo);

		} else {
			g_mui.toast(result.tip);
		}
	});
}

/**
 * 检查是否所有的图片已经上传
 */
function checkAllImgIsUpload() {
	if(!isImgUpload0) {
		g_mui.alert('请上传身份证正面');
		return false;
	}
	if(!isImgUpload1) {
		g_mui.alert('请上传身份证反面');
		return false;
	}
	if(!isImgUpload2) {
		g_mui.alert('请上传本人手持正面身份证');
		return false;
	}
	if(!isImgUpload3) {
		g_mui.alert('请上传本人手持反面身份证');
		return false;
	}
	return true;
}

/**
 * 敬语
 * @param {Object} name
 * @param {Object} identityCard
 */
function getHonorific(name, identityCard) {
	return name + (getSexbyIdentityCard(identityCard) == 0 ? "女士" : "先生");
}
/**
 * 根据身份证号判断性别 0：女，1：男
 * @param {Object} identityCard 
 */
function getSexbyIdentityCard(identityCard) {
	return identityCard.substring(16, 17) % 2 == 0 ? "0" : "1";
}

/**
 * 进入模块的指定页
 * @param {Object} url
 * @param {Object} id
 * @param {Object} extras
 * @param {Object} aniShow
 */
function openModuleByUrl(path, id, extras, aniShow) {
	if(aniShow == null || aniShow == undefined) aniShow = 'slide-in-right';
	if(extras == null || extras == undefined) extras = {};
	var url = g_formatPathToUrl(path);
	return g_mui.openWindow({
		url: url,
		id: id,
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true
			aniShow: aniShow,
			duration: 300
		},
		extras: extras,
		waiting: {
			autoShow: false, //自动显示等待框，默认为true
		},
		styles: {
			render: 'always',
			scrollIndicator: 'none'
		}
	})
}

/**
 * 根据电话获取激活伙伙的信息
 * @param {Object} activateInfoList
 * @param {Object} phone
 */
function getActivateInfoByPhone(activateInfoList, phone) {
	if(activateInfoList.length > 0) {
		for(var i = 0; i < activateInfoList.length; i++) {
			if(activateInfoList[i].phone == phone) {
				return activateInfoList[i];
			}
		}
	}
	return null;
}