var _self, _implementation, _dataStatistics;
var _open;
var _planId, _startTime, _endTime,thisStart, thisEnd;
var underLineDom = document.getElementById("underLine");
var healthyValuationData = {};
mui.init();
mui.plusReady(function() {
	_self = plus.webview.currentWebview();
	init();
});
//初始化页面
function init() {
	var planMissionData = _self.planMissionData;
	var parameters = {
		planMissionData:planMissionData
	}
	var dataStatisticsStyle = {
		left: '100%',
		width: '100%',
		top: '45px',
		bottom: '0px'
	};
	var implementationStyle = {
		left: '0%',
		width: '100%',
		top: '45px',
		bottom: '0px'
	};

	var navigationImplementation = document.getElementById("implementation");
	var navigationDataStatictics = document.getElementById("dataStatictics");
	_implementation = g_mui.createWebview('implementation.html', g_module.executiveOverview.ID + ':implementation.html', implementationStyle, parameters);
	_dataStatistics = g_mui.createWebview('dataStatistics.html', g_module.executiveOverview.ID + ':dataStatistics.html', dataStatisticsStyle, parameters);
	//设置延迟加载避免弹动效果
	setTimeout(function() {
		_self.append(_implementation);
		_self.append(_dataStatistics);
		navigationImplementation.addEventListener("tap", function() {
			underLineDom.style.left = "0";
			openImplementationAnimation();
		});
		navigationDataStatictics.addEventListener("tap", function() {
			//根据设计稿尺寸计算
			underLineDom.style.left = "1.24rem";
			openDataStatisticsAnimation();
		});
	}, 2000);
}
//刷新页面
function refreshPage() {
	mui.fire(_implementation, "refreshPageTime", {
		thisStart: thisStart,
		thisEnd: thisEnd
	});
	mui.fire(_dataStatistics, "refreshPageTime", {
		thisStart: thisStart,
		thisEnd: thisEnd
	});
}
//执行概览页
function openImplementationAnimation() {
	plus.webview.startAnimation({
			view: _dataStatistics,
			styles: {
				fromLeft: '0%',
				toLeft: '100%'
			}
		}, {
			view: _implementation,
			styles: {
				fromLeft: '-100%',
				toLeft: '0%'
			}
		},
		function(e) {}
	);
};
//数据统计页
function openDataStatisticsAnimation() {
	plus.webview.startAnimation({
			view: _implementation,
			styles: {
				fromLeft: '0%',
				toLeft: '-100%'
			}
		}, {
			view: _dataStatistics,
			styles: {
				fromLeft: '100%',
				toLeft: '0%'
			}
		},
		function(e) {}
	);
};