var userName;
var identifyCode;

var countDownTip=document.getElementById("countDownTip");
var nextStep=document.getElementById('nextStep');
var resendMsgForgetPassword=document.getElementById('resendMsg_forgetPassword');
var MAX_COUNT=60;  //设置倒计时时长
var count=MAX_COUNT;

//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	userName = self.userName;
	document.getElementById("phoneDisplay").innerHTML = "短信验证码已发送到：" + userName;
	
	//启动倒计时
	countDown();
});

//忘记密码页面2
nextStep.addEventListener('tap', function(e) {
	identifyCode = document.getElementById("identifyCode").value;
	//先判断是否为空
	if(g_utils.isEmpty(identifyCode)){
		g_mui.alert('短信验证码不能为空');
		return;
	}
	
	g_tools.postURL('identify', {
		userName:userName,
		code:identifyCode
	}, function(result) {
		if(result.code==0){
			g_mui.openPage(g_module.forgetPassword,'forgetPassword3.html', {
				userName:userName,
				token: result.token
			});
		}else{
			g_mui.alert(result.tip);
		}
	});
});

//重新发送短信
document.getElementById('resendMsg_forgetPassword').addEventListener('tap', function(e) {
	var MODE = 1;
	g_tools.postURL("makeForgetPasswordCode",{
		userName: userName,
		mode: MODE
	}, function(result) {
		if(result.code==0){
			countDown();
			g_mui.toast('短信验证码已重新发送');
		}else{
			g_mui.alert(result.tip);
		}
		
	});
});

/**
 * 倒计时计算
 */
function countDown(){
	countDownTip.classList.remove('mui-hidden');
	resendMsgForgetPassword.classList.add('mui-hidden');
	count=MAX_COUNT;
	countDownTip.innerHTML=count+'秒后重新获取';
	
	var timer = window.setInterval(function(){
		countDownTip.innerHTML=(--count)+'秒后重新获取';
		if(count==0){
			window.clearInterval(timer);
			countDownTip.classList.add('mui-hidden');
			resendMsgForgetPassword.classList.remove('mui-hidden');
		}
	},1000);
}
