var userName;
var token;

//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	userName = self.userName;
	token = self.token;
});

function addParameter(key, value, parameters) {
	parameters[key] = value;
}

//忘记密码页面3
document.getElementById('complete_forget').addEventListener('tap', function(e) {
	var newPassword = document.getElementById("newPassword_forget").value;
	var passwordConfirm = document.getElementById("passwordConfirm_forget").value;
	
	//先判断是否为空
	if(g_utils.isEmpty(newPassword)){
		g_mui.alert('密码不能为空，请输入密码');
		return;
	}
	if(newPassword.length<6){
		g_mui.alert('请输入6位以上密码');
		return;
	}
	if(g_utils.isEmpty(passwordConfirm)){
		g_mui.alert('密码确认框不能为空，请再次输入密码');
		return;
	}
	if(newPassword!=passwordConfirm){
		g_mui.alert('两次输入的密码不一致，请重新输入');
		return;
	}

	g_tools.postURL("changePassword", {
		userName: userName,
		token: token,
		newPassword: g_tools.secondPassword(newPassword)
	}, function(result) {
		if(result.code == 0) {
			g_mui.toast(result.tip);

			setTimeout(function(){
			    g_mui.openModule(g_module.login,{
			    	callbackJS:'g_mui.closeModule(g_module.forgetPassword);g_setStatusbarBg("headerbg_default");'
			    },'pop-in');
			},500);
		}else{
			g_mui.alert(result.tip);
		}
	});
});