//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/default_head.png';

var circleId = "";
var selectedContacts = [];
var table = document.body.querySelector('.mui-table-view'); //表格dom

var circleMembersPhone_Str = "";

//mui初始化
mui.init();
mui.plusReady(function() {
	getParam(); //获得上个页面传入的参数,circleId必须传入
	setTimeout(function() {
		var nList = plus.webview.currentWebview().opener();
		if(nList.id == g_module.friendCircle.ID + ":createFriendCircle.html") {
			g_mui.closePage(g_module.friendCircle.ID + ":createFriendCircle.html");
		}
	}, 400);

	initSelectListTap(); //初始化选择列表的跳转

	//接收返回的添加成员联系人的事件
	document.addEventListener('exportContacts', function(event) {
		//alert(JSON.stringify(event.detail.allContacts));
		selectedContacts = event.detail.allContacts;
		//   Vue.set(mdata, "selectedContacts", sortByKey(event.detail.allContacts, 'name'));
		//alert(JSON.stringify(selectedContacts));
		outputTableList(event.detail.allContacts);
		reloadAllImg();
	});
});

/**
 * 获得列表html值
 */
function outputTableList(contactList) {
	//    var normalInner = "<li class='mui-table-view-cell mui-collapse-content' id='selectCares'><a class='mui-navigate-right'>从关爱人中邀请</a></li><li class='mui-table-view-cell mui-collapse-content' id='selectContacts'><a class='mui-navigate-right'>从通讯录中邀请</a></li><li class='mui-table-view-cell mui-collapse-content' id='selectWithPhone'><a class='mui-navigate-right'>通过手机号码邀请</a></li>";
	//清空table的子项
	while(table.childNodes.length > 7) {
		table.removeChild(table.lastChild);
	}

	if(contactList.length > 0) {
		var groupLi = document.createElement('li');
		groupLi.className = 'mui-table-view-divider mui-indexed-list-group';
		groupLi.id = 'none-group';
		groupLi.setAttribute('data-group', '');
		table.appendChild(groupLi);

		for(var index = 0; index < contactList.length; index++) { //遍历链表
			var li = document.createElement('li');
			li.className = 'mui-table-view-cell mui-collapse-content';
			li.id = contactList[index].phone;
			var normalInner = "";
			var imgLocalSrc = getLocalImgSrc(contactList[index].isExist);
			var imgDataSrc = getImgUrl(contactList[index].headImg)
			li.innerHTML = "<div class='mui-row item'><img src='" + imgLocalSrc + "' data-src='" + imgDataSrc + "' class='square-head'/><div class='my-value'><div>" + contactList[index].name + "</div><span>" + contactList[index].phone + "</span></div><div class='delInvitation' type='button' tapIndex='" + index + "'></div></div>";
			table.appendChild(li);
			addTapList(index, contactList[index].phone);
		}
	}
}

function addTapList(num, phone) {
	var tapId = '[tapIndex="' + num + '"]';

	document.querySelector(tapId).addEventListener('tap', function(event) {
		delInvitationEvent(phone);
	});
}

/**
 * 重新加载每个img的src-data
 */
function reloadAllImg() {
	var imgs = mui('img');
	for(var i = 0; i < imgs.length; i++) {
		load(imgs[i]);
	}
}
/**
 * 获得上个页面传入的参数
 */
function getParam() {
	var self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(self)) {
		if(!g_utils.isEmpty(self.circleId)) {
			circleId = self.circleId;
		}
		if(!g_utils.isEmpty(self.circleMembersPhone_Str)) {
            circleMembersPhone_Str = self.circleMembersPhone_Str;
        }
	}
}

function isEmptyList(selectedContacts) {
	return !g_utils.isEmptyArray(selectedContacts);
}

function delInvitationEvent(phone) {
	//alert(phone);
	//var phoneStr = dom.parentNode.children[1].children[1].innerText;
	for(var i = 0; i < selectedContacts.length; i++) {
		if(selectedContacts[i].phone == phone) {
			selectedContacts.splice(i, 1);
		}
	}
	var dom = document.getElementById(phone);
	table.removeChild(dom);
	if(selectedContacts.length == 0) {
		var dom1 = document.getElementById('none-group');
		table.removeChild(dom1);
	}
}

function addMemberEvent() {
	//遍历出存在的用户和还未注册的用户
	if(!g_utils.isEmpty(selectedContacts)) {
		var loading = plus.nativeUI.showWaiting('邀请发送中...', {
			loading: {
				display: 'inline'
			},
			modal: false
		});

		var isExistContacts = [];
		var notExistContacts = [];
		for(var i = 0; i < selectedContacts.length; i++) {
			if(selectedContacts[i].isExist == 1) {
				var existContact = {
					userId: selectedContacts[i].userId,
					headImg: selectedContacts[i].headImg,
					nickname: selectedContacts[i].nickname
				}
				isExistContacts.push(existContact);
			} else {
				var phoneStr = "" + selectedContacts[i].phone;
				notExistContacts.push(phoneStr);
			}
		}

		if(!g_utils.isEmpty(loading)) loading.close();
		//alert("isExistContacts--" + JSON.stringify(isExistContacts));
		//alert("notExistContacts--" + JSON.stringify(notExistContacts));
		
		if(isExistContacts.length > 0 || notExistContacts.length > 0) {
			//邀请
			g_tools.postCMD("inviteCircleMember", {
				circleId: circleId,
				careMemberList: JSON.stringify(isExistContacts),
				questMemberList: JSON.stringify(notExistContacts)
			}, function(result) {
				if(!g_utils.isEmpty(loading)) loading.close();
				if(result.code == 0) {
					g_mui.toast("邀请发送成功");
					mui.back(true);
				} else {
					g_mui.toast(result.tip);
				}
			}, g_tools.MODE_WEB_LOCAL_CACHE, {
				noNetworkMode: g_tools.TIP_MODE_TOAST
			});
		} else {
			mui.back(true);
		}

	}

}

function initSelectListTap() {
	mui('#selectCares').on('tap', 'a', function(e) {
		g_mui.openPage(g_module.friendCircle, 'selectCare.html', {
			circleMembersPhone_Str: circleMembersPhone_Str,
			selectedContacts: selectedContacts
		});
	});
	mui('#selectContacts').on('tap', 'a', function(e) {
		// alert(JSON.stringify(selectedContacts));
		g_mui.openSelectContacts({
			circleMembersPhone_Str: circleMembersPhone_Str,
			hearderTitle: "通过通讯录邀请",
			selectedContacts: selectedContacts
		});
	});
	mui('#selectWithPhone').on('tap', 'a', function(e) {
		g_mui.openPage(g_module.friendCircle, 'selectWithPhone.html', {
			circleMembersPhone_Str: circleMembersPhone_Str,
			selectedContacts: selectedContacts
		});
	});
}

function getImgUrl(imgSrc) {
	if(!g_utils.isEmpty(imgSrc)) {
		imgSrc = g_tools.IP_FILE + imgSrc + "&tb=1";
		return imgSrc;
	}
	return imgSrc;
}

function getLocalImgSrc(isExist) {
	var imgLocalSrc = "../../global/img/default_portrait_no.png";
	if(isExist == 1) {
		imgLocalSrc = "../../global/img/default_portrait_msg.png";
	}
	return imgLocalSrc;
}

function sortByKey(array, key) {
	return array.sort(function(a, b) {
		var x = makePy(a[key]);
		var y = makePy(b[key]);
		return((x < y) ? -1 : ((x > y) ? 1 : 0));
	});
}