//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;

//dom
var changeHeadImg = document.getElementById('changeHeadImg');
var circleName = document.getElementById('circleName');
var circleDeclaration = document.getElementById('circleDeclaration');

//上传图片返回地址
var circleImgUrl;
var circleId;

//mui初始化
mui.init();
mui.plusReady(function() {

	//changeHeadImg.classList.add(g_LOGIN_USER);

	initPremission();
	initPhotoAsheet();
	initNextBtn();
});

function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}

function initPhotoAsheet() {
	//添加选取成功后的事件监听
	document.addEventListener(g_event.CROPPER, function(event) {
		if(event.detail.code == 0) {
			var path = event.detail.path;
			if(!g_utils.isEmpty(path)) {
				//上传照片
				uploadHeadImg(path);
			}
		}
	});

	/*点击头像触发*/
	changeHeadImg.addEventListener('tap', function() {
		if(mui.os.plus) {
			var buttons = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: buttons
			}, function(b) { /*actionSheet 按钮点击事件*/
				switch(b.index) {
					case 0:
						break;
					case 1:
						//startCapture();
						setPermission("3");
						/*拍照*/
						break;
					case 2:
						//startAlbum();
						setPermission("6");
						/*相册*/
						break;
					default:
						break;
				}
			})
		}
	}, false);
}

//function initNextBtn1() {
//	var nextBtn = document.getElementById('nextBtn'); //下一步按钮
//	nextBtn.addEventListener('tap', function(e) {
//		g_mui.openPage(g_module.friendCircle, 'addMember.html', {
//          circleId:"5a17f8073662323a21fbce3e",
//			callbackJS: 'g_mui.closePage(g_module.friendCircle.ID+":createFriendCircle.html");'
//		});
//	});
//}

function initNextBtn() {
	var nextBtn = document.getElementById('nextBtn'); //下一步按钮
	nextBtn.addEventListener('tap', function(e) {
		if(validateValue()) {
			var loading = plus.nativeUI.showWaiting('创建中...', {
				loading: {
					display: 'inline'
				},
				modal: false
			});
			//参数
			var declaration = "";
			if(!g_utils.isEmptyArray(circleDeclaration.value)) {
				declaration = circleDeclaration.value
			}
			var creatorImg = "";
			var creatorNickname = "";
			//获取用户信息
			var parameters = {};
			addParameter('userId', g_tools.getUserId(), parameters);
			g_tools.postCMD('getUserInfoByUserId', parameters, function(result) {
				if(result.code == 0) {
					var myProfile = result.data;
					if(!g_utils.isEmpty(myProfile.headImg)) {
						creatorImg = myProfile.headImg;
					}
					if(!g_utils.isEmpty(myProfile.nickname)) {
						creatorNickname = myProfile.nickname;
					} else {
						creatorNickname = myProfile.phone;
					}

					//建立圈子
					g_tools.postCMD("createFriendCircle", {
						imgUrl: circleImgUrl,
						name: circleName.value,
						declaration: declaration,
						creatorNickname: creatorNickname,
						creatorImg: creatorImg,
					}, function(result) {
						// alert(JSON.stringify(result));
						if(!g_utils.isEmpty(loading)) loading.close();
						if(result.code == 0) {
							mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':friendSubList.html'), 'circleListRefresh', {});
							
							g_mui.openPage(g_module.friendCircle, 'addMember.html', {
								circleId: result.data.circleId
								//callbackJS: 'g_mui.closePage(g_module.friendCircle.ID+":createFriendCircle.html");'
							});
						} else {
							g_mui.toast(result.tip);
						}
					}, g_tools.MODE_WEB_LOCAL_CACHE, {
						noNetworkMode: g_tools.TIP_MODE_TOAST
					});
				}
			}, g_tools.MODE_WEB_LOCAL_CACHE);

		}
	});
}

/*
 * 获取用户信息
 */
function getUserInfoByUserId() {
	var parameters = {};
	addParameter('userId', g_tools.getUserId(), parameters);
	g_tools.postCMD('getUserInfoByUserId', parameters, function(result) {
		if(result.code == 0) {
			var myProfile = result.data;
			if(!g_utils.isEmpty(myProfile.headImg)) {
				changeHeadImg.setAttribute('data-src', g_tools.IP_FILE + myProfile.headImg);
				load(changeHeadImg);
			}
			if(g_utils.isEmpty(myProfile.nickname)) myProfile.nickname = '';
			nickTitle.innerHTML = myProfile.nickname;
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

function validateValue() {
	//验证照片是否上传
	if(g_utils.isEmpty(circleImgUrl)) {
		g_mui.alert("请为圈子设置一个头像吧");
		return false;
	}
	if(g_utils.isEmpty(circleName.value)) {
		g_mui.alert("请为圈子取个名字吧");
		return false;
    }else{
        if (circleName.value.length > 10){
            g_mui.alert('输入圈名称不能超过10个字');
            return false;
        }
    }
	if(g_utils.isEmpty(circleDeclaration.value)) {
		g_mui.alert("请为圈子写一段宣言吧");
		return false;
    }else{
        if (circleDeclaration.value.length > 50){
            g_mui.alert('输入圈宣言不能超过50个字');
            return false;
        }
    }
	return true;
}
/**
 * 相机权限
 */
function setPermission(type) {
	if(plus.os.name == g_config.ANDROID) {
		plus.permissionUtil.setPermission(type, function(result) {
				if(result.ps) {
					if(type == "3") {
						startCapture();
					}
					if(type == "6") {
						startAlbum();
					}
				}
			},
			function(erro) {
				alert(erro);
			}
		);
	} else {
		if(type == "3") {
			startCapture();
		}
		if(type == "6") {
			startAlbum();
		}
	}
}
/**
 * 拍照
 */
function startCapture() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var path = entry.fullPath;
			g_mui.openCropper({
				imgSrc: path
			});
		}, function(e) {});
	}, function(e) {}, {
		filename: "_doc/camera/"
	});
}

/**
 * 从相册里选择
 */
function startAlbum() {
	plus.gallery.pick(function(path) {
		g_mui.openCropper({
			imgSrc: path
		});
	}, function(e) {}, {
		filter: "image"
	});
}

/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}

/*
 * 上传头像
 * @param {String}本地头像存储地址
 */
var loading;

function uploadHeadImg(imgUrl) {
	loading = plus.nativeUI.showWaiting('图片上传中，请稍候……', {
		loading: {
			display: 'inline'
		},
		modal: false
	});
	g_tools.postFile("uploadImg", imgUrl, function(result) {
		if(!g_utils.isEmpty(loading)) loading.close();

		changeHeadImg.style.backgroundImage = 'url(' + imgUrl + ')';
		changeHeadImg.src = imgUrl;
		circleImgUrl = result.url;
	});
}
