var _self, _userId, _imgUrl, _name, _declaration, _circleId, _chatId, _loadUserCircleName;
var _circleMembersPhone = [];
var isAdminstrator = false;
var ADD_GROUP = 2;
var EMPTY_GROUP = 0;
var DELET_GROUP = 3;
var NORMAL_GROUP = 1;
var EDIT_NAME = 0;
var EDIT_DECLARATION = 1;
var NORMAL_TYPE = 0;
var MESSAGE_TYPE = 1;
var openType = NORMAL_TYPE;
var circlePhoto = document.getElementById('circle-photo');
var circleName = document.getElementById('circle-name');
var circleDeclaration = document.getElementById('circle-declaration');
var nameCheck = document.querySelector('.name-check');
var declarationCheck = document.querySelector('.declaration-check');
var photoIcon = document.querySelector(".photo-mark");
mui.init();
mui.plusReady(function() {
	initPremission();
	init();
	refreshPage();
});

function init() {
	_self = plus.webview.currentWebview();
	_circleId = _self.circleId;
	if(!g_utils.isEmpty(_self.openType)) {
		openType = MESSAGE_TYPE;
	}
	_userId = g_tools.getUserId();
	window.addEventListener('editCircle', function(event) {
		if(event.detail.type == EDIT_NAME) {
			_name = event.detail.result;
			circleName.innerHTML = event.detail.result;
		} else if(event.detail.type == EDIT_DECLARATION) {
			_declaration = event.detail.result;
			circleDeclaration.innerHTML = event.detail.result;
		}
	});
	window.addEventListener('refreshPage', function(event) {
		refreshPage();
	});
}

function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}

function initPhotoAsheet() {
	//添加选取成功后的事件监听
	document.addEventListener(g_event.CROPPER, function(event) {
		if(event.detail.code == 0) {
			var path = event.detail.path;
			if(!g_utils.isEmpty(path)) {
				//上传照片
				uploadHeadImg(path);
			}
		}
	});

	/*点击头像触发*/
	circlePhoto.addEventListener('tap', function() {
		if(mui.os.plus) {
			var buttons = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: buttons
			}, function(b) { /*actionSheet 按钮点击事件*/
				switch(b.index) {
					case 0:
						break;
					case 1:
						//startCapture();
						setPermission("3");
						/*拍照*/
						break;
					case 2:
						//startAlbum();
						setPermission("6");
						/*相册*/
						break;
					default:
						break;
				}
			})
		}
	}, false);
}

function setPermission(type) {
	if(plus.os.name == g_config.ANDROID) {
		plus.permissionUtil.setPermission(type, function(result) {
				if(result.ps) {
					if(type == "3") {
						startCapture();
					}
					if(type == "6") {
						startAlbum();
					}
				}
			},
			function(erro) {
				alert(erro);
			}
		);
	} else {
		if(type == "3") {
			startCapture();
		}
		if(type == "6") {
			startAlbum();
		}
	}
}
/**
 * 拍照
 */
function startCapture() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var path = entry.fullPath;
			g_mui.openCropper({
				imgSrc: path
			});
		}, function(e) {});
	}, function(e) {}, {
		filename: "_doc/camera/"
	});
}

/**
 * 从相册里选择
 */
function startAlbum() {
	plus.gallery.pick(function(path) {
		g_mui.openCropper({
			imgSrc: path
		});
	}, function(e) {}, {
		filter: "image"
	});
}

function refreshPage() {
	var parameters = {
		circleId: _circleId
	}
	g_tools.postCMD('getCircleInfo', parameters,
		function(circleData) {
			if(circleData.code == 0) {
				if(_userId == circleData.data.creatorId) {
					isAdminstrator = true;
					photoIcon.classList.remove('hide');
					nameCheck.classList.remove('hide');
					declarationCheck.classList.remove('hide');
					initPhotoAsheet();
				} else {
					document.querySelector('.delet-content').classList.remove('hide');
				}
				_name = circleData.data.name;
				_declaration = circleData.data.declaration;
				_imgUrl = circleData.data.imgUrl;
				_chatId = circleData.data.chatId
				setCircleMessage(circleData.data);
				setGroupItem(circleData.data.members);
				addDeletFunction();
			}
		},
		g_tools.MODE_WEB
	);
}

function setCircleMessage(data) {
	var circleName = document.getElementById('circle-name');
	var circleDeclaration = document.getElementById('circle-declaration');
	var img, name, declaration;
	if(data != null && data != undefined) {
		if(!g_utils.isEmpty(_imgUrl)) {
			img = g_tools.IP_FILE + _imgUrl + "&tb=1"
		}
		if(!g_utils.isEmpty(data.name)) {
			name = data.name;
		}
		if(!g_utils.isEmpty(data.declaration)) {
			declaration = data.declaration
		}
		circlePhoto.setAttribute('data-src', img);
		circlePhoto.onload();
		circleName.innerHTML = name;
		circleDeclaration.innerHTML = declaration;
		addEditCircle();
	} else {
		addEditCircle();
	}
}

function setGroupItem(groupList) {
	var parent = document.querySelector('.group-member');
	var listLength;
	if(groupList == null || groupList == undefined || groupList == '') {
		listLength = 0;
	} else {
		listLength = groupList.length;
	}
	parent.innerHTML = '';
	var row;
	if(isAdminstrator) {
		//*/有删除按钮
		row = Math.ceil((listLength + 2) / 5);
		/*/
		row = Math.ceil((listLength + 1) / 5);
		//*/
	} else {
		row = Math.ceil((listLength + 1) / 5);
	}
	var itemNum = row * 5;
	for(var i = 0; i < listLength; i++) {
		var item = document.createElement('div');
		item.className = 'group-item';
		var context = '';
		var itemName = '';
		var itemPhoto = '';
		item.setAttribute('chooseMark', NORMAL_GROUP);
		item.setAttribute('userId', groupList[i].userId);
		if(!g_utils.isEmpty(groupList[i].headImg)) {
			itemPhoto = g_tools.IP_FILE + groupList[i].headImg;
		}
		if(!g_utils.isEmpty(groupList[i].nickname)) {
			itemName = groupList[i].nickname;
		} else {
			if(!g_utils.isEmpty(groupList[i].name)) {
				itemName = groupList[i].name;
			}
		}
		if(!g_utils.isEmpty(groupList[i].name)) {
			_circleMembersPhone.push(groupList[i].name);
		}
		if(_userId == groupList[i].userId) {
			_loadUserCircleName = itemName;
		}
		context = '<img class="item-photo" src="img/default_portrait_msg.png" onload="load(this)" data-src="' + itemPhoto + '"/>' +
			'<font class="item-name">' + itemName + '</font>'
		item.innerHTML = context;
		parent.appendChild(item);
	}
	for(var j = listLength; j < itemNum; j++) {
		var item = document.createElement('div');
		item.className = 'group-item';
		var context = '';
		if(j == listLength) {
			item.setAttribute('chooseMark', ADD_GROUP);
			context = '<img class="item-photo" src="img/add.png">' +
				'<font class="empty"></font>'
		} else {
			//删除按钮的添加
			//*/
			if(isAdminstrator && j == listLength + 1 && j > 2) {
				item.setAttribute('chooseMark', DELET_GROUP);
				context = '<img class="item-photo" src="img/delet.png">' +
					'<font class="empty"></font>'
			} else {
				item.setAttribute('chooseMark', EMPTY_GROUP);
			}
			/*/
			item.setAttribute('chooseMark', EMPTY_GROUP);
			//*/
		}
		item.innerHTML = context;
		parent.appendChild(item);
	}
	addCheckItem();
}

function addDeletFunction() {
	document.querySelector('.delet-back').addEventListener('tap', function() {
		var deletId = new Array();
		var deletName = new Array();
		deletId.push(_userId + "");
		deletName.push(_loadUserCircleName + "");
		var parameters = {
			circleId: _circleId,
			operatorUserId: _userId,
			operation: 5,
			memberIdList: JSON.stringify(deletId),
			memberNameList: JSON.stringify(deletName)
		}
		var btnArray = ['否', '是'];
		mui.confirm("退出圈子后不会通知圈子中的其他成员,并且你将不在参加圈内排行,也不在接受该圈子的聊天消息。",
			"温馨提示",
			btnArray,
			function(e) {
				if(e.index == 1) {
					var loading;
					loading = plus.nativeUI.showWaiting('正在退出圈子,请稍候……', {
						loading: {
							display: 'inline'
						},
						modal: false
					});
					g_tools.postCMD('delCircleMember', parameters,
						function(deletResult) {
							if(deletResult.code == 0) {
								g_RIM.removeConversation(_chatId, "group", function(success) {
									if(success.code == 0) {
										loading.close();
										//刷新圈列表
										mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':friendSubList.html'), 'circleListRefresh', {});
										//刷新消息列表
										mui.fire(plus.webview.getWebviewById(g_module.message.ID + ':messageList.html'), 'delChatList', {
											chatId: _chatId
										});
										mui.toast('退出成功', {
											duration: 'short'
										});
										//关闭圈排行及圈资料
										mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':circleDetail.html'), 'closeCircleMessage', {});
									}
								}, function(err) {
									//删除失败
									loading.close();
									mui.toast('退出失败', {
										duration: 'short'
									});
								});
							} else {
								loading.close();
								mui.toast('退出失败', {
									duration: 'short'
								});
								//删除失败
							}
						},
						g_tools.MODE_WEB
					);
				} else {

				}
			}
		);
	});
}

function addCheckItem() {
	var itemList = document.querySelectorAll('.group-item');
	for(var i = 0; i < itemList.length; i++) {
		itemList[i].addEventListener('tap', function() {
			var type = this.getAttribute('chooseMark');
			var userId = this.getAttribute('userId');
			type = parseInt(type);
			switch(type) {
				case EMPTY_GROUP:
					break;
				case NORMAL_GROUP:
					g_mui.openUserDataDetail({
						openerProperty: 1,
						userId: userId,
					});
					//打开详情页面
					break;
				case ADD_GROUP:
					//打开添加页面
					g_mui.openPage(g_module.friendCircle, 'addMember.html', {
						circleId: _circleId,
						circleMembersPhone_Str: _circleMembersPhone.join(",") //转换为字符串作为参数传递
					});
					break;
				case DELET_GROUP:
					//打开删除页面
					g_mui.openPage(g_module.friendCircle, 'deletMember.html', {
						circleId: _circleId
					});
					break;
				default:
					break;
			}
		});
	}
}
//imgUrl, name, circleId, declaration
function addEditCircle() {
	if(isAdminstrator) {
		document.getElementById('edit-name').addEventListener('tap', function() {
			var parameters = {
				type: EDIT_NAME,
				imgUrl: _imgUrl,
				name: _name,
				circleId: _circleId,
				declaration: _declaration
			}
			g_mui.openPage(g_module.friendCircle, 'editCircleMessage.html', parameters);
		});
		document.getElementById('edit-declaration').addEventListener('tap', function() {
			var parameters = {
				type: EDIT_DECLARATION,
				imgUrl: _imgUrl,
				name: _name,
				circleId: _circleId,
				declaration: _declaration
			}
			g_mui.openPage(g_module.friendCircle, 'editCircleMessage.html', parameters);
		});
		//编辑界面
	} else {
		return
	}
}

function uploadHeadImg(imgUrl) {
	var loading;
	loading = plus.nativeUI.showWaiting('头像上传中，请稍候……', {
		loading: {
			display: 'inline'
		},
		modal: false
	});
	g_tools.postFile("uploadImg", imgUrl, function(result) {
		if(!g_utils.isEmpty(loading)) loading.close();
		if(result.code == 0) {
			_imgUrl = result.url;
			var parameters = {
				circleId: _circleId,
				name: _name,
				imgUrl: _imgUrl,
				declaration: _declaration
			}
			g_tools.postCMD('modifyCircleInfo', parameters,
				function(editResult) {
					if(editResult.code == 0) {
						loading.close();
						circlePhoto.src = g_tools.IP_FILE + _imgUrl + "&tb=1";
						mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':friendSubList.html'), 'circleListRefresh', {});
						mui.toast('修改成功', {
							duration: 'short'
						});
					} else {
						loading.close();
						//do something
						mui.toast('上传失败', {
							duration: 'short'
						});
					}
				},
				g_tools.MODE_WEB
			);
			//g_tools.postCMD('getCircleInfo', parameters,function(circleData) {},g_tools.MODE_WEB_LOCAL);
			//其他位置刷新
			//mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html'), 'refreshList');
		} else {
			mui.toast('上传失败', {
				duration: 'short'
			});
		}
	});
}

function openDataSetting(id) {
	g_mui.openUserDataDetail({
		userId: id,
		openerProperty: 1,
	});
}
//测试发送退出圈子消息的方法 ，不要删
//function addDeletFunction() {
//	var userId = g_tools.getUserId();
//	g_RIM.sendQuiteGroupNoticeMsg(_chatId, userId, function(success) {
//
//	}, function(err) {});
//}