//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/default_portrait_msg.png';
var CONTENT_SHOW_MAX_LINES = 3; //内容最多显示3行
var doctorInfo;
var doctorImg = document.getElementById("doctorImg");
var doctorName = document.getElementById("doctorName");
var doctorDepart = document.getElementById("doctorDepart");
var doctorLevel = document.getElementById("doctorLevel");
var doctorUnit = document.getElementById("doctorUnit");
var doctorIntroduce = document.getElementById("doctorIntroduce");
var doctorSkills = document.getElementById("doctorSkills");
var chat = document.getElementById("chat");
//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	_doctorInfo = self.doctorInfo;
	if(!g_utils.isEmpty(_doctorInfo.headImg)) {
		doctorImg.src = getImgUrl(_doctorInfo.headImg);
	}
	if(!g_utils.isEmpty(_doctorInfo.name)) {
		doctorName.innerHTML = _doctorInfo.name;
	}
	if(!g_utils.isEmpty(_doctorInfo.departMent)) {
		doctorDepart.innerHTML = _doctorInfo.departMent;
	}
	if(!g_utils.isEmpty(_doctorInfo.titleLevel)) {
		doctorLevel.innerHTML = _doctorInfo.titleLevel;
	}

	if(!g_utils.isEmpty(_doctorInfo.unit)) {
		doctorUnit.innerHTML = _doctorInfo.unit;
	}
	if(!g_utils.isEmpty(_doctorInfo.introduce)) {
		doctorIntroduce.innerHTML = _doctorInfo.introduce;
	}
	if(!g_utils.isEmpty(_doctorInfo.skills)) {
		doctorSkills.innerHTML = _doctorInfo.skills;
	}
	
	initCollapsePlanTxt();
	chat.addEventListener('tap', function() {
		openChat();
	});
});



//打开聊天界面
function openChat() {
	var doctorId=_doctorInfo.doctorId;
	var doctorName=_doctorInfo.name;
	var doctorHeadImg=getImgUrl(_doctorInfo.headImg);
	
	var userName = g_tools.getUserName();
    var userId = g_tools.getUserId();
    var userHeadImg= g_storage.get(g_storage.DEVICE_USER_HEAD_URL);
//	 g_RIM.gotoConversationView(userName,userId,doctorName, doctorId, userHeadImg, doctorHeadImg,"",plus.webview.currentWebview().id, '1',function(data) {}, function(err) {});
    g_RIM.startSingleChatByTargetId(doctorId,'',function(data) {}, function(err) {});
}

//初始化展开收缩内容（大于三行时）
function initCollapsePlanTxt() {
	mui('.plan-text').each(function() {
		var planContentTxt = this;
		var planContentContainer = planContentTxt.parentNode;
		var planContentExpandCollapse = planContentTxt.nextSibling;
		var txtLines = countLines(planContentTxt);

		if(txtLines > CONTENT_SHOW_MAX_LINES) { //大于3行
			planContentContainer.setAttribute("class", "content-container collapse");
			planContentExpandCollapse.addEventListener('tap', function(event) {
				var planContentContainer = this.parentNode;
				var planContentTxt = this.previousSibling;
				if(planContentContainer.getAttribute("class").split(" ").indexOf("collapse") !== -1) {
					planContentContainer.setAttribute("class", "content-container expand");
				} else {
					planContentContainer.setAttribute("class", "content-container collapse");
				}
			}, false);
		} else {
			planContentContainer.setAttribute("class", "content-container");
		}

	});
}

//计算行数
function countLines(ele) {
	var styles = window.getComputedStyle(ele, null);
	var lh = parseInt(styles.lineHeight);
	var h = parseInt(styles.height);
	var lc = Math.round(h / lh);
	/*console.log('line count:' + lc + ',line-height:' + lh + ',height:' + h);*/
	return lc;
}

function getImgUrl(img) {
	var imgUrl = DEFAULT_HEAD_IMG;
	if(!g_utils.isEmpty(img)) {
		imgUrl = SERVER_IMG_ADDRESS + img + "&tb=1&app=2";
	}
	return imgUrl;
}
