//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/default_head.png';

var MAX_UPLOAD_IMG_NUM = 9; //每次上传最多上传9张图片

var upReportCommitBtn = document.getElementById('commitBtn');
var titleInput = document.getElementById("reportTitleValue");
var contentInput = document.getElementById("reportContentValue");
var reportImgLay = document.getElementById("reportImgLay");

//var reportImgsUrlList = [];
var reportImgsUrlAfterUpload = [];
var isFull = false;
//mui初始化
mui.init();
mui.plusReady(function() {
	upReportCommitBtn.addEventListener('tap', function(event) {
		var currrntNum = reportImgLay.querySelectorAll("img").length;
		if (!isFull) {
			currrntNum = currrntNum - 1;
		}
		if (currrntNum != reportImgsUrlAfterUpload.length) {
			g_toast.toast("图片正在上传,请稍后再试");
			return
		}
		var titleInputValue = titleInput.value;
		var contentInputValue = contentInput.value;
		if (g_utils.isEmpty(titleInputValue)) {
			g_mui.alert("请填写报告标题");
		} else if (g_utils.isEmpty(contentInputValue)) {
			g_mui.alert("请填写报告内容");
			//		} else if( reportImgsUrlAfterUpload.length <= 0) {
			//			g_mui.alert("未选择图片");
		} else {
            
            if (titleInputValue.length > 30){
                g_mui.alert('输入标题不能超过30个字');
                return;
            }
            if (titleInputValue.length > 100){
                g_mui.alert('输入内容不能超过100个字');
                return;
            }
                                       
			g_tools.postCMD('upInspectionReport', {
				title: titleInputValue,
				content: contentInputValue,
				reportImgs: JSON.stringify(reportImgsUrlAfterUpload)
			}, function(data) {
				//console.log(JSON.stringify(data));
				if (data.code == 0) {
					//刷新健康报告显示页面
					mui.fire(plus.webview.getWebviewById(g_module.healthReport.ID + ':healthReportSubList.html'),
						'reportListRefresh', {});
					//刷新健康信息流
					mui.fire(plus.webview.getWebviewById(g_module.health.ID + ':healthSubList.html'), 'refreshPage');
					mui.back();
				}
			});
		}
	})

	initPremission();
	previewImageInit();
	reportImgLay.innerHTML = "";
	var addImg = document.createElement("img");
	addImg.className = 'mui-media-object mui-pull-left reportImg';
	addImg.src = "img/icon_add.png";
	addImg.addEventListener('tap', function() {
		addReportImgs();
	}, false);
	reportImgLay.appendChild(addImg);

});

function previewImageInit() {
	mui.initPhotoSwiper({
		delImg: true
	}, function(img, gourpNum) {
		//删除图片
		var imgSrcToDelete = img.src.substring(img.src.indexOf('getImg?') - 1, img.src.indexOf('&tb'));
		removeArray(imgSrcToDelete);
		if (isFull) {
			var addImg = document.createElement("img");
			addImg.className = 'mui-media-object mui-pull-left reportImg';
			addImg.src = "img/icon_add.png";
			addImg.addEventListener('tap', function() {
				addReportImgs();
			}, false);
			reportImgLay.appendChild(addImg);
			isFull = false;
		}
	})
}

//调用android系统权限
function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}

/*
 * 弹出系统按钮选择框
 */
function addReportImgs() {
	if (mui.os.plus) {
		var buttons = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: buttons
		}, function(b) { /*actionSheet 按钮点击事件*/
			switch (b.index) {
				case 0:
					break;
				case 1:
					setPermission("3");
					//startCapture();
					/*拍照*/
					break;
				case 2:
					setPermission("6");
					//startAlbum();
					/*相册*/
					break;
				default:
					break;
			}
		})
	}
}

/**
 * 相机权限
 */
function setPermission(type) {
	if (plus.os.name == g_config.ANDROID) {
		plus.permissionUtil.setPermission(type, function(result) {
				if (result.ps) {
					if (type == "3") {
						startCapture();
					}
					if (type == "6") {
						startAlbum();
					}
				}
			},
			function(erro) {
				alert(erro);
			}
		);
	} else {
		if (type == "3") {
			startCapture();
		}
		if (type == "6") {
			startAlbum();
		}
	}
}

/**
 * 拍照
 */
function startCapture() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var path = entry.fullPath;
			//			reportImgsUrlList.push(path);
			//			refreshReportImgsDisplay();

			uploadImg(path);
		}, function(e) {});
	}, function(e) {}, {
		filename: "_doc/camera/"
	});
}

/**
 * 从相册里选择
 */
function startAlbum() {
	var currentNum = reportImgLay.querySelectorAll("img").length - 1;
	plus.gallery.pick(function(e) {
		for (var i in e.files) {
			uploadImg(e.files[i]);
		}
	}, function(e) {}, {
		filter: "image",
		maximum: MAX_UPLOAD_IMG_NUM - currentNum,
		multiple: true,
		system: false
	});
}

function removeArray(_obj) {
	var length = reportImgsUrlAfterUpload.length;
	for (var i = 0; i < length; i++) {
		var index = reportImgsUrlAfterUpload[i].indexOf(_obj);
		if (index != -1) {
			reportImgsUrlAfterUpload.splice(index, 1);
			break;
		}
	}
}

function getImgUrl(img) {
	var imgUrl = DEFAULT_HEAD_IMG;
	if (!g_utils.isEmpty(img)) {
		imgUrl = SERVER_IMG_ADDRESS + img;
	}
	return imgUrl;
}

// 上传文件
function uploadImg(imgUrl) {
	var createImgDom = addImgDom()
	lrz(imgUrl)
		.then(function(rst) {
			// 处理成功会执行
			var file = rst.file;
			g_tools.postBlobFile("uploadImg", file, function(result) {
				if (result.code == 0) {
					var _imgUrl = result.url;
					reportImgsUrlAfterUpload.push(_imgUrl);
					refreshImgDom(createImgDom, _imgUrl);
				} else {
					g_mui.toast(result.tip);
				}
			});
		})
		.catch(function(err) {
			// 处理失败会执行
			isUpLoad = false;
		})
		.always(function() {
			// 不管是成功失败，都会执行
		});
}

function addImgDom() {
	var img = document.createElement("img");
	var imgList = reportImgLay.querySelectorAll("img");
	var currentNum = imgList.length - 1;
	var addButton = imgList[currentNum];
	img.classList.add("mui-media-object", "mui-pull-left", "reportImg");
	img.setAttribute('src', "../../global/img/loading.svg");
	img.setAttribute('data-preview-group', 1);
	img.onload = load(img);
	if (currentNum == MAX_UPLOAD_IMG_NUM - 1) {
		isFull = true;
		reportImgLay.replaceChild(img, addButton);
	} else {
		reportImgLay.insertBefore(img, addButton);
	}
	return img
}

function refreshImgDom(dom, url) {
	dom.setAttribute('data-src', SERVER_IMG_ADDRESS + url + "&tb=1");
	dom.setAttribute('data-preview-src', SERVER_IMG_ADDRESS + url);
	dom.setAttribute('src', SERVER_IMG_ADDRESS + url + "&tb=1");
}
