var widthClient = document.documentElement.clientWidth;
var QRCodeTip = document.getElementById("QRCodeTip");
var QRDom = document.getElementById("QRCode");
var listener, myQRCode, self;
mui.init();
mui.plusReady(function() {
	self = plus.webview.currentWebview();
	getMyQRCodeUrl();
	addRefreshButton();
	initUserInfo();
});

function initUserInfo() {
	var userNickName, userHeadImg;
	if(!g_utils.isEmpty(self)) {
		if(!g_utils.isEmpty(self.nickname)) {
			userNickName = self.nickname;
		}
		if(!g_utils.isEmpty(self.headImg)) {
			userHeadImg = g_tools.IP_FILE + self.headImg + "&tb=1"
		} else {
			userHeadImg = '../../global/img/default_portrait_msg.png';
		}
	}
	document.getElementById("photo").src = userHeadImg;
	document.getElementById("name").innerHTML = userNickName;
}
//获取我的二维码链接
function getMyQRCodeUrl() {
	g_tools.postCMD("reward/getMyQRCodeUrl", {}, function(res) {
		if(res.code == 0) {
			var info = res.data;
			var url = info.url;
               //     url=url.replace('www.ihuohuo.com',g_tools.IP);
                    url = 'http://211.149.172.120:7777/mds/moduleLocal/healthMoney/healthMoneyLaunch.html?key='+info.key;
                    g_log.bgLog('url:'+url);
			var key = info.key;
			var overtime = info.overtime;
			showQRCode(url);
			checkListening(key,overtime);
		}
	});
}
//绘制二维码
function showQRCode(url) {
	if(!g_utils.isEmpty(myQRCode)) {
		myQRCode.clear(); // 清除代码
		myQRCode.makeCode(url);
	} else {
		var QRCodeWidth = 2 * widthClient / 3.75;
		myQRCode = new QRCode('QRCode', {
			text: url,
			width: QRCodeWidth,
			height: QRCodeWidth,
			colorDark: '#000000',
			colorLight: '#ffffff',
			correctLevel: QRCode.CorrectLevel.H
		});
	}
}
//监听消费状态
function checkListening(key, overtime) {
	if(!g_utils.isEmpty(listener)) {
		clearInterval(listener);
	}
	listener = setInterval(function() {
		var now = new Date().getTime();
		if(now > overtime) {
			overTime();
		}
		getCheckListening(key);
	}, 2000);
}
//超时操作
function overTime() {
	clearInterval(listener);
	QRDom.style.opacity = "0.05";
	QRCodeTip.innerHTML = "该二维码已超时，请刷新";
	QRCodeTip.classList.remove("color-normal");
	QRCodeTip.classList.add("color-overtime");
}
//获取监听状态
function getCheckListening(key) {
   // g_log.bgLog('key:'+key);
	g_tools.postCMD('reward/checkListening', {
		key: key
	}, function(res) {
		if(res.code == 0) {
			var checkInfo = res.data;
			var status = checkInfo.status;
			//账单信息变更
			if(status == 1) {
				statusChange(checkInfo);
			}
		}
	});
}
//刷新按钮
function addRefreshButton() {
	document.getElementById("refreshButton").addEventListener('tap', function() {
		QRDom.style.opacity = "1";
		QRCodeTip.innerHTML = "兑换时请出示该二维码";
		QRCodeTip.classList.remove("color-overtime");
		QRCodeTip.classList.add("color-normal");
		getMyQRCodeUrl();
	});
}
//账单状态变化
function statusChange(checkInfo) {
	g_mui.openPage(g_module.healthReward, 'healthCoinChange.html', {
		checkInfo: checkInfo,
		callbackJS: 'g_mui.closePage("healthReward:QRCode.html");'
	});
}
