var type;
var activateInfo = "";
var personInfo = {}; //缓存的人物信息
//进入实名认证时的3种类型
var TYPE_MY = 0; //自己激活伙伙
var TYPE_NEW_OTHER = 1; //帮助他人时未提交实名认证
var TYPE_OTHER = 2; //帮助他人时提交了实名认证

//model
mdata = {};
mdata['honorific'] = ""; //尊称
mdata['person'] = ""; //人称
mdata['userName'] = ""; //账号
mdata['password'] = ""; //密码

//mMethods
mMethods = {};
mMethods["goNextTap"] = goNextTap;

//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted:function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			var self = plus.webview.currentWebview();
			type = self.type;
			activateInfo = self.activateInfo;
			if(!g_utils.isEmpty(activateInfo.name) && !g_utils.isEmpty(activateInfo.identityCard)) {
				refreshTip(activateInfo.name, activateInfo.identityCard);
			}
			if(!g_utils.isEmpty(self.userName) && !g_utils.isEmpty(self.password)) {
				mdata.userName=self.userName;
				mdata.password=self.password;
			}
		});
	}
});

function refreshTip(name, identityCard) {
	mdata.honorific = getHonorific(name, identityCard);
	mdata.person = getPerson(name, identityCard);
}

function goNextTap() {
	g_mui.openModule(g_module.improvePersonalData, {
		type: type,
		activateInfo:activateInfo,
		callbackJS:'g_mui.closeModule(g_module.helpRegister);'
	});
}
/**
 * 人称 (她/他)
 * @param {Object} name
 * @param {Object} identityCard
 */
function getPerson(name, identityCard) {
	return getSexbyIdentityCard(identityCard) == 0 ? "她" : "他";
}
/**
 * 敬语
 * @param {Object} name
 * @param {Object} identityCard
 */
function getHonorific(name, identityCard) {
	return name + (getSexbyIdentityCard(identityCard) == 0 ? "女士" : "先生");
}
/**
 * 根据身份证号判断性别 0：女，1：男
 * @param {Object} identityCard
 */
function getSexbyIdentityCard(identityCard) {
	return identityCard.substring(16, 17) % 2 == 0 ? "0" : "1";
}
