var careMeList = [];

//model
mdata = {};
mdata["careMeList"] = careMeList;
mdata["name"] = "";
mdata["phone"] = "";

//methods
mMethods = {};
mMethods["addCareMeByMail"] = addCareMeByMail;
mMethods["onSave"] = onSave;

//vue加载完加载mui,当用到plus时先加载完plus基座再初始化mui
var vm = new Vue({
	el: '#main',
	data: mdata,
	methods: mMethods,
	mounted:function() {
		//pulsReady
		mui.plusReady(function() {
			//mui初始化
			mui.init();
			var self = plus.webview.currentWebview();
			careMeList = self.careMeList;
			mdata.careMeList = careMeList;
			
			//定义通讯录查找监听事件
			document.addEventListener('exportContacts', function(event) {
				//返回的是一个json数组
				var contacts = event.detail.chooseContacts;
				if(contacts!=null&&contacts.length>0){
					mdata.name = contacts[0].name;
					mdata.phone = contacts[0].phone;
				}
			});
		});
	}
});

function addCareMeByMail() {
	g_mui.openSelectContacts({
    	selectedContacts: careMeList,
    	hearderTitle: '请选择家人（单选）',
    	isSingleMode: true
    });
}

function validateInfo(name, phone) {
	if(g_utils.isEmpty(name)) {
		g_mui.alert("姓名不能为空！");
		return false;
	} else if(g_utils.isEmpty(phone)) {
		g_mui.alert("电话号码不能为空！");
		return false;
	} else if(!g_utils.validateTel(phone)) {
		g_mui.alert("电话号码格式错误，请输入正确的电话号码！");
		return false;
	}
	return true;
}

function onSave(name, phone) {
	if(validateInfo(name, phone)) {
		var contact = {};
		contact['name'] = name;
		contact['phone'] = phone;
		var list = plus.webview.currentWebview().opener();
		careMeList.push(contact);
		mui.fire(list, 'saveCareMe', {
			careMeList: careMeList
		});
		mui.back(true);
	}
}

