var countDown = null;
var countDownTime = 20;
var countDownDom = document.getElementById("countDown");
//pulsReady
mui.plusReady(function() {
//	document.getElementById('frIllustration').addEventListener('tap', function() {
//		//openMask();
//	});
	document.querySelector(".bottom-box").style.top = document.documentElement.clientHeight - 0.16 * document.documentElement.clientWidth + 'px';
	document.getElementById('frMaskButton').addEventListener('tap', function() {
		closeMask();
	});
	//解释如何获取关爱验证码
	document.getElementById('explain-getCode').addEventListener('tap', function() {
		g_mui.openPage(g_module.insertMyCare, 'howToGetCode.html', {});
	});
	//获取我的关爱验证码
	document.getElementById('get-myCareCode').addEventListener('tap', function() {
		openMask();
		getMyCareCode();
	});
	//刷新验证码
	document.getElementById('refreshCode').addEventListener('tap', function() {
		initCareCode();
		getMyCareCode();
	});
	var app5 = new Vue({
		el: '#button-next',
		methods: {
			nextTap: function() {
				var devNumber = document.getElementById('huohuo-number').value;
				var relationShip = document.getElementById('huohuo-remark').value;
				if(validateAllInput(devNumber, relationShip)) {
                    if (relationShip.length > 10){
                       g_mui.alert('输入备注不能超过10个字');
                    }else{
                       addFaimly(devNumber, relationShip);
                    }
				} else {
					//console.log('输入内容有错误');
				}
			}
		}
	})
	if(g_storage.get(g_storage.DEVICE_USER_HEAD_URL)) {
		document.getElementById('myPhoto').setAttribute("src", g_storage.get(g_storage.DEVICE_USER_HEAD_URL))
	}
});

function addFaimly(devNumber, relationShip) {
	g_tools.postCMD('addMyCare', {
		code: devNumber,
		note: relationShip,
	}, function(data) {
		if(data.code == 0) {
			g_mui.toast('关爱人添加成功');
			//刷新关爱列表
			mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html'), 'refreshPage');
			mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':myCareMap.html'), 'refreshPage');
			g_mui.closeModule(g_module.insertMyCare);
		} else {
			if(!g_utils.isEmpty(data.tip)) {
				g_mui.toast(data.tip);
			}
		}
	});
}

//监听伙伙号码输入变化
function inputDevNumberChange(devNumber) {
	var relationShip = document.getElementById('huohuo-remark').value;
	validateAllInput(devNumber, relationShip);
}

//监听备注输入变化
function inputRelationShipChange(relationShip) {
	var devNumber = document.getElementById('huohuo-number').value;
	validateAllInput(devNumber, relationShip);
}

//验证输入内容是否正确
function validateAllInput(devNumber, relationShip) {
	var reg = new RegExp(/^\d{6}$/);
	var isDevNum = reg.test(devNumber);
	var button = document.getElementById('button-next');
	if(isDevNum && relationShip != null && relationShip != '') {
		button.classList.remove('mui-btn-disabled');
		button.classList.add('mui-btn-primary');
		return true;
	} else {
		button.classList.add('mui-btn-disabled');
		button.classList.remove('mui-btn-primary');
		return false;
	}
}

function closeMask() {
	if(countDown) {
		clearInterval(countDown);
	}
	countDownDom.innerHTML = "该验证码将在20分钟后失效";
	var target = document.getElementById('frMask');
	target.classList.remove('display-flex');
}

function openMask() {
	var target = document.getElementById('frMask');
	target.classList.add('display-flex');
}

function getMyCareCode() {
	g_tools.postCMD("getMyCareCode", {}, function(data) {
		if(data.code == 0) {
			countDownTime = 20;
			var target = document.getElementById('code');
			var myCareCode = data.data.myCareCode;
			var str = "";
			for(var i = 0; i < myCareCode.length; i++) {
				str += '<div class="box-item">' + myCareCode[i] + '</div>'
			}
			target.innerHTML = str;
			if(countDown) {
				clearInterval(countDown);
				countDown = setInterval(function() {
					if(countDownTime > 0) {
						countDownTime--;
						countDownDom.innerHTML = "该验证码将在" + countDownTime + "分钟后失效"
					} else {
						clearInterval(countDown);
						countDownDom.innerHTML = "该验证码将已失效，点击刷新"
					}
				}, 60000);
			} else {
				countDown = setInterval(function() {
					if(countDownTime > 0) {
						countDownTime--;
						countDownDom.innerHTML = "该验证码将在" + countDownTime + "分钟后失效"
					} else {
						clearInterval(countDown);
						countDownDom.innerHTML = "该验证码将已失效，点击刷新"
					}
				}, 60000);
			}
		}
	});
}

function initCareCode() {
	var target = document.getElementById('code');
	var str = "";
	for(var i = 0; i < 6; i++) {
		str += '<div class="box-item">·</div>'
	}
	target.innerHTML = str;
}
