var HAVED_ADD_MY_CARD = 1;
var FEMALE_SEX = 0; //女
var MALE_SEX = 1; //男
var DEFAULT_VALUE=[{
	height:160,
	weight:50
},{
	height:170,
	weight:60
}]
//mui初始化
mui.init();
var sexId = document.getElementById('sexId'); //性别
var birthDayId = document.getElementById('birthDayId'); //生日
var heightId = document.getElementById('heightId'); //身高
var weightId = document.getElementById('weightId'); //体重

var femaleId = document.getElementById('femaleId'); //性别女
var maleId = document.getElementById('maleId'); //性别男

var chooseSex = FEMALE_SEX;

mui.plusReady(function() {
	setDefaultValue();
	plus.navigator.closeSplashscreen();
	mui.back = function() {
		g_tools.logout();
	}
	initPicker();
	initClickPicker();
	getParamAndInitDom();
	document.getElementById('confirm').addEventListener('tap', function(e) {
		if(g_utils.isEmpty(chooseSex)) {
			g_mui.alert("请选择性别！");
		} else if(g_utils.isEmpty(birthDayId.mills)) {
			g_mui.alert("请选择生日！");
		} else if(g_utils.isEmpty(heightId.value)) {
			g_mui.alert("请选择身高！");
		} else if(g_utils.isEmpty(weightId.value)) {
			g_mui.alert("请选择体重！");
		} else {
			var personInfo = {};

			var heightStr = heightId.value;;
			heightStr = heightStr.replace('厘米', '');
			var weightStr = weightId.value;
			weightStr = weightStr.replace('kg', '');
			var birthMillsStr = "" + birthDayId.mills;

			personInfo['sex'] = chooseSex;
			personInfo['birthdayMills'] = birthMillsStr;
			personInfo['height'] = heightStr;
			personInfo['weight'] = weightStr;

			var baseInfo = JSON.stringify(personInfo);

			var defaultHeadImg = "";
			if(chooseSex == FEMALE_SEX) {
				defaultHeadImg = g_tools.FEMALE_DEFAULT_IMG;
			} else if(chooseSex == MALE_SEX) {
				defaultHeadImg = g_tools.MALE_DEFAULT_IMG;
			}
			var sParameters = {};
			addParameter('headImg', defaultHeadImg, sParameters);
			g_tools.postCMD("modifyUserInfo", sParameters, function(result) {
				if(result.code == 0) {
					g_mui.openPage(g_module.insertMyHealthCard, 'selectDataSource.html', {
						baseInfo: baseInfo
					});
				}
			});
		}
	});
});
//设置默认用户数据
function setDefaultValue(){
	var item = DEFAULT_VALUE[chooseSex];
	var defaultHeight = item.height;
	var defaultWeight = item.weight;
	heightId.value = defaultHeight+ "厘米";
	weightId.value = defaultWeight+"kg";
}
function getParamAndInitDom() {
	var self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(self.userInfo)) {
		var userInfo = JSON.parse(self.userInfo);

		if(!g_utils.isEmpty(userInfo.sex)) {
			if(userInfo.sex == MALE_SEX) {
				maleId.click();
			} else if(userInfo.sex == FEMALE_SEX) {
				femaleId.click();
			}
		}
		if(!g_utils.isEmpty(userInfo.birthday)) {
			var birthday_str = g_utils.dateFormat(userInfo.birthday, "yyyy年MM月dd日");
			birthDayId.mills = userInfo.birthday;
			birthDayId.value = birthday_str;
		}
		if(!g_utils.isEmpty(userInfo.height)) {
			if(userInfo.height == 0) {
				userInfo.height = 170;
			}
			heightId.value = userInfo.height + "厘米";
		}
		if(!g_utils.isEmpty(userInfo.weight)) {
			if(userInfo.weight == 0) {
				userInfo.weight = 65;
			}
			weightId.value = userInfo.weight + "kg";
		}
	}
}

function initPicker() {
	//生日
	var nowDate = new Date();
	var nowYear = nowDate.getFullYear() - 1;
	var beginYear = nowYear - 100;
	var optionsJson = '{"type":"date","beginYear":' + beginYear + ',"endYear":' + nowYear + ',"value":"1990-10-10"}';
	var options = JSON.parse(optionsJson);
	birthdayPicker = new mui.DtPicker(options);
}

function initClickPicker() {
	//性别
	femaleId.addEventListener('tap', function(e) {
		var choosed = femaleId.getAttribute('choosed');
		if(choosed == "false") {
			femaleId.classList.add("checkIcon");
			femaleId.setAttribute('choosed', 'true');
			maleId.classList.remove("checkIcon");
			maleId.setAttribute('choosed', 'false');
			chooseSex = FEMALE_SEX;
		}
		setDefaultValue();
	}, false);
	maleId.addEventListener('tap', function(e) {
		var choosed = maleId.getAttribute('choosed');
		if(choosed == "false") {
			maleId.classList.add("checkIcon");
			maleId.setAttribute('choosed', 'true');
			femaleId.classList.remove("checkIcon");
			femaleId.setAttribute('choosed', 'false');
			chooseSex = MALE_SEX;
		}
		setDefaultValue();
	}, false);

	birthDayId.addEventListener('tap', function(event) {
		var birthday = this.value;
		onBirthdayPicker(birthday);
	}, false);
	heightId.addEventListener('tap', function(event) {
		var height = this.value;
		onHeightPicker(height);
	}, false);
	weightId.addEventListener('tap', function(event) {
		var weight = this.value;
		onWeightPicker(weight);
	}, false);
}

function onBirthdayPicker(birthday) {
	if(birthday != "") {
		birthday = birthday.replace(/(\d{4}).(\d{1,2}).(\d{1,2}).+/mg, '$1-$2-$3');
		birthdayPicker.setSelectedValue(birthday);
	}
	birthdayPicker.show(function(items) {
		var year = items.y.text;
		var month = items.m.text;
		var day = items.d.text;
		var birthdayMills = Date.parse(month + "/" + day + "/" + year);
		birthDayId.mills = birthdayMills;
		birthDayId.value = g_utils.dateFormat(birthdayMills, "yyyy年MM月dd日");
	});
}

function onHeightPicker(height) {
	new KeyBoard(null, 0, {
		title: "身高",
		unit: "厘米",
		isInput: true,
		okCallback: function(backValue) {
			heightId.value = backValue + "厘米";
		},
		range: "90-250"
	});

}

function onWeightPicker(weight) {
	new KeyBoard(null, 1, {
		title: "体重",
		unit: "kg",
		isInput: true,
		okCallback: function(backValue) {
			weightId.value = backValue + "kg";
		},
		range: "25.0-150.9"
	});
}

function addParameter(key, value, parameters) {
	parameters[key] = value;
}