var gotoSetBtn = document.getElementById('gotoSetBtn');
var hasSetTip = document.getElementById('hasSetTip');
var mainTip = document.getElementById('mainTip');
var secondTip = document.getElementById('secondTip');
var imgTip = document.getElementById('imgTip');
var hasSet = false;
var baseInfo = "";

hasSetTip.style.display = "none" //隐藏

mui.init();
mui.plusReady(function() {
	if(plus.os.name == g_config.ANDROID) {
		imgTip.src = "img/custody_card02.png";
		imgTip.className = "icon-tip-android";
		mainTip.innerHTML = "伙伙健康和手机同步数据";
		secondTip.innerHTML = "伙伙健康和手机运动传感器同步数据后，伙伙健康将能获取到基本的运动数据，但某些版本的安卓手机可能无法获取到这部分数据。";
		gotoSetBtn.innerHTML = "完成";
		hasSet = true;
	}

	gotoSetBtn.addEventListener('tap', function() {
		btnEvent();
	});

	getParam();
});

/**
 * 获得上个页面传入的参数
 */
function getParam() {
	var self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(self)) {
		if(!g_utils.isEmpty(self.baseInfo)) {
			baseInfo = self.baseInfo;
			// alert(baseInfo);
		}
	}
}

function btnEvent() {
	if(hasSet && !g_utils.isEmpty(baseInfo)) {
		var infoObj = JSON.parse(baseInfo);
		var openerView = plus.webview.currentWebview().opener();
		g_tools.postCMD('addMyCard', {
			height: infoObj.height,
			weight: infoObj.weight,
			sex: infoObj.sex,
			birthday: infoObj.birthdayMills
		}, function(result) {
			if(result.code == 0) {
				//跳转
				//                var freshWeb1 = plus.webview.getWebviewById('myCareList:pullrefresh_sub.html');
				//                var freshWeb2 = plus.webview.getWebviewById("insertMyCareGuide");
				//                var freshWeb3 = plus.webview.getWebviewById('myCareList:myCareMap.html');
				//                var freshWeb4 = plus.webview.getWebviewById("index");
				//                var freshWeb5 = plus.webview.getWebviewById("mine");
				//                mui.fire(freshWeb1,"refreshPage",{});
				//                mui.fire(freshWeb2,"addMyCardFinish",{});
				//                mui.fire(freshWeb3,"refreshPage",{});
				//                mui.fire(freshWeb4,"startPhoneStep",{});
				//                mui.fire(freshWeb5,"refreshMine",{});

				//                g_mui.openModule(g_module.index,{
				//                    render: 'always'
				//                });
				var webview = g_mui.createWebview(g_module.index.getUrl(), g_module.index.ID, {
					render: 'always'
				});
				plus.nativeUI.showWaiting(g_tools.WAIT_TIP, {
					loading: {
						display: 'inline'
					},
					modal: false
				});
				//定时判断加载情况，一旦首页加载成功，则自动跳转
				setInterval(function() {
					var w = plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html');
					if(w != null) {
						plus.nativeUI.closeWaiting();
						webview.show();
						//关闭模块相关的所有webview
						var array = plus.webview.all();
						if(array) {
							var checkModuleArr = g_module.getIndexSubPages();
							checkModuleArr.push(g_module.index);
							for(var i = 0, len = array.length; i < len; i++) {
								var id = array[i].id;
								var isNeedClose = true; //是否需要关闭
								for(var j = 0; j < checkModuleArr.length; j++) { //如果在这些模块中，则无需关闭
									var module = checkModuleArr[j];
									if(id.indexOf(module.ID) == 0) { //属于该模块
										isNeedClose = false;
										break;
									}
								}
								if(isNeedClose) {
									array[i].close('none');
								}
							}
						}
					}
				}, 500);

			}
		});
	} else {
		g_healthNative.getPermission(function(data) {
			hasSetTip.style.display = "" //显示
			gotoSetBtn.innerHTML = "确定";
			hasSet = true;
			var result = data[0];
			if(result == "该设备不支持HealthKit" || result == "获取权限失败") {
				g_mui.alert(result);
			}
		}, function(err) {});
	}
}