var NO_BIND_WEIXIN=0; //手机号未绑定过微信
var BINDED_WEIXIN=1;  //手机号已绑定过微信

var NO_REGISTER=0;		//已注册
var HAVED_REGISTER=1;	//未注册

//mui初始化
mui.init({
	beforeback: function(){
	    //修改状态栏背景
	    g_setStatusbarBg('headerbg_default');
		return true;
	}
});
mui.plusReady(function() {
	document.getElementById('nextCheck').addEventListener('tap', function(e) {
		var userName= document.getElementById("accountNumber").value;
		//先判断是否为空
		if(g_utils.isEmpty(userName)){
			g_mui.alert('手机号不能为空，请输入注册手机号');
			return;
		}
		if(!g_utils.validateMobile(userName)){
			g_mui.alert('手机号格式不正确，请输入正确的手机号');
			return;
		}
		checkPhoneBindWeiXin(userName);
	});
});


//检查手机号是否已被微信绑定
function checkPhoneBindWeiXin(phone){
	var sParameters = {};
	addParameter('phone', phone, sParameters);
	g_tools.postURL("checkPhoneBindWeiXin", sParameters, function(result) {
		Debugger.log("checkPhoneBindWeiXin->:"+JSON.stringify(result));
		if(result.code == 0) { //登录成功
			var _isBindWeiXin=result.data.isBindWeiXin;
			if(_isBindWeiXin==NO_BIND_WEIXIN){
				checkPhoneRegister(phone);
			}else if(_isBindWeiXin==BINDED_WEIXIN){
				g_mui.alert("该手机号已被其他微信号绑定，请输入一个未被绑定的手机号！");
			}
		} else {
			g_mui.alert(result.tip);
		}
	});
}

//检查输入的手机号是否已注册
function checkPhoneRegister(phone){
	var sParameters = {};
	addParameter('phone', phone, sParameters);
	Debugger.log("sParameters->:"+JSON.stringify(sParameters));
	g_tools.postURL("checkPhoneRegister", sParameters, function(result) {
		Debugger.log("checkPhoneRegister->:"+JSON.stringify(result));
		if(result.code == 0) { //登录成功
			var _isRegister=result.data.isRegister;
			if(_isRegister==NO_REGISTER){
				g_mui.openPage(g_module.login,'noRegister.html', {
					userName: phone
				});
			}else if(_isRegister==HAVED_REGISTER){
				g_mui.openPage(g_module.login,'haveRegister.html', {
					userName: phone
				});
			}
		} else {
			g_mui.alert(result.tip);
		}
	});
}



function addParameter(key, value, parameters) {
	parameters[key] = value;
}