//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var _userName = self.userName;
	document.getElementById('confirm').addEventListener('tap', function(e) {
		var passwordInput= document.getElementById("passwordInput").value;
		//先判断是否为空
		if(g_utils.isEmpty(passwordInput)) {
			g_mui.alert('密码不能为空，请输入密码');
			return;
		}
		checkUserPassword(_userName,passwordInput);
	});
});

function checkUserPassword(_userName,_password){
	var sParameters = {};
	addParameter('userName', _userName, sParameters);
	addParameter('password', g_tools.secondPassword(_password), sParameters);
	g_tools.postURL("checkUserPassword", sParameters, function(result) {
		Debugger.log(JSON.stringify(result));
		if(result.code == 0) { //验证成功
			var _userId=result.userId;
			if(!g_utils.isEmpty(_userId)){
				var info=g_storage.get(g_storage.WEIXIN_AUTH_USER_INFO);
				var weiXinUserInfo=JSON.parse(info);
				var _authInfo={};
				_authInfo["unionId"]=weiXinUserInfo.unionid;	
				_authInfo["weixinHeadImg"]=weiXinUserInfo.headimgurl;
				_authInfo["nickname"]=weiXinUserInfo.nickname;
				weiXinBindOldUser(_userId,_authInfo,_userName,_password);
			}else{
				g_mui.alert('登录密码输入错误！');
			}	
		} else {
			g_mui.alert(result.tip);
		}
	});
}

function weiXinBindOldUser(_userId,_authInfo,_userName,_password){
	var sParameters = {};
	addParameter('userId', _userId, sParameters);
	addParameter('authInfo', JSON.stringify(_authInfo), sParameters);
	Debugger.log("sParameters->:"+JSON.stringify(sParameters));
	g_tools.postURL("weiXinBindOldUser", sParameters, function(result) {
		Debugger.log("weiXinBindOldUser->:"+JSON.stringify(result));
		if(result.code == 0) { //绑定成功
			login(_userName,_password);
		} else {
			g_mui.alert(result.tip);
		}
	});
}

function login(_userName,_password) {
	var LOGIN_PLATFORM = 0;
	var lParameters = {};
	var ePassword;
	addParameter("userName", _userName, lParameters);

	g_tools.postURL('getSalt', lParameters, function(result) {
		Debugger.log("getSalt->:"+JSON.stringify(result));
		if(result.code == 0) {
			var salt = result.salt;
			ePassword = g_tools.encryptionPassword(_password, salt);
			var sParameters = {};
			addParameter('userName', _userName, sParameters);
			addParameter('password', ePassword, sParameters);
			addParameter('platform', LOGIN_PLATFORM, sParameters);
			g_tools.postURL("login", sParameters, function(result) {
				Debugger.log("login->:"+JSON.stringify(result));
				if(result.code == 0) { //登录成功
					g_tools.login(result.userId, _userName, _password);
				} else {
					g_mui.alert(result.tip);
				}
			});
		} else {
			g_mui.alert(result.tip);
		}
	});
}



function addParameter(key, value, parameters) {
	parameters[key] = value;
}