var _userName;
var identifyCode;

var countDownTip=document.getElementById("countDownTip");
var nextStep=document.getElementById('nextStep');
var resendMsgForgetPassword=document.getElementById('resendMsg_forgetPassword');
var MAX_COUNT=60;  //设置倒计时时长
var count=MAX_COUNT;

//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	_userName = self.userName;
	Debugger.log("userName->:"+_userName);
	document.getElementById("phoneDisplay").innerHTML = "短信验证码已发送到：" + _userName;
	getPhoneCode();
});

//下一步
nextStep.addEventListener('tap', function(e) {
	identifyCode = document.getElementById("identifyCode").value;
	Debugger.log("identifyCode->:"+identifyCode);
	//先判断是否为空
	if(g_utils.isEmpty(identifyCode)){
		g_mui.alert('短信验证码不能为空');
		return;
	}
	
	g_tools.postURL('weiXinIdentifyPhoneCode', {
		userName:_userName,
		code:identifyCode
	}, function(result) {
		Debugger.log("weiXinIdentifyPhoneCode->:"+JSON.stringify(result));
		if(result.code==0){
			g_mui.openPage(g_module.login,'improvePerson.html', {
					userName: _userName
				});
		}else{
			g_mui.alert(result.tip);
		}
	});
});



//重新发送短信
document.getElementById('resendMsg_forgetPassword').addEventListener('tap', function(e) {
	getPhoneCode();
});

function getPhoneCode(){
	var MODE = 0;
	g_tools.postURL("getPhoneCode",{
		phone: _userName,
		mode: MODE
	}, function(result) {
		Debugger.log("getPhoneCode->:"+JSON.stringify(result));
		if(result.code==0){
			countDown();
			g_mui.toast('短信验证码已重新发送');
		}else{
			g_mui.alert(result.tip);
			resendMsgForgetPassword.classList.remove('mui-hidden');
		}
		
	});
}

/**
 * 倒计时计算
 */
function countDown(){
	countDownTip.classList.remove('mui-hidden');
	resendMsgForgetPassword.classList.add('mui-hidden');
	count=MAX_COUNT;
	countDownTip.innerHTML=count+'秒后重新获取';
	
	var timer = window.setInterval(function(){
		countDownTip.innerHTML=(--count)+'秒后重新获取';
		if(count==0){
			window.clearInterval(timer);
			countDownTip.classList.add('mui-hidden');
			resendMsgForgetPassword.classList.remove('mui-hidden');
		}
	},1000);
}
