var _self, _groupInfo, _groupId;
var _loginUserInfo;
var _loginUser = g_tools.getUserId();
var USER_LIST = 0;
var DOCTOR_LIST = 1;
var groupImg = document.getElementById('group-img');
var groupName = document.getElementById('group-name');
var userListDom = document.getElementById('userList');
var doctorListDom = document.getElementById('doctorList');
var groupOut = document.getElementById("group-out");
var DISSOLUTION = 3;
var SIGN_OUT = 5;
var _operation = SIGN_OUT;
var isSignOut = false;
mui.init({
	beforeback: function(){
		if(!isSignOut){
			g_RIM.startGroupChat(_groupId, _groupInfo.groupName,"1", "message:messageList.html");
		}	
		return true;
	}
});
mui.plusReady(function() {
	init();
	getGroupChatInfo();
});

//初始化
function init() {
	_self = plus.webview.currentWebview();
	_groupId = _self.groupId;
	groupOut.addEventListener('tap', function() {
		g_mui.confirm("是否" + groupOut.innerHTML + "？", "温馨提示", ["确定", "取消"], function(res) {
			if(res.index == 0) {
				var paremter = {
					groupId: _groupId,
					operatorId: _loginUser,
					operation: _operation
				}
				paremter.userList = JSON.stringify([_loginUser])
				paremter.userNameList = JSON.stringify([getUserName(_loginUserInfo)])
				g_tools.postCMD('deleteGroupChatMember', paremter, function(res) {
					if(res.code == 0) {
						isSignOut = true;
						mui.fire(plus.webview.getWebviewById(g_module.message.ID + ':messageList.html'), 'delChatList', {
							chatId: _groupId
						});
						mui.back();
					}
				})
			}
		})
	});
	window.addEventListener('refreshPage', function(e) {
		getGroupChatInfo();
	});
}

//获取群信息
function getGroupChatInfo() {
	g_tools.postCMD('getGroupInfo', {
		groupId: _groupId
	}, function(res) {
		if(res.code == 0) {
			if(res.data.groupType == 1) {
				_groupInfo = res.data;
				var userList = _groupInfo.userList;
				var doctorList = _groupInfo.doctorList;
				setGourpImg(res.data.groupImg);
				setGroupName(res.data.groupName);
				setUserList();
				setDoctorList();
			}
		}
	});
}

//设置群头像
function setGourpImg(url) {
	if(g_utils.isEmpty(url)) {
		url = '../../global/img/message_icon_groupphoto.png'
	} else {
		url = g_tools.IP + url + '&tb=1&app=2'
	}
	groupImg.src = url
}

//设置群名字
function setGroupName(name) {
	groupName.innerHTML = name
}

//设置用户列表
function setUserList() {
	userListDom.innerHTML = '';
	var _userList = _groupInfo.userList;
	var fillNum = 5 - _userList.length % 5;
	if(_userList.length == 0) {
		userListDom.classList.add('mui-hidden');
		return
	} else {
		userListDom.classList.remove('mui-hidden');
	}
	for(var i = 0; i < _userList.length; i++) {
		var item = _userList[i];
		var url = item.headImg;
		if(item.id == _loginUser) {
			_loginUserInfo = item;
		}
		if(g_utils.isEmpty(url)) {
			url = '../../global/img/default_portrait_msg.png'
		} else {
			url = g_tools.IP + url + '&tb=1'
		}
		var name = getUserName(item);
		var div = document.createElement("div");
		div.className = 'user-box';
		div.innerHTML = '<img class="goup-icon" src="' + url + '" />' +
			'</br>' + name
		userListDom.appendChild(div)
	}
	if(fillNum != 0) {
		for(var j = 0; j < fillNum; j++) {
			var div = document.createElement("div");
			div.className = 'user-box';
			userListDom.appendChild(div)
		}
	}
}

//设置医生列表
function setDoctorList() {
	doctorListDom.innerHTML = '';
	var _doctorList = _groupInfo.doctorList;
	if(_doctorList.length == 0) {
		doctorListDom.classList.add('mui-hidden');
		return
	} else {
		doctorListDom.classList.remove('mui-hidden');
	}
	var fillNum = 5 - _doctorList.length % 5;
	for(var i = 0; i < _doctorList.length; i++) {
		var item = _doctorList[i];
		var url = item.headImg;
		if(item.id == _loginUser) {
			_loginUserInfo = item;
		}
		if(g_utils.isEmpty(url)) {
			url = '../../global/img/doctor_default_rec.png'
		} else {
			url = g_tools.IP + url + '&tb=1&app=2'
		}
		var name = getUserName(item);
		var div = document.createElement("div");
		div.className = 'user-box';
		div.innerHTML = '<img class="goup-icon" src="' + url + '" />' +
			'</br>' + name
		doctorListDom.appendChild(div)
	}
	if(fillNum != 0) {
		for(var j = 0; j < fillNum; j++) {
			var div = document.createElement("div");
			div.className = 'user-box';
			doctorListDom.appendChild(div)
		}
	}
}

//获取用户姓名
function getUserName(item) {
	var name = "";
	if(!g_utils.isEmpty(item.doctorNote)) {
		name = item.doctorNote;
	} else if(!g_utils.isEmpty(item.name)) {
		name = item.name;
	} else if(!g_utils.isEmpty(item.userName)) {
		name = item.userName
	}
	return name
}
