var _self;
var messageDataList = new Array();
var systemUnReadNum = 0;
var listItemProperty = new Array();
var listParent = document.getElementById('main');
var isFirst = true;
var isConnectRIM = false;
var netWorkButton = document.getElementById('no_netWork_button');
netWorkButton.addEventListener("tap", function() {
	linkRIM();
});
document.addEventListener("refreshPage", function(event) {
	isConnectRIM = event.detail.isLinkRIM;
	isFirst = true;
	if(isConnectRIM) {
		getChatList();
	} else {
		linkRIM();
	}
});
mui.plusReady(function() {
	_self = plus.webview.currentWebview();
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	mui.fire(plus.webview.getWebviewById('index'),"subPageReady",{});
	//linkRIM();
});

function getChatList() {
	g_RIM.getConversationList(
		function(data) {
			if(!g_utils.isEmptyArray(data)) {
				document.querySelector('.message-mask').classList.remove('mask-show');
				document.querySelector('.message-mask').classList.add('mask-close');
				document.querySelector('.no_netWork').classList.add("hide");
				messageDataList = data.sort(sortByTime);
				freshList();
			} else {
				document.querySelector('.message-mask').classList.remove('mask-close');
				document.querySelector('.message-mask').classList.add('mask-show');
				messageDataList = [];
				freshList();
				//空值界面
			}
		},
		function(err) {
			document.querySelector('.no_netWork').classList.remove("hide");
		}
	);
}
function linkSuccess(){
	getChatList();
}
function linkFail(){
	
}
function linkRIM() {
	g_RIM.linRIM();
}

function isEmptyObject(obj) {
	for(var key in obj) {
		return false;
	}
	return true;
}

//时间排序
function sortByTime(a, b) {
	if(a.latestTime > b.latestTime) {　　　　
		return -1;　　
	} else if(a.latestTime < b.latestTime) {　　　　
		return 1;　　
	} else {　　　　
		return 0;　　
	}
}

function freshList() {
	//清空列表
	while(listParent.hasChildNodes()) {
		listParent.removeChild(listParent.firstChild);
	}
	//各项信息为空
	listItemProperty = [];
	//系统未读消息数量为0
	systemUnReadNum = 0;
	if(messageDataList != null && messageDataList != undefined && messageDataList != "") {
		var length = messageDataList.length;
		for(var i = 0; i < length; i++) {
			var item = messageDataList[i];
			var operation = item.operation;
			var targetUserIds = "";
			if(item.targetUserIds) {
				targetUserIds = JSON.parse(item.targetUserIds);
			}
			if(operation == "Dismiss") {
				g_RIM.removeConversation(item.targetId, "group", function(success) {
					if(success.code == 0) {}
				}, function(err) {});
				continue;
			} else if(operation == "Quit" || operation == "Kicked") {
				if(targetUserIds.indexOf(g_tools.getUserId()) != -1) {
					g_RIM.removeConversation(item.targetId, "group", function(success) {
						if(success.code == 0) {}
					}, function(err) {});
					continue;
				}
			}
			addNewMsg(messageDataList[i], i);
		}
		isFirst = false;
		mui.fire(plus.webview.getWebviewById(g_module.index.ID), 'setUnReadMsgCnt', {
			unReadMsgCnt: systemUnReadNum
		});
	}
	if(plus.os.name == g_config.ANDROID) {
		g_RIM.setOnReceiveMessageListener(function(res) {}, function(err) {});
	} else {
		var iosNoticeClass = plus.ios.importClass("NSNotificationCenter");
		iosNoticeClass.defaultCenter().postNotificationNameobject("IM_LIST_COMPLETE", null);
	}
}

//function isPoneAvailable(str) {
//	var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
//	if(!myreg.test(str)) {
//		return false;
//	} else {
//		return true;
//	}
//}
//日期格式转换
Date.prototype.Format = function(fmt) {
	var o = {
		"M+": this.getMonth() + 1, //月份
		"d+": this.getDate(), //日
		"h+": this.getHours(), //小时
		"m+": this.getMinutes(), //分
		"s+": this.getSeconds(), //秒
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度
		"S": this.getMilliseconds() //毫秒
	};
	if(/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for(var k in o)
		if(new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
	return fmt;
}

function getDate(tm) {
	if(typeof tm == 'number') {
		var nowDate = new Date();
		var timeDate = new Date(tm);
		if(nowDate.getFullYear() == timeDate.getFullYear() && nowDate.getMonth() == timeDate.getMonth() && nowDate.getDate() == timeDate.getDate()) {
			//今天
			return timeDate.Format("hh:mm");
		} else if(nowDate.getFullYear() == timeDate.getFullYear()) {
			//今年
			return timeDate.Format("MM-dd hh:mm");
		} else {
			return timeDate.Format("yyyy-MM-dd hh:mm");
		}
	} else {
		return '';
	}
}


//刷新一个会话
document.addEventListener("refreshOneChat", function(event) {
	if(plus.os.name == g_config.IOS) {
		var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
		var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
		var chatListStr = plus.ios.invoke(standardUserDefaults, "objectForKey:", "currentChatList");
		if(!g_utils.isEmpty(chatListStr)) {
			var chatList = JSON.parse(chatListStr);
			for(var i = 0; i < chatList.length; i++) {
				var dict = chatList[i];
				newMsgTop(dict.chatId, dict.chatType);
			}
		}
	}
});

//删除聊天列表
document.addEventListener("delChatList", function(event) {
	var delChatId = event.detail.chatId;
	removeChat(delChatId);
});

//用于ios查看聊天用户详情
document.addEventListener("gotoUserDataDetail", function(event) {
	if(plus.os.name == g_config.IOS) {
		var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
		var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
		var careId = plus.ios.invoke(standardUserDefaults, "objectForKey:", "currentCareId");
		g_mui.openUserDataDetail({
			openerProperty: 2,
			userId: careId,
		});
	}
});

//用于ios接收群组退出相关事件
document.addEventListener("delConverstionEvent", function(event) {
	if(g_config.DEV_PLATFORM == g_config.IOS) {
		var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
		var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
		var groupId = plus.ios.invoke(standardUserDefaults, "objectForKey:", "delChatId");
		var msgDataStr = plus.ios.invoke(standardUserDefaults, "objectForKey:", "delMsgData");
		var msgOpt = plus.ios.invoke(standardUserDefaults, "objectForKey:", "delMsgOpt");

        if (msgOpt != 'Dismiss'){
            var msgData = JSON.parse(msgDataStr);
            if(g_utils.isEmpty(msgData.targetUserIds)) {
                var premter = {
                    'delIdList': '',
                    'targetId': groupId
                };
                delMemberList(premter);
            } else {
                var premter = {
                    'delIdList': JSON.parse(msgData.targetUserIds),
                    'targetId': groupId
                };
                delMemberList(premter);
            }
        }else {
            removeChat(groupId);
        }
	}
});

//用于ios接收医生群资料
document.addEventListener("gotoDoctorGroupInfo", function(event) {
	if(plus.os.name == g_config.IOS) {
		var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
		var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
		var groupInfoStr = plus.ios.invoke(standardUserDefaults, "objectForKey:", "currentDoctorGroupInfo");
		//alert(circleInfo);
		var groupInfo = JSON.parse(groupInfoStr);
		openInfo(groupInfo.groupId, 'group', groupInfo.groupTitle, '1');
	}
});

//Java原生调用，扩展用，不要删
function openInfo(theId, type1, title, isDoctorGroup) {
	if(type1 == 'group' && isDoctorGroup == "0") {
		var _circleId;
		g_tools.postCMD('getCircleInfoByGroupId', {
				groupId: theId
			},
			function(circle) {
				if(circle.code == 0) {
					var myCircle = circle.data;
					_circleId = myCircle.circleId;
					g_tools.postCMD("getCircleInfo", {
						circleId: _circleId
					}, function(res) {
						if(res.code == 0) {
							var extra = res.data;
							var url = g_formatPathToUrl('/moduleLocal/friendCircle/circleDetail.html');
							g_mui.openWindow({
								url: url,
								id: "friendCircle:circleDetail.html",
								show: {
									autoShow: true,
									aniShow: 'slide-in-right', 
									duration: 300
								},
								extras: {
									circleInfo: extra,
									openType: 1
								},
								waiting: {
									autoShow: true 	
								},
								styles: {
									scrollIndicator: 'none'
								}
							});
						}

					}, g_tools.MODE_WEB);

				}
			}, g_tools.MODE_WEB, {
				disableWait: false //显示wait框
			}
		);
	} else if(type1 == 'group' && isDoctorGroup == "1") {
		g_mui.openPage(g_module.message, "doctorGroup.html", {
			groupId: theId
		});
	} else {
		g_mui.openUserDataDetail({
			openerProperty: 2,
			userId: theId
		});
	}
}

//医护端发送邀请，调用js
function refreshHealth() {
	mui.fire(plus.webview.getWebviewById(g_module.healthManage.ID), 'refreshPage', {});
}

//Java原生调用，扩展用，不要删
function chatClose() {

}

//新消息置頂
function newMsgTop(chatId, chatType) {
	g_RIM.getConversation(chatId, chatType, function(data) {
		if(!isEmptyObject(data)) {
			document.querySelector('.no_netWork').classList.add("hide");
			document.querySelector('.message-mask').classList.remove('mask-show');
			document.querySelector('.message-mask').classList.add('mask-close');
			checkList(chatId, data);
		}
	}, function(err) {
		if(err == "err") {

		}
	});
}

//檢查聊天列表
function checkList(chatId, data) {
	var flag = -1;
	var operation = data.operation;
	var targetUserIds = ''
	if(data.targetUserIds){
		targetUserIds = JSON.parse(data.targetUserIds)
	}
	for(var i = 0; i < listItemProperty.length; i++) {
		if(listItemProperty[i].chatId == chatId) {
			flag = i;
		}
	}
	if(flag == -1) {
		messageDataList.push(data);
		addNewMsg(data, messageDataList.length - 1);
		mui.fire(plus.webview.getWebviewById(g_module.index.ID), 'setUnReadMsgCnt', {
			unReadMsgCnt: systemUnReadNum
		});
	} else {
		if(operation == "Dismiss") {
			removeChat(chatId)
		} else if(operation == "Kicked" || operation == "Quit") {
			var premter = {
				'delIdList': data.targetUserIds,
				'targetId': chatId
			};
			delMemberList(premter)
		} else {
			changItemPlace(flag, data);
		}
	}
}

//改變單個會話位置
function changItemPlace(oldPlace, data) {
	var dom = document.querySelector('[index="' + oldPlace + '"]');
	var oldMsg = messageDataList[oldPlace];
	var newLastMsg = data.latestText;
	var oldUnReadMsg = oldMsg.unReadMsgCnt;
	var newUnReadMsg = data.unReadMsgCnt;
	var oldTime = oldMsg.latestTime;
	var newTime = data.latestTime;
	if(oldTime != newTime) {
		listParent.removeChild(dom);
		listParent.insertBefore(dom, listParent.firstChild);
	}
	messageDataList[oldPlace].latestTime = newTime;
	messageDataList[oldPlace].latestText = newLastMsg;
	var lastTimeDom = dom.querySelector('[name="lastTime"]');
	lastTimeDom.innerHTML = getDate(newTime);
	var diff = newUnReadMsg - oldUnReadMsg;
	var unReadDom = dom.querySelector('[name="unReadMsg"]');
	if(newUnReadMsg == 0) {
		unReadDom.innerHTML = '';
		unReadDom.classList.add('hide');
	} else {
		unReadDom.classList.remove('hide');
		unReadDom.innerHTML = newUnReadMsg;
	}
	systemUnReadNum = systemUnReadNum + diff;
	messageDataList[oldPlace].unReadMsgCnt = newUnReadMsg;
	mui.fire(plus.webview.getWebviewById(g_module.index.ID), 'setUnReadMsgCnt', {
		unReadMsgCnt: systemUnReadNum
	});

	//刷新会话的名称、图标等信息
	if(!g_utils.isEmpty(data.targetId) && !g_utils.isEmpty(data.type)) {
		setOtherMsg(data.targetId, data.type, data.sendUserId, oldPlace, false);
	}
}

//設置其他用戶信息
function setOtherMsg(chatId, chatType, sendUserId, index, isAddItemListener) {
	var newLi = document.querySelector('[index="' + index + '"]');
	var newLastDom = newLi.querySelector('[name="lastMsg"]');
	if(chatId == 'admin') {
		var userInfoList = new Array();
		var userInfo = {
			'userId': chatId,
			'userName': '系统消息',
			'headImg': g_tools.IP_ADMIN_PHOTO
		}
		userInfoList.push(userInfo);
		g_RIM.refreshUserInfoCache(JSON.stringify(userInfoList));
		if(isAddItemListener) {
			itemAddListener(index);
		}
		newLastDom.innerHTML = messageDataList[index].latestText;
		return
	}
	if(chatType == "group") {
		g_tools.postCMD('getGroupInfo', {
			groupId: chatId
		}, function(res) {
			if(res.code == 0) {
				listItemProperty[index].chatId = chatId;
				var groupInfo = res.data;
				var newImgDom = newLi.querySelector('img');
				var newNameDom = newLi.querySelector('.itemName');
				var newImg = null;
				var newName = null;
				var sendMessageName = '';
				//健康群聊0，医生群聊1
				if(groupInfo.groupType == 0) {
					newLi.setAttribute("isDoctorGroup", "0");
					var userInfoList = [];
					var memberList = groupInfo.members;
					for(var i = 0; i < memberList.length; i++) {
						var memberImg = '';
						if(!g_utils.isEmpty(memberList[i].headImg)) {
							memberImg = g_tools.IP_FILE + memberList[i].headImg + "&tb=1";
						}
						var userInfo = {
							'userId': memberList[i].userId,
							'userName': g_tools.getDisplayName(memberList[i]),
							'headImg': memberImg
						}
						if(sendUserId == memberList[i].userId) {
							sendMessageName = g_tools.getDisplayName(memberList[i]);
						}
						userInfoList.push(userInfo);
					}
					if(sendUserId == g_tools.getUserId()) {
						sendMessageName = '';
					}
					g_RIM.refreshUserInfoCache(JSON.stringify(userInfoList));
					if(!g_utils.isEmpty(groupInfo.imgUrl)) {
						newImg = g_tools.IP + groupInfo.imgUrl + "&tb=1";
						newImgDom.setAttribute('data-src', newImg);
						newImgDom.onload();
						listItemProperty[index].chatImg = newImg;
					}
					if(!g_utils.isEmpty(groupInfo.name)) {
						newName = groupInfo.name;
						newNameDom.innerHTML = '<div class="font-7">' + newName + '</div>' + '<img class="circle" src="img/friend_icon_people.png"/>';
						listItemProperty[index].chatName = newName;
					}
					newLastDom.innerHTML = (sendMessageName ? sendMessageName + "：" : "") + messageDataList[index].latestText;
					itemAddListener(index);
				} else if(groupInfo.groupType == 1) {
					newLi.setAttribute("isDoctorGroup", "1");
					listItemProperty[index].chatId = chatId;
					var userInfoList = [];
					var userList = groupInfo.userList;
					var doctorList = groupInfo.doctorList;
					for(var i = 0; i < userList.length; i++) {
						var headImg = g_tools.CHAT_USER_DEFAULT;;
						if(!g_utils.isEmpty(userList[i].headImg)) {
							headImg = g_tools.IP + userList[i].headImg + "&tb=1";
						}
						if(sendUserId == userList[i].id) {
							sendMessageName = g_tools.getDisplayName(userList[i]);
						}
						var userInfo = {
							'userId': userList[i].id,
							'userName': g_tools.getDisplayName(userList[i]),
							'headImg': headImg
						}
						userInfoList.push(userInfo);
					}
					for(var j = 0; j < doctorList.length; j++) {
						var headImg = g_tools.CHAT_DOCTOR_DEFAULT;;
						if(!g_utils.isEmpty(doctorList[j].headImg)) {
							headImg = g_tools.IP + doctorList[j].headImg + "&tb=1&app=2";
						}
						if(sendUserId == doctorList[j].id) {
							sendMessageName = doctorList[j].name;
						}
						var userInfo = {
							'userId': doctorList[j].id,
							'userName': doctorList[j].name,
							'headImg': headImg
						}
						userInfoList.push(userInfo);
					}
					if(sendUserId == g_tools.getUserId()) {
						sendMessageName = '';
					}
					g_RIM.refreshUserInfoCache(JSON.stringify(userInfoList));
					newLastDom.innerHTML = (sendMessageName ? sendMessageName + "：" : "") + messageDataList[index].latestText;
					if(!g_utils.isEmpty(groupInfo.groupImg)) {
						newImg = g_tools.IP_FILE + groupInfo.groupImg + "&tb=1&app=2";
						newImgDom.setAttribute('data-src', newImg);
						newImgDom.onload();
						listItemProperty[index].chatImg = newImg;
					}
					if(!g_utils.isEmpty(groupInfo.groupName)) {
						newName = groupInfo.groupName;
						newNameDom.innerHTML = '<div class="font-7">' + newName +'</div>'+ '<img class="circle" src="img/friend_icon_people.png"/>';
						listItemProperty[index].chatName = newName;
					}
					if(isAddItemListener) {
						itemAddListener(index);
					}
				}

			}
		});

	} else if(chatType == "single") {
		var newImgDom = newLi.querySelector('img');
		var newNameDom = newLi.querySelector('.itemName');
		newLastDom.innerHTML = messageDataList[index].latestText;
		g_tools.postCMD('getPersonInfoByIdForChat', {
			personId: chatId
		}, function(result) {
			if(result.code == 0) {
				var personInfo = result.data;
				var personImg;
				var personName;
				var monitorPhone = '';
				var personType = 0;
				if(!g_utils.isEmpty(personInfo.headImg)) {
					if(personInfo.personType == 0) {
						personImg = g_tools.IP_FILE + personInfo.headImg + "&tb=1";
					} else {
						personImg = g_tools.IP_FILE + personInfo.headImg + "&tb=1&app=2";
					}
					personType = personInfo.personType;
				} else {
					if (personInfo.personType == 1) {
						personImg = g_tools.CHAT_DOCTOR_DEFAULT;
					} else {
						personImg = g_tools.CHAT_USER_DEFAULT;
					}
				}
				if(g_utils.isPoneAvailable(personInfo.monitorPhone)) {
					monitorPhone = personInfo.monitorPhone;
				}
				if(!g_utils.isEmpty(personInfo.nameNote)) {
					personName = personInfo.nameNote;
				} else if(!g_utils.isEmpty(personInfo.name)) {
					personName = personInfo.name;
				} else {
					personName = personInfo.userName;
				}
				newNameDom.innerHTML = '<div class="font-7">' + personName + '</div>' + (personType == 1 ? '<img class="circle1" src="img/doctor_icon.png"/>' : '');
				newLi.setAttribute('monitorPhone', monitorPhone);
				listItemProperty[index].chatName = personName;
				listItemProperty[index].chatImg = personImg;
				listItemProperty[index].personType = personType;
				newImgDom.setAttribute('data-src', personImg);
				newImgDom.onload();
				if(isAddItemListener) {
					itemAddListener(index);
				}
			}
		})
	}
}

//添加單條信息
function addNewMsg(data, index) {
	var li = document.createElement('li');
	li.className = 'mui-table-view-cell';
	var chatType = '';
	if(!g_utils.isEmpty(data.type)) {
		chatType = data.type;
	}
	li.setAttribute('chatType', chatType);
	li.setAttribute('index', index);
	var time = '';
	var name = '';
	var lastMessage = '';
	var unReadMessage = '<div class="mui-badge mui-badge-warning hide" name="unReadMsg"></div>';
	var userId = data.targetId;
	var defaultImg = "img/private-default.png";
	if(chatType == "group") {
		defaultImg = "img/group-default.png"
	}
	if(userId == 'admin') {
		name = "系统消息";
		defaultImg =  g_tools.IP_ADMIN_PHOTO;
	}
	var num = parseInt(data.unReadMsgCnt);
	if(num > 0) {
		systemUnReadNum = systemUnReadNum + num;
		unReadMessage = '<div class="mui-badge mui-badge-warning" name="unReadMsg">' + num + '</div>';
	}
	time = getDate(data.latestTime);
	lastMessage = data.latestText.replace("#NAME#", name);
	var parms = {
		chatId: userId,
		chatName: name,
		chatImg: defaultImg
	}
	listItemProperty[index] = parms;
	li.innerHTML = '<div class="photoIcon">' +
		'<img src="' + defaultImg + '" onload="load(this)" class="topphoto" />' +
		unReadMessage +
		'</div>' +
		'<div class="itemName">' + '<div class="font-7">' + name + '</div>' +
		'</div>' +
		'<div class="itemTime" name="lastTime">' + time +
		'</div>' +
		'<div class="itemMsg" name="lastMsg">' +
		'</div>'
	if(isFirst) {
		listParent.appendChild(li);
	} else {
		if(listParent.firstChild) {
			listParent.insertBefore(li, listParent.firstChild);
		} else {
			listParent.appendChild(li);
		}
	}
	setOtherMsg(userId, chatType, data.sendUserId, index, true)
}

function itemAddListener(index) {
	var dom = document.querySelector('[index="' + index + '"]');
	dom.addEventListener('tap', function() {
		var index = this.getAttribute('index');
		var chatTel = this.getAttribute('monitorPhone');
		var chatType = this.getAttribute('chatType');
		var isDoctorGroup = this.getAttribute('isDoctorGroup');
		var otherMsg = listItemProperty[index];
		var chatName = otherMsg.chatName;
		var chatId = otherMsg.chatId;
		var chatImg = otherMsg.chatImg;
		var userName = g_tools.getUserName();
		var userId = g_tools.getUserId();
		var myHeadImg = g_storage.get(g_storage.DEVICE_USER_HEAD_URL);
		if(chatType == "group") {
			g_RIM.startGroupChat(chatId, chatName, isDoctorGroup, _self.id);
		} else {
//			if(chatId == "admin") {
//				g_RIM.gotoConversationView(userName, userId, chatName, chatId, myHeadImg, g_tools.IP_ADMIN_PHOTO, "", _self.id, '' + otherMsg.personType, function(data) {}, function(err) {});
//			} else {
//				g_RIM.gotoConversationView(userName, userId, chatName, chatId, myHeadImg, chatImg, chatTel, _self.id, '' + otherMsg.personType, function(data) {}, function(err) {});
//			}
            g_RIM.startSingleChatByTargetId(chatId,_self.id,function(data) {}, function(err) {});
		}
	});
}

function pushMsg(msg) {
	var s = JSON.parse(msg);
	var chatType = s.contentType;
	var chatId = s.targetId;
	newMsgTop(chatId, chatType);
}

function refreshFriendCircle() {
	var firendCirclePage = plus.webview.getWebviewById("friendCircle:friendSubList.html");
	mui.fire(firendCirclePage, "refreshPage", {});
}

function removeChat(delId) {
	for(var i = 0; i < listItemProperty.length; i++) {
		if(!g_utils.isEmpty(listItemProperty[i].chatId)) {
			if(listItemProperty[i].chatId == delId) {
				var delDom = document.querySelector('[index="' + i + '"]');
				var unReadMsg = delDom.querySelector('[name="unReadMsg"]');
				var unReadMsgNum = 0;
				if(unReadMsg.innerHTML !== "") {
					unReadMsgNum = parseInt(unReadMsg.innerHTML);
				}
				systemUnReadNum = systemUnReadNum - unReadMsgNum;
				mui.fire(plus.webview.getWebviewById(g_module.index.ID), 'setUnReadMsgCnt', {
					unReadMsgCnt: systemUnReadNum
				});
				listItemProperty[i] = {
					chatId: '',
					chatImg: '',
					chatName: '',
					personType: ''
				}
				delDom.parentNode.removeChild(delDom);
				break;
			}
		}
	}
	var domList = document.querySelectorAll("[index]");
	if(domList.length == 0) {
		document.querySelector('.message-mask').classList.remove('mask-close');
		document.querySelector('.message-mask').classList.add('mask-show');
	}
	//删除融云本地会话
	g_RIM.removeConversation(delId, "group", function(success) {
		if(success.code == 0) {

		}
	}, function(err) {});
}

function delMemberList(delId) {
	var idString = delId;
	var idList = ""
	if(idString.delIdList){
		idList = JSON.parse(idString.delIdList)
	}
	var thisChatId = idString.targetId;

	//刷新圈列表
	mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':friendSubList.html'), 'circleListRefresh', {});
	//刷新圈排行
	mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':circleDetaiSub.html'), 'rankInfoRefresh', {});
	//刷新圈资料
	mui.fire(plus.webview.getWebviewById(g_module.friendCircle.ID + ':groupMessage'), 'refreshPage', {});
	for(var i = 0; i < idList.length; i++) {
		if(g_tools.getUserId() == idList[i]) {
			removeChat(thisChatId);
			break;
		}
	}

}

//原生调用发送消息添加积分
function missionUpdate() {
	g_tools.postCMD("missionUpdate", {
		code: "DM_005"
	}, function (result) {
		if(result.code == 0) {
			g_fire.updateAllMission();
		}
	});
}
