mui.init();
var map;
mui.plusReady(function() {
	g_Location.getCurrLocationInfo(function(location){
		if(location.code==0){
			alert(location.other);
		}
	});
	/*plus.geolocation.getCurrentPosition(function(p) {
		console.log(p.addresses);
		console.log(p.coords.longitude);
		console.log(p.coords.latitude);
		console.log(p.coordsType);
		alert(JSON.stringify(p.coords));
		var point = new BMap.Point(p.coords.longitude, p.coords.latitude);
		initMap(point);
	},handleError, {
		provider: 'baidu',
		coordsType: 'bd09ll',
		timeout: 5000
	});*/
});

function initMap(point) {
	map = new BMap.Map("allmap"); //创建地图  
	map.addControl(new BMap.NavigationControl());
	map.addControl(new BMap.ScaleControl());
	map.addControl(new BMap.OverviewMapControl());
	map.centerAndZoom(point, 15);
	map.addOverlay(new BMap.Marker(point));

}

function handleError(error) {
	for(prop in error){
		console.log("属性 " + prop + "为 " + error[prop]);
	}
	console.log('Gelocation Error: code - ' + error.code + '; message - ' + error.message);
	var result;
	switch(error.code) {
		case error.PERMISSION_DENIED:
			result = "请打开您的定位系统";
			break;
		case error.POSITION_UNAVAILABLE:
			result = "暂时获取不到您的地点信息，请手动选择城市";
			break;
		case error.TIMEOUT:
			result = "连接超时";
			break;
		case error.UNKNOWN_ERROR:
			result = "发生了未知错误";
			break;
	}
	console.log(result);
}
