//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var userInfo;

//dom 
var nickName = document.getElementById('nickName');
var headPhoto = document.getElementById('headPhoto');
var changeHeadImg = document.getElementById('changeHeadImg');
var myUserName = document.getElementById('myUserName');
var userId = ''; //登录用户的id
var userName = ''; //登录用户的用户名

/**
 * 初始化用户信息
 */
function initUserInfo() {
	myUserName.innerHTML = userName;
	getUserInfoByUserId();
}

//mui初始化
mui.init();
mui.plusReady(function() {
	userId = g_tools.getUserId();
	userName = g_tools.getUserName();
	changeHeadImg.classList.add(g_LOGIN_USER);
	mui.fire(plus.webview.getWebviewById('index'),"subPageReady",{});
	//initUserInfo();
	initPremission();
	initPhotoAsheet();
	initOpenNewWindows();
	//用于刷新我的页面
	// document.addEventListener('refreshMine', function(e) {
	// 	refresh();
	// }, false);
	document.addEventListener("refreshPage", function() {
		refresh();
	})
});

function refresh() {
	initUserInfo();
	// initOpenNewWindows();
}

function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}

function initPhotoAsheet() {
	//添加选取成功后的事件监听
	document.addEventListener(g_event.CROPPER, function(event) {
		if (event.detail.code == 0) {
			var path = event.detail.path;
			if (!g_utils.isEmpty(path)) {
				//上传照片
				uploadHeadImg(path);
			}
		}
	});

	/*点击头像触发*/
	headPhoto.addEventListener('tap', function() {
		if (mui.os.plus) {
			var buttons = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: buttons
			}, function(b) { /*actionSheet 按钮点击事件*/
				switch (b.index) {
					case 0:
						break;
					case 1:
						setPermission("3");
						/*拍照*/
						break;
					case 2:
						//startAlbum();
						setPermission("6");
						/*相册*/
						break;
					default:
						break;
				}
			})
		}
	}, false);
}

function initOpenNewWindows() {
	mui('#healthPoints').on('tap', 'a', function(e) {
		g_mui.openModule(g_module.healthPoints, {
			'nickname': userInfo.nickname,
			'headImg': userInfo.headImg
		});
	});
	mui('#myTarget').on('tap', 'a', function(e) {
		g_mui.openPage(g_module.mine, 'myTarget.html', {
			'userInfo': userInfo
		});
	});
	mui('#myHuoHuo').on('tap', 'a', function(e) {
		g_mui.openModule(g_module.myHuoHuo);
	});
	mui('#myService').on('tap', 'a', function(e) {
		g_mui.openModule(g_module.servicesPackageList);
	});
	mui('#careMe').on('tap', 'a', function(e) {
		g_mui.openModule(g_module.careMe);
	});
	//这版占时不用，下一版上
	//	mui('#healthReward').on('tap', 'a', function(e) {
	//      g_mui.openModule(g_module.healthReward,{
	//          'nickname':userInfo.nickname,
	//          'headImg':userInfo.headImg
	//      });
	//	});

	mui('#setting').on('tap', 'a', function(e) {
		g_mui.openModule(g_module.setting, {
			'userInfo': userInfo
		});
	});

	mui('#testStep').on('tap', 'a', function(e) {
		g_mui.openPage(g_module.mine, 'step.html');
	});

	mui('#testLocation').on('tap', 'a', function(e) {
		g_mui.openPage(g_module.mine, 'map.html');
	});
}

/**
 * 相机权限
 */
function setPermission(type) {
	if (plus.os.name == g_config.ANDROID) {
		plus.permissionUtil.setPermission(type, function(result) {
				if (result.ps) {
					if (type == "3") {
						startCapture();
					}
					if (type == "6") {
						startAlbum();
					}
				}
			},
			function(erro) {
				alert(erro);
			}
		);
	} else {
		if (type == "3") {
			startCapture();
		}
		if (type == "6") {
			startAlbum();
		}
	}
}
/**
 * 拍照
 */
function startCapture() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var path = entry.fullPath;
			g_mui.openCropper({
				imgSrc: path
			});
		}, function(e) {});
	}, function(e) {}, {
		filename: "_doc/camera/"
	});
}

/**
 * 从相册里选择
 */
function startAlbum() {
	plus.gallery.pick(function(path) {
		g_mui.openCropper({
			imgSrc: path
		});
	}, function(e) {}, {
		filter: "image"
	});
}

/*
 * 监听编辑昵称
 */
function initEditNickName() {
	eNickName.removeEventListener('tap', initPrompt, false);
	eNickName.addEventListener('tap', initPrompt, false);
}

function initPrompt() {
	var type = '';
	if (plus.os.name == 'Android') { //若果是android平台，则使用div模式的prompt，否则使用原生模式
		type = 'div';
	}
	console.log('tap')
	g_mui.prompt('请输入10个字以内', '请输入昵称', '设置昵称', ['取消', '确定'], function(e) {
		if (e.index == 1) {
			if (g_utils.isEmpty(e.value) || e.value.trim() == '') {
				g_mui.alert('修改失败，昵称不能为空');
				return;
			}

			if (e.value && e.value.length > 10) {
				g_mui.alert('输入昵称不能超过10个字');
				return;
			}
			modifyUserInfo('nickname', e.value);
		}
	}, type);
	if (!g_utils.isEmpty(userInfo) && !g_utils.isEmpty(userInfo.nickname)) {
		var popupInput = document.querySelector('.mui-popup-input input');
		if (popupInput != null) {
			popupInput.value = userInfo.nickname;
		}
	}
}

/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}

/*
 * 获取用户信息
 */
function getUserInfoByUserId() {
	var parameters = {};
	addParameter('userId', userId, parameters);
	g_tools.postCMD('getUserInfoByUserId', parameters, function(result) {
		if (result.code == 0) {
			var myProfile = result.data;
			userInfo = myProfile;
			if (!g_utils.isEmpty(myProfile.headImg)) {
				changeHeadImg.setAttribute('data-src', g_tools.IP_FILE + myProfile.headImg);
				load(changeHeadImg);
			}
			if (!g_utils.isEmpty(myProfile.nickname)) {
				nickName.innerHTML = myProfile.nickname;
			} else {
				myProfile.nickname = '';
			}

			initEditNickName();
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE);
}

/*
 * 更改用户信息
 * @param ｛String｝属性名
 * @param ｛｝属性值
 */
function modifyUserInfo(key, value) {
	var parameters = {};
	addParameter(key, value, parameters);
	g_tools.postCMD("modifyUserInfo", parameters, function(result) {
		getUserInfoByUserId();
	})
}

/*
 * 上传头像
 * @param {String}本地头像存储地址
 */

function uploadHeadImg(imgUrl) {
	lrz(imgUrl)
		.then(function(rst) {
			// 处理成功会执行
			var file = rst.file;
			//uploadImg
			g_tools.postBlobFile("uploadImg", file, function(res) {
				if (res.code == 0) {
					g_tools.postCMD("modifyUserInfo", {
						headImg: res.url
					}, function(result) {					
						if(result.code == 0) {
							mui.toast("上传成功");
							changeHeadImg.src = g_tools.IP_FILE + res.url + "&tb=1";
							mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html'), 'refreshPage');
							mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':myCareMap.html'), 'refreshPage');
							if (!g_utils.isEmpty(res.url)) {
								var userInfoList = new Array();
								var myUrl = g_tools.IP_FILE + res.url + "&tb=1";
								var userInfo = {
									'userId': userId,
									'userName': nickName.innerHTML,
									'headImg': myUrl
								}
								if (nickName.innerHTML == '编辑昵称') {
									userInfo = {
										'userId': userId,
										'headImg': myUrl
									}
								}
								userInfoList.push(userInfo);
								g_RIM.refreshUserInfoCache(JSON.stringify(userInfoList));
							}
						}else{
							if (!g_utils.isEmpty(loading)) loading.close();
							mui.toast("上传失败");
						}
					});
				} else {
					if (!g_utils.isEmpty(loading)) loading.close();
					mui.toast("上传失败");
				}
			});
			// g_tools.postBlobFile("modifyUserHeadImg", file, function(result) {
			// 	if (result.code == 0) {
			// 		mui.toast("上传成功");
			// 		changeHeadImg.src = g_tools.IP_FILE + result.url + "&tb=1";
			// 		mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html'), 'refreshPage');
			// 		mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':myCareMap.html'), 'refreshPage');
			// 		if (!g_utils.isEmpty(result.url)) {
			// 			var userInfoList = new Array();
			// 			var myUrl = g_tools.IP_FILE + result.url + "&tb=1";
			// 			var userInfo = {
			// 				'userId': userId,
			// 				'userName': nickName.innerHTML,
			// 				'headImg': myUrl
			// 			}
			// 			if (nickName.innerHTML == '编辑昵称') {
			// 				userInfo = {
			// 					'userId': userId,
			// 					'headImg': myUrl
			// 				}
			// 			}
			// 			userInfoList.push(userInfo);
			// 			g_RIM.refreshUserInfoCache(JSON.stringify(userInfoList));
			// 		}
			// 	} else {
			// 		if (!g_utils.isEmpty(loading)) loading.close();
			// 		mui.toast("上传失败");
			// 	}
			// });
		})
		.catch(function(err) {
			// 处理失败会执行
			isUpLoad = false;
		})
		.always(function() {
			// 不管是成功失败，都会执行
		});
}
