//图片网络地址url
var SERVER_IMG_ADDRESS = g_tools.IP_FILE;
var DEFAULT_HEAD_IMG = '../../global/img/default_head.png';

var index;
var tType = 0;
var theId;
var title;
//mui初始化
mui.init();
mui.plusReady(function() {
	mdata = {};
	mdata['myCare'] = {};
	mdata['packageList'] = [];

	//methods
	mMethods = {};
	mMethods["getMyCareImgUrl"] = getMyCareImgUrl;
	mMethods["getCareStatus"] = getCareStatus;
	mMethods["deleteMyCare"] = deleteMyCare;
	mMethods["onModifyNote"] = onModifyNote;

	new Vue({
		el: '#main',
		data: mdata,
		methods: mMethods,
		mounted: function() {
			//pulsReady
			mui.plusReady(function() {
				mui.init({
					beforeback: function() {
						if(tType == 1) {
							//android用  ios需要myCare里的内容填上
							//g_RIM.gotoConversationView("", "", title, theId, "", "", function(data) {}, function(err) {});
                            g_RIM.startSingleChatByTargetId(theId,'',function(data) {}, function(err) {});
							//mui.back();
						}
						//返回true，继续页面关闭逻辑
						return true;
					}
				});
			});
		},
	});

	//获取传入参数
	var self = plus.webview.currentWebview();
	mdata.myCare = JSON.parse(self.myCare);
	mdata.packageList = mdata.myCare.packages;
	index = self.index;
	tType = self.tType;
	theId = self.theId;
	title = self.title;

	g_mui.previewImageInit();

	//若是关爱用户，则直接显示备注、关爱状态等信息
	if(mdata.myCare.careId !== g_tools.getUserId()) {
		document.getElementById('note').classList.remove('mui-hidden');
		document.getElementById('careState').classList.remove('mui-hidden');
		document.getElementById('buttonDelete').classList.remove('mui-hidden');
		document.getElementById('title').innerHTML = '关爱资料';
	} else {
		document.getElementById('title').innerHTML = '我的资料';
	}
});

function getMyCareImgUrl(ImgUrl) {
	if(g_utils.isEmpty(ImgUrl)) {
		ImgUrl = DEFAULT_HEAD_IMG;
	} else {
		ImgUrl = SERVER_IMG_ADDRESS + ImgUrl+"&tb=1";
	}
	return ImgUrl;
}

function getCareStatus(isCareEachOther) {
	if(isCareEachOther) {
		return '相互关爱';
	} else {
		return '我已关爱对方';
	}
}

/**
 * 更新服务包内容
 * @param {Object} domId
 */
function reloadPackages(domId) {
	var packagesDom = document.getElementById(domId);
	var packagesList = new Array();
	packagesList = myCare.packages;
	var i;
	var domContent = '';
	for(i in packagesList) {
		domContent += '<p class="align-right">' + packagesList[i].note + '</p>'
	}
	packagesDom.innerHTML = domContent;
	//  alert(packagesList[0].code);
}

/*
 * 监听编辑昵称
 */
function editNickName() {
	var type='';
	if(plus.os.name == 'Android') { //若果是android平台，则使用div模式的prompt，否则使用原生模式
		type='div';
	}
	
	g_mui.prompt('请输入5个字符以内', myCare.note, '设置备注关系', ['取消', '确定'], function(e) {
		if(e.index == 1) {
			var noteNameDom = document.getElementById(NOTE_NAME_DOM_ID);
			noteNameDom.innerHTML = e.value + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
			myCare.note = e.value;

			setTimeout("modifyMyCare()", 500);
		} else {

		}
		//关闭输入法
		document.activeElement.blur();
	},type);
}

function onModifyNote() {
	g_mui.openPage(g_module.myCareList, 'editMyCareNote.html', {
		myCare: mdata.myCare,
		index: index
	});
}

function deleteMyCare() {
	g_mui.confirm('删除后，您将无法查看到对方的资料和数据，确定要删除吗？', '删除关爱', ['取消', '确定'], function(e) {
		if(e.index == 1) {			
			g_tools.postCMD('deleteMyCare', {
				id: mdata.myCare.id
			}, function(data) {
				if(data.code == 0) {
					//刷新关爱列表
					mui.fire(plus.webview.getWebviewById(g_module.myCareList.ID + ':pullrefresh_sub.html'), 'refreshPage');
					g_mui.toast('删除成功');
					mui.back();
				} else {
					g_mui.toast(data.tip);
				}
			})
		}
	});
}

document.addEventListener('reloadNoteName', function(event) {
	//获得修改备注名事件参数
	//alert('note:'+event.detail.note) ;
	mdata.myCare.note = event.detail.note;
});
