var stage = document.getElementById('stage');
var tip = document.getElementById('tip');
var title = document.getElementById('title');
var content = document.getElementById('content');
var healthyHabitTemplateId = null;
var missionId = null;
var missionIdArr = '';
var tempNum = 0;
var isComplete = 0;
//滑块滑动结束方法
function g_slider_end() {
	missionUpdate();
}

mui.plusReady(function() {
	init();
});

function init() {
	_self = plus.webview.currentWebview();
	if(!g_utils.isEmpty(_self.missionIdArr)) {
		missionIdArr = _self.missionIdArr;
	}
	healthyHabitTemplateId = _self.healthyHabitTemplateId;
	missionId = _self.missionId;
	healthyHabitTemplateInit();
	isComplete = _self.isComplete;
	if(isComplete == 1) {
		var stage1Dom = document.getElementById('stage1');
		tip.classList.remove('hidden');
		stage1Dom.classList.add('hidden');
		stage.classList.add('hidden');
	} else {
		var stage1Dom = document.getElementById('stage1');
		stage1Dom.classList.remove('hidden');
	}
	mui.sliderPlugin({
		isComplete: isComplete
	}, function() {

	}, function() {

	}, function() {
		g_slider_end();
	})
}

function healthyHabitTemplateInit() {
	g_tools.postCMD('getHealthyHabitTemplateById', {
		id: healthyHabitTemplateId
	}, function(res) {
		if(res.code == 0) {
			title.innerHTML = res.data.name;
			content.innerHTML = res.data.content;

			var strNum = res.data.content.length;
			var preTime = Math.ceil(strNum / 5);
			tempNum = preTime;

			preTimeStatus();

		}
	});
}

function preTimeStatus() {
	if(isComplete == 1) {
		return
	}
	if(tempNum >= 1) {
		var preTimeDom = document.getElementById('preTime');
		preTimeDom.innerHTML = '需阅读' + tempNum + '秒';
		tempNum--;
		setTimeout(preTimeStatus, 1000);
	} else {
		var stage1Dom = document.getElementById('stage1');
		stage1Dom.classList.add('hidden');
		stage.classList.remove('hidden');
	}
}

function missionUpdate() {
	g_tools.postCMD('missionUpdate', {
		id: missionId,
		code: 'PM_004'
	}, function(res) {
		if(res.code == 0) {
			stage.classList.add('hidden');
			tip.classList.remove('hidden');
			g_fire.updateAllMission({
				missionIdArr: missionIdArr
			});
			g_fire.showToast({
				missionIdArr: missionIdArr
			});
		}
	});
}