var _btnDom = document.getElementById('bottomBtn');
var _rewardNumDom = document.getElementById('rewardNum');

var _missionData;
var _isComplete = 0;
var _missionIdArr = '';
var _missionId = '';

var _breakfastDietImgUrl = new Array();
var _lunchDietImgUrl = new Array();
var _supperDietImgUrl = new Array();
var _snackDietImgUrl = new Array();


mui.plusReady(function() {
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
    
    mui.initPhotoSwiper({},function(e){})
              
	getParamAndInitDom();
    initBtn();
              
    initUpdateIconEvent();
    initUpdateIconStatus();
              
    document.addEventListener('reGetData', function(e) {
        reGetData();
    });
});

function getParamAndInitDom() {
    _self = plus.webview.currentWebview();
    if(!g_utils.isEmpty(_self.missionData)) {
        _missionData = JSON.parse(_self.missionData);
        //alert(JSON.stringify(_missionData));
    }
    if(!g_utils.isEmpty(_self.isComplete)) {
        _isComplete = _self.isComplete;
        if (_isComplete == 1){
            var completeIconDom = document.getElementById('completeIcon');
            completeIconDom.classList.add('img-loaded');
            completeIconDom.classList.remove('mui-hidden');
            _btnDom.classList.add('mui-hidden');
        }
    }
    if(!g_utils.isEmpty(_self.missionIdArr)) {
        _missionIdArr = _self.missionIdArr;
    }
    if(!g_utils.isEmpty(_self.missionId)) {
        _missionId = _self.missionId;
    }
    
    var parametersData = _missionData.parametersData;
    initDomForType(parametersData.type_0,0);
    initDomForType(parametersData.type_1,1);
    initDomForType(parametersData.type_2,2);
    initDomForType(parametersData.type_3,3);
    
    var limitPoints = _missionData.limitPoints;
    _rewardNumDom.innerHTML = limitPoints + '积分';

    if (!g_utils.isEmpty(parametersData.type_0)){
        if (!g_utils.isEmpty(parametersData.type_0.dietImgArr)){
            _breakfastDietImgUrl = parametersData.type_0.dietImgArr;
        }
    }
    if (!g_utils.isEmpty(parametersData.type_1)){
        if (!g_utils.isEmpty(parametersData.type_1.dietImgArr)){
           _lunchDietImgUrl = parametersData.type_1.dietImgArr;
        }
    }
    if (!g_utils.isEmpty(parametersData.type_2)){
        if (!g_utils.isEmpty(parametersData.type_2.dietImgArr)){
           _supperDietImgUrl = parametersData.type_2.dietImgArr;
        }
    }
    if (!g_utils.isEmpty(parametersData.type_3)){
        if (!g_utils.isEmpty(parametersData.type_3.dietImgArr)){
           _snackDietImgUrl = parametersData.type_3.dietImgArr;
        }
    }
}

function initDomForType(item,type){
    
    var domListName = '';
    var domtipsName = '';
    if (type == 0){
        domListName = 'breakfastContentList';
        domtipsName = 'breakfastTipContent';
    }else if (type == 1){
        domListName = 'lunchContentList';
        domtipsName = 'lunchTipContent';
    }else if (type == 2){
        domListName = 'supperContentList';
        domtipsName = 'supperTipContent';
    }else if (type == 3){
        domListName = 'snackContentList';
        domtipsName = 'snackTipContent';
    }
    
    
    if (!g_utils.isEmpty(item)){
        
        var menuArr = item.menuArr;
        var menuArrDom = document.getElementById(domListName);
        if (!g_utils.isEmpty(item.tips)){  //tips存在
            var htmlCode = '';
            for (var i = 0; i< menuArr.length; i++){
                htmlCode += '<div class="content-text border-bottom">' + menuArr[i].menuName + '：' + menuArr[i].menuIntro + '</div>';
            }
            menuArrDom.innerHTML = htmlCode;
            
            var tipsDom = document.getElementById(domtipsName);
            var tipsStr = item.tips.replace(/\n/g,'<br>')
            tipsDom.innerHTML = '<div class="tip-title">小贴士:</div><div>' + tipsStr + '</div>'
        }else{
            var htmlCode = '';
            for (var i = 0; i< menuArr.length; i++){
                if (i != menuArr.length -1){
                    htmlCode += '<div class="content-text border-bottom">' + menuArr[i].menuName + '：' + menuArr[i].menuIntro + '</div>';
                }else{
                    htmlCode += '<div class="content-text">' + menuArr[i].menuName + '：' + menuArr[i].menuIntro + '</div>';
                }
            }
            menuArrDom.innerHTML = htmlCode;
        }

    }else{  //隐藏整个部分
        var menuArrDom = document.getElementById(domListName);
        menuArrDom.parentNode.parentNode.classList.add('mui-hidden');
    }
}

function initBtn(){
	_btnDom.addEventListener('tap', function() {
//		mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
//		_btnDom.classList.add('mui-hidden');
//
//		var completeIconDom = document.getElementById('completeIcon');
//        completeIconDom.classList.remove('mui-hidden');
//        setTimeout(function () {
//            completeIconDom.classList.add('img-loaded');
//        }, 300);
      //  g_mui.openPage(g_module.addHealthData,'../../../addHealthData/dietRecords.html',{missionIdArr:_missionIdArr});
        g_mui.openPage(g_module.addHealthData,'../../../addHealthData/addMeal.html',{});
	});
}


function reGetData(){
    g_tools.postCMD('getCurrentMissionInfo',{
        idArr:_missionIdArr
    },function(result) {
        _inPost = false;
        if(result.code == 0) {
        //刷新计划任务数据
            var planMissionList = result.data;
            for (var i = 0;i < planMissionList.length;i++){
                if (_missionId == planMissionList[i].id){
                    _isComplete = planMissionList[i].isComplete;
                    //alert(JSON.stringify(planMissionList[i]));
                    //跟新每餐上传信息
                    var parametersData = planMissionList[i].parametersData;
                    if (!g_utils.isEmpty(parametersData.type_0)){
                        if (!g_utils.isEmpty(parametersData.type_0.dietImgArr)){
                            _breakfastDietImgUrl = parametersData.type_0.dietImgArr;
                        }
                    }
                    if (!g_utils.isEmpty(parametersData.type_1)){
                        if (!g_utils.isEmpty(parametersData.type_1.dietImgArr)){
                           _lunchDietImgUrl = parametersData.type_1.dietImgArr;
                        }
                    }
                    if (!g_utils.isEmpty(parametersData.type_2)){
                        if (!g_utils.isEmpty(parametersData.type_2.dietImgArr)){
                           _supperDietImgUrl = parametersData.type_2.dietImgArr;
                        }
                    }
                    if (!g_utils.isEmpty(parametersData.type_3)){
                        if (!g_utils.isEmpty(parametersData.type_3.dietImgArr)){
                           _snackDietImgUrl = parametersData.type_3.dietImgArr;
                        }
                    }

                    initUpdateIconStatus();
                    
                    if (planMissionList[i].isComplete == 1){
                        mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);

                        _btnDom.classList.add('mui-hidden');
                                
                        var completeIconDom = document.getElementById('completeIcon');
                        completeIconDom.classList.remove('mui-hidden');
                        setTimeout(function () {
                            completeIconDom.classList.add('img-loaded');
                        }, 300);
                    }else{
                       
                    }
                }
            }
        }
    }, g_tools.MODE_WEB, {
        disableWait: true //禁止显示wait框
    });
}

function initUpdateIconEvent(){
    var breakfastUpdateIconDom = document.getElementById('breakfastUpdateIcon');
    breakfastUpdateIconDom.addEventListener('tap', function() {
        var picList = new Array();
        for (var i=0 ; i<_breakfastDietImgUrl.length ; i++){
            var item = {src:g_tools.IP_FILE + _breakfastDietImgUrl[i].dietImgUrl,description:_breakfastDietImgUrl[i].macthContent};
            picList.push(item);
        }

        var photoSwiper =  mui.initPhotoSwiper({},function(e){})
        console.log(JSON.stringify(picList))
		photoSwiper.open({
            imgDataList: picList,
            option: {},
            index: 0,
            group: 0
        })
    });
    
    var lunchUpdateIconDom = document.getElementById('lunchUpdateIcon');
    lunchUpdateIconDom.addEventListener('tap', function() {
        var picList = new Array();
        for (var i=0 ; i<_lunchDietImgUrl.length ; i++){
            var item = {src:g_tools.IP_FILE + _lunchDietImgUrl[i].dietImgUrl,description:_lunchDietImgUrl[i].macthContent};
            picList.push(item);
        }

        var photoSwiper =  mui.initPhotoSwiper({},function(e){})
        photoSwiper.open({
            imgDataList: picList,
            option: {},
            index: 0,
            group: 0
        })
    });
    
    var supperUpdateIconDom = document.getElementById('supperUpdateIcon');
    supperUpdateIconDom.addEventListener('tap', function() {
        var picList = new Array();
        for (var i=0 ; i<_supperDietImgUrl.length ; i++){
            var item = {src:g_tools.IP_FILE + _supperDietImgUrl[i].dietImgUrl,description:_supperDietImgUrl[i].macthContent};
            picList.push(item);
        }

        var photoSwiper =  mui.initPhotoSwiper({},function(e){})
        photoSwiper.open({
            imgDataList: picList,
            option: {},
            index: 0,
            group: 0
        })
    });
    
    var snackUpdateIconDom = document.getElementById('snackUpdateIcon');
    snackUpdateIconDom.addEventListener('tap', function() {
        var picList = new Array();
        for (var i=0 ; i<_snackDietImgUrl.length ; i++){
            var item = {src:g_tools.IP_FILE + _snackDietImgUrl[i].dietImgUrl,description:_snackDietImgUrl[i].macthContent};
            picList.push(item);
        }

        var photoSwiper =  mui.initPhotoSwiper({},function(e){})
        photoSwiper.open({
            imgDataList: picList,
            option: {},
            index: 0,
            group: 0
        })
    });
}

function initUpdateIconStatus(){
    var breakfastUpdateIconDom = document.getElementById('breakfastUpdateIcon');
    if (_breakfastDietImgUrl.length > 0){
        breakfastUpdateIconDom.classList.remove('mui-hidden')
    }
    
    var lunchUpdateIconDom = document.getElementById('lunchUpdateIcon');
    if (_lunchDietImgUrl.length > 0){
        lunchUpdateIconDom.classList.remove('mui-hidden')
    }
    
    var supperUpdateIconDom = document.getElementById('supperUpdateIcon');
    if (_supperDietImgUrl.length > 0){
        supperUpdateIconDom.classList.remove('mui-hidden')
    }
    
    var snackUpdateIconDom = document.getElementById('snackUpdateIcon');
    if (_snackDietImgUrl.length > 0){
        snackUpdateIconDom.classList.remove('mui-hidden')
    }
}
