/*mui初始化*/
mui.init();
/*-地图和卡片的webview全局变量-*/
var _mission, _map, _card, _self, missionstyle, cardstyle, mapstyle;
var previousTitle = ''; //上一个选中的页面关键字
/** * 初始化关爱首页bar的item */ //当前激活选项var topBtnArr = document.getElementsByClassName("top-btn");
var header = document.getElementsByTagName('header')[0];
var title0NodeList = document.getElementsByClassName('title0');
var titleLine = document.getElementById('titleLine');
var titleMission = document.getElementById('titleMission');
var titleCard = document.getElementById('titleCard');

/*plusReady*/
mui.plusReady(function() {
	init();
	initTitle();
});

function init() {
	/*-根据存储判断开始画面-*/
	var defaultItem = g_storage.get(g_storage.DEVICE_DEFAULT_TITLE_ITEM);
	if (defaultItem == null || defaultItem == undefined || defaultItem == "titleMap") defaultItem = 'titleMission';
	previousTitle = defaultItem;
	if (defaultItem == 'titleMission') {
		missionstyle = {
			left: '0%',
			width: '100%',
			top: '45px',
			bottom: '0'
		}
		cardstyle = {
			left: '100%',
			width: '100%',
			top: '45px',
			bottom: '0'
		}
		mapstyle = {
			left: '200%',
			width: '100%',
			top: '45px'
		}
	} else if (defaultItem == 'titleCard') {
		missionstyle = {
			left: '-100%',
			width: '100%',
			top: '45px',
			bottom: '0'
		}
		cardstyle = {
			left: '0%',
			width: '100%',
			top: '45px',
			bottom: '0'
		}
		mapstyle = {
			left: '100%',
			width: '100%',
			top: '45px'
		}
	}

	_self = plus.webview.currentWebview();
	_card = g_mui.createWebview('pullrefresh_sub.html', g_module.myCareList.ID + ':pullrefresh_sub.html', cardstyle);

	_mission = g_mui.createWebview('myMission.html', g_module.myCareList.ID + ':myMission.html', missionstyle);
	_self.append(_mission);
	_self.append(_card);
	document.getElementById('addMyCare').addEventListener('tap', function() {
		mui.fire(_mission, 'openAddFloat', {});
		mui.fire(_card, 'openAddFloat', {});
	});
	document.addEventListener("refreshPage", function() {
		refreshSubPage();
	})
	mui.fire(_self.opener(),"subPageReady",{});
}

function refreshSubPage(){
	if (titleMission.classList.contains('chosen')) {
		mui.fire(_mission, 'updateAllMission', {});
	} else if (titleCard.classList.contains('chosen')) {
		mui.fire(_card, 'refreshPage', {});
	}
}
/*-页面切换-*/
/*-地图页动画，地图右滑，卡片跟随-*/
function missionAnimation() {
	if (previousTitle == 'titleCard') {
		plus.webview.startAnimation({
				view: _mission,
				styles: {
					fromLeft: '-100%',
					toLeft: '0%'
				}
			}, {
				view: _card,
				styles: {
					fromLeft: '0%',
					toLeft: '100%'
				}
			},
			function(e) {});
	}

}

/*-页面切换-*/
/*-地图页动画，地图右滑，卡片跟随-*/
function cardAnimation() {
	if (previousTitle == 'titleMission') {
		plus.webview.startAnimation({
				view: _mission,
				styles: {
					fromLeft: '0%',
					toLeft: '-100%'
				}
			}, {
				view: _card,
				styles: {
					fromLeft: '100%',
					toLeft: '0%'
				}
			},
			function(e) {});
	}
}




//var titleMap = document.getElementById('titleMap');
var titleMissionHandler = function() {
	if (!titleMission.classList.contains('chosen')) { //未选中时，才执行
		//改变样式
		titleMission.classList.add('chosen');
		titleCard.classList.remove('chosen');
		//	titleMap.classList.remove('chosen');

		//线的动画
		clearCssAnimationClass();
		titleLine.classList.add('titleLineMissionLocation');
		if (previousTitle == 'titleCard') {
			titleLine.classList.add('titleLineAnimationCard2Mission');
		}

		//存储当前的item，以便于下次启动时自动调用对应的item界面
		g_storage.set(g_storage.DEVICE_DEFAULT_TITLE_ITEM, titleMission.id);

		//切换卡片视图
		//切换myCareList卡片视图
		missionAnimation();
		previousTitle = titleMission.id;

		mui.fire(_mission, 'closeAddFloat', {});
		mui.fire(_card, 'closeAddFloat', {});
	}
	refreshSubPage();
};

var titleCardHandler = function() {
	if (!titleCard.classList.contains('chosen')) { //未选中时，才执行
		//改变样式
		titleMission.classList.remove('chosen');
		titleCard.classList.add('chosen');
		//	titleMap.classList.remove('chosen');

		//线的动画
		clearCssAnimationClass();
		titleLine.classList.add('titleLineCardLocation');
		if (previousTitle == 'titleMission') {
			titleLine.classList.add('titleLineAnimationMission2Card');
		}


		//存储当前的item，以便于下次启动时自动调用对应的item界面
		g_storage.set(g_storage.DEVICE_DEFAULT_TITLE_ITEM, titleCard.id);

		//切换卡片视图
		//切换myCareList卡片视图
		cardAnimation();
		previousTitle = titleCard.id;

		mui.fire(_mission, 'closeAddFloat', {});
		mui.fire(_card, 'closeAddFloat', {});
	}
	refreshSubPage();
};


function initTitle() {
	//初始化item的默认选择状态
	var defaultItem = g_storage.get(g_storage.DEVICE_DEFAULT_TITLE_ITEM);
	if (defaultItem == null) defaultItem = 'titleMission'; //默认选中第一个
	if (defaultItem == 'titleMission') {
		titleLine.classList.add('titleLineMissionLocation');
		titleMission.classList.add('chosen');
		titleCard.classList.remove('chosen');
		//	titleMap.classList.remove('chosen');
	} else if (defaultItem == 'titleCard') {
		titleLine.classList.add('titleLineCardLocation');
		titleMission.classList.remove('chosen');
		titleCard.classList.add('chosen');
		//	titleMap.classList.remove('chosen');
	} 
	//定义关爱首页item的点击切换效果
	titleMission.addEventListener('tap', titleMissionHandler);
	titleCard.addEventListener('tap', titleCardHandler);
	//	titleMap.addEventListener('tap',titleMapHandler );

	//定义全局响应方法
	document.addEventListener("changeCard", function(e) {
		var title = e.detail.title;
		if (title == 'titleMission') {
			titleMissionHandler();
		} else if (title == 'titleCard') {
			titleCardHandler();
		}
	});
}

//清空所有CSS动画
function clearCssAnimationClass() {
	titleLine.classList.remove('titleLineMissionLocation');
	titleLine.classList.remove('titleLineCardLocation');
	titleLine.classList.remove('titleLineAnimationMission2Card');
	titleLine.classList.remove('titleLineAnimationCard2Mission');
}
