var planMission = document.getElementById('planMission');
var planMissionList = document.getElementById('planMissionList');
var dailyMission = document.getElementById('dailyMission');
var dailyMissionList = document.getElementById('dailyMissionList');
var helloTip = document.getElementById('helloTip');
var helloTip2 = document.getElementById('helloTip2');
var todayMissionProcessDone = document.getElementById('todayMissionProcessDone');
var todayMissionProcessDoneTipContainer = document.getElementById('todayMissionProcessDoneTipContainer');
var userPoits = document.getElementById('userPoits');
//var todayMissionProcessDoneTip = document.getElementById('todayMissionProcessDoneTip');

var _planMissionData = [];
var _dailyMissionData = [];

var _keySort = ["PM_001", "PM_002", "PM_010", "PM_011", "PM_005", "PM_003", "PM_006", "PM_007", "PM_004", "PM_008", "PM_009"];

mui.init({
    pullRefresh: {
        container: '#pullrefresh',
        down: {
            //下拉成功回调函数
            callback: pulldownRefresh
        }
    }
});

mui.plusReady(function() {
	
	//init();
	//getFun();
    //定义全局调用接口
    //全局监听：刷新所有任务进度
    document.addEventListener('updateAllMission', function(e) {
        init();
    });
    //调用代码：g_fire.updateAllMission();
});

function getFun() {
	g_tools.postCMD('getCurrentMissionByUserId', {
		testDate:'2019-06-15',
	}, function(res) {
		console.log("----------------------")
		var s = res.data.planMissionList;
		for(var i = 0; i < s.length; i++) {
			console.log(JSON.stringify(s[i]))
		}
		console.log("----------------------")
	});
//	g_tools.postCMD('getCurrentMissionByUserId', {
//	}, function(res) {
//		console.log("-----------today-----------")
//		var s = res.data.planMissionList;
//		for(var i = 0; i < s.length; i++) {
//			console.log(JSON.stringify(s[i]))
//		}
//		console.log("----------today------------")
//	});
}
//下拉回调函数
function pulldownRefresh() {
	init();
}

function init() {
	g_tools.postCMD('checkDailyMission', {}, function(res) {
		//获取我的今日所有任务
		g_tools.postCMD('getCurrentMissionByUserId', {},
			
			function(result) {
				setTimeout(function() {
					//结束下拉刷新
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				}, 500);

				if(result.code == 0) {
					//刷新计划任务数据
                    var tempArray = [];
                    tempArray = result.data.planMissionList;
                    tempArray = removeManyDayComplete(tempArray);
                    tempArray = addSortTag(tempArray);
                    tempArray = g_utils.jsonSort(tempArray,'sortTag',false);
                        //alert(JSON.stringify(tempArray));
					initPlanMissionData(tempArray);
                        
                    var name = g_tools.getUserName();
                    if (!g_utils.isEmpty(result.data.name)){
                        name = result.data.name;
                    }
                    if (!g_utils.isEmpty(result.data.nickname)){
                        name = result.data.nickname;
                    }
                        
					//刷新每日任务数据
                    var tempArray1 = [];
                    if (tempArray.length == 0){  //计划任务为空时才显示每日任务
                        tempArray1 = result.data.dailyMissionList;
                        //刷新今日任务进度
                        initTodayMissionProcess(tempArray1,name);
                    }else{
                        //刷新今日任务进度
                        initTodayMissionProcess(tempArray,name);
                    }
                    initDailyMissionData(tempArray1);
				}
			}, g_tools.MODE_WEB_LOCAL_CACHE, {
				disableWait: true //禁止显示wait框
        });
	});
}

//刷新今日任务进度
function initTodayMissionProcess(data,name) {
    //alert(JSON.stringify(data));
    //统计完成任务数量
    var tempArray = [];
//    tempArray = data.planMissionList;
    tempArray = data;
    var completeNum = 0;
    if (tempArray.length > 0){
        for (var i=0;i<tempArray.length;i++){
            if (tempArray[i].isComplete == 1){
                completeNum++;
            }
        }
    }
//    else{
//        tempArray = data.dailyMissionList;
//        for (var i=0;i<tempArray.length;i++){
//            if (tempArray[i].isComplete == 1){
//                completeNum++;
//            }
//        }
//    }
	//展示提示语
	var helloTipStr = '你好，' + name + '！';
	var helloTip2Str = '';
//	if(data.planMissionList.length != 0) {
//		helloTip2Str = '今天是进行健康计划的第' + data.startPlanDays + '天,加油吧！';
//	} else {
//		helloTip2Str = '我们一起来完成今天的任务吧！';
//	}
	if (completeNum != 0){
		if (completeNum == tempArray.length){
			helloTip2Str = '已经完成今天的所有任务，真棒！';
		}else{
			helloTip2Str = '已经完成' + completeNum + '项任务，加油哟！';
		}
	}else{
		helloTip2Str = '让我们一起开始今天的任务吧';
	}
	
	helloTip.innerHTML = helloTipStr;
	helloTip2.innerHTML = helloTip2Str;
	//展示进度
	var percent = Math.min(parseInt((completeNum / tempArray.length) * 100), 100);
	todayMissionProcessDone.style.width = percent + '%';
	todayMissionProcessDoneTipContainer.style.width = percent + '%';
	userPoits.innerHTML = completeNum+'/'+tempArray.length;
    if (completeNum == tempArray.length){
       userPoits.className = 'mission_complete';
    }
	//todayMissionProcessDoneTip.innerHTML = data.totalCurrPoints;
}

//刷新计划任务数据
function initPlanMissionData(data) {
	if(data && data.length > 0) {

		data = data.sort(function(a, b) { //未打卡的排前面
			return a.isComplete - b.isComplete;
		});

        _planMissionData = data;
        
		planMission.classList.remove('mui-hidden');
		//		var html='';

		while(planMissionList.hasChildNodes()) //当div下还存在子节点时 循环继续
		{
			planMissionList.removeChild(planMissionList.firstChild);
		}

		for(var i = 0; i < data.length; i++) {
			//            html+=''+
			//            '<div code="'+data.code+'" class="mission-items">'+
			//                makeItemHTML(data[i],true)+
			//            '</div>';
            
            //去掉相应的
            var item = data[i];
            planMissionList.appendChild(makeItemDom(data[i], true));
            //if (!g_utils.isEmpty(item.mission)){
//                if (!g_utils.isEmpty(item.completeTime)){
//                    if (item.isComplete == 1 && g_printTools.printDateStrByTimeMillis(item.completeTime) != '今天'){
//
//                    }else{
//                       planMissionList.appendChild(makeItemDom(data[i], true));
//                    }
//                }else{
//                    planMissionList.appendChild(makeItemDom(data[i], true));
//                }
           // }
			
		}
		//        planMissionList.innerHTML=html;
	} else {
		planMission.classList.add('mui-hidden');
	}
}

//刷新每日任务数据
function initDailyMissionData(data) {
	if(data && data.length > 0) {
        
		data = data.sort(function(a, b) { //未打卡的排前面
			return a.isComplete - b.isComplete;
		});
        
        _dailyMissionData = data;

		dailyMission.classList.remove('mui-hidden');
		//var html='';
		while(dailyMissionList.hasChildNodes()) //当div下还存在子节点时 循环继续
		{
			dailyMissionList.removeChild(dailyMissionList.firstChild);
		}

		for(var i = 0; i < data.length; i++) {
			//            html+=''+
			//            '<div code="'+data.code+'" class="mission-items">'+
			//                makeItemHTML(data[i],false)+
			//            '</div>';
			dailyMissionList.appendChild(makeItemDom(data[i], false));
		}
		//dailyMissionList.innerHTML=html;
	} else {
		dailyMission.classList.add('mui-hidden');
	}
}

//生成条目代码
function makeItemDom(item, isPlanData) {

	var itemDom = document.createElement('div');
	itemDom.className = 'mission-items';
	itemDom.id = item.id;
	if(isPlanData) {
		itemDom.setAttribute("isPlanData", 1);
	} else {
		itemDom.setAttribute("isPlanData", 0);
	}

	var html = '';
	var itemObj = g_mission_item_config[item.code];
	if(itemObj != undefined) {
		var pointsStr = '';
		if(isPlanData) {
			pointsStr = item.limitPoints;
		} else {
			pointsStr = item.currentPoint + '/' + item.limitPoints;
		}
		html += '' +
			'	<div class="dataContainer">' ;
		//	'		<div class="line0"><span class="title">' + item.title + '</span><span class="points">' + pointsStr + '</span></div>' +
        if  (item.code == 'DM_002'){ //登录
            html += '' +
            '        <div class="line0"><span class="title">' + item.title + '</span></div>' ;
        }else if (item.code == 'DM_001' || item.code == 'PM_001'){ //记步
            var strs = new Array(); //定义一数组
            strs = item.title.split("("); //字符分割
            var strs1 = strs[1].split('/');
            var todayStep = parseInt(strs1[0]);
            var totalStep = parseInt(strs1[1].substr(0,strs1[1].length-2));
            if (todayStep > totalStep){
                todayStep = totalStep;
            }
            var unit = strs1[1].substr(strs1[1].length-2,strs1[1].length-1);
                                   // alert('todayStep:'+todayStep+',totalStep:'+totalStep+',unit:'+unit);
            html += '' +
            '        <div class="line0"><div class="title">' + strs[0] + '</div><div class="title-sec">' + '(' + todayStep + '/' + totalStep + unit + '</div></div>' ;
        }else if (item.code == 'DM_002' || item.code == 'DM_003' || item.code == 'DM_004' || item.code == 'DM_005'){
            var strs = new Array(); //定义一数组
            strs = item.title.split("("); //字符分割
            html += '' +
            '        <div class="line0"><div class="title">' + strs[0] + '</div><div class="title-sec">' + '(' + strs[1] + '</div></div>' ;
        }
        else if (item.code == 'PM_006' || item.code == 'PM_011'){
            var strs = new Array(); //定义一数组
            strs = item.title.split("("); //字符分割
            html += '' +
            '        <div class="line0"><span class="title">' + strs[0] + '</span></div>' ;
//            '        <div class="line1">' + '(' + strs[1] + '</div>' ;
        }else{
            var strs = new Array(); //定义一数组
            strs = item.title.split("("); //字符分割
            var unit = '次';
            if (item.code == 'PM_003'){
                unit = '条';
            }
            var currentExecuteCount = item.currentExecuteCount;
            if (item.isComplete == 1){
                currentExecuteCount = item.mission.count;
            }
            html += '' +
            '        <div class="line0"><div class="title">' + strs[0] + '</div><div class="title-sec">' + '(' + currentExecuteCount + '/' + item.mission.count + unit + ')' + '</div></div>' ;
        }
        
        if (item.code == 'DM_001' || item.code == 'PM_001'){ //记步
            html += '</div>';
        }else{
            html += '' +
            '    </div>' +
            '    <div class="buttonContainer">' +
            '        ' + g_mission_item_config[item.code].getItemBtnHTML(item) +
            '    </div>';
        }
	}

	itemDom.addEventListener('tap', function(event) {
		var item;
		if(this.getAttribute('isPlanData') == 1) {
			for(var i = 0; i < _planMissionData.length; i++) {
				if(_planMissionData[i].id == this.id) {
					item = _planMissionData[i];
				}
			}
		} else {
			for(var i = 0; i < _dailyMissionData.length; i++) {
				if(_dailyMissionData[i].id == this.id) {
					item = _dailyMissionData[i];
				}
			}
		}

		if(!g_utils.isEmpty(item)) {
            if (item.code == 'PM_003' || item.code == 'PM_011'){   //记录和饮食点击按钮跳转到记录界面
                if (event.target.tagName == 'BUTTON'){  //点击dom为button
                    g_mission_item_config[item.code].openRecode(item);
                }else{
                    g_mission_item_config[item.code].openPage(item);
                }
            }else{
                g_mission_item_config[item.code].openPage(item);
            }
            
		}
	});

	itemDom.innerHTML = html;

	return itemDom;
}

function addSortTag(arr) {
    for (var i=0;i<arr.length;i++){
        arr[i].sortTag = 999;
        for (var j=0;j<_keySort.length;j++){
            if (arr[i].code == _keySort[j]){
                arr[i].sortTag = j;
            }
        }
    }
    return arr;
}

function removeManyDayComplete(data){
    var list = new Array();
    
    for(var i = 0; i < data.length; i++) {
    var item = data[i];
        if (!g_utils.isEmpty(item.completeTime)){
            if (item.isComplete == 1 && g_printTools.printDateStrByTimeMillis(item.completeTime) != '今天'){
    
            }else{
                list.push(item);
            }
        }else{
            list.push(item);
        }
    }
    return list;
}

//用于非真机环境下的调试
//init();


