var LEAP_YEAR = 1;
var COMMON_YEAR = 0;
var TEMPERATURE=6;
var PULSE=0;
var OXYGEN=1;
var BLOODGLUOSE=2;
var BLOODPRESSURE=7;
var WEIGHT=5;
var today = new Date();
today.setHours(0);
today.setMinutes(0);
today.setSeconds(0);
var TODAY = today.getTime();
function isLeapYear(year){
	if(year%4==0&&year%100!=0){
		return LEAP_YEAR;
	}
	if(year%400==0){
		return LEAP_YEAR;
	}
	return COMMON_YEAR;
}
var chose_kind=chose_kind||{
	choseDay:1,
	choseWeek:7,
	choseMonth:function(year,month){
		var monthlist = [31,isLeapYear(year)+28,31,30,31,30,31,31,30,31,30,31,31];
		if(month==-1) month=12;
		return monthlist[month]
	},
}
function KindProperty(){
	var dayTime;
	var weekTime;
	var monthTime;
	var kind;
	this.setDayTime=function(ms){
		dayTime=ms;
	}
	this.setWeekTime=function(ms){
		weekTime=ms;
	}
	this.setMonthTime=function(ms){
		monthTime=ms;
	}
	this.setKind=function(daynum){
		kind=daynum;
	}
	this.getDayTime=function(){
		return dayTime;
	}
	this.getWeekTime=function(){
		return weekTime;
	}
	this.getMonthTime=function(){
		return monthTime;
	}
	this.getKind=function(){
		return kind;
	}
	this.getTime=function(){
		var kt;
		switch(kind){
			case 1:
				kt=dayTime;
				break;
			case 7:
				kt=weekTime;
				break;
			default:
				kt=monthTime;
				break;
		}
		return kt;
	}
}
var match_text=match_text||{
	title:function(kind,ms){
		var setDay = new Date();
		var titleText='';
		var yesterDay = TODAY-24*3600000;
		var beforeYesterDay = TODAY-48*3600000;	
		var thisweek =weekInit(TODAY);
		var thismonth = monthInit(TODAY);
		var thisyear = yearInit(TODAY);	
		setDay.setTime(ms);
		var msYear = setDay.getFullYear();
		var msMonth = setDay.getMonth();
		var msDate = setDay.getDate();
		var afterms = new Date();
		switch(kind){
			case 1:
				if(ms>=TODAY){
					titleText='今天';
				}
				if(ms>=yesterDay&&ms<TODAY){
					titleText='昨天';
				}
				if(ms<yesterDay&&ms>=beforeYesterDay){
					titleText='前天';
				}
				if(ms<beforeYesterDay&&ms>=thismonth){
					titleText=msDate+'日';
				}
				if(ms<thismonth&&ms>=thisyear){
					titleText=(msMonth+1)+'月'+msDate+'日';
				}
				if(ms<thisyear){
					titleText=msYear+'年'+(msMonth+1)+'月'+msDate+'日';
				}
				break;
			case 7:
				if(ms>=thisweek){
					titleText='本周';
				}
				if(ms>=thisyear&&ms<thisweek){
					afterms.setTime(ms+7*24*3600000-60000);
					titleText=(msMonth+1)+'月'+msDate+'日'+'~'+(afterms.getMonth()+1)+'月'+afterms.getDate()+'日';
				}
				if(ms<thisyear){
					afterms.setTime(ms+7*24*3600000-60000);
					titleText=msYear+'年'+(msMonth+1)+'月'+msDate+'日'+'~'+afterms.getFullYear()+'年'+(afterms.getMonth()+1)+'月'+afterms.getDate()+'日';
				}
				break;
			default:
				if(ms>=thisyear){
					titleText=(msMonth+1)+'月';
				}else{
					titleText=msYear+'年'+(msMonth+1)+'月';
				}
				break;
		}
		return titleText;
	}
}
function ModuleProperty(){
	var name;
	var correction;
	var lowLine;
	var highLine;
	var md;
	var unit;
	//correction = 144/(highLine-lowLine);
	//144设计图上健康值上下限值间距的2倍
	this.setModule=function(module){
		module = parseInt(module);
		md=module;
		switch(module){
			case PULSE:
				name='脉搏';
				unit='次';
				highLine = 100;
				lowLine = 60;			
				break;
			case OXYGEN:
				name="血氧";
				unit='%';
				highLine = 98;
				lowLine = 88;
				break;
			case BLOODGLUOSE:
				name="血糖";
				unit='mmol/L';
				highLine = 11;
				lowLine = 3.6;
				break;
			case WEIGHT:
				name="体重";
				unit='';
				highLine = 100;
				lowLine = 50;
				break;
			case TEMPERATURE:
				name="体温";
				unit='℃';
				highLine = 37.5;
				lowLine =35;
				break;
			case BLOODPRESSURE:
				name="血压";
				unit='';
				highLine = 150;
				lowLine = 75;
				break;
			default:
				break;
		}
	};
	this.sethHightLine=function(hightNum){
		highLine = hightNum;
	};
	this.setLowLine = function(lowNum){
		lowLine = lowNum;
	};
	this.getName=function(){
		return name;
	};
	this.getCorrection=function(){
		correction = 144/(highLine-lowLine);
		return correction;
	};
	this.getLowLine=function(){
		return lowLine;
	};
	this.getHighLine=function(){
		return highLine;
	};
	this.getModule=function(){
		return md;
	};
	this.getUnit=function(){
		return unit;
	};
}
function dayInit(ms){
	var getday = new Date();
	getday.setTime(ms);
	getday.setHours(0);
	getday.setMinutes(0);
	return getday.getTime();
}
function weekInit(ms){
	var getweek = new Date();
	getweek.setTime(ms);
	getweek.setHours(0);
	getweek.setMinutes(0);
	var weeknum = getweek.getDay();
	if(weeknum==0){
		weeknum=7;
	}
	return getweek.getTime()-(weeknum-1)*24*3600000;
}
function monthInit(ms){
	var getmonth = new Date();
	getmonth.setTime(ms);
	getmonth.setDate(1);
	getmonth.setHours(0);
	getmonth.setMinutes(0);
	return getmonth.getTime();
}
function yearInit(ms){
	var getyear = new Date();
	getyear.setTime(ms);
	getyear.setDate(1);
	getyear.setMonth(0);
	return getyear.getTime();
}