//输入毫秒数返回小时分钟数
function timeFormat(ms){
	var hour;
	var minute;
	var day;
	day = Math.floor(ms/(3600000*24));
	hour = Math.floor((ms%(3600000*24))/3600000);
	minute = Math.floor(ms%3600000/60000);
	return {day:day,hour:hour,minute:minute}
}
//输入至1970,1,1相差毫秒数获取距今时间
function dateFormat(msEnd){
	var date = new Date();
	var diff = date.getTime()-msEnd-date.getHours()*3600000-date.getMinutes()*60000;
	var innert='';
	if(diff<0){
		var today = timeFormat(-diff);
		innert='今天'+formatTime(today.hour,today.minute);
	}else{
		var diffday = timeFormat(diff);
		var time = timeFormat(3600000*24-(diffday.hour)*3600000-(diffday.minute)*60000);
		if(diffday.day==0){
			innert='昨天'+formatTime(time.hour,time.minute);
		}
		if(diffday.day==1){
			innert='前天'+formatTime(time.hour,time.minute);
		}
		if(diffday.day>1&&diffday.day<30){
			innert=diffday.day+'天前';
		}
		if(diffday.day>29&&diffday.day<361){
			innert=Math.floor((diffday.day)/30)+'个月前';
		}
		if(diffday.day>360){
			innert='一年前';
		}
	}
	return innert
}
//输入小时分钟返回xx：xx格式
function formatTime(hour,minute){
	if(hour<10){
		hour ='0'+hour;
	}
	if(minute<10){
		minute = '0'+minute;
	}
	return hour+':'+minute
}
//格式化日期返回当前日期，格式xxxx-xx-xx
function todayFormat(){
	var year,month,day;
	var date = new Date();
	year = date.getFullYear();
	month= date.getMonth()+1;
	day  = date.getDate();
	if(month<10){
		month = '0'+month;
	}
	if(day<10){
		day = '0'+day;
	}
	return year+'-'+month+'-'+day;
}
