//紧急联系人
var emergencyContacts = [];
var setName, setPhone, setPriority, setRelation;
//所有的紧急联系人优先级
var allPriority = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];

var contactName = document.getElementById('contactName');
var contactPhone = document.getElementById('contactPhone');
var contactSelect = document.getElementById('contactSelect');
var contactRelation = document.getElementById('contactRelation');
var contactRelationTip = document.getElementById('contactRelationTip');
var cSaveBtn = document.getElementById('cSaveBtn');
var openContacts = document.querySelector('.icon-centent');
//mui初始化
mui.init();
mui.plusReady(function() {
	initPremission();
	var self = plus.webview.currentWebview();
	emergencyContacts = self.eContacts;
	domInit();
});

function initPremission() {
	var _BARCODE = "permissionUtil",
		B = window.plus.bridge;
	var permissionUtil = {
		setPermission: function(Argus, successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
					successCallback(args);
				},
				fail = typeof errorCallback !== 'function' ? null : function(code) {
					errorCallback(code);
				};
			callbackID_2 = B.callbackId(success, fail);
			return B.exec(_BARCODE, "setPermission", [callbackID_2, Argus]);
		}
	};
	window.plus.permissionUtil = permissionUtil;
}

function domInit() {
	//-----------------------------------------
	//紧急联系人设定
	selectPicker = new mui.PopPicker();
	selectPicker.setData(creatPickerData());
	contactSelect.addEventListener('tap', function(e) {
		selectPicker.pickers[0].setSelectedValue(parseInt(contactSelect.value == "普通联系人" ? "100" : contactSelect.value.substring(5)));
		selectPicker.show(function(items) {
			contactSelect.value = items[0].text;
			setPriority = parseInt(items[0].value);
            if (setPriority == 100){ //选择普通联系人时
                  //隐藏输入备注关系框
                contactRelationTip.style.visibility="hidden";
                contactRelation.style.visibility="hidden";
            }else{
                contactRelationTip.style.visibility="visible";
                contactRelation.style.visibility="visible";
            }
		});

	});

	cSaveBtn.addEventListener('tap', function(ee) {
		setName = contactName.value;
		setPhone = contactPhone.value;
		setRelation = contactRelation.value;

		if(g_utils.isEmpty(setName)) {
			g_mui.alert('姓名不能为空！');
		} else if(g_utils.isEmpty(setPhone)) {
			g_mui.alert('电话号码不能为空！');
		} else if(g_utils.isEmpty(setPriority)) {
			g_mui.alert('请选择联系人优先级！');
		} else {
            if (setName.length > 10){
                g_mui.alert('输入姓名不能超过10个字');
            }
            else if (!g_utils.isEmpty(contactRelation.value) && contactRelation.value.length > 10){
                 g_mui.alert('输入备注不能超过10个字');
            }
            else{
                addContact();
            }
		}
	});
	openContacts.addEventListener('tap', function() {
        document.activeElement.blur();
		if(plus.os.name == g_config.ANDROID) {
			plus.permissionUtil.setPermission("0", function(result) {
					if(result.ps) {
						//g_mui.openPage(g_module.myHuoHuo, 'phoneContacts.html', {});
                        g_mui.openSelectContacts({
                            hearderTitle: '添加联系人',  //标题栏
                            isSingleMode: true  //是否是单选模式，默认为多选
                        });
					}
				},
				function(erro) {
					alert(erro);
				}
			);
		} else {
			//g_mui.openPage(g_module.myHuoHuo, 'phoneContacts.html', {});
              g_mui.openSelectContacts({
                   hearderTitle: '添加联系人',  //标题栏
                   isSingleMode: true  //是否是单选模式，默认为多选
              });
		}
	});
	document.addEventListener('exportContacts', function(event) {
		//获得事件参数
//        var contact = event.detail.contact;
//        contactName.value = contact.name;
//        contactPhone.value = contact.phone;
        var chooseContacts = event.detail.chooseContacts;
        contactName.value = chooseContacts[0].name;
        contactPhone.value = chooseContacts[0].phone;
	});
}

function getUsePriority() {
	var priority = [];
	if(!g_utils.isEmpty(emergencyContacts)) {
		for(var i = 0; i < emergencyContacts.length; i++) {
			priority.push(emergencyContacts[i].priority);
		}
	}
	return priority;
}

function getUnUsePriority() {
	var usePriority = getUsePriority();
	var priority = [];
	for(var i = 0; i < allPriority.length; i++) {
		var isHave = false;
		if(!g_utils.isEmpty(usePriority)) {
			for(var j = 0; j < usePriority.length; j++) {
				if(allPriority[i] == usePriority[j]) {
					isHave = true;
				}
			}
		}
		if(!isHave) {
			priority.push(allPriority[i]);
		}
	}
	return priority;
}

function creatPickerData() {
	var unusePriority = getUnUsePriority();
	var datas = [];

	for(var i = 0; i < unusePriority.length; i++) {
		var data = {};
		data.value = unusePriority[i];
		data.text = "紧急联系人" + unusePriority[i];
		datas.push(data);
	}
	var data = {};
	data.value = 100;
	data.text = "普通联系人";
	datas.push(data);
	return datas;
}

function validateInfo(name, phone, priority) {
	if(g_utils.isEmpty(name)) {
		g_mui.alert("姓名不能为空！");
		return false;
	} else if(g_utils.isEmpty(phone)) {
		g_mui.alert("电话号码不能为空！");
		return false;
	} else if(g_utils.isEmpty(priority)) {
		g_mui.alert("紧急联系人优先级不能为空，请选择！");
		return false;
	} else if(!g_utils.validateTel(phone)) {
		g_mui.alert("电话号码格式错误，请输入正确的电话号码！");
		return false;
	}
	return true;
}

function addContact() {
	if(validateInfo(setName, setPhone, setPriority)) {
		var parameters = {};
		addParameter('name', setName, parameters);
		addParameter('phone', setPhone, parameters);
		addParameter('priority', setPriority, parameters);
        if (setPriority==100){
            addParameter('relation', "", parameters);
        }else{
            addParameter('relation', setRelation, parameters);
        }
		
		g_tools.postCMD("addContact", parameters, function(result) {
			if(result.code == 0) {
				var wobj = plus.webview.getWebviewById("myHuoHuo:contactList.html");
				wobj.reload(true);
				setTimeout('mui.back();', 500);
			}
		});
	}
}

/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}
