var contacts = [];
//紧急联系人
var emergencyContacts = [];
//普通联系人
var normalContacts = [];
//联系人列表
var contactListLay;
//添加联系人按钮
var addContact = document.getElementById('addContact');
var contactListLay = document.getElementById('contactListLay');

//mui初始化
mui.init();
mui.ready(function() {
	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	mui.plusReady(function() {
		list.style.height = (window.screen.height  - header.offsetHeight-plus.navigator.getStatusbarHeight()) + 'px';
	//	window.indexedList = new mui.IndexedList(list);
		getContactList();
		
		addContact.addEventListener('tap', function(event) {
            // 弹出系统选择按钮框
            plus.nativeUI.actionSheet({
             //    title: "请选择添加方式",
                  cancel: "取消",
                      buttons: [{
                                title: "单个录入"
                            }, {
                                title: "批量添加"
                            }]
                  },
                  function(e) {
                                 //     alert(JSON.stringify(emergencyContacts));
                       if(e.index == 1) {
                          g_mui.openPage(g_module.myHuoHuo, 'addContact.html', {
                                 eContacts: emergencyContacts
                          });
                       } else if(e.index == 2) {
                          g_mui.openSelectContacts({
                               selectedContacts:contacts,
                               hearderTitle: '请从通讯录中选择',  //标题栏
                         });
                       }
                  });
		});
  
      document.addEventListener('exportContacts', function(event) {
            //返回的是一个json数组
            var chooseContacts = event.detail.chooseContacts;
            //alert(JSON.stringify(chooseContacts));
            var contactArr=[];
            for (var i=0;i<chooseContacts.length;i++){
                var contactTemp={
                    name:chooseContacts[i].name,
                    phone:chooseContacts[i].phone,
                    priority:chooseContacts[i].priority,
                    relation:""
                };
                contactArr.push(contactTemp);
            }
            g_tools.postCMD("addContactList", {contactArr:JSON.stringify(contactArr)}, function(result) {
                if(result.code == 0) {
//                    for (var i=0;i<chooseContacts.length;i++){
//                            chooseContacts[i].id=chooseContacts[i].phone;
//                        contacts.push(chooseContacts[i]);
//                    }
                    //
//                    getEmergencyNormalContacts();
//                    refreshContactList();
//                    contactsListener();
                    getContactList();
                    //create
//                    window.indexedList = new mui.IndexedList(list);
                }else{
                    g_mui.toast(result.tip);
                }
            });

       });
                  
	});
});

function getContactList() {
	g_tools.postCMD("getContactList", null, function(result) {
		if(result.code == 0) {

            contacts.splice(0,contacts.length);
			contacts = result.data.slice();
          //  alert(""+JSON.stringify(contacts));
            var userNameList=[];
                //    alert("contacts.length:"+contacts.length);
            for (var index=0;index<contacts.length;index++){
                userNameList.push(contacts[index].phone);
            }
            g_tools.postCMD("getUserNameStatusList", {
                userName: JSON.stringify(userNameList)
            }, function(result) {
                if(result.code == 0) {
                    var resultList = [];
                    var tempList = [];
                    resultList = result.data;
                          //  alert("resultList:"+resultList.length);
                    for(var i = 0; i < resultList.length; i++) {
                        for(var j = 0; j < contacts.length; j++) {
                            if(resultList[i].phone == contacts[j].phone) {
                                contacts[j].isExist = resultList[i].isExist;
                                contacts[j].headImg = resultList[i].headImg;
                                tempList.push(contacts[j]);
                            }41
                        }
                    }
                    contacts.splice(0,contacts.length);
                    contacts = tempList.slice();
                            
                            getEmergencyNormalContacts();
                            refreshContactList();
                            contactsListener();
                            //create
                            window.indexedList = new mui.IndexedList(list);
                }
            });
                    
		}
	},g_tools.MODE_CACHE_THEN_WEB_LOCAL);
}

function refreshContactList() {
	contactListLay.innerHTML = "";
	if(emergencyContacts.length > 0) {
		//清空
		contactListLay.innerHTML = getEmergencyAllList(emergencyContacts);
	}
	if(normalContacts.length > 0) {
		contactListLay.innerHTML = contactListLay.innerHTML + getNormalAllList(sortPY(normalContacts));
	}
}

/**
 * 遍历分别取出紧急联系人与普通联系人
 */
function getEmergencyNormalContacts() {
	if(!g_utils.isEmpty(contacts)) {
        emergencyContacts.splice(0,emergencyContacts.length);
        normalContacts.splice(0,normalContacts.length);
		for(var i = 0; i < contacts.length; i++) {
			var priority = contacts[i].priority;
			if(priority > 0 && priority <= 10) {
				emergencyContacts.push(contacts[i]);
			} else if(priority == 100) {
				normalContacts.push(contacts[i]);
			}
		}
	}
}
/**
 * 获得紧急联系人的列表的html
 * @param {Object} arr 
 */
function getEmergencyAllList(arr) {
	var emergencyInner = "<li data-group='★' class='mui-table-view-divider mui-indexed-list-group'> ★ 紧急联系人 </li>";
	for(var index = 0; index < arr.length; index++) {
		var data = arr[index];
        var imgSrc = "../../global/img/default_portrait_no.png";
        if(data.isExist == 1) {
            imgSrc = "../../global/img/default_portrait_msg.png";
        }
        var imgDataSrc = data.headImg;
        if(!g_utils.isEmpty(imgDataSrc)) {
            imgDataSrc = g_tools.IP_FILE + imgDataSrc+"&tb=1";
        }else{
            imgDataSrc=imgSrc;
        }
		emergencyInner += "<li class='mui-table-view-cell mui-indexed-list-item mui-collapse-content mui-left' data-value=" +
			makePy(data.name) + " data-tags='' id=" + data.id + "><img src='" + imgSrc + "' data-src='" + imgDataSrc + "' onload='load(this)' class='square-head' /><div class='my-value'><div>" +
			data.name + "</div><span>" + data.phone + "</span></div></li>";
	}
	return emergencyInner;
}

function contactsListener() {
	if(!g_utils.isEmpty(contacts)) {
		for(var i = 0; i < contacts.length; i++) {
			var contactItem = document.getElementById(contacts[i].id);
			if(!g_utils.isEmpty(contactItem)) {
				contactItem.addEventListener('tap', function(event) {
					var selectContact = getContactStrById(this.id);
					var param = {
						contact: selectContact,
						emergencyContacts: emergencyContacts
					};
					g_mui.openPage(g_module.myHuoHuo, 'editContact.html', param);
				});
			}
		}

	}
}

function getContactStrById(id) {
	for(var i = 0; i < contacts.length; i++) {
		if(contacts[i].id == id) {
			return contacts[i];
		}
	}
}

/**
 * 获得普通联系人的列表html并加上字母导航
 * @param {Object} linkList 排序后的数据链表
 */
function getNormalAllList(linkList) {
	var navInner = "<a>★</a>";
	var normalInner = "";
	//为侧栏导航做准备
	var word = ["A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "#"];
	for(var index = 0; index < linkList.size(); index++) { //遍历链表
		var data = linkList.getVal(index).data;
		if(data.length != 0) {
			normalInner += "<li data-group=" + word[index] + " class='mui-table-view-divider mui-indexed-list-group'>" + word[index] + "</li>"
			navInner += "<a>" + word[index] + "</a>"; //侧栏导航代码，哪种字母有名字存在侧栏导航就需要有该字母
			for(var zindex = 0; zindex < data.length; zindex++) { //遍历数组，把信息放到<li>标签
				var name = data[zindex].name;
				var id = data[zindex].id;
				var dataValue = makePy(name);
				var phone = data[zindex].phone;
                var imgSrc = "../../global/img/default_portrait_no.png";
                if(data[zindex].isExist == 1) {
                    imgSrc = "../../global/img/default_portrait_msg.png";
                }
                var imgDataSrc = data[zindex].headImg;
                if(!g_utils.isEmpty(imgDataSrc)) {
                    imgDataSrc = g_tools.IP_FILE + imgDataSrc+"&tb=1";
                }else{
                    imgDataSrc=imgSrc;
                }
				normalInner += "<li class='mui-table-view-cell mui-indexed-list-item mui-collapse-content mui-left' data-value=" + dataValue + "  data-tags='' id=" + id + "><img src='" + imgSrc + "' data-src='" + imgDataSrc + "' onload='load(this)' class='square-head' /><div class='my-value'><div>" + name + "</div><span>" + phone + "</span></div></li>";
			}
		}

	}
	return normalInner;

}

function sortPY(username) {
	var a = new Array();
	var b = new Array();
	var c = new Array();
	var d = new Array();
	var e = new Array();
	var f = new Array();
	var g = new Array();
	var h = new Array();
	var i = new Array();
	var j = new Array();
	var k = new Array();
	var l = new Array();
	var m = new Array();
	var n = new Array();
	var o = new Array();
	var p = new Array();
	var q = new Array();
	var r = new Array();
	var s = new Array();
	var t = new Array();
	var u = new Array();
	var v = new Array();
	var w = new Array();
	var x = new Array();
	var y = new Array();
	var z = new Array();
	var other = new Array();
	for(var index = 0; index < username.length; index++) {
		var str = makePy(username[index].name);

		var result = str[0].charAt(0);

		switch(result) {
			case "a":
			case "A":
				a.push(username[index]);
				break;
			case "b":
			case "B":
				b.push(username[index]);
				break;
			case "c":
			case "C":
				c.push(username[index]);
				break;
			case "d":
			case "D":
				d.push(username[index]);
				break;
			case "e":
			case "E":
				e.push(username[index]);
				break;
			case "f":
			case "F":
				f.push(username[index]);
				break;
			case "g":
			case "G":
				g.push(username[index]);
				break;
			case "h":
			case "H":
				h.push(username[index]);
				break;
			case "i":
			case "I":
				i.push(username[index]);
				break;
			case "j":
			case "J":
				j.push(username[index]);
				break;
			case "k":
			case "K":
				k.push(username[index]);
				break;
			case "l":
			case "L":
				l.push(username[index]);
				break;
			case "m":
			case "M":
				m.push(username[index]);
				break;
			case "n":
			case "N":
				n.push(username[index]);
				break;
			case "o":
			case "O":
				o.push(username[index]);
				break;
			case "p":
			case "P":
				p.push(username[index]);
				break;
			case "q":
			case "Q":
				q.push(username[index]);
				break;
			case "r":
			case "R":
				r.push(username[index]);
				break;
			case "s":
			case "S":
				s.push(username[index]);
				break;
			case "t":
			case "T":
				t.push(username[index]);
				break;
			case "u":
			case "U":
				u.push(username[index]);
				break;
			case "v":
			case "V":
				v.push(username[index]);
				break;
			case "w":
			case "W":
				w.push(username[index]);
				break;
			case "x":
			case "X":
				x.push(username[index]);
				break;
			case "y":
			case "Y":
				y.push(username[index]);
				break;
			case "z":
			case "Z":
				z.push(username[index]);
				break;
			default:
				other.push(username[index]);
				break;
		}
	}
	var linkList = new LinkedList();

	linkList.add(a);
	linkList.add(b);
	linkList.add(c);
	linkList.add(d);
	linkList.add(e);
	linkList.add(f);
	linkList.add(g);
	linkList.add(h);
	linkList.add(i);
	linkList.add(j);
	linkList.add(k);
	linkList.add(l);
	linkList.add(m);
	linkList.add(n);
	linkList.add(o);
	linkList.add(p);
	linkList.add(q);
	linkList.add(r);
	linkList.add(s);
	linkList.add(t);
	linkList.add(u);
	linkList.add(v);
	linkList.add(w);
	linkList.add(x);
	linkList.add(y);
	linkList.add(z);
	linkList.add(other);

	return linkList;

}

//单链表节点
function Entry(next, data) {
	this.next = next;
	this.data = data;
}
//链表
function LinkedList() {
	var length = 0;
	this.head = new Entry(null, null);
	this.end = new Entry(null, null);
	this.add = function(data) {
		var newentry = new Entry(null, data);
		if(this.head.data) {
			this.end.next = newentry;
			this.end = newentry;
		} else {
			this.head = newentry;
			this.end = newentry;
		}
		length += 1;
	};
	this.show = function() {
		var temp = this.head;
		for(; temp != null; temp = temp.next) {
//			console.log(temp.data);
		}
	};
	this.size = function() {
		return length;
	};
	this.getVal = function(index) {
		var current;
		current = this.head;
		if(index > 0 || index < length) {
			for(var i = 0; i < index; i++) {
				current = current.next;
			}
		} else if(index >= length || index < 0) {
			return;
		}
		return current;
	};
}
