//设备类
var dev;
//连接设备
var connectDev;

var mail = document.getElementById('mail');
/*var normal = document.getElementById('normal');*/
var unbind = document.getElementById('unbind');
var bind = document.getElementById('bind');
var noBindLay = document.getElementById('noBindLay');
var haveBindedLay = document.getElementById('haveBindedLay');

var simValue = document.getElementById('simValue');
var numberValue = document.getElementById('numberValue');
/*var snValue=document.getElementById('snValue');*/
var activateTimeValue = document.getElementById('activateTimeValue');
var blanceValue = document.getElementById('blanceValue');
var activeHuohuoDom = document.getElementById("active-huohuo");
//mui初始化
mui.init();
mui.plusReady(function() {
	initDom();
	mui(".mui-scroll-wrapper").scroll().refresh();
	getDevList();
	activeHuohuoDom.addEventListener("tap", function() {
		g_mui.openModule(g_module.insertMyCareGuide, {
			openType: 1
		});
	})
});

function initDom() {
	mail.addEventListener("tap", function(event) {
		g_mui.openPage(g_module.myHuoHuo, 'contactList.html');
	});

	/*normal.addEventListener("tap", function(event) {
		g_mui.openPage(g_module.myHuoHuo, 'normalSet.html');
	});*/

	unbind.addEventListener("tap", function(event) {
		g_mui.confirm('解除绑定后，将无法同步伙伙的最新数据。但您依然可以查看历史数据。确定要解除绑定？', '解除绑定', ['取消', '确定'], function(e) {
			if (e.index == 1) {
				unbindDevice();
			}
		});
	});
	/*g_tools.postCMD("getActivateInfo", null, function(result) {
		if(result.code == 0) {
			var info = result.data;
			bind.addEventListener("tap", function(event) {
				if(info.myRealNameAuthStatus==3&&info.myIsCompleteUserInfo==1){
					g_mui.openPage(g_module.myHuoHuo,'bindHuoHuo.html');
				}else{
					g_mui.openModule(g_module.certification);
				}
			});
		}
	}, g_tools.MODE_CACHE_THEN_WEB_LOCAL);*/

	bind.addEventListener("tap", function(event) {
		g_mui.openPage(g_module.myHuoHuo, 'bindHuoHuo.html', 'pop-in');
	});

}

/**
 * 解绑设备
 * @param {Object} devSn sn编号
 */
function unbindDevice() {
	var parameters = {};
	addParameter('sn', dev.sn, parameters);
	g_tools.postCMD("unbindDevice", parameters, function(result) {
		if (result.code == 0) {
			g_mui.toast(result.tip);
			noBindLay.classList.remove('mui-hidden');
			haveBindedLay.classList.add('mui-hidden');
		}
	})
}

/*
 * 插入请求参数
 */
function addParameter(key, value, parameters) {
	parameters[key] = value;
}

function getDevList() {
	g_tools.postCMD("getDeviceList", null, function(result) {
		if (result.code == 0) {
			var devs = result.data;
			dev = devs[0];
			refreshDevData();
		}
	}, g_tools.MODE_WEB_LOCAL_CACHE, {
		noNetworkMode: g_tools.TIP_MODE_INTERFACE, //界面显示断网提示内容的模式
		contentDomId: 'mainContent', //显示数据内容的dom元素id
		tipDomId: 'noNetworkTip' //显示断网提示的dom元素id
	});
}

function refreshDevData() {
	if (!g_utils.isEmpty(dev)) {
		haveBindedLay.classList.remove('mui-hidden');
		noBindLay.classList.add('mui-hidden');
		if (!g_utils.isEmpty(dev.phone)) {
			simValue.innerHTML = dev.phone;
			simValue.className = "my-value";
		}
		if (!g_utils.isEmpty(dev.number)) {
			numberValue.innerHTML = dev.number;
			numberValue.className = "my-value";
		}
		if (!g_utils.isEmpty(dev.communicationBalance)) {
			blanceValue.innerHTML = dev.communicationBalance;
			blanceValue.className = "my-value";
		}

		getActivateTime();
	} else {
		noBindLay.classList.remove('mui-hidden');
		haveBindedLay.classList.add('mui-hidden');
	}
}

function getActivateTime() {
	g_tools.postCMD("getMonitorConnection", null, function(result) {
		if (result.code == 0) {
			connectDev = result.data;
			if (connectDev.activateTime != 0 && connectDev.activateTime != -1) {
				activateTimeValue.innerHTML = g_printTools.printDateAndTimeStrByTimeMillis(connectDev.activateTime);
				activateTimeValue.className = "my-value";
			}
		}
	}, g_tools.MODE_CACHE_THEN_WEB_LOCAL);
}

function hasClass(obj, cls) {
	return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

function addClass(obj, cls) {
	if (!this.hasClass(obj, cls)) obj.className += " " + cls;
}

function removeClass(obj, cls) {
	if (hasClass(obj, cls)) {
		var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
		obj.className = obj.className.replace(reg, ' ');
	}
}
