var registerPhone;

var identifyCodeInput;

var newPassword;
var passwordConfirm;

//mui初始化
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	registerPhone = self.phoneNumber;
	identifyCodeInput = self.identifyCodeInput;
});

function addParameter(key, value, parameters) {
	parameters[key] = value;
}

//注册页面3
document.getElementById('complete').addEventListener('tap', function(e) {
	newPassword = document.getElementById("newPassword").value;
	passwordConfirm = document.getElementById("passwordConfirm").value;
	
	//先判断是否为空
	if(g_utils.isEmpty(newPassword)){
		g_mui.alert('密码不能为空，请输入密码');
		return;
	}
	if(newPassword.length<6){
		g_mui.alert('请输入6位以上密码');
		return;
	}
	if(g_utils.isEmpty(passwordConfirm)){
		g_mui.alert('密码确认框不能为空，请再次输入密码');
		return;
	}
	if(newPassword!=passwordConfirm){
		g_mui.alert('两次输入的密码不一致，请重新输入');
		return;
	}
	
	var secondPassword=g_tools.secondPassword(newPassword);				
	
	var MODE = 1;
	var lParameters = {};
	addParameter("userName", registerPhone, lParameters);
	addParameter("password", secondPassword, lParameters);
	addParameter("mode", MODE, lParameters);
	addParameter("phoneCode", identifyCodeInput, lParameters);

	g_tools.postURL("register2", lParameters, function(result) {
		if(result.code == 0) {
			//注册成功后自动登录
			g_tools.postURL('getSalt', {
				userName: registerPhone
			}, function(result) {
				if(result.code == 0) {
					var LOGIN_PLATFORM=0;
					var salt = result.salt;
					var ePassword = g_tools.encryptionPassword(newPassword, salt);
					var sParameters = {};
					addParameter('userName', registerPhone, sParameters);
					addParameter('password', ePassword, sParameters);
					addParameter('platform', LOGIN_PLATFORM, sParameters);
					g_tools.postURL("login", sParameters, function(result) {
						if(result.code==0){  //登录成功
							g_tools.login(result.userId,registerPhone,newPassword);
							//注册后自动生成昵称			
							var _userName=registerPhone;
							var userNameStr=_userName.substr(-4);
							var _nickName="huohuo"+userNameStr;
							var sParameters={};
							addParameter('nickname', _nickName, sParameters);
							g_tools.postCMD('modifyUserInfo', sParameters, function(result) {
								if(result.code == 0) {
								}
							});			
							
						}else{
							g_mui.alert(result.tip);
						}
					});
				}else{
					g_mui.alert(result.tip);
				}
			});
		}else{
			g_mui.alert(result.tip);
		}
	});
});